<?php

include "../common.php";
include "../include/config_admin.php";
include "../include/functions_admin.php";

if ($user['root']==0 || $user['id'] == 0 || !isset($user['id'])){
	PermissionError($lang['err']['not_perm']);
	exit;
}

$sel = $_POST["sel"]?addslashes($_POST["sel"]):addslashes($_GET["sel"]);
$id = $_POST["id"]?intval($_POST["id"]):intval($_GET["id"]);
switch ($sel){
	case "new_cost"			:	NewCost($id);
	case "delete"			:	DeleteCost($id);
	case "delete_param"		:	DeleteParam($id);
	case "priorities"		:	Change_Prior();
	case "priorities_param"	:	Change_Prior_param($id);
	case "update_text_param":	Update_text_param($id);
	case "view_param"		:	View_param($id);
	case "new_param"		:	New_param($id);
	default					: 	View_cost();
}
	
function View_cost(){	
	global $dbconn, $smarty, $config,$admin_lang;

	AdminMainMenu();
	if(isset($_SERVER["PHP_SELF"]))
		$file_name = AfterLastSlash($_SERVER["PHP_SELF"]);
	else
		$file_name = "admin_closing_cost.php";

	$smarty->assign("formaction",$file_name);

	$rs = $dbconn->Execute("select id,name,priority from ".COSTS_COSTS_TABLE." order by priority");
	$rs2 = $dbconn->Execute("select count(*) from ".COSTS_COSTS_TABLE."");

	$table = array();
	$i=0;
	while (!$rs->EOF) {
		$table[$i]["id"] = $rs->fields["0"];
		$table[$i]["name"] = $rs->fields["1"];
		for ($c=1;$c <= $rs2->fields[0]; $c++){
			$table[$i]["priority"] .= "<option value='".$c."' ".(($c==$rs->fields[2])?"selected":"").">".$c."</option>";
		}
		$rs->MoveNext();
		$i++;
	}

	$smarty->assign("table",$table);
	$smarty->assign("header1", $admin_lang["header"]["content_management"]["header1"]);
	$smarty->assign("header2", $admin_lang["header"]["content_management_closing_cost"]["header2"]);
	$smarty->assign("hint", $admin_lang["admin_help"]["content_management_closing_cost"]);
	$smarty->display(TrimSlash($config["admin_theme_path"])."/admin_closing_index.tpl");
	exit;
}

function NewCost($id){	
	global $dbconn, $smarty, $config,$admin_lang;

	AdminMainMenu();
	if(isset($_SERVER["PHP_SELF"]))
		$file_name = AfterLastSlash($_SERVER["PHP_SELF"]);
	else
		$file_name = "admin_closing_cost.php";

	$smarty->assign("formaction",$file_name);

	if (isset($_GET["Submit"]) && $_GET["Submit"]=="Save") {
		if ($id && $id>0) {
			$rs = $dbconn->Execute("update ".COSTS_COSTS_TABLE." set name='".$_GET["name"]."' where id='".$id."'");
		} else {
			$rs = $dbconn->Execute("select max(priority) from ".COSTS_COSTS_TABLE."");
			if ($rs->RowCount()>0) {
				$priority = $rs->fields[0]+1;
			} else {
				$priority = 1;
			}
			$rs = $dbconn->Execute("insert into ".COSTS_COSTS_TABLE." (name,priority) values ('".$_GET["name"]."','".$priority."')");
		}
		header("Location: ".$file_name);
	}

	if (isset($id) && $id>0) {
		$rs=$dbconn->Execute("select id,name from ".COSTS_COSTS_TABLE." where id='".$id."'");
		$row = $rs->GetRowAssoc();
	} else {
		$row = array("ID"=>0,"NAME"=>"");
	}

	$smarty->assign("row",$row);
	$smarty->assign("header1", $admin_lang["header"]["content_management"]["header1"]);
	$smarty->assign("header2", $admin_lang["header"]["content_management_closing_cost_new"]["header2"]);
	$smarty->assign("hint", $admin_lang["admin_help"]["content_management_closing_cost_new"]);
	$smarty->display(TrimSlash($config["admin_theme_path"])."/admin_closing_new.tpl");
	exit;
}

function DeleteCost($id){	
	global $dbconn, $smarty, $config;

	if (isset($id) && $id>0) {
		$rs = $dbconn->Execute("delete from ".COSTS_COSTS_TABLE." where id='".$id."'");
		$rs = $dbconn->Execute("delete from ".COSTS_FEES_TABLE." where cost_id='".$id."'");
		$rs = $dbconn->Execute("delete from ".COSTS_TAX_TABLE." where cost_id='".$id."'");
	}
	View_cost();exit;
}

function DeleteParam($id){	
	global $dbconn, $smarty, $config;

	$fid = intval($_GET["fid"]);
	$tid = intval($_GET["tid"]);
	if ($fid){
		$rs = $dbconn->Execute("delete from ".COSTS_FEES_TABLE." where id='".$fid."'");
	}elseif ($tid) {
		$rs = $dbconn->Execute("delete from ".COSTS_TAX_TABLE." where id='".$tid."'");
	}
	View_param($id);exit;
}

function Change_Prior(){	
	global $dbconn, $smarty, $config;

	foreach ($_GET["priority"] as $key=>$value){
		$rs = $dbconn->Execute("update ".COSTS_COSTS_TABLE." set priority='".$value."' where id='".$key."'");
	}
	View_cost();exit;
}

function Change_Prior_param($id){	
	global $dbconn, $smarty, $config;

	$formnum = $_POST["formnum"]?intval($_POST["formnum"]):intval($_GET["formnum"]);
	if ($formnum==1){
		foreach ($_GET["priority1"] as $key => $value){
			$rs = $dbconn->Execute("update ".COSTS_FEES_TABLE." set priority='".$value."' where id='".$key."'");
		}
	}elseif ($formnum==2){
		foreach ($_GET["priority2"] as $key=>$value){
			$rs = $dbconn->Execute("update ".COSTS_TAX_TABLE." set priority='".$value."' where id='".$key."'");
		}
	}
	View_param($id);exit;
}

function Update_text_param($id){	
	global $dbconn, $smarty, $config;

	$formnum = $_POST["formnum"]?intval($_POST["formnum"]):intval($_GET["formnum"]);
	if ($formnum==3){
		$rs = $dbconn->Execute("update ".COSTS_COSTS_TABLE." set interest='".addslashes(trim($_POST["interest"]))."' where id='".$id."'");
	}elseif ($formnum==4){
		$rs = $dbconn->Execute("update ".COSTS_COSTS_TABLE." set property_tax='".addslashes(trim($_POST["property_tax"]))."' where id='".$id."'");
	}
	View_param($id);exit;
}

function View_param($cid){	
	global $dbconn, $smarty, $config,$admin_lang;

	AdminMainMenu();
	if(isset($_SERVER["PHP_SELF"]))
		$file_name = AfterLastSlash($_SERVER["PHP_SELF"]);
	else
		$file_name = "admin_closing_cost.php";

	$smarty->assign("formaction",$file_name);

	$rs = $dbconn->Execute("select name,interest,property_tax from ".COSTS_COSTS_TABLE." where id='".$cid."'");
	$name = stripslashes($rs->fields[0]);
	$interest = stripslashes($rs->fields[1]);
	$property_tax = stripslashes($rs->fields[2]);

	$rs2 = $dbconn->Execute("select id,_key,_value,priority from ".COSTS_FEES_TABLE." where cost_id='".$cid."' ORDER BY priority ");
	$rs3 = $dbconn->Execute("select id,_key,_value,priority from ".COSTS_TAX_TABLE." where cost_id='".$cid."' ORDER BY priority ");
	$rs4 = $dbconn->Execute("select count(*) from ".COSTS_FEES_TABLE." where cost_id='".$cid."'");

	$table = array();
	$i=0;
	while (!$rs2->EOF) {
		$table[$i]["id"] = $rs2->fields["0"];
		$table[$i]["cid"] = $cid;
		$table[$i]["_key"] = $rs2->fields["1"];
		$table[$i]["_value"] = $rs2->fields["2"];
		for ($c=1;$c <= $rs4->fields[0]; $c++){
			$table[$i]["priority"] .= "<option value='".$c."' ".(($c==$rs2->fields[3])?"selected":"").">".$c."</option>";
		}
		$rs2->MoveNext();
		$i++;
	}

	$rs4 = $dbconn->Execute("select count(*) from ".COSTS_TAX_TABLE." where cost_id='".$cid."'");
	$table1 = array();
	$i=0;
	while (!$rs3->EOF) {
		$table1[$i]["id"] = $rs3->fields["0"];
		$table1[$i]["cid"] = $cid;
		$table1[$i]["_key"] = $rs3->fields["1"];
		$table1[$i]["_value"] = $rs3->fields["2"];
		for ($c=1;$c <= $rs4->fields[0]; $c++){
			$table1[$i]["priority"] .= "<option value='".$c."' ".(($c==$rs3->fields[3])?"selected":"").">".$c."</option>";
		}
		$rs3->MoveNext();
		$i++;
	}

	$rs = $dbconn->Execute("select interest from ".COSTS_COSTS_TABLE." where id='".$cid."'");
	$rs2 = $dbconn->Execute("select property_tax from ".COSTS_COSTS_TABLE." where id='".$cid."'");

	$smarty->assign("form1",stripslashes($rs->fields[0]));
	$smarty->assign("form2",stripslashes($rs2->fields[0]));

	$smarty->assign("id",$cid);
	$smarty->assign("table",$table);
	$smarty->assign("table1",$table1);
	$smarty->assign("header1", $admin_lang["header"]["content_management"]["header1"]);
	$smarty->assign("header2", $admin_lang["header"]["content_management_closing_cost_param"]["header2"]);
	$smarty->assign("hint", $admin_lang["admin_help"]["content_management_closing_cost_param"]);
	$smarty->display(TrimSlash($config["admin_theme_path"])."/admin_closing_cost.tpl");
	exit;
}

function New_param($id){	
	global $dbconn, $smarty, $config,$admin_lang;

	AdminMainMenu();
	if(isset($_SERVER["PHP_SELF"]))
		$file_name = AfterLastSlash($_SERVER["PHP_SELF"]);
	else
		$file_name = "admin_closing_cost.php";

	$smarty->assign("formaction",$file_name);

	$cid = intval($_GET["cid"]);

	if (isset($_GET["Submit"]) && $_GET["Submit"]=="Save") {
		if ($id && $id>0) {
			if ( $_GET["a"] == "fees") {
				$rs = $dbconn->Execute("update ".COSTS_FEES_TABLE." set _key='".addslashes($_GET["_key"])."', _value='".addslashes($_GET["_value"])."' where id='".$id."'");
			} elseif ($_GET["a"] == "tax") {
				$rs = $dbconn->Execute("update ".COSTS_TAX_TABLE." set _key='".addslashes($_GET["_key"])."', _value='".addslashes($_GET["_value"])."' where id='".$id."'");
			}
		} else {
			if ( $_GET["a"] == "fees") {
				$rs = $dbconn->Execute("select max(priority) from ".COSTS_FEES_TABLE." where cost_id='".$cid."'");
				if ($rs->RowCount()>0) {
					$priority = $rs->fields[0]+1;
				} else {
					$priority = 1;
				}
				$rs = $dbconn->Execute("insert into ".COSTS_FEES_TABLE." (cost_id,_key,_value,priority) values ('".$cid."','".addslashes($_GET["_key"])."','".addslashes($_GET["_value"])."','".$priority."')");
			} elseif ($_GET["a"] == "tax") {
				$rs = $dbconn->Execute("select max(priority) from ".COSTS_TAX_TABLE." where cost_id='".$cid."'");
				if ($rs->RowCount()>0) {
					$priority = $rs->fields[0]+1;
				} else {
					$priority = 1;
				}
				$rs = $dbconn->Execute("insert into ".COSTS_TAX_TABLE." (cost_id,_key,_value,priority) values ('".$cid."','".addslashes($_GET["_key"])."','".addslashes($_GET["_value"])."','".$priority."')");
			}
		}
		View_param($cid);exit;
	}

	if (isset($id) && $id>0) {
		if ( $_GET["a"] == "fees") {
			$rs=$dbconn->Execute("select id,_key,_value from ".COSTS_FEES_TABLE." where id='".$id."'");
		} elseif ($_GET["a"]=="tax") {
			$rs=$dbconn->Execute("select id,_key,_value from ".COSTS_TAX_TABLE." where id='".$id."'");
		}
		$row = $rs->GetRowAssoc();
	} else {
		$row = array("ID"=>0,"_KEY"=>"","_VALUE"=>"");
	}

	$smarty->assign("row",$row);
	$smarty->assign("id",$id);
	$smarty->assign("cid",$cid);
	$smarty->assign("a",$_GET["a"]);
	$smarty->assign("header1", $admin_lang["header"]["content_management"]["header1"]);
	$smarty->assign("header2", $admin_lang["header"]["content_management_closing_cost_param_add"]["header2"]);
	$smarty->assign("hint",$admin_lang["admin_help"]["content_management_closing_cost_param_add"]);
	$smarty->display(TrimSlash($config["admin_theme_path"])."/admin_closing_newc.tpl");
	exit;
}
?>