<?php
include "../common.php";
include "../include/config_admin.php";
include "../include/functions_admin.php";

if ($user['root']==0 || $user['id'] == 0 || !isset($user['id'])){
	PermissionError($lang['err']['not_perm']);
	exit;
}

@$sel = isset($_POST["sel"])?addslashes($_POST["sel"]):addslashes($_GET["sel"]);
@$section = isset($_POST["section"])?intval($_POST["section"]):intval($_GET["section"]);
@$id = intval($_POST["id"]);
switch ($sel){
	case "on_off"		:	 	On_off($section);
	case "edit"			:		Edit($section);
	case "down"			: 		Down($section);
	case "up" 			: 		Up($section);
	case "save_content"	:		Save_content($id, $section);
	default				:		View_cont_manage($section);
}

function View_cont_manage($section){	
	global $dbconn, $smarty, $admin_lang,$config; 
	AdminMainMenu();
	
	$form["action"] = (isset($_SERVER["PHP_SELF"])) ? AfterLastSlash($_SERVER["PHP_SELF"]) : "admin_content_manage.php"; 
	$section = $section ? $section : 1;	 	
	
	$strSQL = "select * from ".PAGE_SECTION." where id!=8 order by id ";
	$rs = $dbconn->Execute($strSQL);
	$i=0;
	$sections = array();
	while(!$rs->EOF){
		$row = $rs->GetRowAssoc(false);
		$sections[$i]["id"] = $row["id"];
		$sections[$i]["id_page"] = $row["page_id"];
		$sections[$i]["name"] = $admin_lang["content_manage"]["section_{$sections[$i]["id"]}"];
		$rs->MoveNext();
		$i++;
	}	
	$smarty->assign("sections",$sections);
	
	$lang=new MultiLang($config, $dbconn);
	$strSQL = "select id, order_followin, visible  from ".PAGES_TABLE." where id_section={$section} order by order_followin";
	$rs = $dbconn->Execute($strSQL);
	$i=0;
	while(!$rs->EOF){
		$row = $rs->GetRowAssoc(false);
		$pages[$i]["id"] = $row["id"];
		$pages[$i]["page_name"] = GetPageName($pages[$i]["id"],$lang->TableName($section));
		$pages[$i]["order_followin"] = $row["order_followin"];
		$pages[$i]["visible"] = $row["visible"];
		$pages[$i]["up_link"] = "{$config["server"]}/admin/{$form["action"]}?sel=up&id={$pages[$i]["id"]}&section={$section}";
		$pages[$i]["down_link"] = "{$config["server"]}/admin/{$form["action"]}?sel=down&id={$pages[$i]["id"]}&section={$section}";
		$rs->MoveNext();
		$i++;
	}	
	$smarty->assign("pages",$pages);
	
	$smarty->assign("form",$form);
	unset($lang);
	$smarty->assign("section",$section);
	$smarty->assign("mode","view");
	$smarty->assign("header1", $admin_lang["header"]["content_management"]["header1"]);
	$smarty->assign("header2", $admin_lang["header"]["content_management"]["header2"]);
	$smarty->assign("hint", $admin_lang["admin_help"]["content_management"]);
	$smarty->display(TrimSlash($config["admin_theme_path"])."/admin_content_manage.tpl");
}
	
function Edit($section){
	global $dbconn, $smarty, $config, $admin_lang;
	
	AdminMainMenu();
	$form["action"] = (isset($_SERVER["PHP_SELF"])) ? AfterLastSlash($_SERVER["PHP_SELF"]) : "admin_content_manage.php";
	$id = intval($_GET["id"]);
	if($id!=0){
		$strSQL = "select content from ".PAGE_CONTENT_TABLE." where id_page={$id} and id_lang={$config["default_lang"]}";
		$rs = $dbconn->Execute($strSQL);
		$content = stripslashes($rs->fields[0]);
	
		$lang=new MultiLang($config, $dbconn);
		$lang->TableName($section);
		$pagename = GetPageName($id,$lang->TableName($section));
		$smarty->assign("pagename",$pagename);
		unset($lang);
	
		$strSQL = "select sign from ".PAGES_TABLE." where id={$id} and id_section={$section}";
		$rs1 = $dbconn->Execute($strSQL);
		$smarty->assign("sign",$rs1->fields[0]);
	}else{
		$$id=0;
		$content="";
		$smarty->assign("sign",0);
		$smarty->assign("pagename","");
	}
	
	//Initialize FCKEditor
	include_once "../fckeditor/fckeditor.php";

	$editor=new FCKeditor('code');
	$editor->Value=html_entity_decode(stripslashes($content));
	$editor->Width='100%';
	$editor->Height='300';
	$editor->BasePath=$config["server"].'/fckeditor/';
	$editor->Config['CustomCSS']=$config["site_root"].$config["admin_theme"].'/css/style.css';
	$smarty->assign("text",$editor->CreateHtml());
	//Initialize FCKEditor

	$smarty->assign("id",$id);
	$smarty->assign("section",$section);
	$smarty->assign("form",$form);
	$smarty->assign("mode","edit");
	$smarty->assign("header1", $admin_lang["header"]["content_management"]["header1"]);
	$smarty->assign("header2", $admin_lang["header"]["content_management_edit_page"]["header2"]);
	$smarty->assign("hint", $admin_lang["admin_help"]["content_management_edit_page"]);
	$smarty->display(TrimSlash($config["admin_theme_path"])."/admin_content_manage.tpl");
	exit;
}

function Save_content($id, $section){
	global $smarty, $dbconn, $config;

	$sign = (isset($_POST["sign"])) ? 1 : 0;
	$lang=new MultiLang($config, $dbconn);
	
	if($id==0){
		$rs=$dbconn->Execute("SELECT max(order_followin) FROM ".PAGES_TABLE." WHERE id_section={$section} GROUP BY id_section");
		$order_followin = $rs->fields[0]+1;
		
		$dbconn->Execute("insert INTO ".PAGES_TABLE."(id, id_section, page_name, order_followin, sign, visible) VALUES(NULL, {$section}, '".addslashes($_POST["pagename"])."', {$order_followin}, '{$sign}','0')");
		$id = $dbconn->Insert_ID();
		$dbconn->Execute("insert INTO ".PAGE_LINK_TABLE."(id, page_id, link) VALUES(NULL, {$id}, 'page.php?id={$id}&section={$section}')");
		
		$dbconn->Execute("insert INTO ".PAGE_CONTENT_TABLE." (id_page, id_lang, page_name, content) VALUES({$id},{$config["default_lang"]},'".addslashes($_POST["pagename"])."' ,'".addslashes($_POST["code"])."')");
		$dbconn->Execute("insert INTO ".REFERENCE_TABLE." (id_section, id_references, ".$lang->DiffFieldName($config["default_lang"]).") VALUES({$section},{$id},'".addslashes($_POST["pagename"])."')");
	}else{
		$dbconn->Execute("update ".PAGE_CONTENT_TABLE." set content='".addslashes($_POST["code"])."' where id_page={$id} and id_lang={$config["default_lang"]}");
		$dbconn->Execute("update ".REFERENCE_TABLE." set ".$lang->DiffFieldName($config["default_lang"])."='".addslashes($_POST["pagename"])."' where id_references={$id} and id_section={$section}");
		$dbconn->Execute("update ".PAGES_TABLE." set sign='{$sign}' where id={$id}");
		$dbconn->Execute("update ".PAGES_TABLE." set page_name='".addslashes($_POST["pagename"])."' where id={$id}");
	}
	
	View_cont_manage($section);
	exit;
}

function Down($section){
	global $dbconn;
	$id = intval($_GET["id"]);

	if(!$id) View_cont_manage($section);
	
	$rs = $dbconn->Execute("select id, order_followin FROM ".PAGES_TABLE." where id={$id} and id_section ={$section}");
	if ($rs->RowCount()>0){
		$id_tek = $rs->fields[0];
		$order_followin = $rs->fields[1];
	}
	$rs = $dbconn->Execute("Select id, order_followin from ".PAGES_TABLE." where order_followin>{$order_followin} and id_section ={$section} order by order_followin");
	if ($rs->RowCount()>0){
		$id_new = $rs->fields[0];
		$order_followin_new = $rs->fields[1];
	}
	if(intval($id_new)){
		$dbconn->Execute("Update ".PAGES_TABLE." set order_followin={$order_followin} where id={$id_new}");
		$dbconn->Execute("Update ".PAGES_TABLE." set order_followin={$order_followin_new} where id={$id_tek}");
	}
	View_cont_manage($section);exit;
}

function Up($section){
	global $dbconn;
	$id = intval($_GET["id"]);

	if(!$id) View_cont_manage($section);
	
	$rs = $dbconn->Execute("select id, order_followin FROM ".PAGES_TABLE." where id={$id} and id_section ={$section}");
	if ($rs->RowCount()>0){
		$id_tek = $rs->fields[0];
		$order_followin = $rs->fields[1];
	}
	$rs = $dbconn->Execute("Select id, order_followin from ".PAGES_TABLE." where order_followin<{$order_followin} and id_section ={$section} order by order_followin");
	if ($rs->RowCount()>0){
		$id_new = $rs->fields[0];
		$order_followin_new = $rs->fields[1];
	}
	if(intval($id_new)){
		$dbconn->Execute("Update ".PAGES_TABLE." set order_followin={$order_followin} where id={$id_new} and id_section ={$section}");
		$dbconn->Execute("Update ".PAGES_TABLE." set order_followin={$order_followin_new} where id={$id_tek} and id_section ={$section}");
	}
	View_cont_manage($section);exit;
}

function On_off($section){
	global $dbconn, $smarty, $config;
	$id = intval($_GET["id"]);
	if(empty($id)){View_cont_manage($section);exit;}
	
	$rs = $dbconn->Execute("select visible from ".PAGES_TABLE." where id={$id} and id_section={$section}");
	if($rs->RowCount()>0){
		if($rs->fields[0] == "0"){
			$dbconn->Execute("update ".PAGES_TABLE." set visible='1' where id={$id} and id_section={$section}");
		}else{
			$dbconn->Execute("update ".PAGES_TABLE." set visible='0' where id={$id} and id_section={$section}");
		}
	}
	View_cont_manage($section);
	exit;
}

?>		