<?php
include "../common.php";
include "../include/config_admin.php";
include "../include/functions_admin.php";
include "../include/class.news.php";

if ($user['root']==0 || $user['id'] == 0 || !isset($user['id'])){
	PermissionError($lang['err']['not_perm']);
	exit;
}elseif(isset($user['id']) && $user['root']==1){
	HomePage();
}

function HomePage(){
	global $smarty, $dbconn, $config, $admin_lang;
	
	AdminMainMenu();

	if(isset($_SERVER["PHP_SELF"]))
		$file_name = AfterLastSlash($_SERVER["PHP_SELF"]);
	else
		$file_name = "admin_homepage.php";

//// Quick status
	$qstat = QuickStatus();
	$smarty->assign("qstat", $qstat);
//// \Quick status
	switch ($config["default_location"]) {
		case "1": $country_type = "usa"; break;
		case "2": $country_type = "uk"; break;
	}
/////////////// Schedule closing
	$strSQL = "select distinct user_name from ".APPLICATION_FORM_TABLE." Where country_type='{$country_type}' order by user_name";
	$rs = $dbconn->Execute($strSQL);
	$i = 0;
	if($rs->RowCount()>0){
		while(!$rs->EOF){
			$row = $rs->GetRowAssoc(false);
			$users[$i]["name"] = stripslashes($row["user_name"]);
			$rs->MoveNext();
			$i++;
		}
	}
	$smarty->assign("users", $users);
	$smarty->assign("file_name", $file_name);

/////////////// My reminders

	$strSQL = "select date, DATE_FORMAT(time,'%H-%i') as time, descr from ".REMINDERS_TABLE." where user_id=0 and (date = DATE_FORMAT(NOW(),'%Y-%m-%d') or date = DATE_FORMAT(DATE_ADD(NOW(),INTERVAL 1 DAY),'%Y-%m-%d')) order by date,time";
	$rs = $dbconn->Execute($strSQL);
	$i = 0;
	if($rs->RowCount()>0){
		while(!$rs->EOF){
			$row = $rs->GetRowAssoc(false);
			$reminders[$i]["date"] = $row["date"];
			$reminders[$i]["time"] = $row["time"];
			$reminders[$i]["descr"] = stripslashes($row["descr"]);
			$rs->MoveNext();
			$i++;
		}
	}else{
		$reminders["empty"] = $admin_lang["reminders"]["empty"];
	}
	$smarty->assign("reminders", $reminders);

	//////////////////
	///// pilotgroup content ///////////////////////////////////////////////
	include_once "../include/Snoopy.class.php";
	@ini_set("max_execution_time",0);
	$url_version = "http://www.pilotgroup.net/feeder/mortgage/version.php";
	$url_forum = "http://www.pilotgroup.net/feeder/mortgage/forum.php";

	$snoopy = new Snoopy;
	
	$snoopy->fetch($url_version);
	$txt_version = @$snoopy->results;
	$cod_version = @$snoopy->response_code;
	$out_version = @$snoopy->timed_out;
	
	@$snoopy->fetch($url_forum);
	$txt_forum = @$snoopy->results;
	$cod_forum = @$snoopy->response_code;
	$out_forum = @$snoopy->timed_out;
	
	if (!empty($txt_version) && preg_match("/200/",$cod_version) && !$out_forum && !empty($txt_forum) && preg_match("/200/",$cod_forum)) {
		$smarty->assign("page_type","start");
		if (!isset($_SESSION["new_version"])) $_SESSION["new_version"] = check_new_version($txt_version);
		$smarty->assign("new_version", $_SESSION["new_version"]);
		$smarty->assign("txt_forum", $txt_forum);
	}else{
		$smarty->assign("page_type","");
	}
	///// \pilotgroup content ///////////////////////////////////////////////
	$admin_menu = parse("{$config["site_path"]}{$_SESSION["path_lang"]}/admin_menu.xml");
	$smarty->assign("admin_menu", $admin_menu);

	$smarty->assign("header1", $admin_lang["header"]["homepage"]["header1"]);
	$smarty->assign("header2", $admin_lang["header"]["homepage"]["header2"]);
	$smarty->assign("hint", $admin_lang["admin_help"]["homepage"]);
	$smarty->display(TrimSlash($config["admin_theme_path"])."/admin_homepage.tpl");
	exit;
}

function check_new_version($cur_version)
{
	global $dbconn, $user;

	$settings = GetSiteSettings(array('pilot_mortgage_version'));
	$version = $settings['pilot_mortgage_version'];

	$month["JAN"] = "01";
	$month["FEB"] = "02";
	$month["MAR"] = "03";
	$month["APR"] = "04";
	$month["MAY"] = "05";
	$month["JUN"] = "06";
	$month["JUL"] = "07";
	$month["AUG"] = "08";
	$month["SEP"] = "09";
	$month["OCT"] = "10";
	$month["NOV"] = "11";
	$month["DEC"] = "12";

	$cur_version_arr = explode("_",$cur_version);
	$version_arr = explode("_",$version);

	$new_version = false;
	if (intval($cur_version_arr[1]) > intval($version_arr[1]))
		$new_version = true;
	elseif (intval($month[$cur_version_arr[0]]) > intval($month[$version_arr[0]]))
		$new_version = true;
	elseif (intval($cur_version_arr[2]) > intval($version_arr[2]))
		$new_version = true;

	if ($new_version) {
		$rs = $dbconn->Execute("select login_count from ".USERS_TABLE." where id=".$user["id"]);
		if ($rs->fields[0] <= 4) {
			$dbconn->Execute("update ".USERS_TABLE." set login_count=login_count+1 where id=".$user["id"]);
			return $cur_version;
		} else {
			$dbconn->Execute("update ".USERS_TABLE." set login_count=0 where id=".$user["id"]);
			$dbconn->Execute("update ".SETTINGS_TABLE." set value='".$cur_version."' where name='pilot_mortgage_version'");
		}
	}

	return null;
}
?>