<?php
include "../common.php";
include "../include/config_admin.php";
include "../include/functions_admin.php";

if ($user['root']==0 || $user['id'] == 0 || !isset($user['id'])){
	PermissionError($lang['err']['not_perm']);
	exit;
}

$sel = $_POST["sel"]?addslashes($_POST["sel"]):addslashes($_GET["sel"]);
$id = $_POST["id"]?intval($_POST["id"]):intval($_GET["id"]);
switch ($sel){
	case "add"			:	AddLoanOfficer($id);
	case "delete"		:	Delete($id);
	case "on_off"		:	On_off($id);
	case "reply"        :	Reply($id);
	case "subscribe"	:	Subscribe();
	case "profile"		:	Profile($id);
	default				: 	ViewLoanOfficer($id);
}
	
function ViewLoanOfficer(){	
	global $dbconn, $smarty, $config, $admin_lang; 
	
	AdminMainMenu();

	if(isset($_SERVER["PHP_SELF"]))
		$file_name = AfterLastSlash($_SERVER["PHP_SELF"]);
	else
		$file_name = "admin_loan_officer.php";

	$rs=$dbconn->Execute("select id,name,email,login,status from ".LOAN_OFFICER_TABLE." order by id");
	$officers = array();
	$c = 0;

	while (!$rs->EOF) {
		$row = $rs->GetRowAssoc(false);
		$officers[$c]["id"] = $row["id"];
		$officers[$c]["name"] = $row["name"];
		$officers[$c]["email"] = $row["email"];
		$officers[$c]["login"] = $row["login"];
		$officers[$c]["status"] = $row["status"];
		$c++;
		$rs->MoveNext();
	}
	$form["action"] = $file_name;
	$smarty->assign("form",$form);
	$smarty->assign("officers",$officers);
	$smarty->assign("header1", $admin_lang["header"]["customers_management"]["header1"]);
	$smarty->assign("header2", $admin_lang["header"]["loan_officers"]["header2"]);
	$smarty->assign("hint", $admin_lang["admin_help"]["loan_officers"]);
	$smarty->display(TrimSlash($config["admin_theme_path"])."/admin_rate_watch_index.tpl");
	exit;
}

function Delete($id){
	global $dbconn, $smarty, $config;
	
	if(empty($id)){
		ViewLoanOfficer();exit;
	}
	$rs = $dbconn->Execute("delete from ".LOAN_OFFICER_TABLE." where id='".$id."'");
	ViewLoanOfficer();
	exit;
	
}

function On_off($id){
	global $dbconn, $smarty, $config;

	if(empty($id)){
		ViewLoanOfficer();exit;
	}
	$rs = $dbconn->Execute("select status from ".LOAN_OFFICER_TABLE." where id='".$id."'");
	if($rs->fields[0] == "0"){
		$dbconn->Execute("update ".LOAN_OFFICER_TABLE." set status='1' where id='".$id."'");
	}else{
		$dbconn->Execute("update ".LOAN_OFFICER_TABLE." set status='0' where id='".$id."'");
	}
	ViewLoanOfficer();
	exit;
	
}

function AddLoanOfficer($id){	
	global $dbconn, $smarty, $config, $lang, $admin_lang, $user;

	AdminMainMenu();

	if(isset($_SERVER["PHP_SELF"]))
	$file_name = AfterLastSlash($_SERVER["PHP_SELF"]);
	else
	$file_name = "admin_loan_officer.php";

	$error = "";
	if (isset($_POST["Submit"]) && $_POST["Submit"]=="Save Changes") {
		if ($_POST["name"] == "")
		$error .= $lang["err"]["empty_field_name"]."<br>";
		if ($_POST["email"] == "")
		$error .= $lang["err"]["empty_field_email"]."<br>";
		if ($_POST["login"] == "")
		$error .= $lang["err"]["empty_field_login"]."<br>";
		if ($_POST["pass"] == "")
		$error .= $lang["err"]["empty_field_pass"]."<br>";

		if (isset($id) && $id == 0){
			$rs = $dbconn->Execute("SELECT id FROM ".LOAN_OFFICER_TABLE." WHERE  name='".addslashes($_POST["name"])."'");
			if ($rs->RowCount() > 0)
			$error .= $lang["err"]["exists_name"]."<br>";

			$rs = $dbconn->Execute("SELECT id FROM ".LOAN_OFFICER_TABLE." WHERE  email='".addslashes($_GET["email"])."'");
			if ($rs->RowCount() > 0)
			$error .= $lang["err"]["exists_email"]."<br>";

			$rs = $dbconn->Execute("SELECT id FROM ".LOAN_OFFICER_TABLE." WHERE  login='".addslashes($_POST["login"])."'");
			if ($rs->RowCount() > 0)
			$error .= $lang["err"]["exists_login"]."<br>";
		}

		if ($error == ""){
			if ($id && $id>0) {
				$rs = $dbconn->Execute("UPDATE ".LOAN_OFFICER_TABLE." SET name='".addslashes(trim($_POST["name"]))."',email='".addslashes(trim($_POST["email"]))."',login='".addslashes(trim($_POST["login"]))."',pass='".md5(addslashes(trim($_POST["pass"])))."' WHERE id='".$id."'");
			}else{
				$rs = $dbconn->Execute("insert into ".LOAN_OFFICER_TABLE." (name,email,login,pass) values ('".addslashes(trim($_POST["name"]))."','".addslashes(trim($_POST["email"]))."','".addslashes(trim($_POST["login"]))."','".md5(addslashes(trim($_POST["pass"])))."')");
			}
		}

		$rs = $dbconn->Execute("select id from ".CRM_CUSTOMER_TABLE." where contact_email='".addslashes(trim($_POST["email"]))."'");
		if ($rs->RowCount() < 1) {
			$rs = $dbconn->Execute("insert into ".CRM_CUSTOMER_TABLE." (custname,contact,contact_title,contact_phone,contact_email,cust_address,cust_remarks,cust_homepage)
                                values ('".addslashes(trim($_POST["name"]))."',
                                       '".addslashes(trim($_POST["name"]))."',
                                       'Mr.','',
                                       '".addslashes(trim($_POST["email"]))."',
                                       '',
                                       'Loan Officer',
                                       '')");
		}
		// Send email
		$headers = "From: <".$user["email"].">\r\n";
		$headers .= "X-Mailer: PHP/".phpversion()."\r\n";
		$headers .= "X-Priority: 0\r\n";
		$headers .= "MIME-Version: 1.0\r\n";
		$headers .= "Content-type: text/html; charset=utf-8\r\n";

		$subject = $admin_lang["loan_officers"]["panel"];

		$message = $admin_lang["dear"]." ".addslashes(trim($_POST["name"]))."\r\n";
		$message .= $admin_lang["loan_officers"]["mailto"]." ".$config["server"]."/loan_offisers/\r\n";
		$message .= $admin_lang["login"].": ".addslashes(trim($_POST["login"]))."\r\n";
		$message .= $admin_lang["password"].": ".addslashes(trim($_POST["pass"]))."\r\n";

		mail ($_POST["email"],$subject,$message, $headers);
		//

		if ($error == ""){
			ViewLoanOfficer();
			exit;
		}
		
	}

	if (isset($id) && $id>0) {
		$rs=$dbconn->Execute("select id,name,email from ".LOAN_OFFICER_TABLE." where id='".$id."'");
		$row = $rs->GetRowAssoc();
	} else {
		$row = array("id"=>0,"name"=>"","email"=>"","login"=>"","pass"=>"");
	}

	$smarty->assign("error",$error);
	$smarty->assign("row",$row);
	$smarty->assign("header1", $admin_lang["header"]["customers_management"]["header1"]);
	$smarty->assign("header2", $admin_lang["header"]["loan_officers_add"]["header2"]);
	$smarty->assign("hint", $admin_lang["admin_help"]["loan_officers_add"]);
	$smarty->display(TrimSlash($config["admin_theme_path"])."/admin_rate_watch_new.tpl");
	exit;
}

function Subscribe(){	
	global $dbconn, $smarty, $config, $admin_lang;

	AdminMainMenu();

	if(isset($_SERVER["PHP_SELF"]))
		$file_name = AfterLastSlash($_SERVER["PHP_SELF"]);
	else
		$file_name = "admin_loan_officer.php";

	if (isset($_GET["action"])){
		$id = $_POST["id"]?intval($_POST["id"]):intval($_GET["id"]);
		switch ($_GET["action"]) {
			case "unsubscribe":
				$rs = $dbconn->Execute("update ".RATE_WATCH_TABLE." set subscribed='N' where id='".$id."'");
				break;
			case "subscribe":
				$rs = $dbconn->Execute("update ".RATE_WATCH_TABLE." set subscribed='Y' where id='".$id."'");
				break;
			case "delete":
				$rs = $dbconn->Execute("select email from ".RATE_WATCH_TABLE." where id='".$id."'");
				$email = $rs->fields[0];
				$rs = $dbconn->Execute("delete from ".RATE_WATCH_TABLE." where id='".$id."'");
				$rs = $dbconn->Execute("delete from ".CRM_CUSTOMER_TABLE." where contact_email='".$email."'");
				break;
		}
	}

	$rs = $dbconn->Execute("select id,first_name,last_name,email,city,state,frequency,subscribed,last_mail from ".RATE_WATCH_TABLE."");
	$rate_watch = array();
	$c = 0;

	while (!$rs->EOF) {
		$row = $rs->GetRowAssoc(false);
		$rate_watch[$c]["id"] = $row["id"];
		$rate_watch[$c]["first_name"] = $row["first_name"];
		$rate_watch[$c]["last_name"] = $row["last_name"];
		$rate_watch[$c]["email"] = $row["email"];
		$rate_watch[$c]["city"] = $row["city"];
		$rate_watch[$c]["state"] = $row["state"];
		$rate_watch[$c]["frequency"] = $row["frequency"];
		$rate_watch[$c]["subscribed"] = GetYesOrNo($row["subscribed"]);
		$rate_watch[$c]["last_mail"] = $row["last_mail"];

		$c++;
		$rs->MoveNext();
	}
	
	$form["action"] = $file_name;
	$smarty->assign("form",$form);
	$smarty->assign("rate_watch",$rate_watch);
	$smarty->assign("header1", $admin_lang["header"]["customers_management"]["header1"]);
	$smarty->assign("header2", $admin_lang["header"]["subscribe"]["header2"]);
	$smarty->assign("hint", $admin_lang["admin_help"]["subscribe"]);
	$smarty->display(TrimSlash($config["admin_theme_path"])."/admin_rate_watch_subscribe.tpl");
	exit;
}

function GetYesOrNo($string) {
   switch ($string) {
      case "Y":
          return "Yes";
          break;
      case "N":
          return "No";
          break;
      default:
          return $string;
          break;
   }
}

function Profile($id){	
	global $dbconn, $smarty, $config, $user, $admin_lang;

	AdminMainMenu();

	if(isset($_SERVER["PHP_SELF"]))
		$file_name = AfterLastSlash($_SERVER["PHP_SELF"]);
	else
		$file_name = "admin_loan_officer.php";

	if (isset($id) && $id>0) {
		$rs = $dbconn->Execute("select * from ".RATE_WATCH_TABLE." where id='".$id."'");
		$row = $rs->GetRowAssoc();

		if ($row["LOAN_OFFICER_ID"]) {
			$sql = " where id='".$row["LOAN_OFFICER_ID"]."'";
		} else {
			$sql = "";
		}
		$rs2 = $dbconn->Execute("select name,email from ".LOAN_OFFICER_TABLE."".$sql);
		if ($rs2->RowCount()) {
			$officer_email = $rs2->fields[1];
			$officer_name = $rs2->fields[0];
		} else {
			$settings = GetSiteSettings(array("admin_mail"));
			$officer_email = $settings["admin_mail"];
			$officer_name = $user["name"];
		}

		$smarty->assign("officer_name",$officer_name);
		$smarty->assign("officer_email",$officer_email);
		$smarty->assign("row",$row);
		$smarty->assign("header1", $admin_lang["header"]["subscriber_profile"]["header1"]);
		$smarty->assign("header2", $admin_lang["header"]["subscriber_profile"]["header2"]);
		$smarty->assign("hint", $admin_lang["admin_help"]["subscriber_profile"]);
		$smarty->display(TrimSlash($config["admin_theme_path"])."/admin_rate_watch_profile.tpl");
		exit;
	}else{
		Subscribe();exit;
	}
}
?>