<?php
include "../common.php";
include "../include/config_admin.php";
include "../include/functions_admin.php";

if ($user['root']==0 || $user['id'] == 0 || !isset($user['id'])){
	PermissionError($lang['err']['not_perm']);
	exit;
}

switch($_REQUEST["action"]){
	case "upd_f"    : UpdateFeeds(); break;
	case "add"      : AddNew(); break;
	case "add_f"    : AddFeed(); break;
	case "edit_f"   : EditFormFeed("edit"); break;
	case "delete"   : Delete_Rec($_REQUEST["id"], "news"); break;
  	case "delete_f" : Delete_Rec($_REQUEST["id"], "feeds"); break;
	case "change_f" : ChangeFeed(); break;
	default: ListNews();
}

function AddNew(){
	global $smarty, $dbconn, $page, $config, $admin_lang;
	AdminMainMenu();
	$file_name = (isset($_SERVER["PHP_SELF"]))?AfterLastSlash($_SERVER["PHP_SELF"]):"admin_news.php";
	
	$form["action"] = $file_name;
	$page = $_REQUEST["page"];
	if(!intval($page)) $page=1;
	$id = intval($_GET["id"]);

	if (isset($_POST["Submit"]) && $_POST["Submit"]=="Save") {
		if ($_POST["id"] && $_POST["id"]>0) {
			$rs = $dbconn->Execute("update ".NEWS_TABLE." set subject='".addslashes(trim($_POST["subject"]))."',body='".addslashes(trim($_POST["body"]))."', status='{$_REQUEST["status"]}' where id='".intval($_POST["id"])."'");
		} else {
			$rs = $dbconn->Execute("insert into ".NEWS_TABLE." (subject,body,date,status) values ('".addslashes(trim($_POST["subject"]))."','".addslashes(trim($_POST["body"]))."',NOW(), '{$_REQUEST["status"]}')");
		}
		ListNews();
	}

	if (isset($id) && $id>0) {
		$rs=$dbconn->Execute("select id,subject,body,date,status from ".NEWS_TABLE." where id='{$id}'");
		$row = $rs->GetRowAssoc();
	} else {
		$row = array("id"=>0,"subject"=>"","body"=>"");
	}

	$smarty->assign("page",$page);
	$smarty->assign("row",$row);
	$smarty->assign("form", $form);
	$smarty->assign("header1", $admin_lang["header"]["content_management"]["header1"]);
	$smarty->assign("header2", $admin_lang["header"]["news_add"]["header2"]);
	$smarty->assign("hint", $admin_lang["admin_help"]["news_add"]);
	$smarty->display(TrimSlash($config["admin_theme_path"])."/admin_news_new.tpl");
	exit;
}

function AddFeed(){
	global $smarty, $dbconn, $page, $config, $lang;

	AdminMainMenu();

	$link = $_POST["link"];
	$status = intval($_POST["status"]);
	$max_news = intval($_POST["max_news"]);
	$image_file=$_FILES["image_file"];
	$e = $_POST["e"];
	if(!strlen($link)){
		if($e){
			$err = $lang["err"]["invalid_feilds"]." Link";
		}
		EditFormFeed("add", $err);
	}
	$rss_array = array();
	$rss_array = rss2array($link);

	if (count($rss_array["errors"])){
		if($e){
			$err = $lang["err"]["no_feeds"];
		}
		EditFormFeed("add", $err);
	}
	//////// save feed
	$dbconn->Execute("insert into ".NEWS_FEEDS_TABLE." (date_update, link, max_news, status) values (now(), '".$link."', '".$max_news."', '".$status."')");
	ListNews(); return;
}

function ChangeFeed(){
	global $smarty, $dbconn, $page, $config;

	AdminMainMenu();

	$id = $_POST["id"];
	if(!$id)  { ListNews(); return;}

	$link = $_POST["link"];
	$status = intval($_POST["status"]);
	$max_news = intval($_POST["max_news"]);
	$image_file=$_FILES["image_file"];
	if(!strlen($link)){
		if($e){
			$err = $lang["err"]["invalid_feilds"]." Link";
		}
		EditFormFeed("edit", $err);
	}
	$rss_array = array();
	$rss_array = rss2array($link);
	if (count($rss_array["errors"])) {
		if($e){
			$err = $lang["err"]["no_feeds"];
		}
		EditFormFeed("add", $err);
	}
	//////// save feed
	$dbconn->Execute("UPDATE ".NEWS_FEEDS_TABLE." SET link='".$link."', max_news='".$max_news."', status='".$status."' where id='".$id."' ");
	ListNews();
	return;
}
          
function EditFormFeed($par, $err=""){
	global $smarty, $dbconn, $page, $config, $admin_lang;

	AdminMainMenu();

	$file_name = (isset($_SERVER["PHP_SELF"]))?AfterLastSlash($_SERVER["PHP_SELF"]):"admin_news.php";

	$page = $_POST["page"]?$_POST["page"]:$_GET["page"];
	if(!intval($page)) $page=1;

	if($err){
		$form["err"] = $err;
		$data = $_POST;
	}
	if($par != "add"){
		global $id;

		if(!$id) $id = $_GET["id"];

		if(!$err){
			if(!$id){ ListNews(); return;}
			$strSQL = "select id, link, status, max_news from ".NEWS_FEEDS_TABLE." where id='".$id."'";
			$rs = $dbconn->Execute($strSQL);
			$row = $rs->GetRowAssoc(false);
			$data["link"] = $row["link"];
			$data["status"] = FormFilter($row["status"]);
			$data["max_news"] = FormFilter($row["max_news"]);
			if(!$data["max_news"])$data["all"] = 1;
		}

		$form["hiddens"] = "<input type=hidden name=action value=change_f>";
		$form["hiddens"] .= "<input type=hidden name=e value=1>";
		$form["hiddens"] .= "<input type=hidden name=page value=\"".$page."\">";
		$form["hiddens"] .= "<input type=hidden name=id value=\"".$id."\">";
	}else{
		$data["status"] = 1;

		$form["hiddens"] = "<input type=hidden name=action value=add_f>";
		$form["hiddens"] .= "<input type=hidden name=e value=1>";
		$form["hiddens"] .= "<input type=hidden name=page value=\"".$page."\">";

	}
	$form["delete"] = $file_name."?sel=delete_f&id=".$id;
	$form["back"] = $file_name."?page=".$page;
	$form["action"] = $file_name;
	$form["par"] = $par;
	$form["confirm"] = $admin_lang["confirm"]["news"];

	$smarty->assign("data", $data);
	$smarty->assign("form", $form);
	$smarty->assign("header1", $admin_lang["header"]["content_management"]["header1"]);
	$smarty->assign("header2", $admin_lang["header"]["news"]["header2"]);
	$smarty->assign("hint",$admin_lang["admin_help"]["news_rss_edit"]);
	$smarty->display(TrimSlash($config["admin_theme_path"])."/admin_news_feeds_form.tpl");
	exit;
}

function Delete_Rec($id, $wd) {
	global $dbconn, $page, $config;

	if(!$id)  { ListNews(); return;}
	if($wd == "feeds") {
		$dbconn->Execute("delete from ".NEWS_FEEDS_TABLE." where id='{$id}'");
		$dbconn->Execute("delete from ".NEWS_TABLE." where id_channel='{$id}'");
	} elseif($wd == "news"){
		$dbconn->Execute("delete from ".NEWS_TABLE." where id='{$id}'");
	}
	ListNews();
	return;
}

function ListNews() {
	global $smarty, $dbconn, $page, $config, $admin_lang;

	AdminMainMenu();

	$file_name = (isset($_SERVER["PHP_SELF"]))?AfterLastSlash($_SERVER["PHP_SELF"]):"admin_news.php";
	$form["action"] = $file_name;
	$page = $_GET["page"]?$_GET["page"]:$_POST["page"];
	if( (strval($page) == "") || (strval($page) == "0")){ $page = 1;}
	//////////////////////// news
	$strSQL = "select count(*) from ".NEWS_TABLE."";
	$rs = $dbconn->Execute($strSQL);
	$num_records = $rs->fields[0];

	$num_var = 5;
	$lim_min = ($page-1)*$num_var;
	$lim_max = $num_var;
	$limit_str = " limit ".$lim_min.", ".$lim_max;
	$rs=$dbconn->Execute("select id,subject,status,DATE_FORMAT(date,'".$config["date_format"]."') as date, body from ".NEWS_TABLE." order by date desc".$limit_str);
	$news = array();
	$c = 0;

	if($rs->RowCount()>0){
		while (!$rs->EOF) {
			$row = $rs->GetRowAssoc(false);
			$news[$c]["id"] = $row["id"];
			$news[$c]["body"] = $row["body"];
			$news[$c]["subject"] = stripslashes($row["subject"]);
			$news[$c]["status"] = $row["status"]?"+":"";
			$news[$c]["date"] = stripslashes($row["date"]);
			$news[$c]["deletelink"] = $file_name."?action=delete&id=".$rs->fields[0];
			$news[$c]["editlink"] = $file_name."?action=add&page=".$page."&id=".$rs->fields[0];
			$c++;
			$rs->MoveNext();
		}
		$param = $file_name."?";
		$smarty->assign("links", GetLinkStr($num_records,$page,$param, $num_var));
		$smarty->assign("news", $news);
	}
	////////////////////////// rss feeds list
	$strSQL = "select id, DATE_FORMAT(date_update,'".$config["date_format"]." %h:%i:%s')  as date_update,  link, status, max_news from ".NEWS_FEEDS_TABLE." order by id  ";
	$rs = $dbconn->Execute($strSQL);
	$i = 0;
	if($rs->RowCount()>0){
		while(!$rs->EOF){
			$row = $rs->GetRowAssoc(false);
			$feeds[$i]["number"] = $i+1;
			$feeds[$i]["id"] = $row["id"];
			$feeds[$i]["link"] = $row["link"];
			$feeds[$i]["date"] = $row["date_update"];
			$feeds[$i]["status"] = $row["status"]?"+":"";
			$feeds[$i]["deletelink"] = $file_name."?action=delete_f&id=".$row["id"];
			$feeds[$i]["editlink"] = $file_name."?action=edit_f&page=".$page."&id=".$row["id"];
			$rs->MoveNext();
			$i++;
		}
		$smarty->assign("feeds", $feeds);
	}else{
		$smarty->assign("feeds", "");
	}
	////////////////////////// rss feeds list


	$smarty->assign("add_link", $file_name."?action=add&id=0&page=".$page);
	$smarty->assign("rss_add_link", $file_name."?action=add_f&page=".$page);
	$smarty->assign("rss_update_link", $file_name."?action=upd_f&page=".$page);
	$smarty->assign("form", $form);
	$smarty->assign("header1", $admin_lang["header"]["content_management"]["header1"]);
	$smarty->assign("header2", $admin_lang["header"]["news"]["header2"]);
	$smarty->assign("hint", $admin_lang["admin_help"]["news"]);
	$smarty->display(TrimSlash($config["admin_theme_path"])."/admin_news_index.tpl");
	exit();
}

?>