<?php
include "../common.php";
include "../include/config_admin.php";
include "../include/functions_admin.php";

if ($user['root']==0 || $user['id'] == 0 || !isset($user['id'])){
	PermissionError($lang['err']['not_perm']);
	exit;
}

$sel = $_POST["sel"]?$_POST["sel"]:$_GET["sel"];
	switch($sel){
		case "sysedit"		: 	EditSysForm(); break;
		case "syschange"	: 	ListSubscribe(); break;
		case "sactive"		: 	ActiveSubscribe(); break;
		case "susers"		: 	UsersForm(); break;
		case "adduser"		:	AddUserSubscribe(); break;
		case "deluser"		: 	DeleteUserSubscribe(); break;
		case "import_list"	: 	ImportList(); break;
		case "import_csv"	: 	ImportCSV(); break;
		default				: 	ListSubscribe(); break;
	}

/////////////////////////////////////////////////////////////// list all subscribes	
function ListSubscribe($err=""){
	global $smarty, $dbconn, $config, $admin_lang;

	$file_name = (isset($_SERVER["PHP_SELF"]))?AfterLastSlash($_SERVER["PHP_SELF"]):"admin_newsletter.php";

	AdminMainMenu();

	$page = $_GET["page"]?$_GET["page"]:$_POST["page"];

	if( (strval($page) == "") || (strval($page) == "0")){ $page = 1;}

	//////////////////////// sistem messages
	$strSQL = "select id, status, description from ".ALERTS_TABLE." order by id";
	$rs = $dbconn->Execute($strSQL);
	$i = 0;
	if($rs->RowCount()>0){
		while(!$rs->EOF){
			$row = $rs->GetRowAssoc(false);
			$sistem[$i]["number"] = $i+1;
			$sistem[$i]["id"] = $row["id"];
			$sistem[$i]["name"] = $row["description"];
			$sistem[$i]["editlink"] = $file_name."?sel=sysedit&page=".$page."&id=".$row["id"];
			$sistem[$i]["status"] = $row["status"]?"+":"";
			$sistem[$i]["userlink"] = $file_name."?sel=susers&id=".$row["id"];
			$rs->MoveNext();
			$i++;
		}
		$smarty->assign("sistem", $sistem);
		$form["hiddens_sistem_active"] = "<input type='hidden' name='sel' value='sactive'>";
		$form["hiddens_sistem_active"] .= "<input type='hidden' name='page' value='".$page."'>";
	}
	///	form
	if(!$err){
		$name = "";
	}
	$form["err"] = $err;
	$form["action"] = $file_name;
	$form["confirm"] = "Delete subscriber?";

	$smarty->assign("form", $form);
	$smarty->assign("header1", $admin_lang["header"]["modules_management"]["header1"]);
	$smarty->assign("header2", $admin_lang["header"]["newsletter"]["header2"]);
	$smarty->assign("hint", $admin_lang["admin_help"]["newsletter"]);
	$smarty->display(TrimSlash($config["admin_theme_path"])."/admin_newsletter_table.tpl");
	exit;
}

/////////////////////////////////////////////////////////////// set status of selected subscribes equal 1 or 0
function ActiveSubscribe(){
	global $smarty, $dbconn, $config, $config_admin, $page;
	$active = array();
	$active = $_POST["active"]?$_POST["active"]:$_GET["active"];

	if((is_array($active) && count($active)==0) || !is_array($active)){
		$dbconn->Execute("update ".ALERTS_TABLE." set status='0'");
	}elseif(is_array($active) && count($active)>0){
		$strSQL = "Select id, status from ".ALERTS_TABLE." order by id";
		$rs = $dbconn->Execute($strSQL);
		if($rs->RowCount()>0){
			while(!$rs->EOF){
				$row = $rs->GetRowAssoc(false);
				if(in_array($row["id"], $active) && $row["status"]==0)
				$dbconn->Execute("update ".ALERTS_TABLE." set status='1' where id='".$row["id"]."'");
				elseif(!in_array($row["id"], $active) && $row["status"]==1)
				$dbconn->Execute("update ".ALERTS_TABLE." set status='0' where id='".$row["id"]."'");
				$rs->MoveNext();
				$i++;
			}
		}
	}
	ListSubscribe(); exit;
}

/////////////////////////////////////////////////////////////// table of subscribers, add user form 
function UsersForm($err=""){
	global $smarty, $dbconn, $config, $config_admin, $admin_lang;

	$sel = "susers"; $table = ALERTS_USER_TABLE;

	$id_subscribe = $_GET["id"]?$_GET["id"]:$_POST["id"];
	$search = $_GET["search"]?$_GET["search"]:$_POST["search"];
	$s_type = $_GET["s_type"]?$_GET["s_type"]:$_POST["s_type"];

	$page = $_POST["page"]?$_POST["page"]:$_GET["page"];
	if(!intval($page)) $page=1;

	$file_name = (isset($_SERVER["PHP_SELF"]))?AfterLastSlash($_SERVER["PHP_SELF"]):"admin_newsletter.php";

	AdminMainMenu();

	$search = strval(strip_tags($search));
	$s_type = intval($s_type);
	if(!$search) $search = "a";
	///////// search
	if(strval($search)){
		$search = strip_tags($search);
		switch($s_type){
			case "1": $search_str=" name like '%".$search."%'"; break;
			case "2": $search_str=" email like '%".$search."%'"; break;
			default: $search_str=" name like '%".$search."%'";
		}
	}
	$form["search_hiddens"] = "<input type=hidden name=id value=".$id_subscribe.">";
	$form["search_hiddens"] .= "<input type=hidden name=page value=".$page.">";
	$form["search_hiddens"] .= "<input type=hidden name=sel value=adduser>";
	$smarty->assign("id_subscribe", $id_subscribe);
	///////// search form
	$lang["users"]["type_1"]=$admin_lang["newsletter"]["name"];
	$lang["users"]["type_2"]=$admin_lang["newsletter"]["email"];
	for($i=0;$i<4;$i++){
		if($s_type==($i+1))$types[$i]["sel"]="1";
		$types[$i]["value"]=$lang["users"]["type_".($i+1)];
	}
	$smarty->assign("types", $types);
	$smarty->assign("search", $search);
	$smarty->assign("search_hiddens", $search_hiddens);

	////////////////////////////////////////////////////////////////////////////////
	$strSQL = "select id from ".ALERTS_USER_TABLE." where id_subscribe='".$id_subscribe."'";
	$rs = $dbconn->Execute($strSQL);
	$i = 0;
	while(!$rs->EOF){
		$row = $rs->GetRowAssoc(false);
		$all_str .= $row["id"].", ";
		$rs->MoveNext();
		$i++;
	}
	/////
	$lim_min = ($page-1)*$config_admin["subscribe_user_numpage"];
	$lim_max = $config_admin["subscribe_user_numpage"];
	$limit_str = " limit ".$lim_min.", ".$lim_max;
	$strSQL = "select * from ".ALERTS_USER_TABLE." where id_subscribe='".$id_subscribe."' order by name ".$limit_str;
	$rs = $dbconn->Execute($strSQL);
	$i = 0;
	while(!$rs->EOF){
		$row = $rs->GetRowAssoc(false);
		$subscr[$i]["number"] = ($page-1)*$config_admin["subscribe_user_numpage"]+($i+1);
		$subscr[$i]["id"] = $row["id"];
		$subscr[$i]["id_subscribe"] = $row["id_subscribe"];
		$subscr[$i]["name"] = $row["name"];
		$subscr[$i]["email"] = $row["email"];
		$subscr[$i]["loanof_id"] = $row["loanof_id"];
		$subscr[$i]["deletelink"] = $file_name."?sel=deluser&id={$row["id"]}&id_subscribe={$id_subscribe}";
		$rs->MoveNext();
		$i++;
	}
	$num_records = $i;
	$param = $file_name."?sel=".$sel."&id=".$id_subscribe."&par=".$par."&s_type=".$s_type."&search=".$search."&";
	$smarty->assign("links", GetLinkStr($num_records,$page,$param,$config_admin["subscribe_user_numpage"]));
	$smarty->assign("subscribers", $subscr);

	if(strval($all_str) == ""){
		$in_str = "";
	}else{
		$in_str = " and a.id not in (".substr($all_str,0,-2).")";
	}

	/////////////// all users (whos not in subscr and content search str)
	/*	 	echo$strSQL = "select a.id , u.name as username from ".LOAN_OFFICER_TABLE." a left join ".USERS_TABLE." u on a.id=u.id where ".$search_str." ".$in_str."";
	$rs = $dbconn->Execute($strSQL);
	$i = 0;
	while(!$rs->EOF){
	$users_arr[$i]["value"] = $rs->fields[0];
	$users_arr[$i]["name"] = $rs->fields[1];
	$rs->MoveNext();
	$i++;
	}
	$smarty->assign("users_arr", $users_arr);*/
	$smarty->assign("subscriber", $subscr);

	$form["add_hiddens"] = "<input type=hidden name=id value=".$id_subscribe.">";
	$form["add_hiddens"] .= "<input type=hidden name=page value=".$page.">";
	$form["add_hiddens"] .= "<input type=hidden name=sel value=adduser>";
	$form["add_hiddens"] .= "<input type=hidden name=search value=".$search.">";
	$form["add_hiddens"] .= "<input type=hidden name=s_type value=".$s_type.">";
	$form["add_hiddens"] .= "<input type=hidden name=users_str value=\"\">";

	$form["action"] = $file_name;
	$form["err"] = $err;
	$form["confirm"] = $admin_lang["confirm"]["delete_subscribers"];
	$form["back"] = $file_name;

	///// subscribe name
	$rs=$dbconn->Execute("select name from ".$table." where id='".$id_subscribe."'");
	$form["subscribe_name"] = $rs->fields[0];

	$smarty->assign("data", $data);
	$smarty->assign("form", $form);
	$smarty->assign("header1", $admin_lang["header"]["modules_management"]["header1"]);
	$smarty->assign("header2", $admin_lang["newsletter"]["list_subscriber"]);
	$smarty->assign("hint", $admin_lang["admin_help"]["list_subscriber"]);
	$smarty->display(TrimSlash($config["admin_theme_path"])."/admin_newsletter_users_table.tpl");
	exit;
}

/////////////////////////////////////////////////////////////// add users into subscribe userlist
function AddUserSubscribe(){
	global $dbconn;
	$id = intval($_POST["id"]);
	$strSQL = "select a.id_user as username from ".USERS_TABLE." u left join ".USERS_LOANS_TABLE." a on a.id_user=u.id where name like '%".addslashes($_POST["name"])."%' or email like '%".addslashes($_POST["email"])."%'";
	$rs = $dbconn->Execute($strSQL);
	$row = $rs->GetRowAssoc(false);
	if(isset($row["username"])){
		$loanof_id = $row["username"];
	}else{
		$loanof_id = -1;
	}
	$dbconn->Execute("insert into ".ALERTS_USER_TABLE." (id_subscribe, name, email, loanof_id) values ('".$id."', '".htmlspecialchars($_POST["name"])."', '".htmlspecialchars($_POST["email"])."', ".$loanof_id.")");
	$_GET["id"] = $_POST["id"];
	UsersForm();
	exit;
}

/////////////////////////////////////////////////////////////// delete users from subscribe userlist
function DeleteUserSubscribe(){
	global $dbconn;
	$id = intval($_GET["id"]);
	if(!$id){$_GET["id"] = $_GET["id_subscribe"];	UsersForm(); return;}

	$dbconn->Execute("delete from ".ALERTS_USER_TABLE." where id={$id}");
	$_GET["id"] = $_GET["id_subscribe"];
	UsersForm();
	exit;
}

function ImportList(){
	global $dbconn;

	$id = intval($_GET["id"]);
	$strSQL = "select id, name, email from ".LOAN_OFFICER_TABLE;
	$rs = $dbconn->Execute($strSQL);
	if($rs->RowCount()>0)
	while(!$rs->EOF){
		$row = $rs->GetRowAssoc(false);
		$strsql = "insert into ".ALERTS_USER_TABLE." (id_subscribe, name, email, loanof_id) values ('".$id."', '".$row["name"]."', '".$row["email"]."', ".$row["id"].")";
		$dbconn->Execute($strsql);
		$rs->MoveNext();
	}
	$_GET["id"] = $id;
	UsersForm();
	exit;
}
	
function ImportCSV(){
	global $dbconn, $lang;

	$id = intval($_POST["id"]);
	$fp = @fopen ($_FILES['csv']['tmp_name'],"r");
	if (!$fp) {
		UsersForm($lang["err"]["bad_file"]);
		exit;
	}
	while ($data = fgetcsv ($fp, 1000, ",")) {
		$name = trim($data[0]);
		$email = trim($data[1]);
		$dbconn->Execute("insert into ".ALERTS_USER_TABLE." (id_subscribe, name, email, loanof_id) values ('".$id."', '".$name."', '".$email."', -1)");
	}

	$_GET["id"] = $id;
	UsersForm();
	exit;
}
?>