<?php
include "../common.php";
include "../include/config_admin.php";
include "../include/class.news.php";
include "../include/functions_admin.php";

if ($user['root']==0 || $user['id'] == 0 || !isset($user['id'])){
	PermissionError($lang['err']['not_perm']);
	exit;
}

$sel = $_POST["sel"]?addslashes($_POST["sel"]):addslashes($_GET["sel"]);
switch($sel){
	case "save"				: SaveFeed(); break;
	case "add"				: AddRate(); break;
	case "delete"			: DeleteRate(); break;
	case "Change priorities": ChangeRate(); break;
	case "rename"			: Rename1(); break;
	case "subrates"			: SubRates(); break;
	case "add_subrates"		: AddSubRates(); break;
	default					: ListRates();
}

function ListRates($err=''){
	global $smarty, $dbconn, $config, $admin_lang;

	AdminMainMenu();

	$file_name = (isset($_SERVER["PHP_SELF"]))?AfterLastSlash($_SERVER["PHP_SELF"]):"admin_rates.php";

	$rs = $dbconn->Execute("select id,name,priority from ".RATES_TABLE." order by priority");
	$rs2 = $dbconn->Execute("select max(priority) from ".RATES_TABLE."");

	$table = array();
	$i=0;
	while (!$rs->EOF) {
		$table[$i]["id"] = $rs->fields["0"];
		$table[$i]["name"] = $rs->fields["1"];
		for ($c=1;$c <= $rs2->fields[0]; $c++){
			$table[$i]["priority"] .= "<option value='".$c."' ".(($c==$rs->fields[2])?"selected":"").">".$c."</option>";
		}
		$rs->MoveNext();
		$i++;
	}
	$smarty->assign("table",$table);

	////////// RSS feed
	$strSQL = "select id, link, status, max_news from ".RATE_FEED_TABLE."";
	$rs = $dbconn->Execute($strSQL);
	$row = $rs->GetRowAssoc(false);
	$data["link"] = $row["link"];
	$data["status"] = FormFilter($row["status"]);
	$data["max_news"] = FormFilter($row["max_news"]);
	if(!$data["max_news"])$data["all"] = 1;

	$form["hiddens"] = "<input type=hidden name=sel value=save>";
	$form["action"]  = $file_name;
	$form["err"]   = $err;

	$smarty->assign("data", $data);
	$smarty->assign("form", $form);
	$smarty->assign("header1", $admin_lang["header"]["content_management"]["header1"]);
	$smarty->assign("header2", $admin_lang["header"]["rates"]["header2"]);
	$smarty->assign("hint", $admin_lang["admin_help"]["rates"]);
	$smarty->display(TrimSlash($config["admin_theme_path"])."/admin_rates_index.tpl");
	return;
}

function DeleteRate() {
	global $smarty, $dbconn, $config;

	if (isset($_GET["id"]) && $_GET["id"]>0) {
		$rs = $dbconn->Execute("delete from ".RATES_TABLE." where id='".$_GET["id"]."'");
	}
	ListRates();
	return;
}

function ChangeRate() {
	global $smarty, $dbconn, $config;

	AdminMainMenu();
	foreach ($_GET["priority"] as $key=>$value) {
		$rs = $dbconn->Execute("update ".RATES_TABLE." set priority='".$value."' where id='".$key."'");
	}
	ListRates();
	return;
}

function AddRate(){
	global $smarty, $dbconn, $config, $admin_lang;

	AdminMainMenu();
	$file_name = (isset($_SERVER["PHP_SELF"]))?AfterLastSlash($_SERVER["PHP_SELF"]):"admin_rates.php";
	$id = intval($_GET["id"]);

	if (isset($_GET["Submit"]) && $_GET["Submit"]=="Save") {
		if ($id && $id>0) {
			$rs = $dbconn->Execute("update ".RATES_TABLE." set name='".$_GET["name"]."' where id='".$id."'");
		} else {
			$rs = $dbconn->Execute("select max(priority) from ".RATES_TABLE."");
			if ($rs->RowCount()>0) {
				$priority = $rs->fields[0]+1;
			} else {
				$priority = 1;
			}
			$rs = $dbconn->Execute("insert into ".RATES_TABLE." (name,priority) values ('".$_GET["name"]."','".$priority."')");
		}
		$rs = $dbconn->Execute("update ".RATES_CHANGED_TABLE." set time=NOW()");
		ListRates();
		exit;
	}

	if (isset($id) && $id>0) {
		$rs=$dbconn->Execute("select id,name from ".RATES_TABLE." where id='".$id."'");
		$row["id"] = $rs->fields["0"];
		$row["name"] = $rs->fields["1"];
	} else {
		$row = array("id"=>0,"name"=>"");
	}

	$form["action"] = $file_name;
	$smarty->assign("form",$form);
	$smarty->assign("row",$row);
	$smarty->assign("header1", $admin_lang["header"]["content_management"]["header1"]);
	$smarty->assign("header2", $admin_lang["header"]["rates_add"]["header2"]);
	$smarty->assign("hint", $admin_lang["admin_help"]["rates_add"]);
	$smarty->display(TrimSlash($config["admin_theme_path"])."/admin_rates_new.tpl");
	return;
}

function Rename1(){
	global $smarty, $dbconn, $config;

	AdminMainMenu();
	$file_name = (isset($_SERVER["PHP_SELF"]))?AfterLastSlash($_SERVER["PHP_SELF"]):"admin_rates.php";
	
	if (isset($_GET["Submit"]) && $_GET["Submit"]=="Save") {
		if ($_GET["id"] && $_GET["id"]>0){
			$rs = $dbconn->Execute("update ".RATES_TABLE." set name='".$_GET["name"]."' where id='".$_GET["id"]."'");
		}
		$rs = $dbconn->Execute("update ".RATES_CHANGED_TABLE."_changed set time=NOW()");
		ListRates();exit;
	}

	if (isset($_GET["id"]) && $_GET["id"]>0){
		$rs=$dbconn->Execute("select id,name from ".RATES_TABLE." where id='".$_GET["id"]."'");
		$row = $rs->GetRowAssoc(false);
		$rate["id"] = $row["id"];
		$rate["name"] = $row["name"];
	} else {
		$rate = array("id"=>0,"name"=>"");
	}
	$smarty->assign("rename","1");
	$smarty->assign("row",$rate);
	$form["action"] = $file_name;
	$smarty->assign("form",$form);
	$smarty->assign("header1", $admin_lang["header"]["content_management"]["header1"]);
	$smarty->assign("header2", $admin_lang["header"]["rates_rename"]["header2"]);
	$smarty->assign("hint", $admin_lang["admin_help"]["rates_rename"]);
	$smarty->display(TrimSlash($config["admin_theme_path"])."/admin_rates_new.tpl");
	exit;
}

function SaveFeed() {
	global $smarty, $dbconn, $config, $lang;

	$link = $_POST["link"];
	$status = intval($_POST["status"]);
	$max_news = intval($_POST["max_news"]);
	if(!strlen($link)){
		$err = $lang["err"]["invalid_feilds"]." Link";
		ListRates($err);exit;
	}
	$rss_array = array();
	$rss_array = rss2array($link);
	if (count($rss_array["errors"])) {
		$err = $lang["err"]["no_feeds"];
		ListRates($err);exit;
	}
	//////// save feed
	$dbconn->Execute("UPDATE ".RATE_FEED_TABLE." SET link='".$link."', max_news='".$max_news."', status='".$status."'");
	ListRates();
	return;
}

function SubRates(){
	global $smarty, $dbconn, $config, $admin_lang;

	AdminMainMenu();

	$file_name = (isset($_SERVER["PHP_SELF"]))?AfterLastSlash($_SERVER["PHP_SELF"]):"admin_rates.php";

	if (isset($_GET["action"])){
		switch($_GET["action"]) {
			case "delete":
			if ($_GET["fid"]) {
				$rs = $dbconn->Execute("delete from ".SUBRATES_TABLE." where id='".$_GET["fid"]."'");
			}
			break;
			case "Submit":
			if ($_GET["formnum"]==3) {
				$rs = $dbconn->Execute("update ".SUBRATES_TABLE." set rate='".addslashes(trim($_POST["rate"]))."',points='".addslashes(trim($_POST["points"]))."',apr='".addslashes(trim($_POST["apr"]))."' where id='".$_GET["id"]."'");
			}
			break;
		}

		$rate = stripslashes($rs->fields[0]);
		$points = stripslashes($rs->fields[1]);
		$apr = stripslashes($rs->fields[2]);

	}

	$rs2 = $dbconn->Execute("select id,rate,points,apr from ".SUBRATES_TABLE." where rid='".$_GET["id"]."' order by rate desc");

	$subrates = array();
	$c = 0;
	while (!$rs2->EOF) {
		$row = $rs2->GetRowAssoc(false);

		$subrates[$c]["id"] = $row["id"];
		$subrates[$c]["rate"] = $row["rate"];
		$subrates[$c]["points"] = $row["points"];
		$subrates[$c]["apr"] = $row["apr"];
		$c++;
		$rs2->MoveNext();
	}
	$form["action"] = $file_name;
	$smarty->assign("form",$form);
	$smarty->assign("id",$_GET["id"]);
	$smarty->assign("subrates",$subrates);
	$smarty->assign("header1", $admin_lang["header"]["content_management"]["header1"]);
	$smarty->assign("header2", $admin_lang["header"]["subrates"]["header2"]);
	$smarty->assign("hint", $admin_lang["admin_help"]["subrates"]);
	$smarty->display(TrimSlash($config["admin_theme_path"])."/admin_rates_subrates.tpl");
	return;
}

function AddSubRates(){
	global $smarty, $dbconn, $config, $admin_lang;

	AdminMainMenu();

	$file_name = (isset($_SERVER["PHP_SELF"]))?AfterLastSlash($_SERVER["PHP_SELF"]):"admin_rates.php";

	if (isset($_GET["Submit"]) && $_GET["Submit"]=="Save") {
		if ($_GET["id"] && $_GET["id"]>0) {
			$strSQL="update ".SUBRATES_TABLE." set rate='".addslashes($_GET["rate"])."', points='".addslashes($_GET["points"])."', apr='".addslashes($_GET["apr"])."', rid='".$_GET["cid"]."' where id='".$_GET["id"]."'";

		} else {
			$strSQL="insert into ".SUBRATES_TABLE." (rate,points,apr,rid) values ('".addslashes($_GET["rate"])."','".addslashes($_GET["points"])."','".addslashes($_GET["apr"])."','".addslashes($_GET["cid"])."')";
		}
		$rs = $dbconn->Execute($strSQL);
		$rs = $dbconn->Execute("update ".RATES_CHANGED_TABLE." set time=NOW()");
		header("Location: $file_name?sel=subrates&id=".$_GET["cid"]);
	}
	if (isset($_GET["cid"]) && $_GET["cid"]>0){
		$rs=$dbconn->Execute("select id,rate,points,apr,rid from ".SUBRATES_TABLE." where rid='".$_GET["cid"]."' AND id=".intval($_REQUEST['id']));
		$row = $rs->GetRowAssoc(false);

		$rates["id"] = $row["id"];
		$rates["rate"] = $row["rate"];
		$rates["points"] = $row["points"];
		$rates["apr"] = $row["apr"];
		$rates["rid"] = $row["rid"];

		$smarty->assign("cid",$_GET["cid"]);
	}else{
		if (isset($_GET["id"]) && $_GET["id"]>0) {
			$rs=$dbconn->Execute("select id,rate,points,apr,rid from ".SUBRATES_TABLE." where rid='".$_GET["id"]."'");
			$row = $rs->GetRowAssoc(false);
			$rates["id"] = $row["id"];
			$rates["rate"] = $row["rate"];
			$rates["points"] = $row["points"];
			$rates["apr"] = $row["apr"];
			$rates["rid"] = $row["rid"];
		}else{
			$row = array("id"=>0,"rate"=>"","points"=>"","apr"=>"","rid"=>"");
		}
		$smarty->assign("cid",$_GET["id"]);
	}
	$smarty->assign("id",$rates["id"]);

	$smarty->assign("row",$rates);
	$smarty->assign("header1", $admin_lang["header"]["content_management"]["header1"]);
	$smarty->assign("header2", $admin_lang["header"]["subrates_add"]["header2"]);
	$smarty->assign("hint", $admin_lang["admin_help"]["subrates_add"]);
	$smarty->display(TrimSlash($config["admin_theme_path"])."/admin_rates_newc.tpl");
	return;
}
?>