<?php
/* ********************************************************************
 * CRM
 * Copyright (c) 2001-2004 Hidde Fennema (hidde@it-combine.com)
 * Licensed under the GNU GPL. For full terms see http://www.gnu.org/
 *
 * admin.php. This script forsees in some (most) general admin tasks
 *
 * Check http://crm.it-combine.com/ for more information
 **********************************************************************
 */

// USER CONFIGURABLE SETTING:
// Wether or not to allow direct SQL queries (SEE MANUAL!)
// Uncomment (e.g. remove the "//") the underlying line to disable direct queries to the database

// $Disable_direct = "1";

// Uncomment the above line to disable direct queries to the database

// END USER CONFIGURABLE SETTING -----------------------------------------------------------------------------

if ($ExportSettings) {
	MustBeAdmin();
	ExportSettings();
}
if ($ActivityUserGraph) {
	include("config.inc.php");
	include("getset.php");
	include("auth3.inc.php");

	$whom = GetUserName($ActivityUserGraph);

	$GLOBALS['CURFUNC'] = "ActivityUserGraph::";
	qlog("Generating user activity graph for user " . $whom);

	MustBeAdmin();

	if ($Journal) {
		DisplayUserActivityGraphJournal($ActivityUserGraph);
	} else {
		DisplayUserActivityGraph($ActivityUserGraph);
	}

	exit;
}
if ($ExportUsers) {
	include("config.inc.php");
	include("getset.php");
	include("auth3.inc.php");
	$nonavbar=1;
	ExportUsers();
	exit;
}

include("header.inc.php");

if ($ImportUsers) {
	ImportUsers();
	EndHTML();
	exit;
}

if (!$nonavbar) {
	print "</table><table border=0 width='80%'><tr><td>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</td><td><fieldset><legend><font size=+1>$lang[adm]</font>&nbsp;</legend>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<font size=+2>" . $title . "</font><table border=0 width='100%'>";
}


if ($log) {
	LogFunction();
	EndHTML;
	exit;
}
if ($SendEntityList) {
	MustBeAdmin();
	SendPersonificatedDailyOverviewMail();
}


if ($SuperListUsers) {
	MustBeAdmin();

	uselogger("DisplayUserActivityGraph Journal=$Journal","");

	print "<table width='100%'><tr><td><fieldset><legend>All users activity graphs&nbsp;</legend>";

	if (!$Journal && !$Uselog) {

			print "<br>CRM-CTT logs in two ways:<br>";
			print "<ul><li><img src='arrow.gif'>&nbsp;<a href='admin.php?SuperListUsers=1&Uselog=1' class='bigsort'>The use-log</a><br><br>All actions of user are logged. These actions include every page reload, logins, errors etcetera. This log may contain very much records if you have a heavily used repository; the statistics may take a while to load.</li>";
			print "<br><br><li><img src='arrow.gif'>&nbsp;<a href='admin.php?SuperListUsers=1&Journal=1' class='bigsort'>Journal entries</a><br><br>The journal entries log more specific activity rather than browse-thru statistics. In the journal things like adding a file, saving an enity, and sending an e-mail are logged. The journal is the best to use for statistics to get an overview of <i>real</i> activity of your users.</li></ul>";

			$link = "<img src='arrow.gif'>&nbsp;<a class='bigsort' href='admin.php?password=$password&adduser=1&userman=1' style='cursor:hand'>Back to accounts administration page</a>";

	} else {


			if (!$Journal) {
					print "<b>These images are generated using the 'uselog' - e.g. they represent any action; may me <br>just viewing. To see the charts based on the entity journals, <img src='arrow.gif'>&nbsp;<a href='admin.php?SuperListUsers=1&Journal=1' class='bigsort'>click here</a>.</b><br><br>";
			} elseif($Uselog) {
					print "<b>User activity charts based on entity journals</b><br><br>";
			}

			if ($J) {
				$link = "";
			} else {
				$link = "<img src='arrow.gif'>&nbsp;<a class='bigsort' href='admin.php?password=$password&adduser=1&userman=1' style='cursor:hand'>Back to accounts administration page</a>";
			}
			print $link;
			$sql = "SELECT id,FULLNAME,name FROM ".CRM_LOGIN_USERS_TABLE." ORDER BY FULLNAME";
			$result = mcq($sql,$db);
			while ($row = mysql_fetch_array($result)) {
				if (trim($row[FULLNAME]=="")) { $row[FULLNAME]=$row[name];}
				print "<br><b>" . $row[FULLNAME] . "</b><br>";
				if ($Journal) {
					print "<img src='admin.php?ActivityUserGraph=" . $row['id'] . "&Journal=1'><br>";
				} else {
					print "<img src='admin.php?ActivityUserGraph=" . $row['id'] . "'&Uselog=1><br>";
				}
			}
	}
	print $link;
	print "</fieldset></td></tr></table></body></html>";
	exit;

}


if ($GLOBALS[FORCED_TBL]=="1") {
		print "<tr><td><img src='error.gif'>&nbsp;<font color='#FF0000'>You have no table prefix set in your config file. Please adjust this by adding a " . '$table_prefix[' . $repository_nr . "] = \"CRM\"; to your config file section for this repository ($title)</font></td></tr>";
}

if ($admpassword=="*NONE*") {
		$password=$admpassword;
}

if (!is_administrator()) {

	if ($password<>$admpassword) {
					print "<tr><td><form name='pwd' method='post'>";
					if ($password) {
						print "<b>$lang[wrongpwd].</b><br>";
						uselogger("Access to administrative section denied","");
					} else {
						print "<b>$lang[havetoenterpwd]:</b><br>";
					}
						print "<br><input type='password' name='password'><br><br><input type='submit' name='knop' value='Log in'>";
   					    print "<input type='hidden' name='admin' value='on'>";
					    print "</form></td><tr></table></body></html>";
					    exit;
	}
} else {
	if (!$nonavbar) {
//		print $lang[nopwd];
	}
}

if ($EditVars && $WhatVar) {
	if ($WhatVar=="stat") {
		StatusVars();
	} elseif($WhatVar=="prio") {
		priorityVars();
	}
}

if ($EditVars) {
	$legend = "Edit status and priority variables";
	$printbox_size = "100%";
	printbox("<br><img src='arrow.gif'>&nbsp;<a href='admin.php?password=$password&EditVars=1&WhatVar=stat' class='bigsort'>Edit status variables</a><br><img src='arrow.gif'>&nbsp;<a href='admin.php?password=$password&EditVars=1&WhatVar=prio' class='bigsort'>Edit priority variables</a><br><br><img src='arrow.gif'>&nbsp;<a class='bigsort' href='admin.php?password=$password&joepie=1' style='cursor:hand'>Back to main administration page</a></td></tr>");
	?>
	</table>
	</body></html>
	<?php
	exit;
}


if ($ViewJournal) {
	ViewJournal($VJ);
}

if ($priorityVars) {
	priorityVars();
}

if ($StatusVars) {
	StatusVars();
}

if ($advquery) {
	AdvQuery();
}


if ($EditSysVar) {
	EditSysVar($EditSysVar);
}
if ($ImportSettings) {
	ImportSettings();
}

if ($newuser) {

		$sql = "SELECT name FROM ".CRM_LOGIN_USERS_TABLE." WHERE name='$newuser'";
		$result= @mcq($sql,$db);
		$maxU1 = @mysql_fetch_array($result);
		$q = $maxU1[0];

		if (strlen($q)>0) {
			print "<tr><td><font color='#FF3300'>ERROR: An account named $q already exists! Account not added.</font></td></tr>";
			print "<tr><td><img src='arrow.gif'>&nbsp;<a href='javascript:history.back(1);' class='bigsort'>back</a> </td></tr>";
			print "</table></body></html>";
			exit;

		} elseif ($newpassword=="" && $newpasswordconfirm=="") {
			print "<tr><td><font color='#FF3300'>ERROR: A password MUST be given.</font></td></tr>";
			print "<tr><td><img src='arrow.gif'>&nbsp;<a href='javascript:history.back(1);' class='bigsort'>back</a> </td></tr>";
			print "</table></body></html>";
			exit;

		} elseif ($newpassword==$newpasswordconfirm) {
				if ($CLLEVEL=="administrator") {
						$CLLEVEL = "rw";
						$ADMIN = "Yes";
				}
				if ($FULLNAME=="" || !$FULLNAME) { $FULLNAME=$newuser; }
				if ($CLLEVEL<>"ro" && stristr($FULLNAME,"@@@")) { $FULLNAME=$newuser; }

				$sql= "INSERT INTO ".CRM_LOGIN_USERS_TABLE." (name,password,FULLNAME,EMAIL,CLLEVEL,RECEIVEDAILYMAIL,administrator,active) VALUES('$newuser',PASSWORD('$newpassword'),'$FULLNAME','$EMAIL','$CLLEVEL','$dailymail','$ADMIN','yes')";
				if ($debug) { print "\nSQL: $sql\n"; }
				mcq($sql,$db);
				$a = mysql_insert_id();
				uselogger("ACCOUNT ADDED - $newuser - type normal - CLLEVEL $CLLEVEL $ADMIN FULLNAME $FULLNAME","");
			    print "<tr><td><font color='FF0000'>User $FULLNAME was added with clearance level '$CLLEVEL $ADMIN'.id $a</font></td></tr>";
				$userman=1;
				usermanager($a);
				exit;
		} else {
		    print "<tr><td><font color='FF0000'>ERROR: $lang[passmatcherror]</font></td></tr>";
			print "<tr><td><img src='arrow.gif'>&nbsp;<a href='javascript:history.back(1);' class='bigsort'>back</a> </td></tr>";
			print "</table></body></html>";
			exit;
		}
}

if ($userman) {
    usermanager($user_to_edit);
	exit;
}

if ($deldb && $daba) {	// Delete a repository
	$daba--;

	if (!$Confirmed) {
		$sql = "SELECT password FROM ".CRM_LOGIN_USERS_TABLE." WHERE name='$name'";
		$result= mcq($sql,$db);
		$result1= mysql_fetch_array($result);
		$curpassword = $result1[password];


		$db = @mysql_connect($host[$daba], $user[$daba], $pass[$daba]);
		@mysql_select_db($database[$daba],$db);

		if ($table_prefix[$daba]=="") $table_prefix[$daba] = "CRM";
		$GLOBALS[TBL_PREFIX] = $table_prefix[$daba];


		$sql = "SELECT password FROM ".CRM_LOGIN_USERS_TABLE." WHERE name='$name' AND administrator='Yes'";
		$result= mcq($sql,$db);
		$result1= mysql_fetch_array($result);
		$foreignpassword = $result1[password];

		if ($curpassword<>$foreignpassword) {
				print "<tr><tr>";
				printbox("<font color='#FF0000'>Access denied. This incident has been logged!</font>");
				uselogger("Somebody ($hidde) tried to delete this repository","");
				print "</body></html>";
				exit;
		}

		$sql = "SELECT value FROM ".CRM_SETTINGS_TABLE." WHERE setting='title'";
		$result= @mcq($sql,$db);
		$maxU1 = @mysql_fetch_array($result);
		$title = $maxU1[0];
		$dabb = $daba;
		$daba++;

		print "<tr><td>";
		$deltables.= "<BR>DROP TABLE $database[$dabb].$GLOBALS[TBL_PREFIX]binfiles";
		$deltables.= "<BR>DROP TABLE $database[$dabb].$GLOBALS[TBL_PREFIX]calendar";
		$deltables.= "<BR>DROP TABLE $database[$dabb].$GLOBALS[TBL_PREFIX]customaddons";
		$deltables.= "<BR>DROP TABLE $database[$dabb].$GLOBALS[TBL_PREFIX]customer";
		$deltables.= "<BR>DROP TABLE $database[$dabb].$GLOBALS[TBL_PREFIX]entity";
		$deltables.= "<BR>DROP TABLE $database[$dabb].$GLOBALS[TBL_PREFIX]help";
		$deltables.= "<BR>DROP TABLE $database[$dabb].$GLOBALS[TBL_PREFIX]languages";
		$deltables.= "<BR>DROP TABLE $database[$dabb].$GLOBALS[TBL_PREFIX]loginusers";
		$deltables.= "<BR>DROP TABLE $database[$dabb].$GLOBALS[TBL_PREFIX]phonebook";
		$deltables.= "<BR>DROP TABLE $database[$dabb].$GLOBALS[TBL_PREFIX]priorityvars";
		$deltables.= "<BR>DROP TABLE $database[$dabb].$GLOBALS[TBL_PREFIX]sessions";
		$deltables.= "<BR>DROP TABLE $database[$dabb].$GLOBALS[TBL_PREFIX]settings";
		$deltables.= "<BR>DROP TABLE $database[$dabb].$GLOBALS[TBL_PREFIX]statusvars";
		$deltables.= "<BR>DROP TABLE $database[$dabb].$GLOBALS[TBL_PREFIX]uselog";
		$deltables.= "<BR>DROP TABLE $database[$dabb].$GLOBALS[TBL_PREFIX]ejournal";
		$deltables.= "<BR>DROP TABLE $database[$dabb].$GLOBALS[TBL_PREFIX]journal";
		$deltables.= "<BR>DROP TABLE $database[$dabb].$GLOBALS[TBL_PREFIX]webdav_locks";
		$deltables.= "<BR>DROP TABLE $database[$dabb].$GLOBALS[TBL_PREFIX]webdav_properties";
		$deltables.= "<BR>DROP TABLE IF EXISTS $database[$dabb].$GLOBALS[TBL_PREFIX]users";

		printbox("Are you sure you want to delete repository '$title' running on database $database[$dabb]?<br><br><font color='#FF0000'>WARNING! All your data in repository $title will be deleted!</font><br><br>SQL statements: <br><table><tr><td>$deltables</td></tr></table><br><br><img src='arrow.gif'>&nbsp;<a href='admin.php?deldb=1&daba=$daba&Confirmed=1' class='bigsort'>yes</a><br><br><img src='arrow.gif'>&nbsp;<a class='bigsort' href='admin.php?manageres=1' style='cursor:hand'>Back to main repository management page</a>");
	} else {
		$sql = "SELECT password FROM ".CRM_LOGIN_USERS_TABLE." WHERE name='$name'";
		$result= mcq($sql,$db);
		$result1= mysql_fetch_array($result);
		$curpassword = $result1[password];


		$db = @mysql_connect($host[$daba], $user[$daba], $pass[$daba]);
		@mysql_select_db($database[$daba],$db);
		if ($table_prefix[$daba]=="") $table_prefix[$daba] = "CRM";
		$GLOBALS[TBL_PREFIX] = $table_prefix[$daba];

		$sql = "SELECT password FROM ".CRM_LOGIN_USERS_TABLE." WHERE name='$name' AND administrator='Yes'";
		$result= mcq($sql,$db);
		$result1= mysql_fetch_array($result);
		$foreignpassword = $result1[password];

		if ($curpassword<>$foreignpassword) {
				print "<tr><tr>";
				printbox("<font color='#FF0000'>Access denied. This incident has been logged!</font>");
				uselogger("Somebody ($hidde) tried to delete this repository","");
				print "</body></html>";
				exit;
		}

		$sql = "SELECT value FROM ".CRM_SETTINGS_TABLE." WHERE setting='title'";
		$result= @mcq($sql,$db);
		$maxU1 = @mysql_fetch_array($result);
		$title = $maxU1[0];

		$deltables = array();
		$p = 0;
		$deltables[$p++] = "DROP TABLE $database[$daba].".CRM_BINFILES_TABLE;
		$deltables[$p++] = "DROP TABLE $database[$daba].".CRM_CALENDAR_TABLE;
		$deltables[$p++] = "DROP TABLE $database[$daba].".CRM_CUSTOM_ADDONS_TABLE;
		$deltables[$p++] = "DROP TABLE $database[$daba].".CRM_CUSTOMER_TABLE;
		$deltables[$p++] = "DROP TABLE $database[$daba].".CRM_ENTITY_TABLE;
		$deltables[$p++] = "DROP TABLE $database[$daba].".CRM_HELP_TABLE;
		$deltables[$p++] = "DROP TABLE $database[$daba].".CRM_LANGUAGES_TABLE;
		$deltables[$p++] = "DROP TABLE $database[$daba].".CRM_LOGIN_USERS_TABLE;
		$deltables[$p++] = "DROP TABLE $database[$daba].".CRM_PHONEBOOK_TABLE;
		$deltables[$p++] = "DROP TABLE $database[$daba].".CRM_PRIORITY_VARS_TABLE;
		$deltables[$p++] = "DROP TABLE $database[$daba].".CRM_SESSIONS_TABLE;
		$deltables[$p++] = "DROP TABLE $database[$daba].".CRM_SETTINGS_TABLE;
		$deltables[$p++] = "DROP TABLE $database[$daba].".CRM_STATUS_VARS_TABLE;
		$deltables[$p++] = "DROP TABLE $database[$daba].".CRM_USELOG_PERIOD_TABLE;
		$deltables[$p++] = "DROP TABLE $database[$daba].".CRM_EJOURNAL_TABLE;
		$deltables[$p++] = "DROP TABLE $database[$daba].".CRM_JOURNAL_TABLE;
		$deltables[$p++] = "DROP TABLE $database[$dabb].".CRM_WEBDAV_LOCKS_TABLE;
		$deltables[$p++] = "DROP TABLE $database[$dabb].".CRM_WEBDAV_PROPERTIES_TABLE;
		$deltables[$p++] = "DROP TABLE IF EXISTS $database[$daba].".CRM_USERS_TABLE;


		//printbox(" User: $user<br>Name: $name<br> Username: $username");
		for ($t=0;$t<$p;$t++) {
			//print "<br>$deltables[$t]";
			mcq($deltables[$t],$db);
		}

		printbox("Repository $title was deleted.<br><br><img src='arrow.gif'>&nbsp;<a class='bigsort' href='admin.php?manageres=1' style='cursor:hand'>Back to main repository management page</a>");
		//printbox("Repository $title was NOT deleted because this is a demo. admin.php::124.<br><br>[<a class='bigsort' href='admin.php?manageres=1' style='cursor:hand'>Back to main repository management page</a>]");

		exit;
	}

exit;
}

if ($sessionscheck && $daba) {

		include("config.inc.php");

		MustBeAdmin();

		$daba = $daba -1;

		$sql = "SELECT password FROM ".CRM_LOGIN_USERS_TABLE." WHERE name='$name'";
		$result= mcq($sql,$db);
		$result1= mysql_fetch_array($result);
		$curpassword = $result1[password];

		$db = @mysql_connect($host[$daba], $user[$daba], $pass[$daba]);
		if (@mysql_select_db($database[$daba],$db)) {
			$GLOBALS[TBL_PREFIX] = $table_prefix[$daba];
			// all ok
		} else {
			printbox("<font color='#FF0000'>This database doesn't exist and you knew it!</font>");
			print "</body></html>";
			exit;
		}
		$sql = "SELECT password FROM ".CRM_LOGIN_USERS_TABLE." WHERE name='$name' AND administrator='Yes'";
		$result= mcq($sql,$db);
		$result1= mysql_fetch_array($result);
		$foreignpassword = $result1[password];

		if ($curpassword<>$foreignpassword) {
				print "<tr><tr>";
				printbox("<font color='#FF0000'>Access denied. This incident has been logged!</font>");
				uselogger("Somebody ($name) tried to access the sessions delete function unauthorized","");
				print "</body></html>";
				exit;
		}

		if ($sessionscheck=="delsessions") {
				$sql="DELETE FROM ".CRM_SESSIONS_TABLE;
				mcq($sql,$db);
				printbox("Sessions table $daba:$database[$daba] was emptied.");
				printbox("<img src='arrow.gif'>&nbsp;<a href='admin.php?manageres=1' class='bigsort'>Back to main repository management page</a>");
				print "</body></html>";
				exit;
		}
		$sql = "SELECT COUNT(*) FROM ".CRM_SESSIONS_TABLE;
		$result = mcq($sql,$db);
		$list = mysql_fetch_array($result);
		$list = $list[0];

		printbox("Repository $daba:$database[$daba] has $list registered sessions.<br><br>Sessions are kept in the database when a user did not use the logout button when done using CRM. You can safely empty this table (to save disk space) <i>but all people currently using this repository will loose their session requiring them to login again.</i> Please mind that when you are working in this repository, you will loose your session too after emptying the session list.");
		$daba++;
		if ($list>0) {
			printbox("<img src='arrow.gif'>&nbsp;<a href='admin.php?sessionscheck=delsessions&daba=$daba' class='bigsort'>empty session table</a>");
		}
		printbox("<img src='arrow.gif'>&nbsp;<a href='admin.php?manageres=1' class='bigsort'>Back to main repository management page</a>");
		exit;


}
if ($checkcfg && $daba) {

		include("config.inc.php");

		MustBeAdmin();

		$daba--;

		$sql = "SELECT password FROM ".CRM_LOGIN_USERS_TABLE." WHERE name='$name'";
		$result= mcq($sql,$db);
		$result1= mysql_fetch_array($result);
		$curpassword = $result1[password];

		$db = @mysql_connect($host[$daba], $user[$daba], $pass[$daba]);
		$tbl = $table_prefix[$daba];
		if ($tbl=="") $tbl="CRM";
		if (@mysql_select_db($database[$daba],$db)) {
			// all ok
		} else {
			printbox("<font color='#FF0000'>This database doesn't exist and you knew it!</font>");
			print "</body></html>";
			exit;
		}

		$sql = "SELECT password FROM ".CRM_LOGIN_USERS_TABLE." WHERE name='$name' AND administrator='Yes'";
		$result= mcq($sql,$db);
		$result1= mysql_fetch_array($result);
		$foreignpassword = $result1[password];

		if ($curpassword<>$foreignpassword) {
				print "<tr><tr>";
				printbox("<font color='#FF0000'>Access denied. This incident has been logged!</font>");
				uselogger("Somebody ($name) tried to access the Edit Extra Fields function unauthorized","");
				print "</body></html>";
				exit;
		}
		check_config($tbl);
		printbox("<img src='arrow.gif'>&nbsp;<a class='bigsort' href='admin.php?manageres=1' style='cursor:hand'>Back to main repository management page</a>");
		print "</body></html>";
		exit;

}

if ($checkdb && $daba && $categoryvars) { // Check repository for consistancy (mostly the custom fields)

		include("config.inc.php");

		MustBeAdmin();

		$daba--;

		$sql = "SELECT password FROM ".CRM_LOGIN_USERS_TABLE." WHERE name='$name'";
		$result= mcq($sql,$db);
		$result1= mysql_fetch_array($result);
		$curpassword = $result1[password];

		$db = @mysql_connect($host[$daba], $user[$daba], $pass[$daba]);
		if (@mysql_select_db($database[$daba],$db)) {
			// all ok
		} else {
			printbox("<font color='#FF0000'>This database doesn't exist and you knew it!</font>");
			print "</body></html>";
			exit;
		}

		$sql = "SELECT password FROM ".CRM_LOGIN_USERS_TABLE." WHERE name='$name' AND administrator='Yes'";
		$result= mcq($sql,$db);
		$result1= mysql_fetch_array($result);
		$foreignpassword = $result1[password];

		if ($curpassword<>$foreignpassword) {
				print "<tr><tr>";
				printbox("<font color='#FF0000'>Access denied. This incident has been logged!</font>");
				uselogger("Somebody ($name) tried to access the Edit extra " . strtolower($lang[category]) . " fields function unauthorized","");
				print "</body></html>";
				exit;
		}

		if ($DeleteUnreferencedField) {
				$sql = "DELETE FROM ".CRM_CUSTOM_ADDONS_TABLE." WHERE name='$DeleteUnreferencedField' AND type='category'";
				mcq($sql,$db);
				$daba++;
				printbox("All data referring to $DeleteUnreferencedField has been deleted.");
				printbox("<img src='arrow.gif'>&nbsp;<a href='admin.php?checkdb=1&daba=$daba&custvars=1' class='bigsort'>back</a>");
				print "</body></html>";

				$query ="INSERT into ".CRM_USELOG_PERIOD_TABLE." (ip, url, useragent, qs, user) VALUES ('XXXXXX', 'admin.php', 'XXXXX' , 'Unreferenced " . strtolower($lang[category]) . "field $DeleteUnreferencedField (cust) in this repository deleted (admin could have been working in another repository!)','$name')";
				mcq($query,$db);
				exit;
		}

		if ($EditExtraField) {
				$sql = "SELECT value FROM ".CRM_SETTINGS_TABLE." WHERE setting='Category pulldown list'";
				$result = mcq($sql,$db);
				$list = mysql_fetch_array($result);
				$list = $list[value];

				if ($DeleteExtraField) {
							$list = @explode(",",$list);
							for ($x=0;$x<sizeof($list);$x++) {
									if ($list[$x]==$DeleteExtraField) {
										$printbox_size = "100%";
										$o .= "Extra field $list[$x] deleted";

									} else {
										if ($x<sizeof($list)-2) {
											$newlist .= $list[$x] . ",";
										} else {
											$newlist .= $list[$x];
										}
									}
							}
				$sql2 = "UPDATE ".CRM_SETTINGS_TABLE." SET value='$newlist' WHERE setting='Category pulldown list'";
				mcq($sql2,$db);
				printbox($o);
				$daba++;
				$query ="INSERT into ".CRM_USELOG_PERIOD_TABLE." (ip, url, useragent, qs, user) VALUES ('XXXXXX', 'admin.php', 'XXXXX' , 'Extra customer field $DeleteExtraField in this repository deleted (admin could have been working in another repository!)','$name')";
				mcq($query,$db);

				printbox("<img src='arrow.gif'>&nbsp;<a href='admin.php?checkdb=1&daba=$daba&categoryvars=1' class='bigsort'>back</a>");
				print "</body></html>";
				exit;
		}
				if ($newval) {

						$sql1 = "UPDATE ".CRM_CUSTOM_ADDONS_TABLE." SET name='$newval' WHERE name='$EditExtraField' and type='category'";
						mcq($sql1,$db);
						$sql2 = "UPDATE ".CRM_ENTITY_TABLE." SET category='$newval' WHERE category='$EditExtraField'";
						mcq($sql2,$db);



						if ($EditExtraField=="ADDNEWFIELDCRMNOW") {
							if (stristr($newval,",")) {
								printbox("<font color='#FF0000'>Commas are not allowed in field names</font><br><br>Press 'back' on your browser and try again.");
								print "</body></html>";
								$query ="INSERT into ".CRM_USELOG_PERIOD_TABLE." (ip, url, useragent, qs, user) VALUES ('XXXXXX', 'admin.php', 'XXXXX' , 'New extra field denied because it contained one or more commas (admin could have been working in another repository!)','$name')";
								mcq($query,$db);
								exit;
							}
							$newlist = $list . "," . $newval;
							$query ="INSERT into ".CRM_USELOG_PERIOD_TABLE." (ip, url, useragent, qs, user) VALUES ('XXXXXX', 'admin.php', 'XXXXX' , 'Extra customer field $newval added in this repository (admin could have been working in another repository!)','$name')";
							mcq($query,$db);
						} else {
							if (stristr($newval,",")) {
								printbox("<font color='#FF0000'>Commas are not allowed in field names</font><br><br>Press 'back' on your browser and try again.");
								print "</body></html>";
								$query ="INSERT into ".CRM_USELOG_PERIOD_TABLE." (ip, url, useragent, qs, user) VALUES ('XXXXXX', 'admin.php', 'XXXXX' , 'Field customer conversion denied because it contained one or more commas (admin could have been working in another repository!)','$name')";
								mcq($query,$db);
								exit;
							}
							$list = @explode(",",$list);
							for ($x=0;$x<sizeof($list);$x++) {
									if ($list[$x] == $EditExtraField) {
										$list[$x] = $newval;
									}
									if (trim($list[$x]) <> "") {
										if (($x<sizeof($list)-1) && (sizeof($list)>0)) {
											$newlist .= $list[$x] . ",";
										} else {
											$newlist .= $list[$x];
										}
									}
							}

						}
						if (substr($newlist,0,1) == ",") {
									$newlist = substr($newlist,1,strlen($newlist)-1);
						}
						$sql2 = "UPDATE ".CRM_SETTINGS_TABLE." SET value='$newlist' WHERE setting='Category pulldown list'";
						mcq($sql2,$db);
						$daba++;
						$printbox_size = "100%";
						printbox("Extra " . strtolower($lang[category]) . " field added<br><img src='arrow.gif'>&nbsp;<a href='admin.php?checkdb=1&daba=$daba&refresh=889234&categoryvars=1' class='bigsort'>ok</a>");
						$query ="INSERT into ".CRM_USELOG_PERIOD_TABLE." (ip, url, useragent, qs, user) VALUES ('XXXXXX', 'admin.php', 'XXXXX' , 'Extra category field $EditExtraField converted to $newval in this repository (admin could have been working in another repository!)','$name')";
						mcq($query,$db);
						exit;

						print "</body></html>";
						exit;
				}
				$daba++;
				$o = "Convert " . strtolower($lang[category]) . " field<br><br><table border=0 width=90%><form name='bla' method='POST'><tr><td>Original name:</td><td><input type='text' name='bla' value='$EditExtraField' size=60 DISABLED><input type='hidden' name='EditExtraField' value='$EditExtraField'><input type='hidden' name='daba' value='$daba'><input type='hidden' name='categoryvars' value='1'><input type='hidden' name='checkdb' value='1'><input type='hidden' name='categoryvars' value='1'></td></tr><tr><td>New name:</td><td><input type=text value='$EditExtraField' name='newval' size=60></td></tr><tr><td colspan=2><input type='submit' value='modify'></form></td></tr></table>";
				printbox($o);
				printbox("<img src='arrow.gif'>&nbsp;<a href='admin.php?checkdb=1&daba=$daba&categoryvars=1' class='bigsort'>back</a>");
				print "</body></html>";
				exit;
		}
			$query ="INSERT into ".CRM_USELOG_PERIOD_TABLE." (ip, url, useragent, qs, user) VALUES ('XXXXXX', 'admin.php', 'XXXXX' , 'Extra customer field section accessed (admin could have been working in another repository!)','$name')";
			mcq($query,$db);

			$legend = "Edit category (" . strtolower($lang[category]) . ") fields&nbsp;";
			$o = "<br>Working with repository $daba:$database[$daba]<br>";
			$sql = "SELECT value FROM ".CRM_SETTINGS_TABLE." WHERE setting='Category pulldown list'";
			$result = mcq($sql,$db);
			$list = mysql_fetch_array($result);
			$list = $list[value];
			$ok_efl = $list;
			$list = @explode(",",$list);
			$ot .= "<br>Warning! $lang[category] fields only work when you set the ForceCategoryPulldown directive to 'Yes'!<br>$lang[category] fields in this repository are:<br><br><table border=1 width=90%>";
			for ($x=0;$x<sizeof($list);$x++) {
				$sql2 = "SELECT COUNT(*) FROM ".CRM_CUSTOM_ADDONS_TABLE." WHERE name='$list[$x]' AND type='cust'";
				$result = mcq($sql2,$db);
				$list3 = mysql_fetch_array($result);
				$occ = $list3[0];
				$dabapo = $daba+1;
				$ot .= "<tr><td>$x</td><td>" . $list[$x] . "</td><td><img src='arrow.gif'>&nbsp;<a href='admin.php?EditExtraField=$list[$x]&daba=$dabapo&checkdb=1&categoryvars=1' class='bigsort'>edit</a>&nbsp;<img src='arrow.gif'>&nbsp;<a href='admin.php?EditExtraField=$list[$x]&daba=$dabapo&checkdb=1&categoryvars=1&DeleteExtraField=$list[$x]' class='bigsort'>delete</a></td></tr>";
				if ($list[$x]<>"") {
					$teller++;
				}
			}
			if ($teller>0) {
				$o .= $ot;
				unset($ot);
			}
			$o .= "</table><br>";

			$sql = "SELECT DISTINCT name FROM ".CRM_CUSTOM_ADDONS_TABLE." WHERE name<>'' AND type='category'";
			$result = mcq($sql,$db);
			$ot .= "<br>Unreferenced " . strtolower($lang[category]) . " fields in this repository<br><br><font size='-3'>Unreferenced fields are fields in the form of data which cannot be accessed by the user anymore because the field name is <b>not</b> on the Extra Fields List. To get this data to reoccur, add a new extra field with exactly the same name as the unreferenced field. When you click [delete], you will delete all the unreferenced data which could cause important data loss so handle with care. You will <b>not</b> be asked for confirmation.</font><br><br><table border=1 width=90%>";
			while ($list2 = mysql_fetch_array($result)) {
					//$ot .= "comparing $list2[0]";
					if (!in_array($list2[0],$list)) {
						$sql2 = "SELECT COUNT(*) FROM ".CRM_CUSTOM_ADDONS_TABLE." WHERE name='$list2[0]' AND type='category'";
						$result2 = mcq($sql2,$db);
						$list3 = mysql_fetch_array($result2);
						$occ = $list3[0];
						$ot .= "<tr><td>$list2[0]</td><td>Occurences: $occ</td><td><img src='arrow.gif'>&nbsp;<a href='admin.php?EditExtraField=$list[$x]&categoryvars=1&daba=$dabapo&checkdb=1&DeleteUnreferencedField=$list2[0]' class='bigsort'>delete data</a></td></tr>";
						$upd .= "," . $list2[0];
						$yu++;
					}
			}
			$ot .= "</table><br>";
			//$ot .= "To fix this, update your 'Extra fields list' directive to:<br><br>$ok_efl$upd";

			if ($yu>0) {
				$o .= $ot;
			} else {
				$o .= "";
			}
		$printbox_size = "100%";
		printbox($o);
		$daba++;
		$legend = "Add new extra " . strtolower($lang[category]) . " field";
		$o = "<table border=0 width=90%><form name='bla' method='POST'><input type='hidden' name='EditExtraField' value='ADDNEWFIELDCRMNOW'><input type='hidden' name='daba' value='$daba'><input type='hidden' name='categoryvars' value='1'><input type='hidden' name='checkdb' value='1'></td></tr><tr><td>Name</td><td><input type=text value='' name='newval' size=60>&nbsp;&nbsp;<input type='submit' value='Add'></form></td></tr></table>";
		$printbox_size = "100%";
		printbox($o);

		$printbox_size = "100%";
		print "<img src='arrow.gif'>&nbsp;<a class='bigsort' href='admin.php?password=$password' style='cursor:hand'>Back to main administration page</a>";
		print "</body></html>";
		exit;
}
if ($checkdb && $daba && $custvars) { // Check repository for consistancy (mostly the custom fields)

		include("config.inc.php");

		MustBeAdmin();

		$daba--;

		$sql = "SELECT password FROM ".CRM_LOGIN_USERS_TABLE." WHERE name='$name'";
		$result= mcq($sql,$db);
		$result1= mysql_fetch_array($result);
		$curpassword = $result1[password];

		$db = @mysql_connect($host[$daba], $user[$daba], $pass[$daba]);
		if (@mysql_select_db($database[$daba],$db)) {
			// all ok
		} else {
			printbox("<font color='#FF0000'>This database doesn't exist and you knew it!</font>");
			print "</body></html>";
			exit;
		}

		$sql = "SELECT password FROM ".CRM_LOGIN_USERS_TABLE." WHERE name='$name' AND administrator='Yes'";
		$result= mcq($sql,$db);
		$result1= mysql_fetch_array($result);
		$foreignpassword = $result1[password];

		if ($curpassword<>$foreignpassword) {
				print "<tr><tr>";
				printbox("<font color='#FF0000'>Access denied. This incident has been logged!</font>");
				uselogger("Somebody ($name) tried to access the Edit extra " . strtolower($lang[customer]) . " fields function unauthorized","");
				print "</body></html>";
				exit;
		}

		if ($DeleteUnreferencedField) {
				$sql = "DELETE FROM ".CRM_CUSTOM_ADDONS_TABLE." WHERE name='$DeleteUnreferencedField' AND type='cust'";
				mcq($sql,$db);
				$daba++;
				printbox("All data referring to $DeleteUnreferencedField has been deleted.");
				printbox("<img src='arrow.gif'>&nbsp;<a href='admin.php?checkdb=1&daba=$daba&custvars=1' class='bigsort'>back</a>");
				print "</body></html>";

				$query ="INSERT into ".CRM_USELOG_PERIOD_TABLE." (ip, url, useragent, qs, user) VALUES ('XXXXXX', 'admin.php', 'XXXXX' , 'Unreferenced " . strtolower($lang[customer]) . "field $DeleteUnreferencedField (cust) in this repository deleted (admin could have been working in another repository!)','$name')";
				mcq($query,$db);
				exit;
		}

		if ($EditExtraField) {
				$sql = "SELECT value FROM ".CRM_SETTINGS_TABLE." WHERE setting='Extra customer fields list'";
				$result = mcq($sql,$db);
				$list = mysql_fetch_array($result);
				$list = $list[value];

				$checklist = explode(",",$list);
				// first check if it doesn't already exist!
				if ($newval && in_array($newval,$checklist)) {

					$printbox_size = "100%";
					printbox("<img src='error.gif'>&nbsp;<font color='#FF0000'>Your extra field name must be unique!</font><br><img src='arrow.gif'>&nbsp;<a href='javascript:history.back(-1);' class='bigsort'>back</a>");
					print "</table></body></html>";
					exit;

				}

				if ($DeleteExtraField) {
							$list = @explode(",",$list);
							for ($x=0;$x<sizeof($list);$x++) {
									if ($list[$x]==$DeleteExtraField) {
										$o = "Extra field $list[$x] deleted";
									} else {
										if ($x<sizeof($list)-2) {
											$newlist .= $list[$x] . ",";
										} else {
											$newlist .= $list[$x];
										}
									}
							}
				$sql2 = "UPDATE ".CRM_SETTINGS_TABLE." SET value='$newlist' WHERE setting='Extra customer fields list'";
				mcq($sql2,$db);
				$printbox_size = "100%";
				printbox($o);
				$daba++;
				$query ="INSERT into ".CRM_USELOG_PERIOD_TABLE." (ip, url, useragent, qs, user) VALUES ('XXXXXX', 'admin.php', 'XXXXX' , 'Extra customer field $DeleteExtraField in this repository deleted (admin could have been working in another repository!)','$name')";
				mcq($query,$db);

				print "<img src='arrow.gif'>&nbsp;<a href='admin.php?checkdb=1&daba=$daba&custvars=1' class='bigsort'>back</a>";
				print "</body></html>";
				exit;
		}
				if ($newval) {

						$sql1 = "UPDATE ".CRM_CUSTOM_ADDONS_TABLE." SET name='$newval' WHERE name='$EditExtraField' and type='cust'";
						mcq($sql1,$db);



						if ($EditExtraField=="ADDNEWFIELDCRMNOW") {

							if (stristr($newval,",")) {
								$printbox_size = "100%";
								printbox("<font color='#FF0000'>Commas are not allowed in field names</font><br><br>Press 'back' on your browser and try again.");
								print "</body></html>";
								$query ="INSERT into ".CRM_USELOG_PERIOD_TABLE." (ip, url, useragent, qs, user) VALUES ('XXXXXX', 'admin.php', 'XXXXX' , 'New extra field denied because it contained one or more commas (admin could have been working in another repository!)','$name')";
								mcq($query,$db);
								exit;
							}
							$newlist = $list . "," . $newval;
							$query ="INSERT into ".CRM_USELOG_PERIOD_TABLE." (ip, url, useragent, qs, user) VALUES ('XXXXXX', 'admin.php', 'XXXXX' , 'Extra customer field $newval added in this repository (admin could have been working in another repository!)','$name')";
							mcq($query,$db);
						} else {
							if (stristr($newval,",")) {
								printbox("<font color='#FF0000'>Commas are not allowed in field names</font><br><br>Press 'back' on your browser and try again.");
								print "</body></html>";
								$query ="INSERT into ".CRM_USELOG_PERIOD_TABLE." (ip, url, useragent, qs, user) VALUES ('XXXXXX', 'admin.php', 'XXXXX' , 'Field customer conversion denied because it contained one or more commas (admin could have been working in another repository!)','$name')";
								mcq($query,$db);
								exit;
							}
							$list = @explode(",",$list);
							for ($x=0;$x<sizeof($list);$x++) {
									if ($list[$x] == $EditExtraField) {
										$list[$x] = $newval;
									}
									if (trim($list[$x]) <> "") {
										if (($x<sizeof($list)-1) && (sizeof($list)>0)) {
											$newlist .= $list[$x] . ",";
										} else {
											$newlist .= $list[$x];
										}
									}
							}

						}
						if (substr($newlist,0,1) == ",") {
									$newlist = substr($newlist,1,strlen($newlist)-1);
						}
						$sql2 = "UPDATE ".CRM_SESSIONS_TABLE." SET value='$newlist' WHERE setting='Extra customer fields list'";
						mcq($sql2,$db);
						$daba++;
						$legend= "ok";
						$printbox_size = "100%";
						printbox("Extra " . strtolower($lang[customer]) . " field converted<br><img src='arrow.gif'>&nbsp;<a href='admin.php?checkdb=1&daba=$daba&refresh=889234&custvars=1' class='bigsort'>ok</a>");
						$query ="INSERT into ".CRM_USELOG_PERIOD_TABLE." (ip, url, useragent, qs, user) VALUES ('XXXXXX', 'admin.php', 'XXXXX' , 'Extra customer field $EditExtraField converted to $newval in this repository (admin could have been working in another repository!)','$name')";
						mcq($query,$db);
						print "</body></html>";
						exit;
				}
				$daba++;
				$o = "Convert extra " . strtolower($lang[customer]) . " field<br><br><table border=0 width=90%><form name='bla' method='POST'><tr><td>Original name:</td><td><input type='text' name='bla' value='$EditExtraField' size=60 DISABLED><input type='hidden' name='EditExtraField' value='$EditExtraField'><input type='hidden' name='daba' value='$daba'><input type='hidden' name='custvars' value='1'><input type='hidden' name='checkdb' value='1'><input type='hidden' name='custvars' value='1'></td></tr><tr><td>New name:</td><td><input type=text value='$EditExtraField' name='newval' size=60></td></tr><tr><td colspan=2><input type='submit' value='modify'></form></td></tr></table>";
				printbox($o);
				printbox("<img src='arrow.gif'>&nbsp;<a href='admin.php?checkdb=1&daba=$daba&custvars=1' class='bigsort'>back</a>");
				print "</body></html>";
				exit;
		}
			$query ="INSERT into ".CRM_USELOG_PERIOD_TABLE." (ip, url, useragent, qs, user) VALUES ('XXXXXX', 'admin.php', 'XXXXX' , 'Extra customer field section accessed (admin could have been working in another repository!)','$name')";
			mcq($query,$db);


			print "Working with repository $daba:$database[$daba]<br>";
			$sql = "SELECT value FROM ".CRM_SETTINGS_TABLE." WHERE setting='Extra customer fields list'";
			$result = mcq($sql,$db);
			$list = mysql_fetch_array($result);
			$list = $list[value];
			$ok_efl = $list;
			$list = @explode(",",$list);

			for ($x=0;$x<sizeof($list);$x++) {
				$sql2 = "SELECT COUNT(*) FROM ".CRM_CUSTOM_ADDONS_TABLE." WHERE name='$list[$x]' AND type='cust'";
				$result = mcq($sql2,$db);
				$list3 = mysql_fetch_array($result);
				$occ = $list3[0];
				$dabapo = $daba+1;
				$ot .= "<tr><td>$x</td><td>" . $list[$x] . "</td><td>Occurences: $occ</td><td><img src='arrow.gif'>&nbsp;<a href='admin.php?EditExtraField=$list[$x]&daba=$dabapo&checkdb=1&custvars=1' class='bigsort'>edit</a>&nbsp;<img src='arrow.gif'>&nbsp;<a href='admin.php?EditExtraField=$list[$x]&daba=$dabapo&checkdb=1&custvars=1&DeleteExtraField=$list[$x]' class='bigsort'>delete</a></td></tr>";
				if ($list[$x]<>"") {
					$teller++;
				}
			}
			if ($teller>0) {
				$legend = "Extra " . strtolower($lang[customer]) . " fields in this repository";
				$printbox_size = "100%";
				$ot = "<br><table border=0 width=100%>" . $ot;
				$ot .= "</table><br>";
				printbox($ot);
				unset($ot);
			}


//			printbox($o);

			$sql = "SELECT DISTINCT name FROM ".CRM_CUSTOM_ADDONS_TABLE." WHERE name<>'' AND type='cust'";
			$result = mcq($sql,$db);
			$legend = "Unreferenced " . strtolower($lang[customer]) . " fields in this repository";
			$ot = "Unreferenced fields are fields in the form of data which cannot be accessed by the user anymore because the field name is <b>not</b> on the Extra Fields List. To get this data to reoccur, add a new extra field with exactly the same name as the unreferenced field. When you click [delete], you will delete all the unreferenced data which could cause important data loss so handle with care. You will <b>not</b> be asked for confirmation.<br><br><table border=1 width=90%>";
			while ($list2 = mysql_fetch_array($result)) {
					//$ot .= "comparing $list2[0]";
					if (!in_array($list2[0],$list)) {
						$sql2 = "SELECT COUNT(*) FROM ".CRM_CUSTOM_ADDONS_TABLE." WHERE name='$list2[0]' AND type='cust'";
						$result2 = mcq($sql2,$db);
						$list3 = mysql_fetch_array($result2);
						$occ = $list3[0];
						$ot .= "<tr><td>$list2[0]</td><td>Occurences: $occ</td><td><img src='arrow.gif'>&nbsp;<a href='admin.php?EditExtraField=$list[$x]&custvars=1&daba=$dabapo&checkdb=1&DeleteUnreferencedField=$list2[0]' class='bigsort'>delete data</a></td></tr>";
						$upd .= "," . $list2[0];
						$yu++;
					}
			}
			$ot .= "</table><br>";
			//$ot .= "To fix this, update your 'Extra fields list' directive to:<br><br>$ok_efl$upd";

			if ($yu>0) {
				printbox($ot);
				unset($ot);
			} else {
				$o .= "";
				$legend = "";
			}

		$daba++;
		$legend = "Add new extra " . strtolower($lang[customer]) . " field";
		$o .= "<table border=0 width=90%><form name='bla' method='POST'><input type='hidden' name='EditExtraField' value='ADDNEWFIELDCRMNOW'><input type='hidden' name='daba' value='$daba'><input type='hidden' name='custvars' value='1'><input type='hidden' name='checkdb' value='1'></td></tr><tr><td valign='top'>Name</td><td><input type=text value='' name='newval' size=60>&nbsp;&nbsp;<input type='submit' value='Add'><br><br>Plain name for text field<br> DD_[name]|Value1|Value2|Value3 for a dropdown box<br>TB_[name] for a multi-line text box</form></td></tr></table>";

		printbox($o);
		print "<img src='arrow.gif'>&nbsp;<a class='bigsort' href='admin.php?password=$password' style='cursor:hand'>Back to main administration page</a>";
		print "</body></html>";
		exit;
}
if ($checkcfg && $daba) {

		include("config.inc.php");

		MustBeAdmin();

		$daba--;

		$sql = "SELECT password FROM ".CRM_LOGIN_USERS_TABLE." WHERE name='$name'";
		$result= mcq($sql,$db);
		$result1= mysql_fetch_array($result);
		$curpassword = $result1[password];

		$db = @mysql_connect($host[$daba], $user[$daba], $pass[$daba]);
		if (@mysql_select_db($database[$daba],$db)) {
			// all ok
		} else {
			printbox("<font color='#FF0000'>This database doesn't exist and you knew it!</font>");
			print "</body></html>";
			exit;
		}

		$sql = "SELECT password FROM ".CRM_LOGIN_USERS_TABLE." WHERE name='$name' AND administrator='Yes'";
		$result= mcq($sql,$db);
		$result1= mysql_fetch_array($result);
		$foreignpassword = $result1[password];

		if ($curpassword<>$foreignpassword) {
				print "<tr><tr>";
				printbox("<font color='#FF0000'>Access denied. This incident has been logged!</font>");
				uselogger("Somebody ($name) tried to access the Edit Extra Fields function unauthorized","");
				print "</body></html>";
				exit;
		}
		check_config();
		printbox("<img src='arrow.gif'>&nbsp;<a class='bigsort' href='admin.php?password=$password' style='cursor:hand'>Back to main administration page</a>");
		print "</body></html>";
		exit;

}

if ($checkdb && $daba) { // Check repository for consistancy (mostly the custom fields)

		include("config.inc.php");

		MustBeAdmin();

		$daba--;

		$sql = "SELECT password FROM ".CRM_LOGIN_USERS_TABLE." WHERE name='$name'";
		$result= mcq($sql,$db);
		$result1= mysql_fetch_array($result);
		$curpassword = $result1[password];

		$db = @mysql_connect($host[$daba], $user[$daba], $pass[$daba]);
		if (@mysql_select_db($database[$daba],$db)) {
			// all ok
		} else {
			printbox("<font color='#FF0000'>This database doesn't exist and you knew it!</font>");
			print "</body></html>";
			exit;
		}

		$sql = "SELECT password FROM ".CRM_LOGIN_USERS_TABLE." WHERE name='$name' AND administrator='Yes'";
		$result= mcq($sql,$db);
		$result1= mysql_fetch_array($result);
		$foreignpassword = $result1[password];

		if ($curpassword<>$foreignpassword) {
				print "<tr><tr>";
				printbox("<font color='#FF0000'>Access denied. This incident has been logged!</font>");
				uselogger("Somebody ($name) tried to access the Edit Extra Fields function unauthorized","");
				print "</body></html>";
				exit;
		}

		if ($DeleteUnreferencedField) {
				$sql = "DELETE FROM ".CRM_CUSTOM_ADDONS_TABLE." WHERE name='$DeleteUnreferencedField' AND type=''";
				mcq($sql,$db);
				$daba++;
				printbox("All data referring to $DeleteUnreferencedField has been deleted.");
				printbox("<img src='arrow.gif'>&nbsp;<a href='admin.php?checkdb=1&daba=$daba' class='bigsort'>back</a>");
				print "</body></html>";

				$query ="INSERT into ".CRM_USELOG_PERIOD_TABLE." (ip, url, useragent, qs, user) VALUES ('XXXXXX', 'admin.php', 'XXXXX' , 'Unreferenced field $DeleteUnreferencedField in this repository deleted (admin could have been working in another repository!)','$name')";
				mcq($query,$db);
				exit;
		}

		if ($EditExtraField) {
				$sql = "SELECT value FROM ".CRM_SETTINGS_TABLE." WHERE setting='Extra fields list'";
				$result = mcq($sql,$db);
				$list = mysql_fetch_array($result);
				$list = $list[value];

				$checklist = explode(",",$list);
				// first check if it doesn't already exist!
				if ($newval && in_array($newval,$checklist)) {

					printbox("<img src='error.gif'>&nbsp;<font color='#FF0000'>Your extra field name must be unique!</font><br><img src='arrow.gif'>&nbsp;<a href='javascript:history.back(-1);' class='bigsort'>back</a>");
					print "</table></body></html>";
					exit;

				}
				if ($DeleteExtraField) {
							$list = @explode(",",$list);
							for ($x=0;$x<sizeof($list);$x++) {
									if ($list[$x]==$DeleteExtraField) {
										$o = "Extra field $list[$x] deleted";
									} else {
										if ($x<sizeof($list)-2) {
											$newlist .= $list[$x] . ",";
										} else {
											$newlist .= $list[$x];
										}
									}
							}
				$sql2 = "UPDATE ".CRM_SESSIONS_TABLE." SET value='$newlist' WHERE setting='Extra fields list'";
				mcq($sql2,$db);
				printbox($o);
				$daba++;
				$query ="INSERT into ".CRM_USELOG_PERIOD_TABLE." (ip, url, useragent, qs, user) VALUES ('XXXXXX', 'admin.php', 'XXXXX' , 'Extra field $DeleteExtraField in this repository deleted (admin could have been working in another repository!)','$name')";
				mcq($query,$db);

				printbox("<img src='arrow.gif'>&nbsp;<a href='admin.php?checkdb=1&daba=$daba' class='bigsort'>back</a>");
				print "</body></html>";
				exit;
		}
				if ($newval) {

						$sql1 = "UPDATE ".CRM_CUSTOM_ADDONS_TABLE." SET name='$newval' WHERE name='$EditExtraField' AND type=''";
						mcq($sql1,$db);



						if ($EditExtraField=="ADDNEWFIELDCRMNOW") {
							if (stristr($newval,",")) {
								printbox("<font color='#FF0000'>Commas are not allowed in field names</font><br><br>Press 'back' on your browser and try again.");
								print "</body></html>";
								$query ="INSERT into ".CRM_USELOG_PERIOD_TABLE." (ip, url, useragent, qs, user) VALUES ('XXXXXX', 'admin.php', 'XXXXX' , 'New extra field denied because it contained one or more commas (admin could have been working in another repository!)','$name')";
								mcq($query,$db);
								exit;
							}
							$newlist = $list . "," . $newval;
							$query ="INSERT into ".CRM_USELOG_PERIOD_TABLE." (ip, url, useragent, qs, user) VALUES ('XXXXXX', 'admin.php', 'XXXXX' , 'Extra field $newval added in this repository (admin could have been working in another repository!)','$name')";
							mcq($query,$db);
						} else {
							if (stristr($newval,",")) {
								printbox("<font color='#FF0000'>Commas are not allowed in field names</font><br><br>Press 'back' on your browser and try again.");
								print "</body></html>";
								$query ="INSERT into ".CRM_USELOG_PERIOD_TABLE." (ip, url, useragent, qs, user) VALUES ('XXXXXX', 'admin.php', 'XXXXX' , 'Field conversion denied because it contained one or more commas (admin could have been working in another repository!)','$name')";
								mcq($query,$db);
								exit;
							}
							$list = @explode(",",$list);
							for ($x=0;$x<sizeof($list);$x++) {
									if ($list[$x] == $EditExtraField) {
										$list[$x] = $newval;
									}
									if (trim($list[$x]) <> "") {
										if (($x<sizeof($list)-1) && (sizeof($list)>0)) {
											$newlist .= $list[$x] . ",";
										} else {
											$newlist .= $list[$x];
										}
									}
							}

						}
						if (substr($newlist,0,1) == ",") {
									$newlist = substr($newlist,1,strlen($newlist)-1);
						}
						$sql2 = "UPDATE ".CRM_SETTINGS_TABLE." SET value='$newlist' WHERE setting='Extra fields list'";
						mcq($sql2,$db);
						$daba++;
						printbox("Extra field converted<br><img src='arrow.gif'>&nbsp;<a href='admin.php?checkdb=1&daba=$daba&refresh=889234' class='bigsort'>ok</a>");
						$query ="INSERT into ".CRM_USELOG_PERIOD_TABLE." (ip, url, useragent, qs, user) VALUES ('XXXXXX', 'admin.php', 'XXXXX' , 'Extra field $EditExtraField converted to $newval in this repository (admin could have been working in another repository!)','$name')";
						mcq($query,$db);
						exit;

						print "</body></html>";
						exit;
				}
				$daba++;
				$o = "Convert extra field<br><br><table border=0 width=90%><form name='bla' method='POST'><tr><td>Original name:</td><td><input type='text' name='bla' value='$EditExtraField' size=60 DISABLED><input type='hidden' name='EditExtraField' value='$EditExtraField'><input type='hidden' name='daba' value='$daba'><input type='hidden' name='checkdb' value='1'></td></tr><tr><td>New name:</td><td><input type=text value='$EditExtraField' name='newval' size=60></td></tr><tr><td colspan=2><input type='submit' value='modify'></form></td></tr></table>";
				printbox($o);
				printbox("<img src='arrow.gif'>&nbsp;<a href='admin.php?checkdb=1&daba=$daba' class='bigsort'>back</a>");
				print "</body></html>";
				exit;
		}
			$query ="INSERT into ".CRM_USELOG_PERIOD_TABLE." (ip, url, useragent, qs, user) VALUES ('XXXXXX', 'admin.php', 'XXXXX' , 'Extra field section accessed (admin could have been working in another repository!)','$name')";
			mcq($query,$db);


			$sql = "SELECT value FROM ".CRM_SETTINGS_TABLE." WHERE setting='Extra fields list'";
			$result = mcq($sql,$db);
			$list = mysql_fetch_array($result);
			$list = $list[value];
			$ok_efl = $list;
			$list = @explode(",",$list);
			$legend = "Extra fields in repository $daba:$database[$daba]&nbsp;";
			$ot .= "<br><table border=0 width=100%>";
			for ($x=0;$x<sizeof($list);$x++) {
				$sql2 = "SELECT COUNT(*) FROM ".CRM_CUSTOM_ADDONS_TABLE." WHERE name='$list[$x]' AND type=''";
				$result = mcq($sql2,$db);
				$list3 = mysql_fetch_array($result);
				$occ = $list3[0];
				$dabapo = $daba+1;
				$ot .= "<tr><td>$x</td><td nowrap>" . $list[$x] . "</td><td nowrap>Occurences: $occ</td><td><img src='arrow.gif'>&nbsp;<a href='admin.php?EditExtraField=$list[$x]&daba=$dabapo&checkdb=1' class='bigsort'>edit</a>&nbsp;<img src='arrow.gif'>&nbsp;<a href='admin.php?EditExtraField=$list[$x]&daba=$dabapo&checkdb=1&DeleteExtraField=$list[$x]' class='bigsort'>delete</a></td></tr>";
				if ($list[$x]<>"") {
					$teller++;
				}
			}
			if ($teller>0) {
				$o .= $ot;
				unset($ot);
			}
			$o .= "</table><br>";
			printbox($o);

			$sql = "SELECT DISTINCT name FROM ".CRM_CUSTOM_ADDONS_TABLE." WHERE name<>'' AND type=''";
			$result = mcq($sql,$db);
			$legend = "Unreferenced fields in this repository";
			$ot .= "Unreferenced fields are fields in the form of data which cannot be accessed by the user anymore because the field name is <b>not</b> on the Extra Fields List. To get this data to reoccur, add a new extra field with exactly the same name as the unreferenced field. When you click <img src='arrow.gif'>&nbsp;delete, you will delete all the unreferenced data which could cause important data loss so handle with care. You will <b>not</b> be asked for confirmation.</font><br><br><table border=1 width=90%>";
			while ($list2 = mysql_fetch_array($result)) {
					//$ot .= "comparing $list2[0]";
					if (!in_array($list2[0],$list)) {
						$sql2 = "SELECT COUNT(*) FROM ".CRM_CUSTOM_ADDONS_TABLE." WHERE name='$list2[0]' AND type=''";
						$result2 = mcq($sql2,$db);
						$list3 = mysql_fetch_array($result2);
						$occ = $list3[0];
						$ot .= "<tr><td>$list2[0]</td><td>Occurences: $occ</td><td><img src='arrow.gif'>&nbsp;<a href='admin.php?EditExtraField=$list[$x]&daba=$dabapo&checkdb=1&DeleteUnreferencedField=$list2[0]' class='bigsort'>delete data</a></td></tr>";
						$upd .= "," . $list2[0];
						$yu++;
					}
			}
			$ot .= "</table><br>";
			

			if ($yu>0) {
				printbox($ot);
			} else {
				$o .= "";
			}
			unset($legend);

		$daba++;
		$legend = "Add a new extra field&nbsp;";
		$o = "<table border=0 width=90%><form name='bla' method='POST'><input type='hidden' name='EditExtraField' value='ADDNEWFIELDCRMNOW'><input type='hidden' name='daba' value='$daba'><input type='hidden' name='checkdb' value='1'></td></tr><tr><td>Name</td><td><input type=text value='' name='newval' size=60>&nbsp;&nbsp;<input type='submit' value='Add'></form></td></tr></table>";
		$printbox_size = "100%";
		printbox($o);
		print "<img src='arrow.gif'>&nbsp;<a class='bigsort' href='admin.php?password=$password' style='cursor:hand'>Back to main administration page</a>";
		print "</body></html>";
		exit;
}
if ($ts && $daba) {	// Show table status in plain text

							$daba=$daba-1;


							$sql = "SELECT password FROM ".CRM_LOGIN_USERS_TABLE." WHERE name='$name'";
							$result= mcq($sql,$db);
							$result1= mysql_fetch_array($result);
							$curpassword = $result1[password];

							$db = @mysql_connect($host[$daba], $user[$daba], $pass[$daba]);
							if (@mysql_select_db($database[$daba],$db)) {
								// all ok
							} else {
								printbox("<font color='#FF0000'>This database doesn't exist and you knew it!</font>");
								print "</body></html>";
								exit;
							}
							$tbl = $table_prefix[$daba];
							if ($tbl=="") $tbl="CRM";
							$sql = "SELECT password FROM ".CRM_LOGIN_USERS_TABLE." WHERE name='$name' AND administrator='Yes'";
							$result= mcq($sql,$db);
							$result1= mysql_fetch_array($result);
							$foreignpassword = $result1[password];

							if ($curpassword<>$foreignpassword) {
									print "<tr><tr>";
									printbox("<font color='#FF0000'>Access denied. This incident has been logged!</font>");
									uselogger("Somebody ($name) tried to access the table status overview unauthorized","");
									print "</body></html>";
									exit;
							}
							$sql = "SELECT value FROM ".CRM_SETTINGS_TABLE." WHERE setting='title'";
							$result= @mcq($sql,$db);
							$maxU1 = @mysql_fetch_array($result);
							$title = $maxU1[0];
							print "<table><tr><td>Table status query for database $title</td></tr></table>";
							$sql = "SHOW TABLE STATUS";
							$result= @mcq($sql,$db);
							print "<table border=1><tr><td>Name</td><td>Type</td><td>Row_format</td><td>Rows</td><td>Avg_row_length</td><td>Data_length</td><td>Max_data_length</td><td>Index_length</td><td>Data_free</td><td>Auto_increment</td><td>Create_time</td><td>Update_time</td><td>Check_time</td><td>Create_options</td><td>Comment</td>";

							while ($stat = @mysql_fetch_array($result))
								{
								print "<tr>";
								for ($g=0;$g<15;$g++) {

									print "<td>" . $stat[$g] . "&nbsp;</td>";
								}
								print "</tr>";
							}
							exit;
}

if ($dothefuckingjob2==1) {

		// Okee, import[0-(numofrecords*8)] hebben we nu.


		$sql = "SELECT value FROM ".CRM_SETTINGS_TABLE." WHERE setting='Extra customer fields list'";
		$result = mcq($sql,$db);
		$list = mysql_fetch_array($result);
		$list = $list[value];
		$list = @explode(",",$list);



			if ($DELETEFIRST=="confirmed") {
					$tmp = "Current customer list emtied";
					$sql = "DELETE FROM ".CRM_CUSTOMER_TABLE;
					mcq($sql,$db);
					uselogger("Customer table emptied","");
			}

		for ($tel=0;$tel<=($numofrecords*$func_max);$tel=$tel+$func_max) {

	//		Onderstaande omslachtige routine is de enige manier waarop ik het aan de praat kreeg.
	//		De array ( $import[point] ) opnemen in de SQL-query werkte niet in eerste instantie.
	//		Ik heb nu de query 'los', dwz eerst een $sql met de query vullen en dan pas uitvoeren.
	//		Wellicht zou ik de array nu wel in de $sql= op kunnen nemen maar daar heb ik nu geen
	//		zin meer in.

			$a = $import[$tel];
			$b = $import[$tel+1];
			$c = $import[$tel+2];
			$d = $import[$tel+3];
			$e = $import[$tel+4];
			$f = $import[$tel+5];
			$g = $import[$tel+6];
			$h = $import[$tel+7];

			if (strlen($a)>0) {			// When the first field was not empty
				$sql = "INSERT INTO ".CRM_CUSTOMER_TABLE." (custname,contact,contact_title,contact_phone,contact_email,cust_address,cust_remarks,cust_homepage) VALUES ('$a','$b','$c','$d','$e','$f','$g','$h')";
				mcq($sql,$db);

				$id_i = mysql_insert_id();

				for ($tmp=8;$tmp<$func_max;$tmp++) {
					// Import extra fields

					if (!$import[$tmp]=="") {
						$c = $tmp + $tel;
						$sql = "INSERT INTO ".CRM_CUSTOM_ADDONS_TABLE."(eid,type,name,value) VALUES('" . $id_i ."','cust','" . $list[$tmp-8] . "','" . $import[$c] . "')";
						mcq($sql,$db);
					}
				}

				journal($id_i,"Customer added (automated import)","customer");


				$imported++;
			} else {
				$skipped++;
			}

		}

		echo"<tr><td>";

		uselogger("Customer table imported ($imported imported, $skipped skipped","");

		echo $tmp;
		echo "<br>";
		eval($lang[imported]);
		if ($skipped>=1) {
			print "$skipped $lang[ignored]";
		}
		print "<br><br><br><img src='arrow.gif'>&nbsp;<a class='bigsort' href='admin.php?password=$password' style='cursor:hand'>Back to main administration page</a>";
		print "<tr><td>";

		//menu(justhome,1);

		exit;
		}


if ($dothefuckingjob==1) {

		// Okee, import[0-(numofrecords*8)] hebben we nu.


			if ($DELETEFIRST=="confirmed") {
					$tmp = "Old phone book emtied";
					$sql = "DELETE FROM ".CRM_PHONEBOOK_TABLE;
					mcq($sql,$db);
					uselogger("Phonebook emptied","");
			}

		for ($tel=0;$tel<=($numofrecords*8);$tel=$tel+8) {

	//		Onderstaande omslachtige routine is de enige manier waarop ik het aan de praat kreeg.
	//		De array ( $import[point] ) opnemen in de SQL-query werkte niet in eerste instantie.
	//		Ik heb nu de query 'los', dwz eerst een $sql met de query vullen en dan pas uitvoeren.
	//		Wellicht zou ik de array nu wel in de $sql= op kunnen nemen maar daar heb ik nu geen
	//		zin meer in.

			$a = $import[$tel];
			$b = $import[$tel+1];
			$c = $import[$tel+2];
			$d = $import[$tel+3];
			$e = $import[$tel+4];
			$f = $import[$tel+5];
			$g = $import[$tel+6];
			$h = $import[$tel+7];

			if (strlen($a)>0) {			// Oftewel als de naam is ingevuld
				$sql = "INSERT INTO ".CRM_PHONEBOOK_TABLE." (Firstname,Lastname,Telephone,Company,Department,Title,Room,Email) VALUES ('$a','$b','$c','$d','$e','$f','$g','$h')";
				mcq($sql,$db);
				$imported++;
			} else {
			$skipped++;
			}

		}

		echo"<tr><td>";
		echo eval($lang[imported]);
		uselogger("Phone book imported ($imported imported, $skipped skipped","");
		echo "<br>";
		printbox($tmp);
		if ($skipped>1) {
			printbox("$skipped $lang[ignored]");
		}
		print "<tr><td>";

		//menu(justhome,1);

		exit;
		}


if ($manageres) {

		print "<table><tr>";

		MustBeAdmin();

		print "<td><b>Repository management</b></td>";
		print "<td>&nbsp;</td></tr>";
		print "<tr><td>In this section you can add and remove your CRM repositories as well as edit your extra<br> fields of all repositories where you ($name) have an <b>admin</b> account with the same password as in this repository.<br><br>Please note that when you run several repositories in one database, the displayed size will be the sum of all repository sizes!</td></tr>";
		print "<tr><td><br><img src='arrow.gif'>&nbsp;<a href='install.php?AddRepository=1&step=1' class='bigsort'>add a repository</a>&nbsp;<img src='arrow.gif'>&nbsp;<a class='bigsort' href='admin.php?3=1' style='cursor:hand'>Back to main administration page</a></td></tr>";


		print "<tr><td colspan=3><table border='1' width='100%' bgcolor='#F2F2F2' cellspacing='0' cellpadding='8' bordercolor='#CECECE'>";

		print "<tr><td>ResId</td><td>Database</td><td>Table prefix</td><td><b>Repository title</b></td><td><b>Status</b></td><td><b>Size</b></td><td><b>DB version</b></td><td><b>Entities</b><td><b>Options</b></td></tr>";
	// Get all possible CRM repository titles from all possible databases

		$sql = "SELECT password FROM ".CRM_LOGIN_USERS_TABLE." WHERE name='$name'";
		$result= mcq($sql,$db);
		$result1= mysql_fetch_array($result);
		$curpassword = $result1[password];

		if (sizeof($pass)>0) {
				for ($r=0;$r<sizeof($pass);$r++) {
						if ($db = @mysql_connect($host[$r], $user[$r], $pass[$r])) {
							if (@mysql_select_db($database[$r],$db)) {
								$tbl = $table_prefix[$r];
								if ($tbl=="") $tbl="CRM";
								$sql = "SELECT password FROM ".CRM_LOGIN_USERS_TABLE." WHERE name='$name' AND administrator='Yes'";

								$result = @mysql_query($sql);
								$result1= @mysql_fetch_array($result);
								$foreignpassword = $result1[password];

								if ($curpassword==$foreignpassword) {

									$sql = "SELECT value FROM ".CRM_SETTINGS_TABLE." WHERE setting='title'";
									$result= @mcq($sql,$db);
									$maxU1 = @mysql_fetch_array($result);
									$title = $maxU1[0];

									$sql = "SELECT value FROM ".CRM_SETTINGS_TABLE." WHERE setting='DBVERSION'";
									$result= @mcq($sql,$db);
									$maxU1 = @mysql_fetch_array($result);
									$DBVERSION = $maxU1[0];

									$sql = "SELECT COUNT(*) FROM ".CRM_ENTITY_TABLE;
									$result= @mcq($sql,$db);
									$res = @mysql_fetch_array($result);
									$enum = $res[0];

									$sql = "SHOW TABLE STATUS";
									$result= @mcq($sql,$db);
									while ($stat = @mysql_fetch_array($result))
									{
										$size += $stat["Data_length"];
										$size += $stat["Index_lenght"];
									}

									$size = round(($size/1024)) . "K";

									if ($DBVERSION=="") {
										$DBVERSION="Prior to 1.9.0";
									}

									print "<tr><td>$r</td><td>$database[$r]</td><td>$table_prefix[$r]</td><td>$title</td><td><font color='#33FF66'>OK</font></td><td>" . $size . "</td><td>$DBVERSION</td><td>$enum</td><td><img src='arrow.gif'>&nbsp;<a href='admin.php?ts=1&daba=" . ($r+1) . "&nonavbar=1' class='bigsort' target='_new'>table status</a>&nbsp;<img src='arrow.gif'>&nbsp;<a href='admin.php?deldb=1&daba=" . ($r+1) . "' class='bigsort'>delete</a>&nbsp;<img src='arrow.gif'>&nbsp;<a href='admin.php?sessionscheck=1&daba=" . ($r+1) . "' class='bigsort'>sessions</a>&nbsp;<img src='arrow.gif'>&nbsp;<a href='admin.php?checkcfg=1&daba=" . ($r+1) . "' class='bigsort'>check config</a>";
									print "</td></tr>";
								} else {
									print "<tr><td>$r</td><td>Host: $host[$r] Database: $database[$r]</td><td>$tbl</td><td><font color='#FF3300'>Access denied or non-existent</font></td><td>n/a</td><td>n/a</td><td>n/a</td><td>n/a</td><td>Admin accounts don't match</td></tr>";
								}
							} else {
								print "<tr><td>$r</td><td>Host: $host[$r] Database: $database[$r]</td><td>n/a</td><td><font color='#FF3300'>Couldn't select database</font></td><td>n/a</td><td>n/a</td><td>n/a</td><td>n/a</td><td>Database could not be contacted</td></tr>";
							}

						} else {
							 print "<tr><td>$r</td><td>Host: $host[$r] Database: $database[$r]</td><td><font color='#FF3300'>Database host onreachable</font></td><td></td><td>n/a</td><td>n/a</td><td>n/a</td></tr>";
						}
					}
					?>
			</select>
				&nbsp;&nbsp;&nbsp;


			<?php
				}

		print "</tr></table>";
//		uselogger("Repository management section accessed","");
		exit;
}

if ($importbody) {
		$importbody = ereg_replace("\'","",$importbody);
		$importbody = ereg_replace("\"","",$importbody);
		$importbody = explode("\n",$importbody);
//		$bericht = ereg_replace("\'","", $bericht);


		$x=0;
		?>
		<table>
		<tr><td colspan=10>
		<?php echo $lang[impwarning];?><br></td></tr>
		<?php
		if ($separator==",") {
			echo "<tr><td colspan=5>$lang[commawarning]</td></tr>";
		}
		?>
		<form name="controle" method="post">
		<?php
		print "<tr><td>$lang[fname]<td>$lang[lname]<td>$lang[tel]<td>$lang[company]<td>$lang[dep]<td>$lang[title]<td>$lang[room]<td>E-mail</tr>";

		while ((strlen($importbody[$x])>3)) {

				$a = explode("$separator",$importbody[$x]);

			?>
			<tr>
			<td><input type="text" name="import[]" value="<?php echo $a[0];?>"></td>
			<td><input type="text" name="import[]" value="<?php echo $a[1];?>"></td>
			<td><input type="text" name="import[]" value="<?php echo $a[2];?>"></td>
			<td><input type="text" name="import[]" value="<?php echo $a[3];?>"></td>
			<td><input type="text" name="import[]" value="<?php echo $a[4];?>"></td>
			<td><input type="text" name="import[]" value="<?php echo $a[5];?>"></td>
			<td><input type="text" name="import[]" value="<?php echo $a[6];?>"></td>
			<td><input type="text" name="import[]" value="<?php echo $a[7];?>"></td>
			</tr>
			<?php



		$x++;
	}
		if ($DELETEFIRST) {
				$DELETEFIRST = "confirmed";
		}

		?>
		<INPUT TYPE="hidden" NAME="numofrecords" value="<?php echo ($x-1);?>">
		<INPUT TYPE="hidden" NAME="dothefuckingjob" VALUE="1">
		<INPUT TYPE="hidden" NAME="DELETEFIRST" VALUE="<?php echo $DELETEFIRST; ?>">
		<input type="hidden" name="actuser" value="<?php echo $username;?>">
		<input type="hidden" name="session" value="<?php echo $session;?>">

		<tr><td>	<INPUT TYPE="submit" NAME="importbutton2" value="Import!">
		</table>
		</form>
		</body>
		</html>
		<?php
		exit;
	}

if ($importbodycustomers) {
		$importbody = ereg_replace("\'","",$importbodycustomers);
		$importbody = ereg_replace("\\\"","",stripslashes($importbody));

//		$importbody = $importbodycustomers;
		unset($importbodycustomers);

		if (stristr($importbody,"@@@@CRM@@@@")) {
			$importbody = explode("@@@@CRM@@@@",$importbody);
			print "- importing a CRM-specific list of " . strtolower($lang[customers]) . ".<br>";
		} else {
			$importbody = explode("\n",$importbody);
		print "- importing a generic list of " . strtolower($lang[customers]) . ". Enters (line-breaks) in comments or addresses will cause errors.<br>";
		}


//		$bericht = ereg_replace("\'","", $bericht);


		$x=0;
		?>
		<table>
		<tr><td colspan=10>
		<?php echo $lang[impwarning];?><br></td></tr>
		<?php
		if ($separator==",") {
			echo "<tr><td colspan=5>$lang[commawarning]</td></tr>";
		}
		$sql = "SELECT value FROM ".CRM_SETTINGS_TABLE." WHERE setting='Extra customer fields list'";
		$result = mcq($sql,$db);
		$list = mysql_fetch_array($result);
		$list = $list[value];
		$list = @explode(",",$list);
		?>
		<form name="controle" method="post">
		<?php
		print "<tr><td>$lang[customer]</td><td>$lang[contact]</td><td>$lang[contacttitle]</td><td>$lang[contactphone]</td><td>$lang[contactemail]</td><td>$lang[customeraddress]</td><td>$lang[custremarks]</td><td>$lang[custhomepage]</td>";
		foreach ($list as $item) {
			print "<td>" . $item . "</td>";
		}
		print "</tr>";



		while ((strlen($importbody[$x])>3)) {


			$a = explode($separator,$importbody[$x]);


			?>
			<tr>
			<td><input type="text" name="import[]" value="<?php echo $a[0];?>"></td>
			<td><input type="text" name="import[]" value="<?php echo $a[1];?>"></td>
			<td><input type="text" name="import[]" value="<?php echo $a[2];?>"></td>
			<td><input type="text" name="import[]" value="<?php echo $a[3];?>"></td>
			<td><input type="text" name="import[]" value="<?php echo $a[4];?>"></td>
			<td><input type="text" name="import[]" value="<?php echo $a[5];?>"></td>
			<td><input type="text" name="import[]" value="<?php echo $a[6];?>"></td>
			<td><input type="text" name="import[]" value="<?php echo $a[7];?>"></td>

			<?php
			for ($tmp=8;$tmp<$func_max;$tmp++) {
				print "<td><input type='text' name='import[]' value='" . $a[$tmp] . "'></td>";
			}

			print "</tr>";


		$x++;
	}
		if ($DELETEFIRST) {
				$DELETEFIRST = "confirmed";
		}

		?>
		<INPUT TYPE="hidden" NAME="func_max" value="<?php echo $func_max;?>">
		<INPUT TYPE="hidden" NAME="numofrecords" value="<?php echo ($x-1);?>">
		<INPUT TYPE="hidden" NAME="dothefuckingjob2" VALUE="1">
		<INPUT TYPE="hidden" NAME="DELETEFIRST" VALUE="<?php  echo $DELETEFIRST; ?>">
		<input type="hidden" name="actuser" value="<?php echo $username;?>">
		<input type="hidden" name="session" value="<?php echo $session;?>">

		<tr><td><INPUT TYPE="submit" NAME="importbutton2" value="Import!">
		</table>
		</form>
		</body>
		</html>
		<?php
		exit;
	}

if ($importcust) {

			$sql = "SELECT value FROM ".CRM_SETTINGS_TABLE." WHERE setting='Extra customer fields list'";
			$result = mcq($sql,$db);
			$list = mysql_fetch_array($result);
			$list = $list[value];
			$list = @explode(",",$list);

			$func_max = 8 + sizeof($list);

			print "<tr><td><fieldset><legend>CRM-specific export (CSV with lines terminated by CRM-specific line ends)&nbsp;</legend><table>";
			print "<tr><td></td></tr>";
			print "<tr><td colspan=12><img src='arrow.gif'>&nbsp;<a href='csv.php?password=$password&exportcust=1&sep=;' class='bigsort'> download " . strtolower($lang[customers]) . " CSV export semicolon (;) quoted-printable</a></td></tr>";
			print "<tr><td colspan=12><img src='arrow.gif'>&nbsp;<a href='csv.php?password=$password&exportcust=1&sep=:' class='bigsort'> download " . strtolower($lang[customers]) . " CSV export colon (:) quoted-printable</a></td></tr>";
			print "<tr><td colspan=12><img src='arrow.gif'>&nbsp;<a href='csv.php?password=$password&exportcust=1&sep=,' class='bigsort'> download " . strtolower($lang[customers]) . " CSV export comma (,) quoted-printable</a></td></tr>";

//			print "<img src='arrow.gif'>&nbsp;<a href='csv.php?exportlog=1&sep=RealExcel' class='bigsort'> Microsoft&reg; Excel&reg; format</a><br>";

			print "<tr><td colspan=12></td></tr></table></fieldset></td></tr>";

			print "<tr><td><fieldset><legend>CSV export (for MS Excel)&nbsp;</legend><table>";

			print "<tr><td colspan=12><img src='arrow.gif'>&nbsp;<a href='csv.php?password=$password&exportcust=1&nle=1&sep=;' class='bigsort'> download " . strtolower($lang[customers]) . " CSV export semicolon (;) quoted-printable</a></td></tr>";
			print "<tr><td colspan=12><img src='arrow.gif'>&nbsp;<a href='csv.php?password=$password&exportcust=1&nle=1&sep=:' class='bigsort'> download " . strtolower($lang[customers]) . " CSV export colon (:) quoted-printable</a></td></tr>";
			print "<tr><td colspan=12><img src='arrow.gif'>&nbsp;<a href='csv.php?password=$password&exportcust=1&nle=1&sep=,' class='bigsort'> download " . strtolower($lang[customers]) . " CSV export comma (,) quoted-printable</a></td></tr>";
			print "<tr><td colspan=12><img src='arrow.gif'>&nbsp;<a href='csv.php?password=$password&exportcust=1&sep=RealExcel' class='bigsort'> download " . strtolower($lang[customers]) . " in Microsoft&reg; Excel&reg; format</a></td></tr>";

			print "<tr><td colspan=12></td></tr></table></fieldset></td></tr>";
			print "<tr><td><fieldset><legend>Import " . strtolower($lang[customers]) ."&nbsp;</legend><table>";

			print "<tr><td>$lang[pbimpwarning]<BR><BR></td></tr>";
			print "<tr><td>If you paste the contents of a CRM-" . strtolower($lang[customers]) . "-export file in the box below, CRM can handle<br>line breaks. If you paste in a standard list of seperated values, be sure that one line is one entry.<br>CRM will detect the data type automatically.<br><br>";
			print "<pre>$lang[customer];$lang[contact];$lang[contacttitle];$lang[contactphone];$lang[contactemail];$lang[customeraddress];$lang[custremarks];$lang[custhomepage]";

			foreach($list as $item) {
				print ";$item";
			}

			print "</pre><BR><BR>After clicking 'Import' an overview will be presented to check your data before you actually import it into the database.<br><br>";
			?>
			<form name="importcustomers" method="post">
			<INPUT NAME="separator" CLASS="radio" TYPE="radio" CHECKED VALUE=";">  <?php echo $lang[scqp];?><BR>
			<INPUT NAME="separator" CLASS="radio" TYPE="radio" VALUE=":"> <?php echo $lang[cqp];?><BR>
			<INPUT NAME="separator" CLASS="radio" TYPE="radio" VALUE=","> <?php echo $lang[kqp];?><BR><br>
			<INPUT NAME="DELETEFIRST" CLASS="radio" VALUE="1" TYPE="checkbox"> Check to empty <?php $lang[customers];?> table before import (be careful!)<BR><br>
			<textarea rows=3 cols=100 name='importbodycustomers'><?php echo$lang[paste];?></textarea><BR>
			<br>
			<INPUT TYPE="hidden" NAME="func_max" value="<?php echo $func_max;?>">
			<INPUT TYPE="submit" NAME="importbutton" value="Import!">
			</form>
			</td></tr></table></fieldset><br>
			<img src='arrow.gif'>&nbsp;<a class='bigsort' href='javascript:history.back(1);' style='cursor:hand'>Back to main administration page</a>
			</td></tr></table>
			</body>
			</html>
			<?php

			exit;

}
if ($importphone) {
			print "<table><tr><td><fieldset><legend>$lang[importinpb]</legend><table>";
			print "<tr><td nowrap>$lang[pbimpwarning]<BR><BR>";
			print "$lang[fname];$lang[lname];$lang[tel];$lang[company];$lang[dep];$lang[title];$lang[room];E-mail";
			print "<BR><BR>";
			?>
			<form name="importadresboek" method="post">
			<INPUT NAME="separator" CLASS="radio" TYPE="radio" CHECKED VALUE=";">  <?php echo $lang[scqp];?><BR>
			<INPUT NAME="separator" CLASS="radio" TYPE="radio" VALUE=":"> <?php echo $lang[cqp];?><BR>
			<INPUT NAME="separator" CLASS="radio" TYPE="radio" VALUE=","> <?php echo $lang[kqp];?><BR><br>
			<INPUT NAME="DELETEFIRST" CLASS="radio" VALUE="1" TYPE="checkbox"> Check to empty phonebook before import <BR><br>
			<textarea rows=3 cols=60 name='importbody'><?php echo$lang[paste];?></textarea>
			<INPUT TYPE="submit" NAME="importbutton" value="Import!">
			</form>
			</td></tr></table></fieldset>
			<br><img src='arrow.gif'>&nbsp;<a class='bigsort' href='javascript:history.back(1);' style='cursor:hand'>Back to main administration page</a></td>
			</td></tr></table>
			</body>
			</html>
			<?php

			exit;

}

if (!$_FILES['userfile']['tmp_name']=="" && !$_FILES['userfile']['name']=="" && !$_FILES['userfile']['size']=="" && !$_FILES['userfile']['type']=="" && $importentities) {

		//  A file was attached



		// Read contents of uploaded file into variable
					$fp=fopen($_FILES['userfile']['tmp_name'] ,"rb");

					//$filecontent=fread($fp,filesize($_FILES['userfile']['tmp_name'] ));
					while (!feof($fp)) {
						$a = fgets($fp,1600000);
						$q = base64_decode($a);
						if (!$q=="") {
							mcq($q,$db);
						}
						unset($q);
					}
					fclose($fp);
					print filesize($_FILES['userfile']['tmp_name'] );




					print "<tr><td>$count queries where successfully imported, $skip were skipped</td></tr>";
					print "<tr><td><img src='arrow.gif'>&nbsp;<a class='bigsort' href='javascript:history.back(1);' style='cursor:hand'>Back to main administration page</a></td></tr>";
					print "</table></body></html>";
					exit;

}
if ($importentities) {

			MustBeAdmin();

			$legend = "Export current database (" . $database[$repository_nr] .")&nbsp;";
			$a  = "<br>To download a CRM-specific export, use the encrypted download. This file can only be read by CRM. If your database is too large to upload and import it with CRM, use the plain dowload to create a plain-text standard SQL file which can be imported into MySQL using 'mysqlimport' or similar tools.<br><br>Please remember that when downloading very large databases things like your PHP's MAX_EXECUTION_TIME vars and your MySQL installation's variables can cause errors.<br>";
			$a .= "<br><img src='arrow.gif'>&nbsp;<a href='export.php?encrypt=1' class='bigsort'>Download encrypted database dump</a>";
			$a .= "<br><br><img src='arrow.gif'>&nbsp;<a href='export.php' class='bigsort'>Download plain-text database dump</a>";

			printbox($a);

			$legend = "Import complete encrypted CRM database dump&nbsp;";
			$a = "<br><font color='#FF0000'>Warning!</font> Importing a database dump will overwrite ALL DATA in your current working database (" . $database[$repository_nr] . "). Be careful! Only use this when you have only 1 repository in this database. <br>You will <b>not</b> be asked for confirmation after uploading the file.<br><br><form ACTION='admin.php' name='ImportEntities' method='POST' ENCTYPE='multipart/form-data' id='dashed'>";
			$a .= "<INPUT TYPE='hidden' name='MAX_FILE_SIZE' value='1552428800'><img src='attach.gif'>&nbsp;&nbsp;Select CRM export file: <INPUT NAME='userfile' TYPE='file'><br><br><input type='submit' value='Import'><input type='hidden' name='importentities' value='1'>";
			printbox($a);
			print "<img src='arrow.gif'>&nbsp;<a href='admin.php?$epoch' class='bigsort'>Back to main administration page</a>";
			?>
			</form>
			</body>
			</html>
			<?php

			exit;

}


	if (!$sysval && !$fysdelete) {

	$daba = $repository_nr + 1;

	/////////// HIER

	$toprint .= "<tr><td NOWRAP><table border=0 cellpadding=8><tr><td NOWRAP valign='top'>";
	$toprint .= "<fieldset><legend>System configuration&nbsp;</legend>";
	$toprint .= "<img src='arrow.gif'>&nbsp;<a href='admin.php?password=$password&sysval=1' class='bigsort'>Configure systems values (ALT-S)</a><br><img src='arrow.gif'>&nbsp;";
	$toprint .= "<a href='admin.php?password=$password&adduser=1&userman=1' class='bigsort'>Configure accounts (ALT-U)</a><br><img src='arrow.gif'>&nbsp;";
	$toprint .= "<a href='dictedit.php?password=$password&packman=1&tab=80' class='bigsort'>Configure language packs (ALT-L)</a><br><img src='arrow.gif'>&nbsp;";
	$toprint .= "<a href='admin.php?password=$password&reposman=1&resman=1&manageres=1' class='bigsort'>Configure repositories (ALT-R)</a><br><img src='arrow.gif'>&nbsp;";
	$toprint .= "<a href='admin.php?password=$password&fhelp=1' class='bigsort'>Configure help topics</a><br>&nbsp;</fieldset>";

	$toprint .= "</td><td valign=top NOWRAP>";
	$toprint .= "<fieldset><legend>System management&nbsp;</legend>";
	$toprint .="<img src='arrow.gif'>&nbsp;";
	$toprint .= "<a href='admin.php?password=$password&EditVars=1' class='bigsort'>Edit status and priority values*</a><br><img src='arrow.gif'>&nbsp;";
	$toprint .= "<a href='admin.php?checkdb=1&daba=$daba&password=$password' class='bigsort'>Edit extra fields*</a> <br><img src='arrow.gif'>&nbsp;";
	$toprint .= "<a href='admin.php?checkdb=1&daba=$daba&password=$password&custvars=1' class='bigsort'>Edit extra " . strtolower($lang[customer]) . " fields*</a><br><img src='arrow.gif'>&nbsp;";
	$toprint .= "<a href='admin.php?checkdb=1&daba=$daba&password=$password&categoryvars=1' class='bigsort'>Edit categories ";
	if (strtoupper($lang[category])<>"CATEGORY") {
		$toprint .= "(" . strtolower($lang[category]) . ")";
	}
	$toprint .= "</a> <br><img src='arrow.gif'>&nbsp;";
	$toprint .= "<a href='choose_cols.php?dothis=global' class='bigsort'>Edit lists lay-out</a> <br><img src='arrow.gif'>&nbsp;";
	$toprint .= "<a href='admin.php?password=$password&log=1' class='bigsort'>View log & stats</a><br>";
	$toprint .= "<img src='arrow.gif'>&nbsp;<a href='admin.php?password=$password&ViewJournal=1' class='bigsort'>View journals</a><br>";
	$toprint .= "</fieldset></td></tr><tr valign=top><td valign=top>";
	$toprint .= "<fieldset><legend>Data management&nbsp;</legend>";
	$toprint .="<img src='arrow.gif'>&nbsp;";
	$toprint .= "<a href='admin.php?password=$password&files=1' class='bigsort'>$lang[viewfiles]</a><br><img src='arrow.gif'>&nbsp;";
	$toprint .= "<a href='admin.php?password=$password&deleteclosed=1' class='bigsort'>Delete a set of entities</a> <br><img src='arrow.gif'>&nbsp;";
	$toprint .= "<a href='index.php?password=$password&ShowEntitiesOpen=1&filter=viewdel' class='bigsort'>$lang[viewdelentities]</a><br><img src='arrow.gif'>&nbsp;";
	$toprint .= "<a href='admin.php?password=$password&fysdelete=1' class='bigsort'>Delete an entity physically</a><br><img src='arrow.gif'>&nbsp;";
	$toprint .= "<a href='admin.php?password=$password&advquery=1' class='bigsort'>Advanced database query</a>";
	$toprint .= "<br><img src='arrow.gif'>&nbsp;";
	$toprint .= "<a href='checkdb.php' class='bigsort'>Check'n'fix database</a>";
	$toprint .= "</fieldset></td><td valign=top>";
	$toprint .= "<fieldset><legend>Import, export and backup&nbsp;</legend>";
	$toprint .= "<img src='arrow.gif'>&nbsp;";
	$toprint .= "<a href='admin.php?password=$password&importentities=1' class='bigsort'>Repository backup & restore</a><br><img src='arrow.gif'>&nbsp;";
	$toprint .= "<a href='admin.php?password=$password&impphone=1&importphone=1' class='bigsort'>$lang[impphone]</a><br><img src='arrow.gif'>&nbsp;";

	$toprint .= "<a href='admin.php?password=$password&importcust=1' class='bigsort'>Import/export " . strtolower($lang[customers]) . "</a>";
	$toprint .= "<br><img src='arrow.gif'>&nbsp;<a href='dump_to_disk.php?password=$password' class='bigsort'>Export <b>everything</b> to disk</a>";

	$toprint .= "<br><br><img src='arrow.gif'>&nbsp;<a href='admin.php?SendEntityList=1' class='bigsort'>Send entity list to all users (only assigned, via e-mail, no confirmation)</a>";

	$toprint .= "</fieldset></td></tr>";

	//$toprint .= "<tr><td colspan=4></td></tr></table>";

	print "<tr><td colspan=12>";
	print $toprint;
	print "</td></tr>";

	if (!$log && !$files && !$deleteclosed && !$edit1 && !$newuser && !$newpassword && !$PhysDelFileConfirmed && !$fysdelete && !$fconfirmed && !$fysdelid && !$fysdelete) {
		uselogger("Administrative section accessed","");
		print "<tr><td colspan=2><table border=0 width='100%'><tr><td><fieldset><legend><img src='info.gif'>&nbsp;Info&nbsp;</legend><font size='-1'>You are looking at $CRM_VERSION by Hidde Fennema. Visit the CRM project page at <img src='arrow.gif'>&nbsp;<a href='http://crm.it-combine.com' target='mnew' class='bigsort'>http://crm.it-combine.com</a> for new releases and the latest documentation. Help is also available, as is the CRM forum.";
		print "</font></fieldset></td></tr></table></td></tr>";

	if (strtoupper($EnableWebDAVSubsystem)=="YES") {
			print "<tr><td colspan=2>";
			print "<table width=100%><tr><td><fieldset><legend><img src='webdav.gif'>&nbsp;WebDAV Subsystem status&nbsp;</legend><table width=100%>";
			print "<tr><td>WebDAV Subystem is enabled</td></tr>";

			if (!file_exists("webdav_fs/.htaccess")) {
					print "<tr><td><img src='error.gif'>&nbsp; WARNING - .htaccess file in webdav_fs/ directory not found. This is a severe security breach.</td></tr>";
			}

			$sql = "SELECT COUNT(*) FROM ".CRM_BINFILES_TABLE." WHERE checked='out'";
			$ret = mcq($sql,$db);
			$row = mysql_fetch_array($ret);

			if ($row[0]=="") {
				$row[0] = "0";
			}

			$out = $row[0];

			if ($listfiles) {
				print "<tr><td>There is/are " . $row[0] . " files checked out of the database <img src='arrow.gif'>&nbsp;<a href='admin.php?listfiles=0&password=$password&listlocks=$listlocks' class='bigsort'>Hide files</a></td></tr>";
			} else {
				print "<tr><td>There is/are " . $row[0] . " files checked out of the database <img src='arrow.gif'>&nbsp;<a href='admin.php?listfiles=1&password=$password&listlocks=$listlocks' class='bigsort'>List files</a></td></tr>";
			}

			if ($listfiles) {

				$sql = "SELECT checked,checked_out_by,fileid,username,filename,koppelid FROM ".CRM_BINFILES_TABLE." WHERE checked='out'";
				$outp = mcq($sql,$db);


				if ($out>0) {
					print "<tr><td><table border=1 cellpadding='4'>";
					print "<tr><td><b>Filename</b></td><td><b>eid</b></td><td><b>File owner</b></td><td><b>Checked out by</b></td></tr>";
					while ($row=mysql_fetch_array($outp)) {
						print "<tr><td>$row[filename]</td><td><a href='edit.php?e=$row[koppelid]' class='bigsort'>$row[koppelid]</a></td><td>$row[username]</td><td>" . GetUserName($row[checked_out_by]) . "</td></tr>";
					}
					print "</table></td></tr>";
				} else {
					print "<tr><td><b>No files</b></td></tr>";
				}
			}


			$sql = "SELECT COUNT(*) FROM ".CRM_WEBDAV_LOCKS_TABLE;
			$ret = mcq($sql,$db);
			$row = mysql_fetch_array($ret);

			if ($listlocks) {
				print "<tr><td>There is/are " . $row[0] . " files are locked for editing <img src='arrow.gif'>&nbsp;<a href='admin.php?listlocks=0&password=$password&listfiles=$listfiles' class='bigsort'>Hide locks</a></td></tr>";
			} else {
				print "<tr><td>There is/are " . $row[0] . " files are locked for editing <img src='arrow.gif'>&nbsp;<a href='admin.php?listlocks=1&password=$password&listfiles=$listfiles' class='bigsort'>List locks</a></td></tr>";
			}



			$locks = $row[0];


			if ($row[0]>$out) {
				print "<tr><td><img src='error.gif'>&nbsp; WARNING - There are more locks than checked out files</td></tr>";
			}
			if ($listlocks) {

				if ($deletelock) {
					$sql = "DELETE FROM ".CRM_WEBDAV_LOCKS_TABLE." WHERE token='" . $deletelock . "'";
					mcq($sql,$db);
				}

				$sql = "SELECT * FROM ".CRM_WEBDAV_LOCKS_TABLE;
				$outp = mcq($sql,$db);

				if ($locks>0) {
					print "<tr><td><table border=1 cellpadding='4'>";
					print "<tr><td><b>Filename</b></td><td><b>Lock owner</b></td><td><b>Delete</b></td></tr>";
					while ($row=mysql_fetch_array($outp)) {
						print "<tr><td>$row[1]</td><td>$row[3]</td><td><img src='arrow.gif'>&nbsp;<a href='admin.php?listlocks=1&password=$password&deletelock=$row[0]' class='bigsort'>Delete this lock</a></td></tr>";
					}
					print "</table></td></tr>";
				} else {
					print "<tr><td><b>No locks</b></td></tr>";
				}
			}

			$ext_path_to_webdav_fs = "http://" . $_SERVER['SERVER_NAME'] . "/webdav_fs/";

			$subdir = ereg_replace("admin.php","webdav_fs/",$_SERVER['SCRIPT_NAME']) . ".htaccess";

			$uri = $_SERVER['SERVER_NAME'] . $subdir;

			$fp = fsockopen($_SERVER['SERVER_NAME'], 80, $errno, $errstr, 30);
			if (!$fp) {
			   echo "$errstr ($errno)<br />\n";
			} else {
			   $out = "GET $subdir HTTP/1.1\r\n";
			   $out .= "Host: " . $_SERVER['SERVER_NAME'] . "\r\n";
			   $out .= "Connection: Close\r\n\r\n";

			   fputs($fp, $out);
			   while (!feof($fp)) {
				   $ret .= fgets($fp, 128);
			   }
			   fclose($fp);
			}

			if (!stristr($ret,"403 Forbidden")) {
				print "<tr><td><img src='error.gif'>&nbsp; WARNING - The directory $subdir LOOKS WORLD-READABLE</td></tr>";
				print "<tr><td>This check is done by creating a socket connection to " . $uri . " which must return a 403 Forbidden. In this case, the 403 Forbidden header was not received.</td></tr>";


				print "<tr><td>Forcing WebDAV Subsystem SHUTDOWN for your own safety.</td></tr>";

				uselogger("WebDAV Subsystem forced to shutdown due to security-related error","");

				$sql = "UPDATE ".CRM_SETTINGS_TABLE." SET value='no - AUTOMATED SHUTDOWN - webdav_fs dir was world-readable' WHERE setting='EnableWebDAVSubsystem'";
				mcq($sql,$db);
			} else {
				print "<tr><td>Access to http://" . $uri . " was checked using a socket connection, received a 403 Forbidden which is OK</td></tr>";
			}

			print "</table></fieldset></td></tr></table></td></tr>";
		}
		if ($GLOBALS['VERSION'] == "2.4.6") {
			print "<tr><td colspan=2>";
			print "<table width=100%><tr><td><fieldset><legend><img src='info.gif'>&nbsp;<font color='#FF0000'>Question</font>&nbsp;</legend><table width=100%>";
			print "<tr><td><font size='-1'>The CRM-CTT logo is outdated. We're looking for a new logo, but nobody over here is that good with graphics. Do you have an idea? We need a logo which covers the full name of the application: \"CRM-CTT\". Design a logo for us and mail it to hidde_crm@users.sourceforge.net! The winner receives a full copy of CRM-CTT ;) and 1 implemented feature request! (as long as it's reasonable and useful ofcourse)</font></td></tr>";
			print "</table></fieldset></td></tr></table></td></tr>";
		}
		if ($GLOBALS['DBVERSION'] <> $GLOBALS['VERSION']) {
			print "<tr><td colspan=2>";
			print "<table width=100%><tr><td><fieldset><legend><img src='error.gif'> Error&nbsp;</legend><table width=100%>";
			//print "<tr><td>ERROR - your database is out-of-date!</td></tr>";
			print "<tr><td>Your database version is " . $GLOBALS['DBVERSION'] . " while the CRM-CTT version you're running is version " . $GLOBALS['VERSION'] . ". This can compromise your data integrity.</td></tr>";
			//print "<tr><td>&nbsp;</td></tr>";

			if ($GLOBALS['DBVERSION'] > $GLOBALS['VERSION']) {
				print "<tr><td>Please go to <img src='arrow.gif'>&nbsp;<a href='http://crm.it-combine.com' target='new' class='bigsort'>http://crm.it-combine.com</a> to download version " . $GLOBALS['DBVERSION'] . " of CRM-CTT.</td></tr>";
			} else {
				print "<tr><td>Please use the <img src='arrow.gif'>&nbsp;<a href='upgrade.php' class='bigsort'>database upgrade procedure</a> to upgrade your database to version " . $GLOBALS['VERSION'] . "</td></tr>";
			}

			print "</table></fieldset></td></tr></table></td></tr>";
		}


		print "<tr><td colspan=2>";
		print "<table width=100%><tr><td><fieldset><legend>Available documentation in this installation&nbsp;</legend><table width=100%>";
		if (file_exists("CRM_adminmanual.pdf")) {
			print "<tr><td>Administration manual</td><td><img src='arrow.gif'>&nbsp;<a href='CRM_adminmanual.pdf' target='new' class='bigsort'>CRM_adminmanual.pdf</a> (alt-m)</td></tr>";
			$av++;
		}
		if (strtoupper($ShowPDWASLink)=="YES") {
				if (file_exists("CRM_PDWASmanual.pdf")) {
						print "<TR><TD>PDWAS Manual</TD><TD><img src='arrow.gif'>&nbsp;<a target='_new' class='bigsort' title='' href='CRM_PDWASmanual.pdf'>CRM_PDWASmanual.pdf</a></TD></TR>";
				}

		}
		if (file_exists("README")) {
			print "<tr><td>Readme</td><td><img src='arrow.gif'>&nbsp;<a href='README' class='bigsort' target='new'>README</a></td></tr>";
			$av++;
		}
		if (file_exists("CHANGELOG")) {
			print "<tr><td>Changelog</td><td><img src='arrow.gif'>&nbsp;<a href='CHANGELOG' class='bigsort' target='new'>CHANGELOG</a></td></tr>";
			$av++;
		}
		if (file_exists("UPGRADING")) {
			print "<tr><td>Upgrade issues</td><td><img src='arrow.gif'>&nbsp;<a href='UPGRADING' target='new' class='bigsort'>UPGRADING</a></td></tr>";
			$av++;
		}
		if (!$av) {
			print "<tr><td colspan=2>No documents found in your installation directory.</td></tr>";
		}
		print "</table></fieldset><br><br>";
		$epoch = date('U');
		ShowRepositorySwitcher("admin.php?" . $epoch);
		print "</td></tr></table></td></tr></table>";
	}

}
if ($chglansettings) {
		uselogger("System values saved","");

		if ($lan) {

				$sql = "DELETE FROM ".CRM_LANGUAGES_TABLE." WHERE TEXTID='current-language'";
				mcq($sql,$db);
				$sql= "SELECT TEXT FROM ".CRM_LANGUAGES_TABLE." WHERE TEXTID='current-language'";
				if ($debug) { print "\nSQL: $sql\n"; }
				$result= mcq($sql,$db);
				$result= mysql_fetch_array($result);

				if ($result[TEXTID]=="") {
				    $sql= "INSERT INTO ".CRM_LANGUAGES_TABLE."(LANGID,TEXTID,TEXT) VALUES('GLOBAL','current-language','$lan')";
						if ($debug) { print "\nSQL: $sql\n"; }
					mcq($sql,$db);

				} else {
					$sql= "UPDATE ".CRM_LANGUAGES_TABLE." SET TEXT='$lan' WHERE TEXTID='current-language'";
						if ($debug) { print "\nSQL: $sql\n"; }
					mcq($sql,$db);
				}
		}
		if ($lanmask) {

				$sql = "DELETE FROM ".CRM_LANGUAGES_TABLE." WHERE TEXTID='current-language-mask'";
				mcq($sql,$db);
				$sql= "SELECT TEXT FROM ".CRM_LANGUAGES_TABLE." WHERE TEXTID='current-language-mask'";
				if ($debug) { print "\nSQL: $sql\n"; }
				$result= mcq($sql,$db);
				$result= mysql_fetch_array($result);

				if ($result[TEXTID]=="") {
				    $sql= "INSERT INTO ".CRM_LANGUAGES_TABLE."(LANGID,TEXTID,TEXT) VALUES('GLOBAL','current-language-mask','$lanmask')";
						if ($debug) { print "\nSQL: $sql\n"; }
					mcq($sql,$db);

				} else {
					$sql= "UPDATE ".CRM_LANGUAGES_TABLE." SET TEXT='$lanmask' WHERE TEXTID='current-language-mask'";
						if ($debug) { print "\nSQL: $sql\n"; }
					mcq($sql,$db);

				}
		}
}
if ($chgsysval) {

		}

		if ($PhysDelFileConfirmed) {

				$sql = "DELETE FROM ".CRM_BINFILES_TABLE." WHERE fileid='$kid'";
				mcq($sql,$db);
				$files = 1;
				print "<font color='ff0000'>File $kid $lang[isdel]!</font>";
				uselogger("File #$kid physically deleted","");
		}

		if ($PhysFileDel) {
			uselogger("File list view","");

			print "<tr><td colspan=3><b>$lang[delfile] $kid</b><br><br></td></tr>";
			print "<tr><td colspan=12><table border='1' width='100%' bgcolor='#F2F2F2' cellspacing='0' cellpadding='8' bordercolor='#CECECE'>";
			print "<tr><td>FileID</td><td>Filename</td><td>Creation Date</td><td>Size</td><td>Type</td><td>Referenced</td><td>Parent</td></tr>";
			print "Viewing files";
			$sql = "SELECT fileid,koppelid,filename,creation_date,filesize,filetype FROM ".CRM_BINFILES_TABLE." WHERE fileid='$kid'";
			$result= mcq($sql,$db);
			 while ($files= mysql_fetch_array($result)) {

				$sql1 = "SELECT * FROM ".CRM_ENTITY_TABLE." WHERE eid=$files[koppelid]";
				$result1= mcq($sql1,$db);
				$count_e1 = mysql_fetch_array($result1);
				$count_e = $count_e1[0];
				if ($count_e=="") {
					$ref = "<font color='ff0000'>Unreferenced!</font>";
					$parent = "<font color='ff0000'>n/a</font>";
				} else {
					$ref = "<font color='#33FF00'>OK</font>";
					if ($count_e1[status]=="close") {
						$parent .="<font color='#FF0000'>closed</font> ";
					}
					if ($count_e1[status]=="open") {
						print "<tr><td colspan=7><font color='#FF0000'>You cannot delete a file with an open parent status!</td></tr>";
						print "</table></body></html>";
						exit;
					}
					if ($count_e1[status]=="awaiting closure") {
						$parent .="<font color='#6633FF'>awaiting closure</font> ";
					}
					if ($count_e1[deleted]=="y") {
						$parent .="<font color='#FF0000'>deleted</font> ";
					} else {
						print "<tr><td colspan=7><font color='#FF0000'>You cannot delete a file which has a non-deleted parent!</td></tr>";
						print "</table></body></html>";
						exit;
					}


				}

			print "<tr><td>$files[fileid]</td><td><img src='arrow.gif'>&nbsp;<a href='csv.php?fileid=$files[fileid]' class='bigsort'>$files[filename]</a></td><td>$files[creation_date]</td><td>$files[filesize]</td><td>$files[filetype]</td><td>$ref</td><td>$parent</td></tr>";
			$tot++;
			unset($parent);
			$totsize = $totsize + $files[filesize];
					 }

			print "<tr><td colspan=7>";
			print "<form name='2' method='POST'><input type='hidden' name='PhysDelFileConfirmed' value='1'><input type='hidden' name='password' value='$password'><input type='hidden' name='kid' value='$kid'>";
			print "<input type='submit' style='width: 250px' name='knoppie' value='Confirm delete'></form>";

		print "</table></td></tr>";
	}
if ($sysval) {
	uselogger("Change System Values section accessed","");
	print "<tr><td colspan=3>Change global system values<br><img src='arrow.gif'>&nbsp;<a class='bigsort' href='admin.php?password=$password&joepie=1' style='cursor:hand'>Back to main administration page</a><br></td></tr>";
	print "<tr><td colspan=3><table border='1' width='100%' bgcolor='#FFFFFF' cellspacing='0' cellpadding='4' bordercolor='#CECECE'><tr><td>";
	print "<b>Setting name</b></td><td><b>Current value</b></td><td><b>Discription</b></td></tr>";

	?>
	<SCRIPT LANGUAGE="JavaScript">
	<!--
		function gobla(i) {
				document.location="admin.php?password=<?php echo $password;?>&EditSysVar=" + i + "&<?php echo $epoch;?>";
			}
	//-->
	</SCRIPT>
	<?php

	$sql= "SELECT settingid, setting, value, discription FROM ".CRM_SETTINGS_TABLE." ORDER BY setting";
	if ($debug) { print "\nSQL: $sql\n"; }
	$result= mcq($sql,$db);
		while ($resarr=mysql_fetch_array($result)) {
			if (($resarr[setting]<>"Extra fields list") && ($resarr[setting]<>"Extra customer fields list") && ($resarr[setting]<>"Category pulldown list") && ($resarr[setting]<>"MainListColumnsToShow") && ($resarr[setting]<>"CustomerListColumnsToShow")) {
				print "<tr onmouseout=\"javascript:style.background='#FFFFFF';\" onmouseover=\"javascript:style.background='#E9E9E9';\"><td style='cursor:hand' OnClick='javascript:gobla(" . $resarr[settingid] . ");'><img src='arrow.gif'>&nbsp;<a class='bigsort'>" . strtoupper($resarr[setting]) . "</a></td><td style='cursor:hand' OnClick='javascript:gobla(" . $resarr[settingid] . ");'>";
				if (substr($resarr[setting],0,4) == "BODY" || $resarr[setting] == "STANDARD_TEXT") {
					print "&lt;click to edit&gt;</td><td  style='cursor:hand' OnClick='javascript:gobla(" . $resarr[settingid] . ");'>$resarr[discription]</td></tr>";

				} elseif (stristr($resarr['setting'],"password")){
					if ($resarr['value']=="" || $resarr['value'] == "*NONE*") {
						print " -- no password set --";
					} else {
						print "********";
					}
					print "</td><td style='cursor:hand' OnClick='javascript:gobla(" . $resarr[settingid] . ");'>$resarr[discription]</td></tr>";
				} else {
					if (strtoupper($resarr['value'])=="YES" || strtoupper($resarr['value'])=="ON") {
						$i1 = "<font color='#66CC66'><b>";
						$i2 = "</b></font>";
					} elseif (strtoupper($resarr['value'])=="NO" || strtoupper($resarr['value'])=="OFF") {
						$i1 = "<font color='#FF0000'><b>";
						$i2 = "</b></font>";
					} else {
						unset($i1);
						unset($i2);
					}

					print $i1 . "$resarr[value]&nbsp;" . $i2;

					print "</td><td style='cursor:hand' OnClick='javascript:gobla(" . $resarr[settingid] . ");'>$resarr[discription]</td></tr>";
				}
			}
	}
	print "<form name='settings' method='POST'>";
	print "<input type='hidden' name='password' value='$password'>";
	print "<input type='hidden' name='chglansettings' value='1'>";
	print "<tr><td>Main language:</td>";
	print "<td>";
	print "<select name='lan'>";

		$sql= "SELECT TEXT FROM ".CRM_LANGUAGES_TABLE." WHERE TEXTID='current-language' AND LANGID='GLOBAL'";
		$result= mcq($sql,$db);
		$result= mysql_fetch_array($result);
		$language_overall = $result[TEXT]; // This is the system-wide language variable, now check the user's preference

		$sql= "SELECT DISTINCT LANGID FROM ".CRM_LANGUAGES_TABLE;
		$result= mcq($sql,$db);
		while ($resarr=mysql_fetch_array($result)){
				if ((trim($resarr[LANGID])=="") || ($resarr[LANGID] == "GLOBAL")) {
			// GLOBAL is a global language setting which ought to be ignored
				} else {
					if ($language_overall==$resarr[LANGID]) {
					    $ins = "SELECTED";
					} else {
					    unset($ins);
					}

					print "<option value='$resarr[LANGID]' $ins>$resarr[LANGID]</option>";
				}

		}
		print "</select>";
	print "</td><td>System-wide default language</td></tr>";
	print "<tr><td>Language mask:</td>";
	print "<td>";
	print "<select name='lanmask'>";
	print "<option value='-'>None</option>";
		$sql= "SELECT TEXT FROM ".CRM_LANGUAGES_TABLE." WHERE TEXTID='current-language-mask' AND LANGID='GLOBAL'";
		$result= mcq($sql,$db);
		$result= mysql_fetch_array($result);
		$mask_oa = $result[TEXT]; // This is the system-wide language variable, now check the user's preference

		$sql= "SELECT DISTINCT LANGID FROM ".CRM_LANGUAGES_TABLE;
		$result= mcq($sql,$db);
		while ($resarr=mysql_fetch_array($result)){
				if ((trim($resarr[LANGID])=="") || ($resarr[LANGID] == "GLOBAL")) {
			// GLOBAL is a global language setting which ought to be ignored
				} else {
					if ($mask_oa==$resarr[LANGID]) {
					    $ins = "SELECTED";
					} else {
					    unset($ins);
					}

					print "<option value='$resarr[LANGID]' $ins>$resarr[LANGID]</option>";
				}

		}
		print "</select>";
	print "</td><td>System-wide default language mask</td></tr>";

	print "</table>";
	print "<tr><td colspan=3><br><br>&nbsp;&nbsp;<input type='submit' name='aplysettings' value='Apply language and mask'></form></td></tr>";
	print "<tr><td colspan=2></td></tr>";
}


if ($edit1) {

	for ($x=0;$x<(sizeof($t)-1);$x++) {



	    $sql = "UPDATE ".CRM_HELP_TABLE." SET title=\"$t[$x]\",content=\"$c[$x]\" WHERE helpid=\"$h_id[$x]\"";
		uselogger("Help contents edited","");
	    mcq($sql,$db);
		//print $sql;

	}
	$x = sizeof($t)-1;
	if (!$t[$x] == "") {
		$c[$x] = addslashes($c[$x]);
		$t[$x] = addslashes($t[$x]);

	    $sql = "INSERT INTO ".CRM_HELP_TABLE."(title,content) VALUES(\"$t[$x]\",\"$c[$x]\")";
		uselogger("Help item added","");
	    mcq($sql,$db);
		//print $sql;
		print "<tr><td>Help database updated.</td></tr>";
	}

}

if ($deleteclosed && !$deleteclosed1) {
			print "<tr><td><table><tr><td colspan=12><table border=0><tr><td colspan=2>Delete all entities with status: <form name='bla' method='post'><select name='DeleteAllWithStatus' size='1' $roins>";
			$sql = "SELECT varname,id,color FROM ".CRM_STATUS_VARS_TABLE;
			$result= mcq($sql,$db);
			while($options = mysql_fetch_array($result)) {
				if (strtoupper(($ea[status]))==strtoupper($options[varname])) { $a="SELECTED"; } else { $a=""; }
				print "<option value='$options[varname]' $a>$options[varname]</option>";
			}

			print "</select>&nbsp;<input type='hidden' name='deleteclosed1' value='1'><input type='hidden' name='deleteclosed' value='1'><input type='submit' value='Go!'></td></tr></table></td></tr>";
}

if ($deleteclosed1 && $DeleteAllWithStatus) {
		$sql = "SELECT COUNT(*) FROM ".CRM_ENTITY_TABLE." WHERE status='$DeleteAllWithStatus' AND deleted<>'y'";
		$result= mcq($sql,$db);
		$maxU1 = mysql_fetch_array($result);
		$maxo = $maxU1[0];
		print "<tr><td colspan=12>Setting $maxo entities with status <b>$DeleteAllWithStatus</b> to <b>deleted</b> status. Please confirm by clicking the button below.<br>";
		print "<form name='confirm' method='POST'>";
		print "<input type='hidden' name='DeleteAllWithStatus' value='$DeleteAllWithStatus'><input type='hidden' name='fconfirmed' value='1'><input type='hidden' name='password' value='$password'>";
		if ($maxo>0) {
			print "</td></tr><tr><td><br><input type='submit' name='knopje' value='Confirm deletion'></td></tr></table>";
		} else {
			print "</td></tr><tr><td><br><b>Nothing to do!</b></td></tr></table>";
		}
		print "</form></body></html>";
		exit;

}
if ($fconfirmed) {
		$sql = "UPDATE ".CRM_ENTITY_TABLE." SET deleted='y' WHERE status='$DeleteAllWithStatus' AND deleted<>'y'";
		mcq($sql,$db);
//		print $sql;
		print "<tr><td>All entities with status '$DeleteAllWithStatus' were moved to deleted-list</td></tr>";
		uselogger("All entities with status $DeleteAllWithStatus were deleted","");
}

if ($fysconfirmed) {
		print "<tr><td colspan=2>The entity and all its references were physically deleted.</td><tr>";
		$sql = "DELETE FROM ".CRM_ENTITY_TABLE." WHERE eid='$fysdelid'";
		mcq($sql,$db);
		$sql = "DELETE FROM ".CRM_CALENDAR_TABLE." WHERE eid='$fysdelid'";
		mcq($sql,$db);
		$sql = "DELETE FROM ".CRM_BINFILES_TABLE." WHERE koppelid='$fysdelid'";
		mcq($sql,$db);
		$sql = "DELETE FROM ".CRM_ENTITY_TABLE." WHERE eid='$fysdelid'";
		mcq($sql,$db);
		journal($fysdelid,"- ENTITY PHYSICALLY DELETED -");
		uselogger("PHYSICAL ENTITY DELETE: $fysdelid","");
		unset($fysdelid);
}
if ($fysdelid) {

	$tot = pushentity($fysdelid);
	if ($tot<>1) {

		print "<tr><td colspan=3><b>Nothing found. This could mean this entity is not yet deleted, or maybe it doesn't exist at all.</td></tr>";
		print "</table></body></html>";
		exit;
		}

		print "<tr><td colspan=4><br><b>Please confirm by clicking the button below</b><br>";
		print "<form name='confirm' method='POST'><input type='hidden' name='fysdelid' value='$fysdelid'>";
		print "<input type='hidden' name='fysconfirmed' value='1'><input type='hidden' name='password' value='$password'>";
		print "</td></tr><tr><td colspan=3><br><input type='submit' name='knopje' value='Confirm physical deletion'></td></tr></table>";
		print "</form></table></body></html>";
	exit;
}

if ($fysdelete) {
		print "<tr><td colspan=8>Please enter the ID of the (already deleted) entity you whish to delete physically:</td></tr>";
		print "<tr><td colspan=8><form name='fd' method='POST'><input type='hidden' name='password' value='$password'>";
		print "<input type='text' size=3 name='fysdelid'><br><br><input type='submit' name='knopje' value='Delete'>&nbsp;<img src='arrow.gif'>&nbsp;<a class='bigsort' href='admin.php?password=$password&joepie=1' style='cursor:hand'>Back to main administration page</a></form></td></tr>";
		print "</table></body></html>";
		exit;
}




if ($fhelp) {
	$sql = "SELECT * FROM ".CRM_HELP_TABLE." ORDER BY title";
	$result= mcq($sql,$db);
	print "<tr><td colspan=12><table border=0 width='100%'>";
	print "<tr><td width='100%'><b><font size=+1>$lang[helpcontents]</font></b></td></tr>";
	print "<form name='edithelp' method=POST>";
	print "<input type='hidden' name='password' value='$password'>";
	print "<input type='hidden' name='edit1' value='edit1'>";
	while ($help = mysql_fetch_array($result)) {

		print "<tr><td>";
		print "<font size='+1'>$help[title] ($help[helpid])</font><br>";
		print "<input type=\"text\" name=\"t[]\" value=\"". ($help[title]) ."\" size=60><br>";
		print "<input type=\"hidden\" name=\"id[]\" value=\"$help[helpid]\">";
		print "<TEXTAREA rows=10 cols=80 name=\"c[]\" wrap=\"virtual\" class=\"txt\">" . ($help[content]) ."</TEXTAREA><br></td></tr>";
		print "<tr><td width='100%'></td></tr>";
	}
	print "<tr><td width='100%'>$lang[addhelp]</td></tr>";
	print "<tr><td><input type='text' name='t[]' value='$help[title]' size=60><br>";
	print "<input type='hidden' name='h_id[]' value='$help[helpid]'>";
	print "<TEXTAREA rows=10 cols=80 name='c[]' wrap='virtual' class='txt'>$help[content]</TEXTAREA><br></td></tr>";
	print "<tr><td width='100%'></td></tr>";
	print "<tr><td width='100%'><input type='submit' value='$lang[apply]'></td></tr>";
	print "</td></tr>";
	print "</table>";
	print "</table></body></html>";
	exit;
}


if ($files) {
			?>
			<form name='delform' method='post'>
			<input type='hidden' name='password' value='<?php echo $password; ?>'>
			<input type='hidden' name='kid' value=''>
			<input type='hidden' name='PhysFileDel' value='1'>
			</form>
			<SCRIPT LANGUAGE="JavaScript">
			<!--
				function appdel(i) {
					document.delform.kid.value = i;
					document.delform.submit();
				}
			//-->
			</SCRIPT>

		<?php
	print "<tr><td colspan=12><table border='1' width='100%' bgcolor='#F2F2F2' cellspacing='0' cellpadding='8' bordercolor='#CECECE'>";
	print "<tr><td>FileID</td><td>Filename</td><td>Creation Date</td><td>Size</td><td>Type</td><td>Options</td><td>Referenced to</td><td>Parent entity status</td></tr>";
	print "Viewing files, sorted by filesize descending";

	$sql = "SELECT COUNT(*) FROM ".CRM_BINFILES_TABLE;
	$result= mcq($sql,$db);
	$bla= mysql_fetch_array($result);
	$bla = $bla[0];
	if ($bla > 500) {
		$legend = "<img src='error.gif'>";
		printbox("You have too many files in your database to use this function browser-safely. With $bla files the list would simply be too long and your browser would probably crash.");
		print "</table></body></html>";
		exit;
	}

	$sql = "SELECT fileid,koppelid,filename,date_format(creation_date, '%a %M %e, %Y %H:%i') AS dt,filesize,filetype FROM ".CRM_BINFILES_TABLE." ORDER BY filesize DESC";
	$result= mcq($sql,$db);
     while ($files= mysql_fetch_array($result)) {

		$sql1 = "SELECT * FROM ".CRM_ENTITY_TABLE." WHERE eid=$files[koppelid]";
		$result1= mcq($sql1,$db);
		$count_e1 = mysql_fetch_array($result1);
		$count_e = $count_e1[0];
		if ($count_e=="") {
			$ref = "<font color='ff0000'>Unreferenced!</font>";
			$parent = "<font color='ff0000'>n/a</font>";
		} else {
			$ref = "<font color='#33FF00'>OK</font> - $files[koppelid]";
			$parent = $count_e1[status];


		}


		print "<tr><td>$files[fileid]</td><td><img src='arrow.gif'>&nbsp;<a href='csv.php?fileid=$files[fileid]' class='bigsort'>$files[filename]</a></td><td>";
		print $files[dt];
		print "</td><td>";
		$a = round(($files[filesize]/1024));
		print "$a K";
		print "</td><td>$files[filetype]</td><td><img src='arrow.gif'>&nbsp;<a href='edit.php?e=$files[koppelid]' class='bigsort' target='_new'>Jump</a>&nbsp;&nbsp;<img src='arrow.gif'>&nbsp;<a href='javascript:appdel($files[fileid])' class='bigsort'>Delete</a></td><td>$ref</td><td>$parent</td></tr>";
		$tot++;
		unset($parent);
		$totsize = $totsize + $files[filesize];
				 }
print "</table></td></tr>";
print "<tr><td>Total $totsize bytes (approx." . round($totsize/1048576) . " MB) in $tot files.</td></tr>";
}




if ($fysdelete) {
	print "Physically delete deleted entities";
}


print "</table></td></tr></table></body></html>";



function printbox($msg)
{
		global $printbox_size,$legend;

		if (!$printbox_size) {
			$printbox_size = "100%";
		}

		print "<table border='0' width='$printbox_size'><tr><td colspan=2><fieldset>";
		if ($legend) {
			print "<legend>$legend</legend>";
		}
		print $msg . "</fieldset></td></tr></table><br>";

		unset($printbox_size);
		$legend = "";

} // end func


?>