<?php
/* ********************************************************************
 * $GLOBALS[TBL_PREFIX]
 * Copyright (c) 2001-2003 hidde@it-combine.com
 * Licensed under the GNU GPL. For full terms see http://www.gnu.org/
 *
 * This script checks the repository currently logged onto for errors and
 * inconsistencies, and optimizes all tables.
 *
 * Check http://crm.it-combine.com/ for more information
 **********************************************************************
 */

include("header.inc.php");

print "</table><table border=0 width='65%'><tr><td>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</td><td><fieldset><legend><font size=+1>$lang[adm]</font>&nbsp;</legend>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<font size=+2>" . $title . "</font><table border=0 width='100%'>";

MustBeAdmin();

if (!$go) {
	$legend = "Check database&nbsp;";
	printbox("This script checks your current repository ($title) for errors, and it will optimize all its tables. On large repositories, it can take quite some time. Do you want to continue?<BR><BR><img src='arrow.gif'>&nbsp;<a href='checkdb.php?go=1' class='bigsort'>Yes</a><BR><BR><img src='arrow.gif'>&nbsp;<a href='javascript:history.back(-1);' class='bigsort'>No, take me back</a>");
} elseif ($input) {
	// OK two arrays of to-delete data were submitted.
	// Namely:
	// file_td	:	files to delete
	// cf_td 	:	custom fields to delete

	$file_td = unserialize(base64_decode($file_td));
	$cf_td = unserialize(base64_decode($cf_td));

	$queries = array();

	foreach ($file_td as $file) {
		array_push($queries,"DELETE FROM ".CRM_BINFILES_TABLE." WHERE fileid='" . $file . "'");
	}
	foreach ($cf_td as $cf) {
		array_push($queries,"DELETE FROM ".CRM_CUSTOM_ADDONS_TABLE." WHERE id='" . $cf . "'");
	}

	foreach($queries as $sql) {
		mcq($sql,$db);
	}

	print "<pre>" . sizeof($queries) . " database queries executed.\n</pre>";
	print "<img src='arrow.gif'>&nbsp;<a class='bigsort' href='admin.php?password=$password' style='cursor:hand'>Back to main administration page</a>";

} else {
	$tables = array(CRM_BINFILES_TABLE, CRM_CALENDAR_TABLE, CRM_CUSTOM_ADDONS_TABLE, CRM_CUSTOMER_TABLE, CRM_EJOURNAL_TABLE, CRM_ENTITY_TABLE, CRM_HELP_TABLE, CRM_JOURNAL_TABLE, CRM_LANGUAGES_TABLE, CRM_LOGIN_USERS_TABLE, CRM_PHONEBOOK_TABLE, CRM_PRIORITY_VARS_TABLE, CRM_SESSIONS_TABLE, CRM_SETTINGS_TABLE, CRM_STATUS_VARS_TABLE, CRM_USELOG_PERIOD_TABLE, CRM_USERS_TABLE, CRM_WEBDAV_LOCKS_TABLE, CRM_WEBDAV_PROPERTIES_TABLE);

	print "<pre>Optimizing...\n\n";

	for ($x=0;$x<sizeof($tables);$x++) {
		$sql = "OPTIMIZE TABLE " . $tables[$x];
		mcq($sql,$db);
		print "Optimizing table  ... " . $tables[$x] . "\n";
		flush();
		ob_flush();

	}

	print "\nRepair table...\n\n";

	for ($x=0;$x<sizeof($tables);$x++) {
		$sql = "REPAIR TABLE " . $tables[$x];
		mcq($sql,$db);
		print "Pro-active fixing ... " . $tables[$x] . "\n";
		flush();
		ob_flush();

	}

	print "\nAll tables optimized. Starting extended reference check.\n\n";

	$sql = "SELECT eid,CRMcustomer,owner,assignee FROM ".CRM_ENTITY_TABLE;
	$ret = mcq($sql,$db);
	while ($row = mysql_fetch_array($ret)) {
		if (GetUserName($row['owner']) == "[unknown]" && $row['owner']<>"2147483647") {
			print "User  reference error (non-existing user): " . $row['owner'] . "\n";
			$err = 1;
			$serr = 1;
		}
		if (GetUserName($row['assignee']) == "[unknown]" && $row['assignee']<>"2147483647") {
			print "User  reference error (non-existing user): " . $row['assignee'] . "\n";
			$err = 1;
			$serr = 1;
		}
	}
	if (!$err) {
		print "User  references OK\n";
	}
	unset($err);
	print "\n";

	$ftd = array();

	$sql = "SELECT koppelid,fileid FROM ".CRM_BINFILES_TABLE;
	$result = mcq($sql,$db);
	while ($row = mysql_fetch_array($result)) {
		$sql = "SELECT * from ".CRM_ENTITY_TABLE." WHERE eid='" . $row['koppelid'] . "'";
		$result1 = mcq($sql,$db);
		$result1 = mysql_fetch_array($result1);
		if (!$result1[0]) {
			print "File  reference error for fileid " . fillout($row['fileid'],6) . "! Entity " . fillout($row['koppelid'],6) . " doesn't exist..\n";
			$err=1;
			$serr = 1;
			array_push($ftd,$row['fileid']);
		}
	}
	if (!$err) {
		print "File  references OK\n";
	}
	unset($err);
	print "\n";
	$cftd = array();

	$sql = "SELECT id,eid,name FROM ".CRM_CUSTOM_ADDONS_TABLE." WHERE type=''";
	$result = mcq($sql,$db);
	while ($row = mysql_fetch_array($result)) {
		$sql = "SELECT * from ".CRM_ENTITY_TABLE." WHERE eid='" . $row['eid'] . "'";
		$result1 = mcq($sql,$db);
		$result1 = mysql_fetch_array($result1);
		if (!$result1[0]) {
			print "Field reference error for custom entity field! Entity " . fillout($row['eid'],6) . " doesn't exist.. (" . $row['name'] . "(" . $row['id'] . "))\n";
			$err=1;
			$serr = 1;
			array_push($cftd,$row['id']);
		}
	}
	if (!$err) {
		print "Field references OK (" . $lang['entity'] . ")\n";
	}
	unset($err);
	print "\n";


	$sql = "SELECT id,eid,name FROM ".CRM_CUSTOM_ADDONS_TABLE." WHERE type='cust'";
	$result = mcq($sql,$db);
	while ($row = mysql_fetch_array($result)) {
		$sql = "SELECT * from ".CRM_CUSTOMER_TABLE." WHERE id='" . $row['eid'] . "'";
		$result1 = mcq($sql,$db);
		$result1 = mysql_fetch_array($result1);
		if (!$result1[0]) {
			print "Field reference error for customer entity field! " . $lang['customer'] . " " . fillout($row['eid'],6) . " doesn't exist.. (" . $row['name'] . "(" . $row['id'] . "))\n";
			$err=1;
			$serr=1;
			array_push($cftd,$row['id']);
		}
	}
	if (!$err) {
		print "Field references OK (" . $lang['customer'] . ")\n";
	}
	unset($err);
	print "\n";
	if ($serr) {
		print "Files which can be deleted:\n";
		print_r($ftd);
		print "Custom fields which can be deleted:\n";
		print_r($cftd);
	}

	print "</pre>";

	if ($serr) {
		print "<form name='cont' method='post'>";
		print "<input name='file_td' type='hidden' value='" . base64_encode(serialize($ftd)) . "'>";
		print "<input name='cf_td' type='hidden' value='" . base64_encode(serialize($cftd)) . "'>";
		print "<input name='input' type='hidden' value='1'>";
		print "<input type='submit' value='Delete excess data (back-up first)'></form>";
	} else {
		print "No errors found which can be fixed automatically.<br><br>";
		print "<img src='arrow.gif'>&nbsp;<a class='bigsort' href='admin.php?password=$password' style='cursor:hand'>Back to main administration page</a>";
	}
	EndHTML();

} // end if !$go

function printbox($msg)
{
		global $printbox_size,$legend;

		if (!$printbox_size) {
			$printbox_size = "70%";
		}

		print "<table border='0' width='$printbox_size'><tr><td colspan=2><fieldset>";
		if ($legend) {
			print "<legend>$legend</legend>";
		}
		print $msg . "</fieldset></td></tr></table><br>";

		unset($printbox_size);
		$legend = "";

} // end func


