<?php
/* ********************************************************************
 * CRM
 * Copyright (c) 2001-2004 Hidde Fennema (hidde@it-combine.com)
 * Licensed under the GNU GPL. For full terms see http://www.gnu.org/
 *
 * This is the CRM installer - it should be run from your browser,
 * not from the command line.
 *
 * Check http://crm.it-combine.com/ for more information
 **********************************************************************
 */

extract($_REQUEST);

$version = "2.4.6";

$cfgfile = stripslashes($cfgfile);

if ($step=='dl') {
			header("Content-Type: text");
			header("Content-Disposition: attachment; filename=config.inc.php" );
			header("Content-Description: PHP4 Generated Data" );
			header("Window-target: _top");

			// Push attachment from variable

			print stripslashes($cfgfile);
			exit;
} elseif ($step=='write') {
	$trywrite = 1;
    if ($fp = @fopen("config.inc.php","w")) {
		$cfgfile2 = stripslashes($cfgfile);
		fputs($fp,$cfgfile2);
		fclose($fp);
        $write = "gelukt";
    } else {
        $write = "niet gelukt";
    }

	$step = 4;
}

if ($AddRepository=="1") {
	include("header.inc.php");
	$legend = "Add a repository&nbsp;";
} else {
	print "<title>C R M $version installation procedure</title>";
	$legend = "CRM $version Installation procedure&nbsp;";
	?>
	<META HTTP-EQUIV="Expires" CONTENT="0">
	<META HTTP-EQUIV="Cache-Control" CONTENT="no-cache">
	<META HTTP-EQUIV="PRAGMA" CONTENT="NO-CACHE">
	</head>
	<script language="JavaScript">
	<!--

	// Write the correct stylesheet into the document
	if (navigator.appName.indexOf('Microsoft') > -1) {
		// IE stylesheet
		document.write('<link href="crm.css" rel="stylesheet" type="text/css">');
		} else {
		// NS stylesheet (gheghe, the same :) )

		document.write('<link href="crm.css" rel="stylesheet" type="text/css">');
	}
			//-->
	</SCRIPT>

	<body bgcolor="#ffffff" leftmargin="0" marginwidth="0" topmargin="0" marginheight="0" link="#336699" text="#333333" alink="white" vlink="#666666"">
<?php
}
if ($AddRepository==1){
//	print "<center><table><tr><td>Add a repository</td></tr></table></center>";
} else {
	print "<center><img src='crm.gif'></center>";

}

 if ((@filesize("config.inc.php")>0) && ($trywrite<>1) && (!$AddRepository) && !$ovrw) {
	printbox("This version of CRM is already installed.<br><br><center>To run install again, delete or empty the config.inc.php file.");
	print "</body></html>";
	exit;

}




if (!$step) {
		$sv = "<font color='#66CC00'>OK</font> (" . phpversion() . ")";
		$path = realpath(".");
		$webpath = $_SERVER['PHP_SELF'];
		$webhost = $_SERVER['SERVER_NAME'];

		$a = (get_loaded_extensions());

		if (!in_array("mysql",$a)) {
				$mysqlsupport = "<img src='error.gif'>&nbsp;<font color='#FF0000'>Error. MySQL PHP support not found. This is fatal, CRM only works with a PHP installation which supports MySQL</font>";
				$fatal = 1;
		} else {
				$mysqlsupport = "<font color='#66CC00'>OK</font> (Available)";
		}

		if (in_array("gd",$a)) {
				$gd = "<font color='#66CC00'>OK</font> (Installed)";
			} else {
				$gd = "<font color='#FF0000'>Not installed. You will not be able to generate pictures.</font>";
			}
		if (ini_get('register_globals')=="1" || strtolower(ini_get('register_globals'))=="on" || strtolower(ini_get('register_globals'))=="yes" ) {

				$rg = "<font color='#66CC00'>OK</font> (On)";
		} else {
				$rg = "<img src='error.gif'>&nbsp;<font color='#FF0000'>The PHP variable \"REGISTER_GLOBALS\" is disabled (0). This is fatal.<br>Edit your php.ini and set REGISTER_GLOBALS to \"On\".</font>";
				$fatal = 1;
		}


		printheaderinst("Welcome to the CRM $version installation procedure");


		$bla = "<br>";
		$bla .= "<center><table border='0'>";
		$bla .= "<tr><td colspan=2>This procedure will help you install CRM by asking you a few questions. It consists of 4 steps.";
		$bla .= "<br><br>";
		$bla .= "This will result in a complete working copy of CRM on your system.<br><br>";
		$bla .= "<b>Things you must know before starting:</b><br><br>";
		$bla .= "- Your MySQL server hostname<br>";
		$bla .= "- Your MySQL server username and password<br>";
		$bla .= "- A (preferably) non-existing database name (crmdb might be a good idea)<br>";
		$bla .= "- The future administrator's email address<br>";
		$bla .= "- Your company name (CRM main title)<br>";
		$bla .= "- A name for the initial administrative login account<br><br>";
		$bla .= "Two external libraries are needed by CRM, though they are optional. CRM uses<br>the GD library";
		$bla .= " to create the statistics image, and the PEAR classes to support the<br>Microsoft&reg; Excel&reg; ";
		$bla .= "export function. If you don't have GD or PEAR, you can still<br>use CRM except for those two functions.<br>";
		$bla .= "<br><br>";
		$bla .= "</td></tr>";
		$bla .= "<tr><td colspan=2><fieldset><legend>Checks&nbsp;</legend><table width=100% border=0><tr><td colspan=2>";
		$bla .= "<b>Required</b>:</td></tr><tr><td>";
		$bla .= "PHP version: </td><td>$sv</td></tr>";
		$bla .= "<tr><td>";
		$bla .= "MySQL support: </td><td>$mysqlsupport</td></tr>";
		$bla .= "<tr><td>";
		$bla .= "REGISTER_GLOBALS: </td><td>$rg</td></tr>";
		$bla .= "<tr><td colspan=2><br><b>Optional</b>:</td></tr>";
		$bla .= "<tr><td>";
		$bla .= "GD Library: </td><td>$gd</td></tr>";
		$bla .= "<tr><td>";
		if (@include("PEAR.php")) {
			$pear = "<font color='#66CC00'>OK</font> (Installed)";
		} else {
			$pear = "<font color='#FF0000'>Error. You will not be able to use Microsoft&reg; Excel&reg; formatted exports</font>";
		}
		$bla .= "PEAR Classes:</td><td>$pear</td></tr>";

		$b = get_perms("config.inc.php");
		if ($fp = @fopen("config.inc.php","w")) {
			$configfile = "<font color='#66CC00'>OK</font> ($b)";
		} else {
			$configfile = "<font color='##FF0000'>Not writeable</font> ($b)";
		}
		$bla .= "<tr><td>Write access to config file:</td><td>$configfile</td></tr>";
		$b = get_perms("webdav_fs/");
		$c = fileowner("webdav_fs/");
		//$d = posix_getpwuid($c);
		//$c .= "," . $d['name'];

		if ($fp = @fopen("webdav_fs/test","w")) {
			$wd = "<font color='#66CC00'>OK</font> ($b owned by $c)";
		} else {
			$wd = "<font color='##FF0000'>Not writeable (WebDAV will NOT work)</font><br>($b owned by $c)";
			$wd .= "<br>you will have to change the owner of the directory,<br>e.g. \"chown apache.apache webdav_fs/\" and, <br>to prevent other users from accessing it, issue a<br>\"chmod 700 webdav_fs/\".";
		}
		$bla .= "<tr><td>Write access to webdav_fs/</td><td>$wd</td></tr>";
		$bla .= "<form name='inst' action='install.php' method='POST'>";
		$bla .= "</fieldset></td><tr></table></td></tr></table></center>";
		$bla .= "<center>";
		$bla .= "<br>";

		$bla .= "<input type='hidden' name='step' value='1'>";
		$bla .= "<input type='hidden' name='AddRepository' value='$AddRepository'>";

		if (!$fatal) {
			$bla .= "<input type='submit' name='knop' value='Go to step 1'>";
		} else {
			$bla .= "<input type='submit' name='knop' value='Fatal error found - unable to continue' DISABLED>";
		}


		$bla .= "</form>";
		$bla .= "</center>";
		printbox($bla);
		print "</body></html>";


} elseif ($step==1) {
//		if (!$AddRepository) { printstepheaderinst("1"); }

		$bla = "<b>Please provide the following information:</b>";
		$bla .= "<form name='sql' action='install.php' method='POST'><table border=0><tr><td>";
		$bla .= "MySQL host: </td><td><input type='text' name='sqlhost' size='30'></td></tr><tr><td>";
		$bla .= "MySQL username: </td><td><input type='text' name='sqluser' size='30'></td></tr><tr><td>";
		$bla .= "MySQL password: </td><td><input type='password' name='sqlpwd' size='30'></td></tr>";
		$bla .= "<tr><td>MySQL table prefix:<br><i>(all tables will start with these characters)</i> </td><td><input type='text' name='TABLEPREFIX' size='30' value='CRM'></td></tr><tr><td>";

		if ($upgrade) {
			$bla .= "Mysql database:<br><i>(the existing database)</i></td><td><input type='text' name='sqldb' size='30'></td></tr>";
			$bla .= "<input type='hidden' name='upgrade' value='1'>";
		} else {
			$bla .= "Mysql database:<br><i>(This install procedure will try to create this database but<br>will continue if it already exists)</i></td><td><input type='text' name='sqldb' size='30'></td></tr>";
		}


		$bla .= "</td></tr></table><br>";

		$bla .= "<input type='hidden' name='AddRepository' value='$AddRepository'>";
		$bla .= "<input type='hidden' name='step' value='2'><input type='submit' name='knop' value='Go to step 2'>";
		$bla .= "</form>";
		printbox($bla);
		print "</body></html>";


} elseif ($step==2) {
	if (!$TABLEPREFIX) {
		printbox("Error! No TABLEPREFIX received. Press 'back' in your browser and try again");
		exit;
	} else {
		$GLOBALS[TBL_PREFIX] = $TABLEPREFIX;
	}


	if ((!$sqlhost) || (!$sqluser) || (!$sqldb)) {
		printerror("");
	}

	testsql($sqlhost,$sqluser,$sqlpwd);
	$bla .= "Database information was OK, the connection has been tested.<br><BR>";

		$sql = "CREATE DATABASE IF NOT EXISTS $sqldb";
		mcqinstall($sql,$db);

		$db = mysql_connect($sqlhost, $sqluser, $sqlpwd);


		if (mysql_select_db($sqldb,$db)) {

			$bla .= "Database $sqldb was created and selected succesfully.<br><BR>";
		} else {
			$bla .= "<img src='error.gif'>&nbsp;&nbsp;Database $sqldb was NOT created succesfully.<br><br><i>This could not be fatal. Trying to use it anyway.</i><br><BR>";
		}



		// LANGUAGE IMPORT ROUTINE

		// The main pack file MUST BE NAMED "ENG.CRM"



		$sqla = array();
		$sqla = fillarray();
		print "<input type=hidden name=bla value=\"";

			for ($x=0;$x<sizeof($sqla);$x++) {
				$result= mysql_query($sqla[$x]) or printerror("An error occured while importing the database structure!<br><br>The reported error is: " . mysql_error () . "<br><br>Please Press 'back' in your browser and try again.");

			}


		print "\">";

		$bla .= "Database structure was successfully imported.<br><BR>";

		$fp=fopen("ENG.CRM","rb");
		while (!feof($fp)) {
			$fc[$t] = fgets($fp,1024);
			$t++;
		}

		for ($x=0;$x<$t;$x++ ) {
				$tmp=split("\|\|\|",$fc[$x]);
				$fc1[$x] = addslashes($tmp[0]);
				$fc2[$x] = addslashes($tmp[1]);
				$fc3[$x] = addslashes($tmp[2]);
		}

		fclose($fp);
//			print "FILE RECEIVED! - $_FILES['userfile']['tmp_name']  ($_FILES['userfile']['name'])";
		$bla2 = $fc[2];
		$header=split("\|\|\|",$bla2);
		$pack = $header[1];
		//printbox("<br>Processing language pack $header[1] containing $header[2] entries.<br>");

		$outp = "<br>Installing base language pack<br>";
			for ($p=3;$p<sizeof($fc2);$p++) {

							$sql = "INSERT INTO ".CRM_LANGUAGES_TABLE."(LANGID,TEXTID,TEXT) VALUES('$fc1[$p]','$fc2[$p]','$fc3[$p]')";
							 mcqinstall($sql,$db);
					}
					$outp .= "<br>$p Language entries were imported<br><BR>";

		printbox($bla . $outp);


?>
			<center><br>
		<form name='inst' action='install.php' method='POST'>
		<input type='hidden' name='step' value='3'>
		<input type='hidden' name='upgrade' value='<?php echo $upgrade;?>'>
			<?php print "<input type='hidden' name='AddRepository' value='$AddRepository'>";?>
		<input type='submit' name='knop' value='Go to step 3'>
		<?php
		print "<input type='hidden' name='sqldb' value='$sqldb'>";
		print "<input type='hidden' name='sqluser' value='$sqluser'>";
		print "<input type='hidden' name='sqlpwd' value='$sqlpwd'>";
		print "<input type='hidden' name='sqlhost' value='$sqlhost'>";
		print "<input type='hidden' name='TABLEPREFIX' value='$GLOBALS[TBL_PREFIX]'>";

		?>
		</form>
    	</center>
	</body>
	</html>
	<?php
} elseif ($step==3) {
	if (!$TABLEPREFIX) {
		printbox("Error! No TABLEPREFIX received. Press 'back' in your browser and try again");
		exit;
	} else {
		$GLOBALS[TBL_PREFIX] = $TABLEPREFIX;
	}

	$legend = "Please provide the following information&nbsp;";

		$bla .= "<table><tr><td><form name='addinfo' action='install.php' method='POST'>";
		$bla .= "Repository name: </td><td><input type='text' name='cname' size='30' value='My Demo Company'></td></tr>";
		$bla .= "<tr><td>";
		$bla .= "Administrator's email: </td><td><input type='text' name='admemail' size='30' value=''></td></tr>";
		$bla .= "<tr><td>";
		$bla .= "Initial login account name: </td><td><input type='text' name='fstaccount' size='30' value=''></td></tr>";
		$bla .= "<tr><td>";
		$bla .= "Initial login account password: </td><td><input type='password' name='fstpwd1' size='30' value=''></td></tr>";
		$bla .= "<tr><td>";
		$bla .= "Again: </td><td><input type='password' name='fstpwd2' size='30' value=''></td></tr>";
		$bla .= "</td></tr></table>";

		printbox($bla);

		print "<center><br>";
		print "<input type='hidden' name='step' value='4'>";

		print "<input type='hidden' name='sqldb' value='$sqldb'>";
		print "<input type='hidden' name='upgrade' value='$upgrade'>";
		print "<input type='hidden' name='sqluser' value='$sqluser'>";
		print "<input type='hidden' name='sqlpwd' value='$sqlpwd'>";
		print "<input type='hidden' name='sqlhost' value='$sqlhost'>";
		print "<input type='hidden' name='AddRepository' value='$AddRepository'>";
		print "<input type='hidden' name='TABLEPREFIX' value='$GLOBALS[TBL_PREFIX]'>";
		?>

		<input type='submit' name='knop' value='Go to step 4'>
		</form>
		</center>
		</body>
		</html>
	<?php
} elseif ($step==4) {
		if (!$TABLEPREFIX) {
		printbox("Error! No TABLEPREFIX received. Press 'back' in your browser and try again");
		exit;
		} else {
			$GLOBALS[TBL_PREFIX] = $TABLEPREFIX;
		}
		if ((!$trywrite) && (!$upgrade)) {


			if ((!$cname) || (!$admemail) || (!$fstaccount) || (!$fstpwd1) || (!$fstpwd2)) {
					printerror("");
			}
			if ($fstpwd1<>$fstpwd2) {
					printerror("Passwords do not match. Press 'back' in your browser and try again.");
			}
			if ($fstpwd1=="") {
					printerror("Sorry, password cannot be empty. Press 'back' in your browser and try again.");
			}
			if ((strlen($fstpwd1))<3) {
					printerror("Your password is too short (". strlen($fstpwd1) . ").  Press 'back' in your browser and enter one longer than 3 characters!");
			}
			if (strlen($fstaccount)<3) {
					printerror("Your accountname is too short.  Press 'back' in your browser and enter one longer than 3 characters!");
			}

			if ($logo=="") {
				$logo="*NONE*";
			}
		   $db = mysql_connect($sqlhost, $sqluser, $sqlpwd);
			mysql_select_db($sqldb,$db);
			$sqla = array();
			$sqla = datafill($fstaccount,$fstpwd1,$admemail,$cname,$logo);

			for ($x=0;$x<sizeof($sqla);$x++) {
				$result= mysql_query($sqla[$x]) or die (printerror("An error occured while importing settings!<br><br>The reported error is: " . mysql_error () . "<br><br>Please Press 'back' in your browser and try again."));
			}


				$cfgfile .= '<?php';
				$cfgfile .= "\n";
				$cfgfile .= '$host[0] = "'. $sqlhost . '";';
				$cfgfile .= "\n";
				$cfgfile .= '$user[0] = "'. $sqluser . '";';                                        // SQL-user
				$cfgfile .= "\n";
				$cfgfile .= '$pass[0] = "'. $sqlpwd . '";';                                          // SQL-pass
				$cfgfile .= "\n";
				$cfgfile .= '$database[0] = "' . $sqldb .'";';                                // CRM-database
				$cfgfile .= "\n";
				$cfgfile .= '$table_prefix[0] = "' . $GLOBALS[TBL_PREFIX] . '";';
				$cfgfile .= "\n";
				$cfgfile .= '?>';

		} // end if !trywrite

	?>
			<?php

		if ($upgrade) {
				$cfgfile .= '<?php';
				$cfgfile .= "\n";
				$cfgfile .= '$host[0] = "'. $sqlhost . '";';
				$cfgfile .= "\n";
				$cfgfile .= '$user[0] = "'. $sqluser . '";';                                        // SQL-user
				$cfgfile .= "\n";
				$cfgfile .= '$pass[0] = "'. $sqlpwd . '";';                                          // SQL-pass
				$cfgfile .= "\n";
				$cfgfile .= '$database[0] = "' . $sqldb .'";';                                // CRM-database
				$cfgfile .= "\n";
				$cfgfile .= '$table_prefix[0] = "' . $GLOBALS[TBL_PREFIX] . '";';
				$cfgfile .= "\n";
				$cfgfile .= '?>';
		}

		if ($write=="niet gelukt") {
				$b = get_perms("config.inc.php");
				?>
					<SCRIPT LANGUAGE="JavaScript">
					<!--
					alert("Writing failed. The permissions are <?php echo $b;?> which is not enough!");
					//-->
					</SCRIPT>
				<?php
		} elseif ($write=="gelukt") {
				$b = get_perms("config.inc.php");
   				?>
					<SCRIPT LANGUAGE="JavaScript">
					<!--
					alert("Writing succesfull! The permissions now are <?php echo $b;?>. Change it back to at least 755!");
					//-->
					</SCRIPT>
				<?php
		}

		if ($AddRepository==1) {
			$a = sizeof($pass);

			?>
			<center><fieldset><legend>Done!&nbsp;</legend><table border='0' width='70%'>
			<tr><td colspan=2><b>All is set. The only thing left is to edit your config file.</b>
			<br><br>
			You need to add the following text. This procedure cannot do that for you.
			<br><br>

						<?php

				$cfgfile = '$host[' . $a . '] = "'. $sqlhost . '";';
				$cfgfile .= "\n";
				$cfgfile .= '$user[' . $a . '] = "'. $sqluser . '";';                                        // SQL-user
				$cfgfile .= "\n";
				$cfgfile .= '$pass[' . $a . '] = "'. $sqlpwd . '";';                                          // SQL-pass
				$cfgfile .= "\n";
				$cfgfile .= '$database[' . $a . '] = "' . $sqldb .'";';                          // CRM-database
				$cfgfile .= "\n";
				$cfgfile .= '$table_prefix[' . $a . '] = "' . $GLOBALS[TBL_PREFIX] . '";';
				$cfgfile .= "\n";

				print "<pre>";
				print htmlspecialchars($cfgfile);
				print "</pre>";
				?>
				<br></td></tr>
				<tr><td>When done, point your browser <a href='index.php' class='topnav'>here</a>.</td></tr></table>
				</fieldset>
				</center>
			<?php
		} else {

		?>


		<center><table width='70%'><tr><td>
		<fieldset>
		<legend>Done!&nbsp;</legend>
		<center><table border='0' width='70%'>
		<tr><td colspan=2><b>All is set. The only thing left is to create the config file.</b>
		<br><br>
			This can be done in three ways:<br><br>
			1. Let the install procedure try to write the file itself <br>
			<i>You must chmod 777 the file temporary to let this work!</i><br>
			2. Download the file to you browser and place it in the installation directory yourself<br>
			3. Copy the below printed text into the config.inc.php file yourself<br>
		</td></tr>
		<tr><td>
			Click this link to let the installer try to write the config.inc.php file.
			<?php echo $a;?>
			<form name='dlcfg' action='install.php' method='POST'>

			<input type='hidden' name='step' value='write'>
			<input type='hidden' name='cfgfile' value='<?php echo $cfgfile; ?>'>
			<?php print "<input type='hidden' name='TABLEPREFIX' value='$TABLEPREFIX'><input type='hidden' name='AddRepository' value='$AddRepository'>";?>
			<input type='submit' name='knop' value='Try now'>
			</form>

		</td></tr>
		<tr><td>
			Click this link to download the config.inc.php file.
			<form name='dlcfg' action='install.php' method='POST'>
			<input type='hidden' name='step' value='dl'>
			<input type='hidden' name='cfgfile' value='<?php echo $cfgfile; ?>'>
			<?php print "<input type='hidden' name='AddRepository' value='$AddRepository'>";?>
			<input type='submit' name='knop' value='Dowload config.inc.php file'>
			</form>
		</td></tr>

		<tr><td><br>If that doesn't work, create a file called config.inc.php in your installation directory containing the following:
		<br>
		<br>
		<?php
		print "<pre>";
		print htmlspecialchars($cfgfile);
		print "</pre>";
		?>
		<br>
			</td></tr>
		<tr><td>When done, point your browser <a href='index.php' class='topnav'>here</a>.</td></tr>
		</table>
		</fieldset>
		</center>
		</td></tr></table>
		</center>
<?php
		} // end if repository
?>

			</body>
			</html>
	<?php

}






function testsql($host,$user,$pass)
{
	print "<input type=hidden name=bla value=\"";
    $link = mysql_pconnect($host, $user, $pass)
     or printerror("Could not connect to your database system. <br><br>The reported error is: " . mysql_error () . "<br><br>Please Press 'back' in your browser and try again.");
	print "\">";
} // end func


function printerror($a)
{

		if (!$a) {
		    $a="You didn't provide all required information. Press 'back' in your browser and try again.";
		}
		?>
		<center><table width='75%'><tr><td><center><fieldset><legend>Error&nbsp;</legend><table border='1' width='70%' bgcolor='#F2F2F2' cellspacing='0' cellpadding='4' bordercolor='#CECECE'>
		<tr><td colspan=2><center><img src='error.gif'>&nbsp;&nbsp;<b><?php echo $a;?></b>
		</td></tr></table></fieldset></center></td></tr></table></center></body></html>
		<?php
			exit;
} // end func



function printstepheaderinstinst($step)
{

	?>
		<center><img src='crm.gif'></center>
	    <center><table border='1' width='70%' bgcolor='#F2F2F2' cellspacing='0' cellpadding='4' bordercolor='#CECECE'>
		<tr><td colspan=2><b><center>CRM installation procedure - step <?php echo $step;?></center></b></td></tr>
		</table></center>
		<br>
	<?php
} // end func






function fillarray()
{
	// This function fills the sqla array with queries to create the CRM database table structure

	$sqla[0] = "CREATE TABLE ".CRM_BINFILES_TABLE." (fileid bigint(20) NOT NULL auto_increment,  koppelid bigint(20) NOT NULL default '0',  content mediumblob NOT NULL,  filename varchar(200) NOT NULL default '',  creation_date timestamp(14) NOT NULL,  filesize mediumint(9) NOT NULL default '0',  filetype varchar(150) NOT NULL default '',  username varchar(150) NOT NULL default '',  PRIMARY KEY  (fileid),  KEY fileid (fileid)) TYPE=MyISAM COMMENT='Binaire files stand-alone tabel';";

	$sqla[1] = "CREATE TABLE ".CRM_CALENDAR_TABLE." (  user varchar(20) NOT NULL default '',  Tijdpostzegel timestamp(14) NOT NULL,  datum date NOT NULL default '0000-00-00',  basicdate varchar(8) NOT NULL default '',  calendarid mediumint(5) NOT NULL auto_increment,  type varchar(10) NOT NULL default '',  customnum varchar(12) NOT NULL default '',  emailadress varchar(150) NOT NULL default '',  eID varchar(5) NOT NULL default '',  PRIMARY KEY  (calendarid),  KEY Tijdpostzegel (Tijdpostzegel)) TYPE=MyISAM";

	$sqla[2] = "CREATE TABLE ".CRM_CUSTOMER_TABLE." (  id int(11) NOT NULL auto_increment,  custname varchar(200) NOT NULL default '',  contact varchar(240) NOT NULL default '',  contact_title varchar(240) NOT NULL default '',  contact_phone varchar(50) NOT NULL default '',  contact_email varchar(240) NOT NULL default '',  cust_address longtext NOT NULL,  cust_remarks longtext NOT NULL,  cust_homepage varchar(240) NOT NULL default '',  PRIMARY KEY  (id),  UNIQUE KEY id (id),  KEY id_2 (id),  FULLTEXT KEY cust_address (cust_address,cust_remarks)) TYPE=MyISAM;";

	$sqla[3] = "CREATE TABLE ".CRM_ENTITY_TABLE." (  eid int(11) NOT NULL auto_increment,  category varchar(150) NOT NULL default '',  content longtext NOT NULL,  status varchar(50) NOT NULL default 'open',  priority varchar(50) NOT NULL default 'low',  owner int(11) NOT NULL default '0',  assignee int(11) NOT NULL default '0',  CRMcustomer int(11) NOT NULL default '0',  tp timestamp(14) NOT NULL,  deleted enum('n','y') NOT NULL default 'n',  duedate varchar(15) NOT NULL default '',  sqldate date NOT NULL default '0000-00-00',  obsolete enum('y','n') NOT NULL default 'n',  cdate date NOT NULL default '0000-00-00',  waiting enum('n','y') NOT NULL default 'n', readonly enum('n','y') NOT NULL default 'n',  closedate date NOT NULL default '0000-00-00',  PRIMARY KEY  (eid),  UNIQUE KEY id (eid),  KEY id_2 (eid)) TYPE=MyISAM";

	$sqla[4] = "CREATE TABLE ".CRM_HELP_TABLE." (  helpid bigint(20) NOT NULL auto_increment,  title varchar(240) NOT NULL default '',  content longtext NOT NULL,  PRIMARY KEY  (helpid),  FULLTEXT KEY content (content)) TYPE=MyISAM COMMENT='Help table voor CRM'";

	$sqla[5] = "CREATE TABLE ".CRM_SETTINGS_TABLE." (  settingid bigint(20) NOT NULL auto_increment,  setting varchar(150) NOT NULL default '',  value LONGTEXT NOT NULL,  datetime timestamp(14) NOT NULL,  discription varchar(250) NOT NULL default '',  UNIQUE KEY settingid (settingid)) TYPE=MyISAM COMMENT='Settings for CRM'";

	$sqla[6] = "CREATE TABLE ".CRM_USELOG_PERIOD_TABLE." (  id bigint(20) NOT NULL auto_increment,  ip varchar(15) NOT NULL default '',  url varchar(50) NOT NULL default '',  useragent varchar(255) NOT NULL default '',  tijd timestamp(14) NOT NULL,  qs varchar(255) NOT NULL default '',  user VARCHAR(50) NOT NULL, PRIMARY KEY  (id),  KEY tijd (tijd),  KEY url (url),  KEY tijd_2 (tijd),  KEY ip (ip)) TYPE=MyISAM";

	$sqla[7] = "CREATE TABLE ".CRM_USERS_TABLE." (  id int(11) NOT NULL auto_increment,  name varchar(50) NOT NULL default '',  password varchar(50) NOT NULL default '',  unused tinyint(4) NOT NULL default '0',  email varchar(150) NOT NULL default '',  brmember enum('n','y') NOT NULL default 'n',  PRIMARY KEY  (id),  UNIQUE KEY id (id),  KEY id_2 (id)) TYPE=MyISAM";

	$sqla[8] = "CREATE TABLE ".CRM_LOGIN_USERS_TABLE." (  id int(11) NOT NULL auto_increment,  name varchar(50) NOT NULL default '',  password varchar(50) default NULL, type enum('normal','limited') NOT NULL default 'normal',  active enum('yes','no') NOT NULL default 'yes',  exptime varchar(40) NOT NULL default '',  noexp enum('n','y') NOT NULL default 'n', FULLNAME VARCHAR(150) NOT NULL, EMAIL VARCHAR(150) NOT NULL, CLLEVEL VARCHAR( 50 ) DEFAULT 'ro' NOT NULL, administrator ENUM('yes','no') NOT NULL DEFAULT 'no', PRIMARY KEY (id),  UNIQUE KEY id (id),  KEY id_2 (id)) TYPE=MyISAM";

	$sqla[9] = "CREATE TABLE ".CRM_SESSIONS_TABLE." (  id int(11) NOT NULL auto_increment,  name varchar(50) NOT NULL default '',  temp varchar(100) NOT NULL default '',  active enum('yes','no') NOT NULL default 'yes',  exptime varchar(40) NOT NULL default '',  noexp enum('n','y') NOT NULL default 'n',  PRIMARY KEY  (id),  UNIQUE KEY id (id),  KEY id_2 (id)) TYPE=MyISAM";

	$sqla[10] = "CREATE TABLE ".CRM_PHONEBOOK_TABLE." (`id` MEDIUMINT(5) NOT NULL AUTO_INCREMENT, `Firstname` VARCHAR(50) NOT NULL, `Lastname` VARCHAR(50) NOT NULL, `Telephone` VARCHAR(15) NOT NULL, `Company` VARCHAR(50) NOT NULL, `Department` VARCHAR(50) NOT NULL, `Title` VARCHAR(100) NOT NULL, `Room` VARCHAR(60) NOT NULL,`Email` VARCHAR(60) NOT NULL, UNIQUE (`id`))";

	$sqla[11] = "CREATE TABLE ".CRM_LANGUAGES_TABLE." (   id bigint(20) NOT NULL auto_increment,   LANGID varchar(15) NOT NULL default '',   TEXTID varchar(30) NOT NULL default '',   TEXT varchar(255) NOT NULL default '',   UNIQUE KEY id (id) ) TYPE=MyISAM COMMENT='CRM language table'";

	$sqla[12] = "CREATE TABLE ".CRM_CUSTOM_ADDONS_TABLE." (  id bigint(20) NOT NULL auto_increment,  eid bigint(20) NOT NULL default '0',  name varchar(240) NOT NULL default '',  value longtext NOT NULL,  deleted enum('y','n') NOT NULL default 'n',  usr varchar(50) NOT NULL default '',  PRIMARY KEY  (id),  FULLTEXT KEY value (value)) TYPE=MyISAM;";

	$sqla[13] = "CREATE TABLE ".CRM_STATUS_VARS_TABLE." (`id` INT NOT NULL AUTO_INCREMENT ,`varname` VARCHAR( 50 ) NOT NULL ,`color` VARCHAR( 7 ) NOT NULL ,PRIMARY KEY ( `id` ) ) COMMENT = 'Available status variables and their colors'";

	$sqla[14] = "CREATE TABLE ".CRM_PRIORITY_VARS_TABLE." (`id` INT NOT NULL AUTO_INCREMENT ,`varname` VARCHAR( 50 ) NOT NULL ,`color` VARCHAR( 7 ) NOT NULL ,PRIMARY KEY ( `id` ) ) COMMENT = 'Available priority variables and their colors'";

	$sqla[15] = "CREATE TABLE ".CRM_JOURNAL_TABLE." (`id` BIGINT NOT NULL AUTO_INCREMENT ,`eid` BIGINT NOT NULL ,`timestamp` TIMESTAMP NOT NULL ,`user` BIGINT NOT NULL ,`message` VARCHAR( 250 ) NOT NULL ,PRIMARY KEY ( `id` ) ,INDEX ( `eid` , `user` ) ) COMMENT = 'CRM Entity journal'";

	$sqla[16] = "CREATE TABLE ".CRM_EJOURNAL_TABLE." (`id` int(11) NOT NULL auto_increment,		     `eid` int(11) NOT NULL ,  `category` varchar(150) NOT NULL default '',  `content` longtext NOT NULL,  `status` varchar(50) NOT NULL default 'open',  `priority` varchar(50) NOT NULL default 'low',  `owner` int(11) NOT NULL default '0',  `assignee` int(11) NOT NULL default '0',  `CRMcustomer` int(11) NOT NULL default '0',  `tp` timestamp(14) NOT NULL,  `deleted` enum('n','y') NOT NULL default 'n',  `duedate` varchar(15) NOT NULL default '',  `sqldate` date NOT NULL default '0000-00-00',  `obsolete` enum('y','n') NOT NULL default 'n',  `cdate` date NOT NULL default '0000-00-00',  `waiting` enum('n','y') NOT NULL default 'n',  `readonly` enum('n','y') NOT NULL default 'n',  `closedate` date NOT NULL default '0000-00-00',  `lasteditby` bigint(20) NOT NULL default '0',  `createdby` bigint(20) NOT NULL default '0',   PRIMARY KEY  (`id`),   UNIQUE KEY `id` (`id`),   KEY `id_2` (`id`))";

	$sqla[17] = "ALTER TABLE ".CRM_CUSTOM_ADDONS_TABLE." ADD `type` VARCHAR( 50 ) NOT NULL AFTER `eid`";

	return($sqla);

} // end func



function datafill($fstaccount,$fstpwd1,$admemail,$cname,$logo)
{
	global $version;

	$sqla[0] = "INSERT INTO ".CRM_LOGIN_USERS_TABLE." (name,password,administrator,CLLEVEL,FULLNAME) VALUES('$fstaccount',PASSWORD('$fstpwd1'),'Yes','rw','Administrator $fstaccount')";
	$sqla[1] = "INSERT INTO ".CRM_HELP_TABLE." VALUES (1, 'Download query result as CSV export file', 'When checked, the result of your search query will be \'pushed\' as an CSV-export file. \r\n<br><br>\r\nThis means that you will <b>not</b> see the result on screen, but  you\'ll jump to the CSV page. On that page you can select wich fields you want to export.<br><br>\r\nSee also help on <a href=\'help.php?id=4\' class=\'topnav\'>\'Exporting data to Excel\'</a>')";
	$sqla[2] = "INSERT INTO ".CRM_HELP_TABLE." VALUES (2, 'Include entity contents', 'When checked, this function as a result will include the textual content of an entity in the summary. ')";
	$sqla[3] = "INSERT INTO ".CRM_HELP_TABLE." VALUES (3, 'Include deleted entities', 'When checked, the query you created by using the pull-down boxes will also be ran over deleted entities in the database.\r\n<br><br>\r\nUse this function when searching for an enitity not knowing wheter or this entity is still available.\r\n<br><br>\r\nWhen found, you can easily undelete an entity by clicking \'Update in new window\' followed by unchecking the \'This is a deleted entity\' checkbox. Do not forget to click \'Save and close\' when you\'re done.')";
	$sqla[4] = "INSERT INTO ".CRM_HELP_TABLE." VALUES (4, 'Exporting data to CSV (Excel)', 'CSV stands for Character Separated Values.\r\n<br><br>\r\nYou can select the fields in the database you want to export. If you are unsure, just check all the boxes. You will now export all data in the database but the binairy files (the attachments).\r\n<br><br>\r\nBy clicking \'Download exportfile\' you will immediately see a download dialog box. Click \'Open\', and, if it appears again, click \'Open\' again.\r\n<br><br>\r\nIf you are looking for an export of an particular part of the database you can use the summary page, and check the \'Download result as CSV file\' option. See also help on <a href=\'help.php?id=1\' class=\'topnav\'>\'Download query result as CSV export file\'</a>.\r\n')";
	$sqla[5] = "INSERT INTO ".CRM_HELP_TABLE." VALUES (5, 'Adding and modifing owners/assignees', 'You can modify owners/assignees by just clicking the name and altering the text.\r\n<br><br>\r\nUsing the last field you can add owners/assignees, one at the time.\r\n<br>\r\nIf a owner or assignee logs in with a limited account (which have to be created seprately using the same name), the user will only have rights to view the entities assigned to him- or herself, with the only right to add comments to the textual content and the right to attach files.\r\n<br><br>\r\n<b>Important!</b>\r\n<br>\r\nDo not switch users! The CRM works by the number, not the name!')";
	$sqla[6] = "INSERT INTO ".CRM_HELP_TABLE." VALUES (6, 'Adding and modifing customers', 'You can modify customers by just clicking the name and altering the text.\r\n<br><br>\r\nUsing the last field you can add customers, one at the time.\r\n<br><br>\r\n<b>Important!</b>\r\n<br>\r\nDo not switch customers! The CRM works by the number, not the name!')";
	$sqla[7] = "INSERT INTO ".CRM_HELP_TABLE." VALUES (7, 'Fulltext search through all entities', 'When typing a word, or part of it, in the \'Enitity must contain text\'-field, the CRM will search through the database for entities with that exact word in the \'Category\' or the content.\r\n<br><br>\r\nWhen you\'ve also checked \'Include enitity contents\', the content will be <font color=ff3300><u>red-highlighted</u></font> when your search matched.\r\n<br><br>\r\nWildcard searches or logical-operand searches are <b>not</b> supported.')";
	$sqla[8] = "INSERT INTO ".CRM_HELP_TABLE." VALUES (8, 'Management Information', 'Management Information displays summaries of data gathered from the database. These summaries are mostly statistics.\r\n<br><br>\r\nCheck the summaries you want to see. If you check more boxes, the output will be longer. \r\n<br><br>\r\nIf you check all boxes, remember this slows down the server, so maybe you\'ll have to wait a little.')";
	$sqla[9] = "INSERT INTO ".CRM_HELP_TABLE." VALUES (9, 'Attach a file', 'Using this function you can attach a file to an enitity.\r\n<br><br>\r\nBy clicking \'browse\' you\'ll see a file select box. Browse to the file you want to attach. Click \'open\' and the path to the file will appear in the field box.\r\n<br><br>\r\nAfter you\'ve saved the enitity, the file will be attached.\r\n<br><br>\r\nYou can only attach one file at the time!\r\n')";
	$sqla[10] = "INSERT INTO ".CRM_HELP_TABLE." VALUES (10, 'This entity is waiting for somebody else\'s action', 'By checking this box you let the CRM know that the entity you\'re working on is stalled because somebody else has to undertake action first.\r\n<br><br>\r\nThis is mainly for management information purposes. Though; you can also use this as a search option when using the summary page.')";
	$sqla[11] = "INSERT INTO ".CRM_HELP_TABLE." VALUES (11, 'This entity really doesn\'t belong here.', 'By checking this box you let the CRM know that the entity you\'re working on really should not be logged in this CRM.\r\n<br><br>\r\nThis is mainly for management information purposes.')";
	$sqla[12] = "INSERT INTO ".CRM_HELP_TABLE." VALUES (12, 'This is a deleted entity', 'When you check this box, <b>you delete the entire entity although it might not yet be closed.</b>\r\n<br><br>\r\nWhen the checkbox was already checked an you uncheck it, you <b>undelete</b> the entity.\r\n')";
	$sqla[13] = "INSERT INTO ".CRM_HELP_TABLE." VALUES (13, '<center><b>Disclaimer</b></center>', '<center>(logo?)</center><br><i><b>ALL INFORMATION CONTAINED IN THIS WEBSITE IS CONFIDENTIAL</b><br><br>\r\n Although, with respect to documents available from this server, neither the author nor any other involved supplier makes any warranty, express or implied, including the warranties of merchantability and fitness for a particular purpose, or assumes any legal liability or responsibility for the accuracy,  completeness, or usefulness of any information, apparatus, product, or process disclosed, or represents that its use would not infringe privately owned rights. This should be perfectly clear for anybody who uses this website. Don\'t agree? Too bad! Be warned!</i><br>\r\n')";
	$sqla[14] = "INSERT INTO ".CRM_HELP_TABLE." VALUES (14, 'S.O.B.', 'S.O.B. stands for <i>Standard Operational B*llsh*t</i>')";
	$sqla[15] = "INSERT INTO ".CRM_HELP_TABLE." VALUES (16, 'Quickmenu to entities', 'You can use the <i>little</i> fieldbox in the header of every page to quickly jump to an entity.<B>You can only enter entity-numbers in this box!</b>When you enter a valid number and press TAB or ENTER you will instantly jump to the edit window of that entity.\r\n<br><br>\r\nThe <i>large</i> fieldbox is the searchbox from the summary page. When you enter a text in this box, the CRM will search all entities for matching records.')";
	$sqla[16] = "INSERT INTO ".CRM_HELP_TABLE." VALUES (17, 'Logging into the CRM', 'You can only login to this application if a username and a password was provided to you.<br><br>\r\nIf you should be able to get in, but you cannot, use the e-mail adress as shown on the login page to send an email to the administrator of this site.\r\n<br><br>\r\nClicking Save Username will save your used username to your machine using a so-called cookie. By clicking Clear Username the cookie will be deleted. The same goes for the password.')";
	$sqla[17] = "INSERT INTO ".CRM_HELP_TABLE." VALUES (18, 'Brief entity overview matching query', 'By checking the Brief Overview box the result of you search query will be displayed in the format of the Brief Entity Overview. This may come in handy working with queries with many matches.')";
	$sqla[18] = "INSERT INTO ".CRM_HELP_TABLE." VALUES (19, 'Download PDF report or summary', 'Using this function you can download a file in Adobe Acrobat format which contains information about a certain entity. You can also download the management summary and an export of the phonebook in PDF-format.')";
	$sqla[18] = "INSERT INTO ".CRM_SETTINGS_TABLE." VALUES (1, 'title', '$cname', 20020520184301, 'Will appear almost anywhere.')";
	$sqla[19] = "INSERT INTO ".CRM_SETTINGS_TABLE." VALUES (2, 'logo', '$logo', 20020520142203, 'Location of your company logo (small, GIF or JPEG). *NONE* disables the logo.')";
	$sqla[20] = "INSERT INTO ".CRM_SETTINGS_TABLE." VALUES (4, 'admpassword', '*NONE*', 20020520162029, 'Administration password, *NONE* disables the authentication at all.')";
	$sqla[21] = "INSERT INTO ".CRM_SETTINGS_TABLE." VALUES (5, 'mipassword', '*NONE*', 20020520184155, 'Management Information password, *NONE* disables the authentication at all.')";
	$sqla[22] = "INSERT INTO ".CRM_SETTINGS_TABLE." VALUES (6, 'managementinterface', 'off', 20020520210325, 'When set to \'on\', users authenticated as a limited user will only see the restricted managementinterface with very limited priviledges. Opposite to \'on\' is \'off\'.')";
	$sqla[23] = "INSERT INTO ".CRM_SETTINGS_TABLE." VALUES (7, 'admemail', '$admemail', 20020520140033, 'The administrators email-addres.')";
	$sqla[24] = "INSERT INTO ".CRM_SETTINGS_TABLE." VALUES (8, 'cronpassword', '', 20020520180654, 'The password used by the HTTP-GET crond job (duedate-notify-cron.php)')";
	$sqla[25] = "INSERT INTO ".CRM_SETTINGS_TABLE." VALUES (9, 'timeout','20','','Number of minutes before a user is automatically logged off when there is no activity');";
	$sqla[26] = "INSERT INTO ".CRM_SETTINGS_TABLE." (`settingid`, `setting`, `value`, `datetime`, `discription`) VALUES ('', 'Logon message', '', NOW(), 'This message will be displayed when a user logs in.');";
	$sqla[27] = "INSERT INTO ".CRM_SETTINGS_TABLE." (`settingid`, `setting`, `value`, `datetime`, `discription`) VALUES ('', 'navtype', 'TABS', NOW(), 'Navigation bar type. Use NOTABS for normal navigation, anything else for tabs');";
	$sqla[28] = "INSERT INTO ".CRM_SETTINGS_TABLE." (`settingid`, `setting`, `value`, `datetime`, `discription`) VALUES ('', 'langoverride', 'no', NOW(), 'Language override. No to let the user be able to choose his or her own language, yes to disable this feature and thereby force the use of the system-wide language choosen hereunder.')";
	$sqla[29] = "INSERT INTO ".CRM_SETTINGS_TABLE." (`settingid`, `setting`, `value`, `datetime`, `discription`) VALUES ('', 'Extra fields list', '', NOW(), 'List of extra which can be added to an entity. Take extra care when editing this in a live environment!')";
	$sqla[30] = "INSERT INTO ".CRM_SETTINGS_TABLE." (`settingid`, `setting`, `value`, `datetime`, `discription`) VALUES ('', 'EmailNewEntities', '', NOW(), 'The e-mail address to which notifications of added entities should be mailed. Leave empty for no notification.')";
	$sqla[31] = "INSERT INTO ".CRM_SETTINGS_TABLE." (`settingid`, `setting`, `value`, `datetime`, `discription`) VALUES ('', 'MonthsToShow', '7', NOW(), 'The number of months to show in the various calendar appearances.')";
	$sqla[32] = "INSERT INTO ".CRM_SETTINGS_TABLE." (`settingid`, `setting`, `value`, `datetime`, `discription`) VALUES ('', 'ShowDeletedViewOption', 'no', NOW(), 'Wheter or not CRM should display a menu tab to view the deleted entities. Options are yes or no.')";
	$sqla[33] = "INSERT INTO ".CRM_SETTINGS_TABLE." (`settingid`, `setting`, `value`, `datetime`, `discription`) VALUES ('', 'EnableCustInsert', 'no', NOW(), 'Set this to yes to enable the [customer] insert functionality, no to keep customers from logging in even if they have a customer account.')";
	$sqla[34] = "INSERT INTO ".CRM_SETTINGS_TABLE." (`settingid`, `setting`, `value`, `datetime`, `discription`) VALUES ('', 'SMTPserver', 'localhost', NOW(), 'The hostname or IP-address of your SMTP (outgoing mail) server')";
	$sqla[35] = "INSERT INTO ".CRM_SETTINGS_TABLE." (`settingid`, `setting`, `value`, `datetime`, `discription`) VALUES ('', 'BODY_DUEDATE', '<BODY><FONT FACE=\"MS Shell Dlg\" SIZE=\"2\"><B>An alarm date of one of your entities has been reached.</B><BR><BR>This email is concerning entity @ENTITYID@, @CATEGORY@<BR><BR><BR>The history of this entity is printed below.<br>If this email was not intended for you, please contact owner @OWNER@ or assignee @ASSIGNEE@.<BR><BR>History:<BR><BR><TABLE BORDER=1><TR><TD>@CONTENTS@.</TD></TR></TABLE><BR><BR>If you do nothing, you will <I>not</I> be reminded about this entity again.<BR><BR>End of this e-mail.<BR><TABLE><TR><TD>Entity:</TD><TD>@ENTITYID@</TD></TR><TR><TD>Category:</TD><TD>@CATEGORY@</TD></TR><TR><TD>Owner:</TD><TD>@OWNER@</TD></TR><TR><TD>Assignee:</TD><TD>@ASSIGNEE@</TD></TR><TR><TD>Contents:</TD><TD>See attachment</TD></TR><TR><TD>Admin email:</TD><TD>@ADMINEMAIL@</TD></TR><TR><TD>Webhost:</TD><TD>@WEBHOST@</TD></TR><TR><TD>Title:</TD><TD>@TITLE@</TD></TR><TR><TD>Customer:</TD><TD>@CUSTOMER@</TD></TR><TR><TD>Due-date:</TD><TD>@DUEDATE@</TD></TR><TR><TD>Status:</TD><TD>@STATUS@</TD></TR><TR><TD>Priority:</TD><TD>@PRIORITY@</TD></TR></TABLE></FONT></BODY>', NOW(), 'The body of the email which will be sent to an assignee when an alarm date of a certain entity is met. Please read the manual before editing this setting.')";
	$sqla[36] = "INSERT INTO ".CRM_SETTINGS_TABLE." (`settingid`, `setting`, `value`, `datetime`, `discription`) VALUES ('', 'BODY_ENTITY_ADD', '<BODY><FONT FACE=\"MS Shell Dlg\" SIZE=\"2\"><B>A new entity was added to repository \"@TITLE@\"</B><BR><BR>This email is concerning a new entity with category \"@CATEGORY@\"<BR>This entity will be available in your CRM installation at @WEBHOST@ under EID number @ENTITYID@.<BR><BR>If this email was not intended for you, please contact @ADMINEMAIL@<BR><BR><TABLE><TR><TD>Entity:</TD><TD>@ENTITYID@</TD></TR><TR><TD>Category:</TD><TD>@CATEGORY@</TD></TR><TR><TD>Owner:</TD><TD>@OWNER@</TD></TR><TR><TD>Assignee:</TD><TD>@ASSIGNEE@</TD></TR><TR><TD>Contents:</TD><TD>See attachment</TD></TR><TR><TD>Admin email:</TD><TD>@ADMINEMAIL@</TD></TR><TR><TD>Webhost:</TD><TD>@WEBHOST@</TD></TR><TR><TD>Title:</TD><TD>@TITLE@</TD></TR><TR><TD>Customer:</TD><TD>@CUSTOMER@</TD></TR><TR><TD>Due-date:</TD><TD>@DUEDATE@</TD></TR><TR><TD>Status:</TD><TD>@STATUS@</TD></TR><TR><TD>Priority:</TD><TD>@PRIORITY@</TD></TR></TABLE></FONT></BODY>', NOW(), 'The body of the email which will be sent when a new entity is added. Please read the manual before editing this setting.')";
	$sqla[37] = "INSERT INTO ".CRM_SETTINGS_TABLE." (`settingid`, `setting`, `value`, `datetime`, `discription`) VALUES ('', 'BODY_ENTITY_EDIT', '<BODY><FONT FACE=\"MS Shell Dlg\" SIZE=\"2\"><B>One of your entities in repository \"@TITLE@\" was updated.</B><BR><BR>This email is concerning your entity with category \"@CATEGORY@\"<BR>This entity is available in your CRM installation at @WEBHOST@ under EID number @ENTITYID@. <BR><BR>If this email was not intended for you, please contact @ADMINEMAIL@<BR><BR><TABLE><TR><TD>Entity:</TD><TD>@ENTITYID@</TD></TR><TR><TD>Category:</TD><TD>@CATEGORY@</TD></TR><TR><TD>Owner:</TD><TD>@OWNER@</TD></TR><TR><TD>Assignee:</TD><TD>@ASSIGNEE@</TD></TR><TR><TD>Contents:</TD><TD>See attachment</TD></TR><TR><TD>Admin email:</TD><TD>@ADMINEMAIL@</TD></TR><TR><TD>Webhost:</TD><TD>@WEBHOST@</TD></TR><TR><TD>Title:</TD><TD>@TITLE@</TD></TR><TR><TD>Customer:</TD><TD>@CUSTOMER@</TD></TR><TR><TD>Due-date:</TD><TD>@DUEDATE@</TD></TR><TR><TD>Status:</TD><TD>@STATUS@</TD></TR><TR><TD>Priority:</TD><TD>@PRIORITY@</TD></TR></TABLE></FONT></BODY>', NOW(), 'The body of the email which will be sent when an entity is updated. Please read the manual before editing this setting.')";
	$sqla[38] = "INSERT INTO ".CRM_SETTINGS_TABLE." (`settingid`, `setting`, `value`, `datetime`, `discription`) VALUES ('', 'ShowNumOfAttachments', 'No', NOW(), 'Wether or not to show the number of attached documents in the main entity lists')";
	$sqla[39] = "INSERT INTO ".CRM_STATUS_VARS_TABLE."(varname,color) VALUES('Open','#66CC66')";
	$sqla[40] = "INSERT INTO ".CRM_STATUS_VARS_TABLE."(varname,color) VALUES('Closed','#FF6633')";
	$sqla[41] = "INSERT INTO ".CRM_STATUS_VARS_TABLE."(varname,color) VALUES('Awaiting closure','#3399CC')";
	$sqla[42] = "INSERT INTO ".CRM_PRIORITY_VARS_TABLE."(varname,color) VALUES('Critical','#FF6666')";
	$sqla[43] = "INSERT INTO ".CRM_PRIORITY_VARS_TABLE."(varname,color) VALUES('High','#FFFF66')";
	$sqla[44] = "INSERT INTO ".CRM_PRIORITY_VARS_TABLE."(varname,color) VALUES('Medium','#FFFF99')";
	$sqla[45] = "INSERT INTO ".CRM_PRIORITY_VARS_TABLE."(varname,color) VALUES('Low','#FFFFCC')";
	$sqla[46] = "INSERT INTO ".CRM_SETTINGS_TABLE."(setting,value,discription) VALUES('DBVERSION','" . $version . "','The current database version')";
	$sqla[47] = "INSERT INTO ".CRM_SETTINGS_TABLE." (`settingid`, `setting`, `value`, `datetime`, `discription`) VALUES ('', 'ShowEmailButton', 'Yes', NOW(), 'Yes to show an extra button to send an e-mail to the assignee when an entity is added or edited, no to disable this option.')";
	$sqla[48] = "INSERT INTO ".CRM_SETTINGS_TABLE." (`settingid`, `setting`, `value`, `datetime`, `discription`) VALUES ('', 'ShowMainPageCalendar', 'Yes', NOW(), 'Yes to show the 3-month calendar on the main page, no to disable this option.')";
	$sqla[49] = "INSERT INTO ".CRM_SETTINGS_TABLE." ( `settingid` , `setting` , `value` , `datetime` , `discription` ) VALUES ('', 'Extra customer fields list', '', NOW( ) , '')";
	$sqla[50] = "INSERT INTO ".CRM_SETTINGS_TABLE." ( `settingid` , `setting` , `value` , `datetime` , `discription` ) VALUES ('', 'Category pulldown list', '', NOW( ) , '')";
	$sqla[51] = "INSERT INTO ".CRM_SETTINGS_TABLE." ( `settingid` , `setting` , `value` , `datetime` , `discription` ) VALUES ('', 'ForceCategoryPulldown', '', NOW( ) , 'Yes to show a pulldown list for the category, no to make it a text box.')";

	// CRM 1.9.3 adjustments

	$sqla[52] = "ALTER TABLE ".CRM_ENTITY_TABLE." ADD `lasteditby` BIGINT NOT NULL";
	$sqla[53] = "ALTER TABLE ".CRM_ENTITY_TABLE." ADD `createdby` BIGINT NOT NULL";
	$sqla[54] = "INSERT INTO ".CRM_SETTINGS_TABLE." (`settingid`, `setting`, `value`, `datetime`, `discription`) VALUES ('', 'ShowRecentEditedEntities', '7', NOW(), '0 for no recent list, any number under 20 to show the most recent edited entities on the main page.')";
	$sqla[55] = "INSERT INTO ".CRM_SETTINGS_TABLE." ( `settingid` , `setting` , `value` , `datetime` , `discription` ) VALUES ('', 'EnableEntityJournaling', 'Yes', NOW( ) , 'Set this value to Yes if you want entity journaling enabled (a link will be added to the main edit entity page)')";
	$sqla[56] = "INSERT INTO ".CRM_SETTINGS_TABLE." ( `settingid` , `setting` , `value` , `datetime` , `discription` ) VALUES ('', 'AutoCompleteCustomerNames', 'No', NOW( ) , 'Set this value to Yes if you want a text box wich auto-completes customer names instead of a pull-down menu with all customers.')";
	$sqla[57] = "INSERT INTO ".CRM_SETTINGS_TABLE." ( `settingid` , `setting` , `value` , `datetime` , `discription` ) VALUES ('', 'EnableEntityContentsJournaling', 'Yes', NOW( ) , 'Set this value to Yes if you want a drop-down box in the main entity window to switch to history states of an entity')";

	// CRM 1.9.5 adjustments

	$sqla[58] = "ALTER TABLE `".CRM_CUSTOMER_TABLE."` ADD `active` ENUM( 'yes', 'no' ) DEFAULT 'yes' NOT NULL";

	// CRM 2.0.0 adjustments

	$sqla[59] = "INSERT INTO ".CRM_SETTINGS_TABLE." ( `settingid` , `setting` , `value` , `datetime` , `discription` ) VALUES ('', 'DontShowPopupWindow', 'No', NOW() , 'No to show the standard javascript popup window in the entity overview, yes to disable it and make editing the entity the default action when clicking on the row.')";

	$sqla[60] = "INSERT INTO ".CRM_SETTINGS_TABLE." ( `settingid` , `setting` , `value` , `datetime` , `discription` ) VALUES ('', 'ShowFilterInMainList', 'Yes', NOW( ) , 'Wether or not to show the filter pulldowns on top of the main entity list')";

	$sqla[61] = "INSERT INTO ".CRM_SETTINGS_TABLE." ( `settingid` , `setting` , `value` , `datetime` , `discription` ) VALUES ('', 'ShowShortKeyLegend', 'Yes', NOW( ) , 'Wether or not to show the ShortKeys (ALT-1..ALT-9) legend on the tabs')";

	// CRM 2.0.1 adjustments

	// MUCHO IMPORTANTE!!
	$sqla[62] = "ALTER TABLE ".CRM_BINFILES_TABLE." ADD INDEX ( `koppelid` )";
	$sqla[63] = "INSERT INTO ".CRM_SETTINGS_TABLE."(setting,value,discription) VALUES('MainListColumnsToShow','a:9:{s:2:\"id\";b:1;s:7:\"cb_cust\";b:1;s:8:\"cb_owner\";b:1;s:11:\"cb_assignee\";b:1;s:9:\"cb_status\";b:1;s:11:\"cb_priority\";b:1;s:11:\"cb_category\";b:1;s:10:\"cb_duedate\";b:1;s:12:\"cb_alarmdate\";b:1;}','non-editable by admin')";
	$sqla[64] = "INSERT INTO ".CRM_SETTINGS_TABLE." ( `settingid` , `setting` , `value` , `datetime` , `discription` ) VALUES ('', 'LetUserSelectOwnListLayout', 'Yes', NOW( ) , 'Wether or not to let the user select his/her own list layout')";

	// CRM 2.2.0 Adjustments

	$sqla[65] = "INSERT INTO `".CRM_SETTINGS_TABLE."` ( `settingid` , `setting` , `value` , `datetime` , `discription` ) VALUES ('', 'BODY_TEMPLATE_CUSTOMER', '<FONT face=\"MS Shell Dlg\"><P><FONT size=2>&gt;&gt; This mail is regarding entity @ENTITYID@ , \"@CATEGORY@\" in CRM @TITLE@ at @WEBHOST@<BR>-----------------------<BR>Send from CRM-CTT<BR></FONT><A href=\"http://crm.it-combine.com/\"><FONT size=2>http://crm.it-combine.com</FONT></A><BR></P></FONT>', NOW( ) , 'The template wich is used when sending an e-mail to a customer (editable by user before sending)');";

	// CRM 2.3.0 Adjustments

	$sqla[66] = "INSERT INTO ".CRM_SETTINGS_TABLE." ( `settingid` , `setting` , `value` , `datetime` , `discription` ) VALUES ('', 'ShowPDWASLink', 'No', NOW( ) , 'Yes to show the PDWAS link in the file list. PDWAS is a CRM-CTT addon which enables you to edit flies and directly save them to CRM-CTT without having to upload the file manually.')";
	$sqla[67] = "ALTER TABLE ".CRM_JOURNAL_TABLE." ADD `type` varchar(20) NOT NULL default 'entity'";
	$sqla[68] = "ALTER TABLE ".CRM_JOURNAL_TABLE." CHANGE `message` `message` LONGTEXT NOT NULL";
	$sqla[69] = "ALTER TABLE ".CRM_CUSTOMER_TABLE." ADD `customer_owner` INT(11) NOT NULL;";
	$sqla[70] = "ALTER TABLE ".CRM_CUSTOMER_TABLE." ADD `email_owner_upon_adds` enum('no','yes') NOT NULL DEFAULT 'no'";


	// CRM 2.4.0 Adjustments

	$sqla[71] = "ALTER TABLE ".CRM_BINFILES_TABLE." ADD `checked` ENUM( 'in', 'out' ) NOT NULL";
	$sqla[72] = "ALTER TABLE ".CRM_BINFILES_TABLE." ADD `checked_out_by` INT NOT NULL";
	$sqla[73] = "ALTER TABLE ".CRM_LOGIN_USERS_TABLE." ADD `LASTFILTER` LONGTEXT NOT NULL";
	$sqla[74] = "ALTER TABLE ".CRM_LOGIN_USERS_TABLE." ADD `LASTSORT` VARCHAR(50) NOT NULL";

	$sqla[75] = "ALTER TABLE ".CRM_CUSTOM_ADDONS_TABLE." CHANGE `name` `name` LONGTEXT NOT NULL";

	$sqla[76] = "INSERT INTO ".CRM_SETTINGS_TABLE." ( `settingid` , `setting` , `value` , `datetime` , `discription` ) VALUES ('', 'EnableWebDAVSubsystem', 'No', NOW( ) , 'Yes to enable the WebDAV subsystem, no to disable it')";


	$sqla[77] = "CREATE TABLE ".CRM_WEBDAV_LOCKS_TABLE." (  `token` varchar(255) NOT NULL default '',  `path` varchar(200) NOT NULL default '',  `expires` int(11) NOT NULL default '0',  `owner` varchar(200) default NULL,  `recursive` int(11) default '0',  `writelock` int(11) default '0',  `exclusivelock` int(11) NOT NULL default '0',  PRIMARY KEY  (`token`),  UNIQUE KEY `token` (`token`),  KEY `path` (`path`),  KEY `path_2` (`path`),  KEY `path_3` (`path`,`token`),  KEY `expires` (`expires`)) TYPE=MyISAM";

	$sqla[78] = "CREATE TABLE ".CRM_WEBDAV_PROPERTIES_TABLE." (  `path` varchar(255) NOT NULL default '',  `name` varchar(120) NOT NULL default '',  `ns` varchar(120) NOT NULL default 'DAV:',  `value` text,  PRIMARY KEY  (`path`,`name`,`ns`),  KEY `path` (`path`)) TYPE=MyISAM";

	$sqla[79] = "INSERT INTO ".CRM_LANGUAGES_TABLE." ( `id` , `LANGID` , `TEXTID` , `TEXT` ) VALUES ('', 'ENGLISH', 'stillchecked1', 'This file is still locked for editing by')";
	$sqla[80] = "INSERT INTO ".CRM_LANGUAGES_TABLE." ( `id` , `LANGID` , `TEXTID` , `TEXT` ) VALUES ('', 'ENGLISH', 'stillchecked2', '. Please stop editing this file before trying to check it in.')";

	$sqla[81] = "INSERT INTO ".CRM_SETTINGS_TABLE." ( `settingid` , `setting` , `value` , `datetime` , `discription` ) VALUES ('', 'DateFormat', 'dd-mm-yyyy', NOW( ) , 'Enter \'mm-dd-yyyy\' here to display dates in US format, anything else to display dates in international format (which is dd-mm-yyyy).')";

	$sqla[82] = "INSERT INTO ".CRM_SETTINGS_TABLE." ( `settingid` , `setting` , `value` , `datetime` , `discription` ) VALUES ('', 'HideCustomerTab', 'no', NOW( ) , 'Set this value to \'Yes\' if you want the customer tab only to be visible to administrators')";


	// CRM 2.4.1. Adjustements


	$sqla[83] = "ALTER TABLE ".CRM_USELOG_PERIOD_TABLE." ADD INDEX(user)";
	$sqla[84] = "INSERT INTO ".CRM_SETTINGS_TABLE." ( `settingid` , `setting` , `value` , `datetime` , `discription` ) VALUES ('', 'CustomerListColumnsToShow', 'a:5:{s:2:\"id\";b:1;s:11:\"cb_custname\";b:1;s:10:\"cb_contact\";b:1;s:16:\"cb_contact_phone\";b:1;s:9:\"cb_active\";b:1;}', NOW( ) , 'The columns to show in the customer list')";
	$sqla[85] = "INSERT INTO ".CRM_SETTINGS_TABLE." ( `settingid` , `setting` , `value` , `datetime` , `discription` ) VALUES ('', 'ShowSaveAsNewEntityButton', 'Yes', NOW( ) , 'Yes to show the Save As New Entity button, no to hide it.')";
	$sqla[86] = "INSERT INTO ".CRM_LANGUAGES_TABLE." ( `id` , `LANGID` , `TEXTID` , `TEXT` ) VALUES ('', 'ENGLISH', 'saveasnewentity', 'Save as new entity')";
	$sqla[87] = "INSERT INTO ".CRM_SETTINGS_TABLE." ( `settingid` , `setting` , `value` , `datetime` , `discription` ) VALUES ('', 'AutoCompleteCategory', 'Yes', NOW( ) , 'Enter Yes of you would like type-ahead functionality in the category field on the main entity page')";

	// CRM 2.4.2 Adjustments

	$sqla[88] = "alter table ".CRM_CUSTOM_ADDONS_TABLE." ADD KEY(deleted)";
	$sqla[89] = "alter table ".CRM_CUSTOM_ADDONS_TABLE." ADD KEY(eid)";
	$sqla[90] = "alter table ".CRM_CUSTOM_ADDONS_TABLE." ADD KEY(value(20))";
	$sqla[91] = "alter table ".CRM_CUSTOM_ADDONS_TABLE." ADD KEY(type)";
	$sqla[92] = "alter table ".CRM_CUSTOM_ADDONS_TABLE." ADD KEY(name(20))";

	$sqla[93] = "INSERT INTO ".CRM_SETTINGS_TABLE." ( `settingid` , `setting` , `value` , `datetime` , `discription` ) VALUES ('', 'AutoInsertDateTime', 'No', NOW( ) , 'Enter Yes of you would like the date and time information inserted automatically when adding text to an entity.')";

	// CRM 2.4.3 Adjustments

	$sqla[94] = "ALTER TABLE ".CRM_LOGIN_USERS_TABLE." ADD `RECEIVEDAILYMAIL` ENUM( 'No', 'Yes' ) NOT NULL";
	$sqla[95] = "INSERT INTO ".CRM_SETTINGS_TABLE." ( `settingid` , `setting` , `value` , `datetime` , `discription` ) VALUES ('', 'LetUserEditOwnProfile', 'Yes', NOW( ) , 'Set this option to \'Yes\' to enable user to change their passwords, edit their full name, and select wether or not they want to receive the daily entity overwiew email.')";
	$sqla[96] = "INSERT INTO ".CRM_SETTINGS_TABLE." ( `settingid` , `setting` , `value` , `datetime` , `discription` ) VALUES ('', 'EnableRepositorySwitcher', 'Yes', NOW( ) , 'Set this option to \'Yes\' to enable a user to dynamically switch between repositories in which the same users exist with the same password. \'No\' disables this, \'Admin\' enables it only for admins.')";

	$sqla[97] = "ALTER TABLE ".CRM_LANGUAGES_TABLE." ADD INDEX ( `LANGID` )";


	// CRM 2.4.4 Adjustments -> none!

	// CRM 2.4.5 Adjustments

	$sqla[98] = "ALTER TABLE ".CRM_ENTITY_TABLE." ADD `notify_assignee` ENUM( 'n', 'y' ) NOT NULL";
	$sqla[99] = "ALTER TABLE ".CRM_ENTITY_TABLE." ADD `notify_owner` ENUM( 'n', 'y' ) NOT NULL";
	$sqla[100] = "ALTER TABLE ".CRM_EJOURNAL_TABLE." ADD `notify_assignee` ENUM( 'n', 'y' ) NOT NULL";
	$sqla[101] = "ALTER TABLE ".CRM_EJOURNAL_TABLE." ADD `notify_owner` ENUM( 'n', 'y' ) NOT NULL";

	$sqla[102] = "INSERT INTO ".CRM_SETTINGS_TABLE." ( `settingid` , `setting` , `value` , `datetime` , `discription` ) VALUES ('', 'BODY_ENTITY_CUSTOMER_ADD', 'You are registerd to customer @CUSTOMER@. Entity @ENTITYID@ was just coupled to that customer, so you might have to do something.', NOW( ) , 'The body of the e-mail which is send to the customer_owner when an entity (new or existing) is coupled to that customer, and the email_customer_upon_action checkbox in the customer properties is checked.')";

	$sqla[102] = "INSERT INTO ".CRM_SETTINGS_TABLE." ( `settingid` , `setting` , `value` , `datetime` , `discription` ) VALUES ('', 'BlockAllCSVDownloads', 'No', NOW( ) , 'Set this value to Yes if you want to block all CSV/Excel downloads for all users except for administrators.')";

	// CRM 2.4.6 Adjustments

	$sqla[103] = "INSERT INTO ".CRM_SETTINGS_TABLE." ( `settingid` , `setting` , `value` , `datetime` , `discription` ) VALUES ('', 'STANDARD_TEXT', '', NOW( ) , 'A list of standard comments which users can automatically insert as a reply in entities. Leave empty for no standard comments.')";

	$sqla[104] = "INSERT INTO ".CRM_SETTINGS_TABLE." ( `settingid` , `setting` , `value` , `datetime` , `discription` ) VALUES ('', 'CUSTOMER_LIST_TRESHOLD', '150', NOW( ) , 'The number of customers listed on the main customers page. If this number of customers is exceeded, the list will not appear for bandwith reasons.')";
	$sqla[105] = "ALTER TABLE ".CRM_ENTITY_TABLE." ADD `openepoch` VARCHAR( 30 ) NOT NULL ,ADD `closeepoch` VARCHAR( 30 ) NOT NULL";

	return($sqla);

} // end func


function get_perms($file) {
   $p_bin = substr(decbin(@fileperms($file)), -9) ;
   $p_arr = explode(".", substr(chunk_split($p_bin, 1,"."), 0, 17)) ;
   $perms = ""; $i = 0;
   foreach ($p_arr as $this) {
      $p_char = ( $i%3==0 ? "r" : ( $i%3==1 ? "w" :"x" ) );
      $perms .= ( $this=="1" ? $p_char : "-" ) . ($i%3==2 ? " " : "" );
      $i++;
   }
   return $perms;
}
function printbox($msg)
{
		global $printbox_size,$legend;

		if (!$printbox_size) {
			$printbox_size = "70%";
		}

		print "<center><table border='0' width='$printbox_size'><tr><td colspan=2><fieldset>";
		if ($legend) {
			print "<legend>$legend</legend><center>";
		}
		print $msg . "</center></fieldset></td></tr></table><br></center>";

		unset($printbox_size);
		$legend = "";

} // end func

function mcqinstall($sql,$db) {
	global $mysql_query_counter, $logqueries;
	$mysql_query_counter++;

	if ($logqueries) {
		$fp = fopen("qlist.txt","a");
		fputs($fp,"$mysql_query_counter: $sql\n");
		fclose($fp);
	}

	$a = mysql_query($sql) or die (handle_error_install(mysql_error(),$sql));
	return($a);
}

function handle_error_install($mysqlerror,$sql) {
	global $REMOTE_ADDR, $HTTP_SERVER_VARS, $HTTP_POST_VARS, $HTTP_USER_AGENT;
	$mysqlerror = ereg_replace("You have an error in your SQL syntax near","SQL Syntax error near",$mysqlerror);
	print "<table><tr><td>&nbsp;<b><font size='+1' face='Trebuchet MS'>An internal error occured.</font></b><br>&nbsp;&nbsp;&nbsp;<font size='+1' face='Trebuchet MS'>This error is fatal.</font>";
	print "<br>";
	print "This procedure cannot tell you exactly what went wrong. Your database action is cancelled, but previous database actions in the CRM page you're running are executed.<br><br>";
	print "<table width=90% border=0><tr><td>The error message from the database is:</td></tr>";
	print "<tr><td><font face='courier new'>$mysqlerror</font></td></tr>";
	print "<tr><td>&nbsp;</td></tr>";
	print "<tr><td>The concerning query is:</td></tr>";
	print "<tr><td><font face='courier new'>$sql</font></td></tr>";
	$deb .= "Host: " . getenv("SERVER_NAME") . "<br>";
	$deb .= "Client: $REMOTE_ADDR<br>";
	$deb .= "Location: " . $_SERVER[PHP_SELF] . "<br>";
}

function printheaderinst($msg) {
		print "<center><table border='0' width='$printbox_size'><tr><td colspan=2><fieldset>";
		if ($legend) {
			print "<legend>$legend</legend>";
		}
		print $msg . "</fieldset></td></tr></table></center><br>";
}
?>