<?php
include_once "common.php";

if($user["id"] && $user["guest"]!='1' && $user["root"]!=1){
	$form_id = $_GET["id_form"]?intval($_GET["id_form"]):intval($_POST["id_form"]);
	$sel = $_GET["sel"]?$_GET["sel"]:$_POST["sel"];
	switch($sel){
		case "edit_form_name"	: EditFormName($form_id); break;
		case "delete_form"		: DeleteForm($form_id); break;
		case "action"			: ActionForm(); break;
		default					: FormManage();
	}
}else{
	echo "<script>location.href='".$config["site_root"]."/index.php'</script>";
}

function FormManage(){
	global $config, $smarty, $dbconn, $user;
	
	IndexHomePage();
	
	GenerateMenu(27,HOMEPAGE);
	GenerateStrPath(105,HOMEPAGE);
	SumClick(105);
	$file_name = (isset($_SERVER["PHP_SELF"]))?AfterLastSlash($_SERVER["PHP_SELF"]):"form_manage.php";
	
	$mes = parse("{$config["site_path"]}{$_SESSION["path_lang"]}/form_manage.xml");
	$smarty->assign("mes",$mes);
	
	$forms=GetListForm();	
	$smarty->assign("forms",$forms);
	
	switch ($config["default_location"]) {
		case "1": $country_type = "usa"; break;
		case "2": $country_type = "uk"; break;
	}
	
	$strSQL = "select id, id_form, type, admstatus, date_send, form_name, form_type  from ".APPLICATION_FORM_TABLE." where id_user={$user["id"]} AND country_type='{$country_type}'";
	$rs = $dbconn->Execute($strSQL);
	$i=0;
	while(!$rs->EOF){ 
		$row = $rs->GetRowAssoc(false);
		$data[$i]["number"] = $i+1; 
		$data[$i]["id"] = $row["id"]; 
		$data[$i]["id_form"] = $row["id_form"]; 
		switch ($row["type"]) {
			case "pdf": $data[$i]["type"] = $mes["value6"]["name"]; break;
			case "online": $data[$i]["type"] = $mes["value7"]["name"]; break;
		}
		switch ($row["admstatus"]) {
			case "new"		: $data[$i]["status"] = $mes["value1"]["name"]; break;
			case "review"	: $data[$i]["status"] = $mes["value2"]["name"]; break;
			case "closed"	: $data[$i]["status"] = $mes["value3"]["name"]; break;
			case "declined"	: $data[$i]["status"] = $mes["value4"]["name"]; break;
			case "accept"	: $data[$i]["status"] = $mes["value5"]["name"]; break;
		}
		$data[$i]["date"] = $row["date_send"]; 
		$data[$i]["form_name"] = $row["form_name"]; 
		$data[$i]["alias"] = $row["form_type"]; 
		
		$strSQL = "select path from ".FORMS_TABLE." where alias='{$row["form_type"]}'";
		$res = $dbconn->Execute($strSQL);
		$data[$i]["edit_link"] = $config["server"]."/".$res->fields[0]."?id_form={$data[$i]["id"]}";
	
		$rs->MoveNext();
		$i++;
	}
	
	$smarty->assign("data", $data);
	$form["action"] = $file_name;
	$smarty->assign("form", $form);
	unset($mes,$data,$forms);
	$smarty->display(TrimSlash($config["index_theme_path"])."/form_manage.tpl");
}

function DeleteForm($form_id){
	//global $config, $smarty, $dbconn, $user;
	$alias = $_GET["alias"]; 
	
	FormDelete($form_id,$alias);
	$_GET = array_splice($_GET,count($_GET),0);
	$_POST = array_splice($_POST,count($_POST),0);
	FormManage();
	exit;
}

function EditFormName($form_id){
	global $config, $smarty, $dbconn, $user;
	$par = $_GET["par"]?$_GET["par"]:$_POST["par"]; 
	if($form_id && $form_id>0){
		switch ($par) {
			case "save"	:
				if(strlen($_POST["name"])>0){
					$strSQL = "UPDATE ".APPLICATION_FORM_TABLE." SET form_name='".addslashes(substr($_POST["name"],0,250))."'  WHERE id={$form_id} AND id_user={$user["id"]}";
					$rs = $dbconn->Execute($strSQL);
				}
				FormManage();
				break;
			default:
				IndexHomePage();
				GenerateMenu(27,HOMEPAGE);
				GenerateStrPath(105,HOMEPAGE);
				$file_name = (isset($_SERVER["PHP_SELF"]))?AfterLastSlash($_SERVER["PHP_SELF"]):"form_manage.php";
				
				$mes = parse("{$config["site_path"]}{$_SESSION["path_lang"]}/form_manage.xml");
				$smarty->assign("mes",$mes);
				
				$strSQL = "SELECT id_form, form_name FROM ".APPLICATION_FORM_TABLE." WHERE id={$form_id} AND id_user={$user["id"]}";
				$rs = $dbconn->Execute($strSQL);
				$row = $rs->GetRowAssoc(false);
				$data["id"] = $row["id_form"]; 
				$data["name"] = $row["form_name"]; 
				$smarty->assign("data", $data);
				
				$form["action"] = $file_name;
				$smarty->assign("form", $form);
				unset($mes,$data,$form);
				$smarty->display(TrimSlash($config["index_theme_path"])."/form_manage_editname.tpl");
		}
	}
}

function ActionForm(){
	global $config, $smarty, $dbconn, $user;
	
	$id = $_GET["form"]?intval($_GET["form"]):intval($_POST["form"]);
	
	$strSQL = "select id_location, alias, path from ".FORMS_TABLE." where id={$id}";
	$rs = $dbconn->Execute($strSQL);
	$row = $rs->GetRowAssoc(false);
	switch($row["id_location"]){
		case 1:
			////// USA
			if($row["alias"]=='full'){
				$strSQL = "INSERT INTO ".APP_FORM_1_TABLE." (id) VALUES(NULL)";
				$rs = $dbconn->Execute($strSQL);
				$form_id = $dbconn->Insert_ID();
				for($i=2; $i<15; $i++){
					$strSQL = "INSERT INTO ".constant("APP_FORM_".$i."_TABLE")." (id) VALUES({$form_id})";
					$rs = $dbconn->Execute($strSQL);
				}
					
				$strSQL = "INSERT INTO ".APPLICATION_FORM_TABLE."
									(id, id_user, id_form, user_name, type, status, admstatus, loan_amount, date_send, form_name,country_type, form_type)
									VALUES (NULL, {$user["id"]}, {$form_id}, '{$user["name"]}', 'online', 'start', 'new', 0, NOW(), 'Application Form #{$form_id}','usa','full')";
				$rs = $dbconn->Execute($strSQL);
				echo "<script>document.location.href='{$config["server"]}/{$row["path"]}?id_form={$form_id}'</script>";
			}else{
				echo "<script>document.location.href='{$config["server"]}/{$row["path"]}'</script>";
			}
			exit;
		case 2:
			////// UK
			switch($row["alias"]){
				case "FIRST": case "MHOME": case "REMORTGAGE":
					$rs = $dbconn->Execute("INSERT INTO ".constant("FORM_UK_{$row["alias"]}_1_TABLE")." (id,id_user) VALUES(NULL,{$user["id"]})");
					$form_id = $dbconn->Insert_ID();
					for($i=2; $i<4; $i++)
						$dbconn->Execute("INSERT INTO ".constant("FORM_UK_{$row["alias"]}_{$i}_TABLE")." (id,id_user) VALUES({$form_id},{$user["id"]})");
					
					$strSQL = "INSERT INTO ".APPLICATION_FORM_TABLE."
									(id, id_user, id_form, user_name, type, status, admstatus, loan_amount, date_send, form_name,country_type, form_type)
									VALUES (NULL, {$user["id"]}, {$form_id}, '{$user["name"]}', 'online', 'start', 'new', 0, NOW(), '{$row["alias"]} Form #{$form_id}','uk','{$row["alias"]}')";
					$rs = $dbconn->Execute($strSQL);
					echo "<script>document.location.href='{$config["server"]}/{$row["path"]}?id_form={$form_id}'</script>";
					break;
				case "BUY_TO_LET":
					$rs = $dbconn->Execute("INSERT INTO ".constant("FORM_UK_{$row["alias"]}_1_TABLE")." (id,id_user) VALUES(NULL,{$user["id"]})");
					$form_id = $dbconn->Insert_ID();
					for($i=2; $i<5; $i++)
						$dbconn->Execute("INSERT INTO ".constant("FORM_UK_{$row["alias"]}_{$i}_TABLE")." (id,id_user) VALUES({$form_id},{$user["id"]})");
					
					$strSQL = "INSERT INTO ".APPLICATION_FORM_TABLE."
									(id, id_user, id_form, user_name, type, status, admstatus, loan_amount, date_send, form_name,country_type, form_type)
									VALUES (NULL, {$user["id"]}, {$form_id}, '{$user["name"]}', 'online', 'start', 'new', 0, NOW(), 'Buy to let mortgage Form #{$form_id}','uk','{$row["alias"]}')";
					$rs = $dbconn->Execute($strSQL);
					echo "<script>document.location.href='{$config["server"]}/{$row["path"]}?id_form={$form_id}'</script>";
					break;
				default:
					echo "<script>document.location.href='{$config["server"]}/{$row["path"]}'</script>";
			}
			exit;
	
	}
	
}
?>