<?php
include_once "common.php";

if($user["root"]==1){
	echo "<script>location.href='".$config["site_root"]."/admin/index.php'</script>";
}elseif($user["id"] && $user["guest"]!='1'){
	$form_id = $_GET["id_form"]?intval($_GET["id_form"]):intval($_POST["id_form"]);
	$sel = $_GET["sel"]?$_GET["sel"]:$_POST["sel"];
	switch($sel){
		case "edit_form_name"	: EditFormName($form_id); break;
		case "delete_form"		: DeleteForm($form_id); break;
		default					: HomePage();
	}
}elseif($user["id"] && $user["root"]==1 && $user["guest"]!='1'){
	echo "<script>location.href='".$config["site_root"]."/admin/admin/index.php'</script>";
}else{
	echo "<script>location.href='".$config["site_root"]."/index.php'</script>";
}


function HomePage(){
	global $config, $smarty, $dbconn, $user;

	CheckInstallFolder($smarty);
	Banners(__FILE__);
	IndexHomePage();
	
	if ($_GET["from"] == "1"){
		$smarty->assign("qwer","1");
	}
	GenerateMenu(27,HOMEPAGE);
	GenerateStrPath(27,OTHER);
	SumClick(27);
	$file_name = (isset($_SERVER["PHP_SELF"]))?AfterLastSlash($_SERVER["PHP_SELF"]):"homepage.php";

	$mes = parse("{$config["site_path"]}{$_SESSION["path_lang"]}/home.xml");
	$smarty->assign("mes",$mes);

	/////////////////////////////// Languages
	$sr=$dbconn->Execute("select id, code from ".LANGUAGE_TABLE." where visible='1'");
	$i=0;
	while ( !$sr->EOF ) {
		$row = $sr->GetRowAssoc(false);
		$lang1[$i]["id"] = $row["id"];
		$lang1[$i]["code"] = $row["code"];
		$i++;
		$sr->MoveNext();
	}
	$count=count($lang1);
	$smarty->assign("count",$count);
	$smarty->assign("lang1",$lang1);

	$content = GetPageContent(27);
	if (UseSign(27)){
		$settings = GetSiteSettings(array("signature"));
		$smarty->assign("signature",$settings["signature"]);
	}
	if ($settings["signature"]){
		$content = str_replace("%SIGN%", $settings["signature"], $content);
	}else{
		$content = str_replace("%SIGN%", "", $content);
	}
	$content = str_replace("%FULLNAME%", $user["name"], $content);
	$smarty->assign("content",$content);
	$smarty->assign("login","ok");

	$forms=GetListForm();	
	$smarty->assign("forms",$forms);
	
	if(isset($_GET["err"])) {$smarty->assign("err",$_GET["err"]);}

	$strSQL = "select value from ".SETTINGS_TABLE." where name='signature'";
	$rs = $dbconn->Execute($strSQL);
	$smarty->assign("sign",$rs->fields[0]);
	
	/// My app form
	switch ($config["default_location"]) {
		case "1": $country_type = "usa"; break;
		case "2": $country_type = "uk"; break;
	}
	
	$strSQL = "select id, id_form, type, admstatus, date_send, form_name, form_type  from ".APPLICATION_FORM_TABLE." where id_user={$user["id"]} AND country_type='{$country_type}'";
	$rs = $dbconn->Execute($strSQL);
	$i=0;
	while(!$rs->EOF){ 
		$row = $rs->GetRowAssoc(false);
		$data[$i]["number"] = $i+1; 
		$data[$i]["id"] = $row["id"]; 
		$data[$i]["id_form"] = $row["id_form"]; 
		switch ($row["type"]) {
			case "pdf": $data[$i]["type"] = $mes["value6"]["name"]; break;
			case "online": $data[$i]["type"] = $mes["value7"]["name"]; break;
		}
		switch ($row["admstatus"]) {
			case "new"		: $data[$i]["status"] = $mes["value1"]["name"]; break;
			case "review"	: $data[$i]["status"] = $mes["value2"]["name"]; break;
			case "closed"	: $data[$i]["status"] = $mes["value3"]["name"]; break;
			case "declined"	: $data[$i]["status"] = $mes["value4"]["name"]; break;
			case "accept"	: $data[$i]["status"] = $mes["value5"]["name"]; break;
		}
		$data[$i]["date"] = $row["date_send"]; 
		$data[$i]["form_name"] = $row["form_name"]; 
		$data[$i]["alias"] = $row["form_type"]; 
		
		$strSQL = "select path from ".FORMS_TABLE." where alias='{$row["form_type"]}'";
		$res = $dbconn->Execute($strSQL);
		if($row["admstatus"]!="declined"){
			if($row["form_type"] == "prequalify" || $row["form_type"] == "refinance"){
				$data[$i]["edit_link"] = "location.href='".$config["server"]."/".$res->fields[0]."?sel=edit'";
			}else{
				$data[$i]["edit_link"] = "location.href='".$config["server"]."/".$res->fields[0]."?id_form={$data[$i]["id"]}'";
			}
		}else{
			$data[$i]["edit_link"] = "alert('{$mes["form_declined"]["name"]}')";
		}
	
		$rs->MoveNext();
		$i++;
	}
	
	$smarty->assign("data", $data);
	$form["action"] = $file_name;
	$smarty->assign("form", $form);
	unset($mes,$data,$forms);
	///////////////

	$smarty->display(TrimSlash($config["index_theme_path"])."/home.tpl");
}

function DeleteForm($form_id){
	$alias = $_GET["alias"]; 
	
	FormDelete($form_id,$alias);
	$_GET = array_splice($_GET,count($_GET),0);
	$_POST = array_splice($_POST,count($_POST),0);
	HomePage();
	exit;
}

function EditFormName($form_id){
	global $config, $smarty, $dbconn, $user;
	$par = $_GET["par"]?$_GET["par"]:$_POST["par"]; 
	if($form_id && $form_id>0){
		switch ($par) {
			case "save"	:
				if(strlen($_POST["name"])>0){
					$strSQL = "UPDATE ".APPLICATION_FORM_TABLE." SET form_name='".addslashes(substr($_POST["name"],0,250))."'  WHERE id={$form_id} AND id_user={$user["id"]}";
					$rs = $dbconn->Execute($strSQL);
				}
				HomePage();
				break;
			default:
				IndexHomePage();
				GenerateMenu(27,HOMEPAGE);
				GenerateStrPath(105,HOMEPAGE);
				$file_name = (isset($_SERVER["PHP_SELF"]))?AfterLastSlash($_SERVER["PHP_SELF"]):"homepage.php";
				
				$mes = parse("{$config["site_path"]}{$_SESSION["path_lang"]}/home.xml");
				$smarty->assign("mes",$mes);
				
				$strSQL = "SELECT id, form_name FROM ".APPLICATION_FORM_TABLE." WHERE id={$form_id} AND id_user={$user["id"]}";
				$rs = $dbconn->Execute($strSQL);
				$row = $rs->GetRowAssoc(false);
				$data["id"] = $row["id"]; 
				$data["name"] = $row["form_name"]; 
				$smarty->assign("data", $data);
				
				$form["action"] = $file_name;
				$smarty->assign("form", $form);
				unset($mes,$data,$form);
				$smarty->display(TrimSlash($config["index_theme_path"])."/form_manage_editname.tpl");
		}
	}
}
?>