<?php
/**
*
*
*
*   @author Yan Abdullaev<yan@pilotgroup.net>, Pilot Group <http://www.pilotgroup.net/>
*   @date   12.04.2007
*
*
*	The class useses for forms operation under Dating forms construnctor customization
*
**/

/*		$file = $_SERVER["REQUEST_URI"];
		if(!$file) $file= $_SERVER["SCRIPT_NAME"];*/

class Auth{
	var $dbconn;
	var $config;
	
	//Class constructor: dbconn - ADO DB connection
	function Auth($dbconn, $config){
		$this->dbconn=$dbconn;
		$this->config=$config;
	}
	
	///// read id_user from active sessions table accordingly his session id
	function sess_read($sess_id){
		$ip_address = $_SERVER["REMOTE_ADDR"];
	 	$strSQL = "Select id_user from ".ACTIVE_SESSIONS_TABLE." where session = '".$sess_id."'";
		$rs = $this->dbconn->Execute($strSQL);
		if($rs->RowCount()){
			return $rs->fields[0];
		}else{
			return "";
		}
	}
	
	///// write session id and user id of sitting into base
	function sess_write($sess_id, $id_user){
		$ip_address = $_SERVER["REMOTE_ADDR"];
		
		/////// delete all entries from table with the same session_id( if user was a guest earlier)
		$strSQL = "DELETE FROM ".ACTIVE_SESSIONS_TABLE." WHERE session = '".$sess_id."' ";
		$rs = $this->dbconn->Execute($strSQL);
	
		$strSQL = "SELECT guest_user FROM ".USERS_TABLE." WHERE id='".$id_user."'";
		$rs = $this->dbconn->Execute($strSQL);
		$guest_user = intval($rs->fields[0]);
		if($guest_user == 1){
			$this->dbconn->Execute("DELETE FROM ".ACTIVE_SESSIONS_TABLE." WHERE id_user = '".$id_user."'");
		}
		/////// insert 
		$strSQL = "INSERT INTO ".ACTIVE_SESSIONS_TABLE." (id_user, session, ip_address, update_date) values ( '".$id_user."', '".$sess_id."', '".$ip_address."', NOW()) ";
		$rs = $this->dbconn->Execute($strSQL);
	    return true;    
	}
	
	///// delete perfect sitting from database
	function sess_delete($sess_id){
		$strSQL = "Delete from ".ACTIVE_SESSIONS_TABLE." where session='".$sess_id."'";
		$rs = $this->dbconn->Execute($strSQL);
	    return true;    
	}
	
	///// delete obsolete sittings from base
	function sess_clear($lifetime){
	    $strSQL = "Delete from ".ACTIVE_SESSIONS_TABLE." where UNIX_TIMESTAMP(update_date) < UNIX_TIMESTAMP(now())-".$lifetime." ";
		$rs = $this->dbconn->Execute($strSQL);
	    return true;    
	}
	
	function auth_user_read($auth_user, $auth_pass, $type){
		$ret=array();
		switch ($type){
			case '0':
					$strSQL="SELECT a.id, a.status, a.login, a.root_user, a.guest_user, a.name, a.email 
							FROM ".USERS_TABLE." a 
							WHERE a.login = '".$auth_user."' and a.passw = '".md5($auth_pass)."' ";
					break;
			case '1':
					$strSQL="SELECT a.id, a.status, a.login, a.root_user, a.guest_user, a.name, a.email  
							FROM ".USERS_TABLE." a 
							WHERE id = '".$auth_user."' ";
					break;
		}

		$rs=$this->dbconn->Execute($strSQL);
		if($rs->RowCount() == 0) return "";
		
		$row=$rs->GetRowAssoc(false);
		
		$ret['id']=intval($row['id']);
		$ret['login']=$row['login'];
		$ret['name']=$row['name'];
		$ret['email']=$row['email'];
		$ret['status']=$row['status'];
		$ret['root']=$row['root_user'];
		$ret['guest']=$row['guest_user'];
		$ret['type']=$type;
		return $ret;
	}
	
	function auth_guest_read(){
		$strSQL="SELECT a.id, a.login, a.name FROM ".USERS_TABLE." a WHERE a.guest_user='1'";
		$rs=$this->dbconn->Execute($strSQL);
		if($rs->RowCount() == 0) return "";
		$guest_user_id=intval($rs->fields[0]);

		$row=$rs->GetRowAssoc(false);
		$ret['id']=$guest_user_id;
		$ret['login']=$row['login'];
		$ret['name']=$row['name'];
		$ret['status']=1;
		$ret['root']=0;
		$ret['guest']=1;
		$ret['type']=1;
		return $ret;
	}
	
	///// refresh session date
	function auth_user_update_date($sess_id,$id_user){ 
	    $date = date("YmdHis");
	
		$strSQL = "select guest_user from ".USERS_TABLE."  where id='".$id_user."'";
		$rs = $this->dbconn->Execute($strSQL);
		$guest_user = intval($rs->fields[0]);
		if($guest_user == 1){
			$ip_address = $_SERVER["REMOTE_ADDR"];
			$this->dbconn->Execute("Delete from ".ACTIVE_SESSIONS_TABLE." where id_user = '".$id_user."'");
			$this->dbconn->Execute("Insert into ".ACTIVE_SESSIONS_TABLE." (id_user, session, ip_address, update_date) values ( '".$id_user."', '".$sess_id."', '".$ip_address."', now())");
		}else{
			$strSQL = "Update ".ACTIVE_SESSIONS_TABLE." set update_date = now() where session='".$sess_id."' and id_user = '".$id_user."'";
			$rs = $this->dbconn->Execute($strSQL);
		}
		/////// update
		$strSQL = "Update ".USERS_TABLE."  set date_last_seen='".$date."' where id = '".$id_user."'";
		$rs = $this->dbconn->Execute($strSQL);
	    return true;    
	}
		
	function auth_user($login='', $pass=''){
		$sess_id = session_id();
		if(!$sess_id) $sess_id = $_COOKIE['PHPSESSID'];
		
		$login =  htmlspecialchars(trim($login));
		$pass =  htmlspecialchars(trim($pass));
		
		$this->sess_clear(3600);
		
		$check_id = $this->sess_read($sess_id);
		
		if(empty($check_id) || ($login!='' && $pass!='')){
			if( ($login !="") && ($pass != "") ){
				$auth = $this->auth_user_read($login, $pass, "0");
				if(empty($auth['id'])) return "";
			}
			else{
				// user not registered (guest)
				$auth = $this->auth_guest_read();
				if(empty($auth['id'])) return ""; 
			}
			$this->sess_write($sess_id, $auth['id']);
			return $auth;
		}
		else{
			$auth = $this->auth_user_read($check_id, "", "1"); 
			if(empty($auth['id'])) return "";
			
			$this->auth_user_update_date($sess_id,$auth['id']);
			return $auth;
		}
	}
	
	function SetLoginStatistic($id){
		$this->dbconn->Execute("UPDATE ".USERS_TABLE." SET login_count=login_count+1 where id={$id}");
		return;
	}
	
///////////////////////////////////// Login Loan officer
	function loanoff_sess_read($sess_id){
		$ip_address = $_SERVER["REMOTE_ADDR"];
	 	$strSQL = "Select id_user from ".LOANOFF_ACTIVE_SESSIONS_TABLE." where session = '{$sess_id}'";
		$rs = $this->dbconn->Execute($strSQL);
		if($rs->RowCount()){
			return $rs->fields[0];
		}else{
			return "";
		}
	}
	
	///// write session id and user id of sitting into base
	function loanoff_sess_write($sess_id, $id_user){
		$ip_address = $_SERVER["REMOTE_ADDR"];
		
		/////// delete all entries from table with the same session_id( if user was a guest earlier)
		$strSQL = "DELETE FROM ".LOANOFF_ACTIVE_SESSIONS_TABLE." WHERE session = '".$sess_id."' ";
		$rs = $this->dbconn->Execute($strSQL);
	
		/////// insert 
		$strSQL = "INSERT INTO ".LOANOFF_ACTIVE_SESSIONS_TABLE." (id_user, session, ip_address, update_date) values ( '{$id_user}', '{$sess_id}', '{$ip_address}', NOW()) ";
		$rs = $this->dbconn->Execute($strSQL);
	    return true;    
	}
	
	function loanoff_sess_delete($sess_id){
		$strSQL = "Delete from ".LOANOFF_ACTIVE_SESSIONS_TABLE." where session='{$sess_id}'";
		$rs = $this->dbconn->Execute($strSQL);
	    return true;    
	}
	
	function loanoff_sess_clear($lifetime){
	    $strSQL = "Delete from ".LOANOFF_ACTIVE_SESSIONS_TABLE." where UNIX_TIMESTAMP(update_date) < UNIX_TIMESTAMP(now())-".$lifetime." ";
		$rs = $this->dbconn->Execute($strSQL);
	    return true;    
	}
	
	function loanoff_auth_user_read($auth_user, $auth_pass, $type){
		$ret=array();
		switch ($type){
			case '0':
					$strSQL="SELECT a.id, a.status, a.login, a.name, a.email 
							FROM ".LOAN_OFFICER_TABLE." a 
							WHERE a.login = '{$auth_user}' and a.pass = '".md5($auth_pass)."' and status='1' ";
					break;
			case '1':
					$strSQL="SELECT a.id, a.status, a.login, a.name, a.email  
							FROM ".LOAN_OFFICER_TABLE." a 
							WHERE id = '{$auth_user}' and status='1' ";
					break;
		}

		$rs=$this->dbconn->Execute($strSQL);
		if($rs->RowCount() == 0) return "";
		
		$row=$rs->GetRowAssoc(false);
		
		$ret['id']=intval($row['id']);
		$ret['login']=$row['login'];
		$ret['name']=$row['name'];
		$ret['email']=$row['email'];
		$ret['status']=$row['status'];
		$ret['type']=$type;
		return $ret;
	}
	
	function loanoff_auth_user_update_date($sess_id,$id_user){ 
		$strSQL = "Update ".LOANOFF_ACTIVE_SESSIONS_TABLE." set update_date = now() where session='{$sess_id}' and id_user = '{$id_user}'";
		$rs = $this->dbconn->Execute($strSQL);
	    return true;    
	}
	
	function loanoff_auth_user($login='', $pass=''){
		$sess_id = session_id();
		if(!$sess_id) $sess_id = $_COOKIE['PHPSESSID'];
		
		$login =  htmlspecialchars(trim($login));
		$pass =  htmlspecialchars(trim($pass));
		
		$this->loanoff_sess_clear(3600);
		
		$check_id = $this->loanoff_sess_read($sess_id);
		
		if(empty($check_id) || ($login!='' && $pass!='')){
			if( ($login !="") && ($pass != "") ){
				$auth = $this->loanoff_auth_user_read($login, $pass, "0");
				if(empty($auth['id'])) return "";
			} else{
				return ""; 
			}
			$this->loanoff_sess_write($sess_id, $auth['id']);
			return $auth;
		} else{
			$auth = $this->loanoff_auth_user_read($check_id, "", "1"); 
			if(empty($auth['id'])) return "";
			
			$this->loanoff_auth_user_update_date($sess_id,$auth['id']);
			return $auth;
		}
	}	
}

?>
