<?php
function ConvertToFannie($input_array,$output_filename) {
//        print_r($input_array);
        // header
        $text = "EH                                           0        \nTH T100099-0021        \nTPI 1.0001                              N\n0001  3.20 W\n";

        // top of form
        $text = $text."00A";
        if ($input_array[cb_income_used] == "chb_yes") {
        	$text = $text."Y";
        } else {
        	$text = $text."N";
        }
        if ($input_array[cb_income_not_used] == "chb_yes") {
        	$text = $text."Y";
        } else {
        	$text = $text."N";
        }
        $text = $text."\n";

        // Mortgage Type and Terms 
        $text = $text."01A";
        if ($input_array["laf_va"] == "chb_yes") {
	        $text = $text."02";
        } elseif ($input_array["laf_conv"] == "chb_yes") {
	        $text = $text."01";
        } elseif ($input_array["laf_fha"] == "chb_yes") {
	        $text = $text."03";
        } elseif ($input_array["laf_fmha"] == "chb_yes") {
	        $text = $text."04";
        } elseif ($input_array["laf_other"] == "chb_yes") {
	        $text = $text."07";
	} else {
	        $text = $text."  ";
        }
	if ($input_array["laf_other"] == "chb_yes") {
	        $text = $text.InsertSpace($input_array["laf_other_explain"], 80, 1);
	} else {
	        $text = $text.InsertSpace("", 80, 1);
        }
	$text = $text.InsertSpace("", 45, 1);
        $text = $text.InsertSpace($input_array["loan_amount"], 15, 0);
        $text = $text.InsertSpace($input_array["interest_rate"], 7, 0);
        $text = $text.InsertSpace($input_array["number_of_months"], 3, 0);
        if ($input_array["fixed"] == "chb_yes") {
	        $text = $text."05";
        } elseif ($input_array["amort_other"] == "chb_yes") {
	        $text = $text."13";
        } elseif ($input_array["amort_gpm"] == "chb_yes") {
	        $text = $text."06";
        } elseif ($input_array["amort_arm"] == "chb_yes") {
	        $text = $text."01";
        } else {
	        $text = $text."  ";
        }
        if ($input_array["amort_other"] == "chb_yes") {
	        $text = $text.InsertSpace($input_array["amort_explain"], 80, 1);
	} else {
	        $text = $text.InsertSpace("", 80, 1);
        }
	if ($input_array["amort_arm"] == "chb_yes") {
	        $text = $text.InsertSpace($input_array["arm_type"], 80, 1);
	} else {
	        $text = $text.InsertSpace("", 80, 1);
        }
        $text = $text."\n";

        // Property Information     
        $text = $text."02A";
        $text = $text.InsertSpace($input_array["subj_prop_street"], 50, 1);
        $text = $text.InsertSpace($input_array["subj_prop_city"], 35, 1);
        $text = $text.InsertSpace($input_array["subj_prop_state"], 2, 1);
        $text = $text.InsertSpace($input_array["subj_prop_zip"], 9, 1);
        $text = $text.InsertSpace($input_array["num_units"], 3, 1);
        $text = $text.InsertSpace("F1", 2, 1);  //???
        $text = $text.InsertSpace("", 80, 1);
        $text = $text.InsertSpace($input_array["year_built"], 4, 1);
        $text = $text."\n";

        // Purpose of Loan          
        $text = $text."02B  ";
        if ($input_array["purch"] == "chb_yes") {
	        $text = $text."16";
        } elseif ($input_array["constr"] == "chb_yes") {
	        $text = $text."04";
        } elseif ($input_array["purp_other"] == "chb_yes") {
	        $text = $text."15";
        } elseif ($input_array["purp_refi"] == "chb_yes") {
	        $text = $text."05";
        } elseif ($input_array["const_perm"] == "chb_yes") {
	        $text = $text."13";
        } else {
	        $text = $text."  ";
        }
        if ($input_array["purp_other"] == "chb_yes") {
	        $text = $text.InsertSpace($input_array["purp_explain"], 80, 1);
	} else {
	        $text = $text.InsertSpace("", 80, 1);
        }
        if ($input_array["prime_res"] == "chb_yes") {
	        $text = $text."1";
        } elseif ($input_array["second_res"] == "chb_yes") {
	        $text = $text."2";
        } elseif ($input_array["invest"] == "chb_yes") {
	        $text = $text."D";
        } else {
	        $text = $text." ";
        }
        $text = $text.InsertSpace($input_array["title_held_manner"], 60, 1);
        if ($input_array["fee_simple"] == "chb_yes") {
	        $text = $text."1";
        } elseif ($input_array["leasehold"] == "chb_yes") {
	        $text = $text."2";
        } else {
	        $text = $text." ";
        }
        $text = $text.InsertSpace($input_array["leasehold_date"], 8, 1);
        $text = $text."\n";

        // Title Holder                
        $text = $text."02C";
        $text = $text.InsertSpace($input_array["title_held_in"], 60, 1);
        $text = $text."\n";

        // Construction or Refinance Data   
        $text = $text."02D";
        $text = $text.InsertSpace($input_array["const_yr"], 4, 1);
        $text = $text.InsertSpace($input_array["const_cost"], 15, 0);
        $text = $text.InsertSpace($input_array["const_liens"], 15, 0);
        $text = $text.InsertSpace($input_array["const_value_lot"], 15, 0);
        $text = $text.InsertSpace($input_array["const_cost_improve"], 15, 0);
        if ($input_array["purpose_of_refi"] == "No Cash-Out") {
	        $text = $text."F1";
        } elseif ($input_array["purpose_of_refi"] == "Cash-Out/Other") {
	        $text = $text."01";
        } elseif ($input_array["purpose_of_refi"] == "Cash-Out/Home Improvement") {
	        $text = $text."04";
        } elseif ($input_array["purpose_of_refi"] == "Cash-Out/Debt Consolidation") {
	        $text = $text."11";
        } elseif ($input_array["purpose_of_refi"] == "Limited Cash-Out") {
	        $text = $text."13";
        } else {
	        $text = $text."  ";
        }
        $text = $text.InsertSpace($input_array["improvements_description"], 80, 1);
        if ($input_array["improve_made"] == "chb_yes") {
	        $text = $text."Y";
        } elseif ($input_array["improve_to_be_made"] == "chb_yes") {
	        $text = $text."N";
        } else {
	        $text = $text."U";
        }
        $text = $text.InsertSpace($input_array["improve_cost"], 15, 0);
        $text = $text."\n";

        // Applicant(s) Data   
        $text = $text."03ABW".InsertSpace(preg_replace("/[^0-9]/", "", $input_array[b_soc_sec]), 9, 0);
        $text = $text.InsertSpace($input_array["b_first_name"], 35, 1);
        $text = $text.InsertSpace($input_array["b_mi_name"], 35, 1);
        $text = $text.InsertSpace($input_array["b_last_name"], 35, 1);
        $text = $text.InsertSpace("", 4, 1);
        $text = $text.InsertSpace(preg_replace("/[^0-9]/", "",$input_array["b_phone"]), 10, 1);
        $text = $text.InsertSpace(AgeFromBDate(FormatDate($input_array["b_age"], "m/d/Y")), 3, 1); // age 
        $text = $text.InsertSpace($input_array["b_school"], 2, 0);
        if ($input_array["b_married"] == "chb_yes") {
	        $text = $text."M";
        } elseif ($input_array["b_separated"] == "chb_yes") {
	        $text = $text."S";
        } else {
	        $text = $text."U";
        }
        $text = $text.InsertSpace($input_array["b_depend"], 2, 1);
        $text = $text.InsertSpace("", 1, 1);  /// Completed Jointly/Not Jointly 
        $text = $text.InsertSpace(preg_replace("/[^0-9]/", "", $input_array[cb_soc_sec]), 9, 0);
        $text = $text.InsertSpace(preg_replace("/[^0-9]/", "",FormatDate($input_array["b_age"], "m/d/Y")), 8, 1);  
        $text = $text.InsertSpace($input_array["email"], 80, 1);
        $text = $text."\n";

        $text = $text."03AQZ".InsertSpace(preg_replace("/[^0-9]/", "", $input_array[cb_soc_sec]), 9, 0);
        $text = $text.InsertSpace($input_array["cb_first_name"], 35, 1);
        $text = $text.InsertSpace($input_array["cb_mi_name"], 35, 1);
        $text = $text.InsertSpace($input_array["cb_last_name"], 35, 1);
        $text = $text.InsertSpace("", 4, 1);
        $text = $text.InsertSpace(preg_replace("/[^0-9]/", "",$input_array["cb_phone"]), 10, 1);
        $text = $text.InsertSpace(AgeFromBDate(FormatDate($input_array["cb_age"], "m/d/Y")), 3, 1); // age 
        $text = $text.InsertSpace($input_array["cb_school"], 2, 0);
        if ($input_array["cb_married"] == "chb_yes") {
	        $text = $text."M";
        } elseif ($input_array["cb_separated"] == "chb_yes") {
	        $text = $text."S";
        } else {
	        $text = $text."U";
        }
        $text = $text.InsertSpace($input_array["cb_depend"], 2, 1);
        $text = $text.InsertSpace("", 1, 1);  /// Completed Jointly/Not Jointly 
        $text = $text.InsertSpace(preg_replace("/[^0-9]/", "", $input_array[b_soc_sec]), 9, 0);
        $text = $text.InsertSpace(preg_replace("/[^0-9]/", "",FormatDate($input_array["cb_age"], "m/d/Y")), 8, 1);
        $text = $text.InsertSpace("", 80, 1);
        $text = $text."\n";

	// Dependents Age
	if (((int)$input_array["b_depend"]) > 0) { 
		$_ar = preg_split("/[^0-9]+/", trim($input_array["b_dep_ages"]));
		for ($i = 0;$i<count($_ar);$i++) {
	        	$text = $text."03B".InsertSpace(preg_replace("/[^0-9]/", "", $input_array[b_soc_sec]), 9, 0);
       			$text = $text.InsertSpace($_ar[$i], 3, 1);   
        		$text = $text."\n";
        	}
	}
	if (((int)$input_array["cb_depend"]) > 0) { 
		$_ar = preg_split("/[^0-9]+/", trim($input_array["cb_dep_ages"]));
		for ($i = 0;$i<count($_ar);$i++) {
	        	$text = $text."03B".InsertSpace(preg_replace("/[^0-9]/", "", $input_array[cb_soc_sec]), 9, 0);
       			$text = $text.InsertSpace($_ar[$i], 3, 1);   
        		$text = $text."\n";
        	}
	}

	// Applicant(s) Address           
        $text = $text."03C".InsertSpace(preg_replace("/[^0-9]/", "", $input_array[b_soc_sec]), 9, 0)."ZG";
        $text = $text.InsertSpace($input_array["b_res_street"], 50, 1);
        $text = $text.InsertSpace($input_array["b_res_city"], 35, 1);
        $text = $text.InsertSpace($input_array["b_res_state"], 2, 1);
        $text = $text.InsertSpace($input_array["b_res_zip"], 9, 1);
        if ($input_array["b_own_home"] == "chb_yes") {
	        $text = $text."O";
        } elseif ($input_array["b_rent_home"] == "chb_yes") {
	        $text = $text."R";
        } else {
	        $text = $text." ";
        }
        $text = $text.InsertSpace($input_array["b_yrs_at_res"], 2, 0);
        $text = $text.InsertSpace("", 52, 1);
        $text = $text."\n";
        $text = $text."03C".InsertSpace(preg_replace("/[^0-9]/", "", $input_array[b_soc_sec]), 9, 0)."F4";
        $text = $text.InsertSpace($input_array["b_2former_street"], 50, 1);
        $text = $text.InsertSpace($input_array["b_2former_city"], 35, 1);
        $text = $text.InsertSpace($input_array["b_2former_state"], 2, 1);
        $text = $text.InsertSpace($input_array["b_2former_zip"], 9, 1);
        if ($input_array["b_2former_own"] == "chb_yes") {
	        $text = $text."O";
        } elseif ($input_array["b_2former_rent"] == "chb_yes") {
	        $text = $text."R";
        } else {
	        $text = $text." ";
        }
        $text = $text.InsertSpace($input_array["b_2former_yrs"], 2, 0);
        $text = $text.InsertSpace("", 52, 1);
        $text = $text."\n";
        $text = $text."03C".InsertSpace(preg_replace("/[^0-9]/", "", $input_array[cb_soc_sec]), 9, 0)."ZG";
        $text = $text.InsertSpace($input_array["cb_res_street"], 50, 1);
        $text = $text.InsertSpace($input_array["cb_res_city"], 35, 1);
        $text = $text.InsertSpace($input_array["cb_res_state"], 2, 1);
        $text = $text.InsertSpace($input_array["cb_res_zip"], 9, 1);
        if ($input_array["cb_own_home"] == "chb_yes") {
	        $text = $text."O";
        } elseif ($input_array["cb_rent_home"] == "chb_yes") {
	        $text = $text."R";
        } else {
	        $text = $text." ";
        }
        $text = $text.InsertSpace($input_array["cb_yrs_at_res"], 2, 0);
        $text = $text.InsertSpace("", 52, 1);
        $text = $text."\n";
        $text = $text."03C".InsertSpace(preg_replace("/[^0-9]/", "", $input_array[cb_soc_sec]), 9, 0)."F4";
        $text = $text.InsertSpace($input_array["cb_2former_street"], 50, 1);
        $text = $text.InsertSpace($input_array["cb_2former_city"], 35, 1);
        $text = $text.InsertSpace($input_array["cb_2former_state"], 2, 1);
        $text = $text.InsertSpace($input_array["cb_2former_zip"], 9, 1);
        if ($input_array["cb_2former_own"] == "chb_yes") {
	        $text = $text."O";
        } elseif ($input_array["cb_2former_rent"] == "chb_yes") {
	        $text = $text."R";
        } else {
	        $text = $text." ";
        }
        $text = $text.InsertSpace($input_array["cb_2former_yrs"], 2, 0);
        $text = $text.InsertSpace("", 52, 1);
        $text = $text."\n";

	// Primary Current Employer(s)   
        $text = $text."04A".InsertSpace(preg_replace("/[^0-9]/", "", $input_array[b_soc_sec]), 9, 0);
        $text = $text.InsertSpace($input_array["b_employer_name"], 35, 1);
        $text = $text.InsertSpace($input_array["b_employer_street"], 35, 1);
        $text = $text.InsertSpace($input_array["b_employer_city"], 35, 1);
        $text = $text.InsertSpace($input_array["b_employer_state"], 2, 1);
        $text = $text.InsertSpace($input_array["b_employer_zip"], 9, 1);
        if ($input_array["b_self_employed"] == "chb_yes") {
	        $text = $text."Y";
        } elseif ($input_array["b_not_self_employed"] == "chb_yes") {
	        $text = $text."N";                              
	} else {
	        $text = $text." ";
	}
        $text = $text.InsertSpace($input_array["b_yrs_in_prof"], 4, 1);
        $text = $text.InsertSpace($input_array["b_yrs_on_job"], 2, 1);
        $text = $text.InsertSpace($input_array["b_employer_bus_type"], 25, 1);
        $text = $text.InsertSpace(preg_replace("/[^0-9]/", "",$input_array["b_employer_phone"]), 10, 1);
        $text = $text."\n";
        $text = $text."04A".InsertSpace(preg_replace("/[^0-9]/", "", $input_array[cb_soc_sec]), 9, 0);
        $text = $text.InsertSpace($input_array["cb_employer_name"], 35, 1);
        $text = $text.InsertSpace($input_array["cb_employer_street"], 35, 1);
        $text = $text.InsertSpace($input_array["cb_employer_city"], 35, 1);
        $text = $text.InsertSpace($input_array["cb_employer_state"], 2, 1);
        $text = $text.InsertSpace($input_array["cb_employer_zip"], 9, 1);
        if ($input_array["cb_self_employed"] == "chb_yes") {
	        $text = $text."Y";
        } elseif ($input_array["cb_not_self_employed"] == "chb_yes") {
	        $text = $text."N";                              
	} else {
	        $text = $text." ";
	}
        $text = $text.InsertSpace($input_array["cb_yrs_in_prof"], 4, 1);
        $text = $text.InsertSpace($input_array["cb_yrs_on_job"], 2, 0);
        $text = $text.InsertSpace($input_array["cb_employer_bus_type"], 25, 1);
        $text = $text.InsertSpace(preg_replace("/[^0-9]/", "",$input_array["cb_employer_phone"]), 10, 1);
        $text = $text."\n";

        // Present/Proposed Housing Expense
        $text = $text."05H".InsertSpace(preg_replace("/[^0-9]/", "", $input_array[b_soc_sec]), 9, 0)."125";
        $text = $text.InsertSpace($input_array["housing_expense_rent"], 15, 0);
        $text = $text."\n";
        $text = $text."05H".InsertSpace(preg_replace("/[^0-9]/", "", $input_array[b_soc_sec]), 9, 0)."126";
        $text = $text.InsertSpace($input_array["current_pi"], 15, 0);
        $text = $text."\n";
        $text = $text."05H".InsertSpace(preg_replace("/[^0-9]/", "", $input_array[b_soc_sec]), 9, 0)."122";
        $text = $text.InsertSpace($input_array["current_other_financing"], 15, 0);
        $text = $text."\n";
        $text = $text."05H".InsertSpace(preg_replace("/[^0-9]/", "", $input_array[b_soc_sec]), 9, 0)."101";
        $text = $text.InsertSpace($input_array["current_hazard_insurance"], 15, 0);
        $text = $text."\n";
        $text = $text."05H".InsertSpace(preg_replace("/[^0-9]/", "", $input_array[b_soc_sec]), 9, 0)."114";
        $text = $text.InsertSpace($input_array["current_re_taxes"], 15, 0);
        $text = $text."\n";
        $text = $text."05H".InsertSpace(preg_replace("/[^0-9]/", "", $input_array[b_soc_sec]), 9, 0)."102";
        $text = $text.InsertSpace($input_array["current_mi"], 15, 0);
        $text = $text."\n";
        $text = $text."05H".InsertSpace(preg_replace("/[^0-9]/", "", $input_array[b_soc_sec]), 9, 0)."106";
        $text = $text.InsertSpace($input_array["current_hoa_dues"], 15, 0);
        $text = $text."\n";
        $text = $text."05H".InsertSpace(preg_replace("/[^0-9]/", "", $input_array[b_soc_sec]), 9, 0)."123";
        $text = $text.InsertSpace($input_array["current_other_expenses"], 15, 0);
        $text = $text."\n";
        $text = $text."05H".InsertSpace(preg_replace("/[^0-9]/", "", $input_array[b_soc_sec]), 9, 0)."222";
        $text = $text.InsertSpace($input_array["proposed_other_financing"], 15, 0);
        $text = $text."\n";
        $text = $text."05H".InsertSpace(preg_replace("/[^0-9]/", "", $input_array[b_soc_sec]), 9, 0)."202";
        $text = $text.InsertSpace($input_array["proposed_mi"], 15, 0);
        $text = $text."\n";
        $text = $text."05H".InsertSpace(preg_replace("/[^0-9]/", "", $input_array[b_soc_sec]), 9, 0)."206";
        $text = $text.InsertSpace($input_array["proposed_hoa_dues"], 15, 0);
        $text = $text."\n";
        $text = $text."05H".InsertSpace(preg_replace("/[^0-9]/", "", $input_array[b_soc_sec]), 9, 0)."223";
        $text = $text.InsertSpace($input_array["proposed_other_expenses"], 15, 0);
        $text = $text."\n";

	// Income
        $text = $text."05I".InsertSpace(preg_replace("/[^0-9]/", "", $input_array[b_soc_sec]), 9, 0)."20";
        $text = $text.InsertSpace($input_array["b_base_income"], 15, 0);
        $text = $text."\n";
        $text = $text."05I".InsertSpace(preg_replace("/[^0-9]/", "", $input_array[b_soc_sec]), 9, 0)."09";
        $text = $text.InsertSpace($input_array["b_overtime_income"], 15, 0);
        $text = $text."\n";
        $text = $text."05I".InsertSpace(preg_replace("/[^0-9]/", "", $input_array[b_soc_sec]), 9, 0)."08";
        $text = $text.InsertSpace($input_array["b_bonus_income"], 15, 0);
        $text = $text."\n";
        $text = $text."05I".InsertSpace(preg_replace("/[^0-9]/", "", $input_array[b_soc_sec]), 9, 0)."10";
        $text = $text.InsertSpace($input_array["b_commission_income"], 15, 0);
        $text = $text."\n";
        $text = $text."05I".InsertSpace(preg_replace("/[^0-9]/", "", $input_array[b_soc_sec]), 9, 0)."17";
        $text = $text.InsertSpace($input_array["b_dividend_income"], 15, 0);
        $text = $text."\n";
        $text = $text."05I".InsertSpace(preg_replace("/[^0-9]/", "", $input_array[b_soc_sec]), 9, 0)."33";
        $text = $text.InsertSpace($input_array["b_rental_income"], 15, 0);
        $text = $text."\n";
        $text = $text."05I".InsertSpace(preg_replace("/[^0-9]/", "", $input_array[cb_soc_sec]), 9, 0)."20";
        $text = $text.InsertSpace($input_array["cb_base_income"], 15, 0);
        $text = $text."\n";
        $text = $text."05I".InsertSpace(preg_replace("/[^0-9]/", "", $input_array[cb_soc_sec]), 9, 0)."09";
        $text = $text.InsertSpace($input_array["cb_overtime_income"], 15, 0);
        $text = $text."\n";
        $text = $text."05I".InsertSpace(preg_replace("/[^0-9]/", "", $input_array[cb_soc_sec]), 9, 0)."08";
        $text = $text.InsertSpace($input_array["cb_bonus_income"], 15, 0);
        $text = $text."\n";
        $text = $text."05I".InsertSpace(preg_replace("/[^0-9]/", "", $input_array[cb_soc_sec]), 9, 0)."10";
        $text = $text.InsertSpace($input_array["cb_commission_income"], 15, 0);
        $text = $text."\n";
        $text = $text."05I".InsertSpace(preg_replace("/[^0-9]/", "", $input_array[cb_soc_sec]), 9, 0)."17";
        $text = $text.InsertSpace($input_array["cb_dividend_income"], 15, 0);
        $text = $text."\n";
        $text = $text."05I".InsertSpace(preg_replace("/[^0-9]/", "", $input_array[cb_soc_sec]), 9, 0)."33";
        $text = $text.InsertSpace($input_array["cb_rental_income"], 15, 0);
        $text = $text."\n";

	// Life Insurance
        $text = $text."06B".InsertSpace(preg_replace("/[^0-9]/", "", $input_array[b_soc_sec]), 9, 0);
        $text = $text.InsertSpace("", 30, 0);
        $text = $text.InsertSpace($input_array["life_ins_value_one"], 15, 0);
        $text = $text.InsertSpace($input_array["life_ins_face_amount_one"], 15, 0);
        $text = $text."\n";

	// Assets
	// OL1
        $text = $text."06C".InsertSpace(preg_replace("/[^0-9]/", "", $input_array[b_soc_sec]), 9, 0)."OL ";
        $text = $text.InsertSpace($input_array["bnk1_name"], 35, 1);
        $text = $text.InsertSpace($input_array["bnk1_street"], 35, 1);
        $text = $text.InsertSpace($input_array["bnk1_city"], 35, 1);
        $text = $text.InsertSpace($input_array["bnk1_state"], 2, 1);
        $text = $text.InsertSpace($input_array["bnk1_zip"], 9, 1);
        $text = $text.InsertSpace($input_array["bank_account_number_one"], 30, 1);
        $text = $text.InsertSpace($input_array["bank_amount_one"], 15, 0);
        $text = $text.InsertSpace("", 90, 0);
        $text = $text."\n";
	// OL2
        $text = $text."06C".InsertSpace(preg_replace("/[^0-9]/", "", $input_array[b_soc_sec]), 9, 0)."OL ";
        $text = $text.InsertSpace($input_array["bnk2_name"], 35, 1);
        $text = $text.InsertSpace($input_array["bnk2_street"], 35, 1);
        $text = $text.InsertSpace($input_array["bnk2_city"], 35, 1);
        $text = $text.InsertSpace($input_array["bnk2_state"], 2, 1);
        $text = $text.InsertSpace($input_array["bnk2_zip"], 9, 1);
        $text = $text.InsertSpace($input_array["bank_account_number_two"], 30, 1);
        $text = $text.InsertSpace($input_array["bank_amount_two"], 15, 0);
        $text = $text.InsertSpace("", 90, 0);
        $text = $text."\n";
	// OL3
        $text = $text."06C".InsertSpace(preg_replace("/[^0-9]/", "", $input_array[b_soc_sec]), 9, 0)."OL ";
        $text = $text.InsertSpace($input_array["bnk3_name"], 35, 1);
        $text = $text.InsertSpace($input_array["bnk3_street"], 35, 1);
        $text = $text.InsertSpace($input_array["bnk3_city"], 35, 1);
        $text = $text.InsertSpace($input_array["bnk3_state"], 2, 1);
        $text = $text.InsertSpace($input_array["bnk3_zip"], 9, 1);
        $text = $text.InsertSpace($input_array["bank_account_number_three"], 30, 1);
        $text = $text.InsertSpace($input_array["bank_amount_three"], 15, 0);
        $text = $text.InsertSpace("", 90, 0);
        $text = $text."\n";
	// OL4
        $text = $text."06C".InsertSpace(preg_replace("/[^0-9]/", "", $input_array[b_soc_sec]), 9, 0)."OL ";
        $text = $text.InsertSpace($input_array["bnk4_name"], 35, 1);
        $text = $text.InsertSpace($input_array["bnk4_street"], 35, 1);
        $text = $text.InsertSpace($input_array["bnk4_city"], 35, 1);
        $text = $text.InsertSpace($input_array["bnk4_state"], 2, 1);
        $text = $text.InsertSpace($input_array["bnk4_zip"], 9, 1);
        $text = $text.InsertSpace($input_array["bank_account_number_four"], 30, 1);
        $text = $text.InsertSpace($input_array["bank_amount_four"], 15, 0);
        $text = $text.InsertSpace("", 90, 0);
        $text = $text."\n";
	// 051
        $text = $text."06C".InsertSpace(preg_replace("/[^0-9]/", "", $input_array[b_soc_sec]), 9, 0)."05 ";
        $text = $text.InsertSpace($input_array["stk1_name"], 35, 1);
        $text = $text.InsertSpace("", 111, 1);
        $text = $text.InsertSpace($input_array["stock_value_one"], 15, 0);
        $text = $text.InsertSpace($input_array["stk1_num"], 7, 1);
        $text = $text.InsertSpace("", 83, 0);
        $text = $text."\n";
	// 052
        $text = $text."06C".InsertSpace(preg_replace("/[^0-9]/", "", $input_array[b_soc_sec]), 9, 0)."05 ";
        $text = $text.InsertSpace($input_array["stk2_name"], 35, 1);
        $text = $text.InsertSpace("", 111, 1);
        $text = $text.InsertSpace($input_array["stock_value_two"], 15, 0);
        $text = $text.InsertSpace($input_array["stk2_num"], 7, 1);
        $text = $text.InsertSpace("", 83, 0);
        $text = $text."\n";
	// 08
        $text = $text."06C".InsertSpace(preg_replace("/[^0-9]/", "", $input_array[b_soc_sec]), 9, 0)."08 ";
        $text = $text.InsertSpace("", 146, 1);
        $text = $text.InsertSpace($input_array["retirement_fund_value"], 15, 0);
        $text = $text.InsertSpace("", 90, 0);
        $text = $text."\n";
	// F8
        $text = $text."06C".InsertSpace(preg_replace("/[^0-9]/", "", $input_array[b_soc_sec]), 9, 0)."F8 ";
        $text = $text.InsertSpace("", 146, 1);
        $text = $text.InsertSpace($input_array["business_owned_value"], 15, 0);
        $text = $text.InsertSpace("", 90, 0);
        $text = $text."\n";
	// M11
        $text = $text."06C".InsertSpace(preg_replace("/[^0-9]/", "", $input_array[b_soc_sec]), 9, 0)."M1 ";
        $text = $text.InsertSpace("", 146, 1);
        $text = $text.InsertSpace($input_array["other_assets_value_one"], 15, 0);
        $text = $text.InsertSpace("", 7, 1);
        $text = $text.InsertSpace($input_array["other_assets_description_one"], 80, 1);
        $text = $text.InsertSpace("", 3, 0);
        $text = $text."\n";
	// M12
        $text = $text."06C".InsertSpace(preg_replace("/[^0-9]/", "", $input_array[b_soc_sec]), 9, 0)."M1 ";
        $text = $text.InsertSpace("", 146, 1);
        $text = $text.InsertSpace($input_array["other_assets_value_two"], 15, 0);
        $text = $text.InsertSpace("", 7, 1);
        $text = $text.InsertSpace($input_array["other_assets_description_two"], 80, 1);
        $text = $text.InsertSpace("", 3, 0);
        $text = $text."\n";
	// M13
        $text = $text."06C".InsertSpace(preg_replace("/[^0-9]/", "", $input_array[b_soc_sec]), 9, 0)."M1 ";
        $text = $text.InsertSpace("", 146, 1);
        $text = $text.InsertSpace($input_array["other_assets_value_three"], 15, 0);
        $text = $text.InsertSpace("", 7, 1);
        $text = $text.InsertSpace($input_array["other_assets_description_three"], 80, 1);
        $text = $text.InsertSpace("", 3, 0);
        $text = $text."\n";

	// Automobile(s)
	// 1 
        $text = $text."06D".InsertSpace(preg_replace("/[^0-9]/", "", $input_array[b_soc_sec]), 9, 0);
        $text = $text.InsertSpace($input_array["auto_one_make"]." ".$input_array["auto_one_model"], 30, 1);
        $text = $text.InsertSpace($input_array["auto_one_year"], 4, 1);
        $text = $text.InsertSpace($input_array["auto_one_value"], 15, 0);
        $text = $text."\n";
	// 2 
        $text = $text."06D".InsertSpace(preg_replace("/[^0-9]/", "", $input_array[b_soc_sec]), 9, 0);
        $text = $text.InsertSpace($input_array["auto_two_make"]." ".$input_array["auto_two_model"], 30, 1);
        $text = $text.InsertSpace($input_array["auto_two_year"], 4, 1);
        $text = $text.InsertSpace($input_array["auto_two_value"], 15, 0);
        $text = $text."\n";
	// 3 
        $text = $text."06D".InsertSpace(preg_replace("/[^0-9]/", "", $input_array[b_soc_sec]), 9, 0);
        $text = $text.InsertSpace($input_array["auto_three_make"]." ".$input_array["auto_three_model"], 30, 1);
        $text = $text.InsertSpace($input_array["auto_three_year"], 4, 1);
        $text = $text.InsertSpace($input_array["auto_three_value"], 15, 0);
        $text = $text."\n";

        // Alimony, Child Support/ Separate Maintenance and/or Job Related Expense(s)
        $text = $text."06F".InsertSpace(preg_replace("/[^0-9]/", "", $input_array[b_soc_sec]), 9, 0)."DZ ";
        $text = $text.InsertSpace($input_array["other_monthly_pymt"], 15, 0);
        $text = $text.InsertSpace("", 3, 0);
        $text = $text.InsertSpace($input_array["other_pymts_owed_to"], 60, 1);
        $text = $text."\n";
        $text = $text."06F".InsertSpace(preg_replace("/[^0-9]/", "", $input_array[b_soc_sec]), 9, 0)."DR ";
        $text = $text.InsertSpace($input_array["job_related_monthly_pymt"], 15, 0);
        $text = $text.InsertSpace("", 3, 0);
        $text = $text.InsertSpace($input_array["job_related_expense"], 60, 1);
        $text = $text."\n";

        // Real Estate Owned
        // 1
        $text = $text."06G".InsertSpace(preg_replace("/[^0-9]/", "", $input_array[b_soc_sec]), 9, 0);
        $text = $text.InsertSpace($input_array["reo1_street"], 35, 1);
        $text = $text.InsertSpace($input_array["reo1_city"], 46, 1);
//        $csz = explode(", ",$input_array["reo1_city"]);
//        $text = $text.InsertSpace($csz[0], 35, 1);
//        $text = $text.InsertSpace($csz[1], 2, 1);
//        $text = $text.InsertSpace($csz[2], 9, 1);
        if ($input_array["reo1_status"] == "PS") {
	        $text = $text."P";
        } else {
	        $text = $text.$input_array["reo1_status"];
        }
        if ($input_array["reo1_type"] == "") {
	        $text = $text."  ";
        } elseif ($input_array["reo1_type"] == "SFR") {
	        $text = $text."14";
        } elseif ($input_array["reo1_type"] == "CNDO") {
	        $text = $text."04";
        } elseif ($input_array["reo1_type"] == "TSE") {
	        $text = $text."16";
        } elseif ($input_array["reo1_type"] == "COOP") {
	        $text = $text."13";
        } elseif ($input_array["reo1_type"] == "2-4U") {
	        $text = $text."15";
        } elseif ($input_array["reo1_type"] == "5U+") {
	        $text = $text."18";
        } elseif ($input_array["reo1_type"] == "MFG") {
	        $text = $text."08";
        } elseif ($input_array["reo1_type"] == "CNR") {
	        $text = $text."02";
        } elseif ($input_array["reo1_type"] == "MUR") {
	        $text = $text."F1";
        } elseif ($input_array["reo1_type"] == "FRM") {
	        $text = $text."05";
        } elseif ($input_array["reo1_type"] == "HBC") {
	        $text = $text."03";
        } elseif ($input_array["reo1_type"] == "LND") {
	        $text = $text."07";
        }
        $text = $text.InsertSpace($input_array["prop_one_market_value"], 15, 0);
        $text = $text.InsertSpace($input_array["prop_one_mort_lien_value"], 15, 0);
        $text = $text.InsertSpace($input_array["prop_one_gross_rental_income"], 15, 0); 
        $text = $text.InsertSpace($input_array["prop_one_mort_pymt"], 15, 0);
        $text = $text.InsertSpace($input_array["prop_one_other_expense"], 15, 0);
        $text = $text.InsertSpace($input_array["prop_one_net_rental_income"], 15, 0);
        if ($input_array["reo1_present_res"] == "chb_yes") {
		$text = $text."Y";
        } elseif ($input_array["reo1_present_res"] == "chb_no") {
		$text = $text."N";
	} else {
		$text = $text." ";
        }
        if ($input_array["reo1_subj_prop"] == "chb_yes") {
		$text = $text."Y";
        } elseif ($input_array["reo1_subj_prop"] == "chb_no") {
		$text = $text."N";
	} else {
		$text = $text." ";
        }
	$text = $text."1";
        $text = $text.InsertSpace("", 16, 0);
        $text = $text."\n";
        // 2
        $text = $text."06G".InsertSpace(preg_replace("/[^0-9]/", "", $input_array[b_soc_sec]), 9, 0);
        $text = $text.InsertSpace($input_array["reo2_street"], 35, 1);
        $text = $text.InsertSpace($input_array["reo2_city"], 46, 1);
//        $csz = explode(", ",$input_array["reo2_city"]);
//        $text = $text.InsertSpace($csz[0], 35, 1);
//        $text = $text.InsertSpace($csz[1], 2, 1);
//        $text = $text.InsertSpace($csz[2], 9, 1);
        if ($input_array["reo2_status"] == "PS") {
	        $text = $text."P";
        } else {
	        $text = $text.$input_array["reo2_status"];
        }
        if ($input_array["reo2_type"] == "") {
	        $text = $text."  ";
        } elseif ($input_array["reo2_type"] == "SFR") {
	        $text = $text."14";
        } elseif ($input_array["reo2_type"] == "CNDO") {
	        $text = $text."04";
        } elseif ($input_array["reo2_type"] == "TSE") {
	        $text = $text."16";
        } elseif ($input_array["reo2_type"] == "COOP") {
	        $text = $text."13";
        } elseif ($input_array["reo2_type"] == "2-4U") {
	        $text = $text."15";
        } elseif ($input_array["reo2_type"] == "5U+") {
	        $text = $text."18";
        } elseif ($input_array["reo2_type"] == "MFG") {
	        $text = $text."08";
        } elseif ($input_array["reo2_type"] == "CNR") {
	        $text = $text."02";
        } elseif ($input_array["reo2_type"] == "MUR") {
	        $text = $text."F1";
        } elseif ($input_array["reo2_type"] == "FRM") {
	        $text = $text."05";
        } elseif ($input_array["reo2_type"] == "HBC") {
	        $text = $text."03";
        } elseif ($input_array["reo2_type"] == "LND") {
	        $text = $text."07";
        }
        $text = $text.InsertSpace($input_array["prop_two_market_value"], 15, 0);
        $text = $text.InsertSpace($input_array["prop_two_mort_lien_value"], 15, 0);
        $text = $text.InsertSpace($input_array["prop_two_gross_rental_income"], 15, 0); 
        $text = $text.InsertSpace($input_array["prop_two_mort_pymt"], 15, 0);
        $text = $text.InsertSpace($input_array["prop_two_other_expense"], 15, 0);
        $text = $text.InsertSpace($input_array["prop_two_net_rental_income"], 15, 0);
        if ($input_array["reo2_present_res"] == "chb_yes") {
		$text = $text."Y";
        } elseif ($input_array["reo2_present_res"] == "chb_no") {
		$text = $text."N";
	} else {
		$text = $text." ";
        }
        if ($input_array["reo2_subj_prop"] == "chb_yes") {
		$text = $text."Y";
        } elseif ($input_array["reo2_subj_prop"] == "chb_no") {
		$text = $text."N";
	} else {
		$text = $text." ";
        }
	$text = $text."2";
        $text = $text.InsertSpace("", 16, 0);
        $text = $text."\n";
        // 3
        $text = $text."06G".InsertSpace(preg_replace("/[^0-9]/", "", $input_array[b_soc_sec]), 9, 0);
        $text = $text.InsertSpace($input_array["reo3_street"], 35, 1);
        $text = $text.InsertSpace($input_array["reo3_city"], 46, 1);
//        $csz = explode(", ",$input_array["reo3_city"]);
//        $text = $text.InsertSpace($csz[0], 35, 1);
//        $text = $text.InsertSpace($csz[1], 2, 1);
//        $text = $text.InsertSpace($csz[2], 9, 1);
        if ($input_array["reo3_status"] == "PS") {
	        $text = $text."P";
        } else {
	        $text = $text.$input_array["reo3_status"];
        }
        if ($input_array["reo3_type"] == "") {
	        $text = $text."  ";
        } elseif ($input_array["reo3_type"] == "SFR") {
	        $text = $text."14";
        } elseif ($input_array["reo3_type"] == "CNDO") {
	        $text = $text."04";
        } elseif ($input_array["reo3_type"] == "TSE") {
	        $text = $text."16";
        } elseif ($input_array["reo3_type"] == "COOP") {
	        $text = $text."13";
        } elseif ($input_array["reo3_type"] == "2-4U") {
	        $text = $text."15";
        } elseif ($input_array["reo3_type"] == "5U+") {
	        $text = $text."18";
        } elseif ($input_array["reo3_type"] == "MFG") {
	        $text = $text."08";
        } elseif ($input_array["reo3_type"] == "CNR") {
	        $text = $text."02";
        } elseif ($input_array["reo3_type"] == "MUR") {
	        $text = $text."F1";
        } elseif ($input_array["reo3_type"] == "FRM") {
	        $text = $text."05";
        } elseif ($input_array["reo3_type"] == "HBC") {
	        $text = $text."03";
        } elseif ($input_array["reo3_type"] == "LND") {
	        $text = $text."07";
        }
        $text = $text.InsertSpace($input_array["prop_three_market_value"], 15, 0);
        $text = $text.InsertSpace($input_array["prop_three_mort_lien_value"], 15, 0);
        $text = $text.InsertSpace($input_array["prop_three_gross_rental_income"], 15, 0); 
        $text = $text.InsertSpace($input_array["prop_three_mort_pymt"], 15, 0);
        $text = $text.InsertSpace($input_array["prop_three_other_expense"], 15, 0);
        $text = $text.InsertSpace($input_array["prop_three_net_rental_income"], 15, 0);
        if ($input_array["reo3_present_res"] == "chb_yes") {
		$text = $text."Y";
        } elseif ($input_array["reo3_present_res"] == "chb_no") {
		$text = $text."N";
	} else {
		$text = $text." ";
        }
        if ($input_array["reo3_subj_prop"] == "chb_yes") {
		$text = $text."Y";
        } elseif ($input_array["reo3_subj_prop"] == "chb_no") {
		$text = $text."N";
	} else {
		$text = $text." ";
        }
	$text = $text."3";
        $text = $text.InsertSpace("", 16, 0);
        $text = $text."\n";

        // Liabilities
        // liab1
        $text = $text."06L".InsertSpace(preg_replace("/[^0-9]/", "", $input_array[b_soc_sec]), 9, 0);
        if ($input_array["liab1_type"] != "Please Select") {
	        $text = $text.InsertSpace($input_array["liab1_type"], 2, 1);
	} else {
	        $text = $text.InsertSpace("", 2, 1);
        }
        $text = $text.InsertSpace($input_array["liab1_name"], 35, 1);
        $text = $text.InsertSpace($input_array["liab1_street"], 35, 1);
        $text = $text.InsertSpace($input_array["liab1_city"], 35, 1);
        $text = $text.InsertSpace($input_array["liab1_state"], 2, 1);
        $text = $text.InsertSpace($input_array["liab1_zip"], 9, 1);
        $text = $text.InsertSpace($input_array["liability_acct_number_one"], 30, 1);
        $text = $text.InsertSpace($input_array["monthly_pymt_one"], 15, 0);
        $text = $text.InsertSpace($input_array["months_left_to_pay_one"], 3, 1);
        $text = $text.InsertSpace($input_array["unpaid_balance_one"], 15, 0);
        if ($input_array["pay_off_one"] == "chb_yes") {
		$text = $text."Y";
        } elseif ($input_array["pay_off_one"] == "chb_no") {
		$text = $text."N";
        } else {
		$text = $text." ";
        }
        $text = $text."    ";
        if ($input_array["liab1_subj_prop"] == "chb_yes") {
		$text = $text."Y";
        } elseif ($input_array["liab1_subj_prop"] == "chb_no") {
		$text = $text."N";
        } else {
		$text = $text." ";
        }
        if ($input_array["liab1_rental_prop"] == "chb_yes") {
		$text = $text."Y";
        } elseif ($input_array["liab1_rental_prop"] == "chb_no") { 
		$text = $text."N";
        } else {
		$text = $text." ";
        }
        $text = $text."\n";
        // liab2
        $text = $text."06L".InsertSpace(preg_replace("/[^0-9]/", "", $input_array[b_soc_sec]), 9, 0);
        if ($input_array["liab2_type"] != "Please Select") {
	        $text = $text.InsertSpace($input_array["liab2_type"], 2, 1);
	} else {
	        $text = $text.InsertSpace("", 2, 1);
        }
        $text = $text.InsertSpace($input_array["liab2_name"], 35, 1);
        $text = $text.InsertSpace($input_array["liab2_street"], 35, 1);
        $text = $text.InsertSpace($input_array["liab2_city"], 35, 1);
        $text = $text.InsertSpace($input_array["liab2_state"], 2, 1);
        $text = $text.InsertSpace($input_array["liab2_zip"], 9, 1);
        $text = $text.InsertSpace($input_array["liability_acct_number_two"], 30, 1);
        $text = $text.InsertSpace($input_array["monthly_pymt_two"], 15, 0);
        $text = $text.InsertSpace($input_array["months_left_to_pay_two"], 3, 1);
        $text = $text.InsertSpace($input_array["unpaid_balance_two"], 15, 0);
        if ($input_array["pay_off_two"] == "chb_yes") {
		$text = $text."Y";
        } elseif ($input_array["pay_off_two"] == "chb_no") {
		$text = $text."N";
        } else {
		$text = $text." ";
        }
        $text = $text."    ";
        if ($input_array["liab2_subj_prop"] == "chb_yes") {
		$text = $text."Y";
        } elseif ($input_array["liab2_subj_prop"] == "chb_no") {
		$text = $text."N";
        } else {
		$text = $text." ";
        }
        if ($input_array["liab2_rental_prop"] == "chb_yes") {
		$text = $text."Y";
        } elseif ($input_array["liab2_rental_prop"] == "chb_no") { 
		$text = $text."N";
        } else {
		$text = $text." ";
        }
        $text = $text."\n";
        // liab3
        $text = $text."06L".InsertSpace(preg_replace("/[^0-9]/", "", $input_array[b_soc_sec]), 9, 0);
        if ($input_array["liab3_type"] != "Please Select") {
	        $text = $text.InsertSpace($input_array["liab3_type"], 2, 1);
	} else {
	        $text = $text.InsertSpace("", 2, 1);
        }
        $text = $text.InsertSpace($input_array["liab3_name"], 35, 1);
        $text = $text.InsertSpace($input_array["liab3_street"], 35, 1);
        $text = $text.InsertSpace($input_array["liab3_city"], 35, 1);
        $text = $text.InsertSpace($input_array["liab3_state"], 2, 1);
        $text = $text.InsertSpace($input_array["liab3_zip"], 9, 1);
        $text = $text.InsertSpace($input_array["liability_acct_number_three"], 30, 1);
        $text = $text.InsertSpace($input_array["monthly_pymt_three"], 15, 0);
        $text = $text.InsertSpace($input_array["months_left_to_pay_three"], 3, 1);
        $text = $text.InsertSpace($input_array["unpaid_balance_three"], 15, 0);
        if ($input_array["pay_off_tbhree"] == "chb_yes") {
		$text = $text."Y";
        } elseif ($input_array["pay_off_three"] == "chb_no") {
		$text = $text."N";
        } else {
		$text = $text." ";
        }
        $text = $text."    ";
        if ($input_array["liab3_subj_prop"] == "chb_yes") {
		$text = $text."Y";
        } elseif ($input_array["liab3_subj_prop"] == "chb_no") {
		$text = $text."N";
        } else {
		$text = $text." ";
        }
        if ($input_array["liab3_rental_prop"] == "chb_yes") {
		$text = $text."Y";
        } elseif ($input_array["liab3_rental_prop"] == "chb_no") { 
		$text = $text."N";
        } else {
		$text = $text." ";
        }
        $text = $text."\n";
        // liab4
        $text = $text."06L".InsertSpace(preg_replace("/[^0-9]/", "", $input_array[b_soc_sec]), 9, 0);
        if ($input_array["liab4_type"] != "Please Select") {
	        $text = $text.InsertSpace($input_array["liab4_type"], 2, 1);
	} else {
	        $text = $text.InsertSpace("", 2, 1);
        }
        $text = $text.InsertSpace($input_array["liab4_name"], 35, 1);
        $text = $text.InsertSpace($input_array["liab4_street"], 35, 1);
        $text = $text.InsertSpace($input_array["liab4_city"], 35, 1);
        $text = $text.InsertSpace($input_array["liab4_state"], 2, 1);
        $text = $text.InsertSpace($input_array["liab4_zip"], 9, 1);
        $text = $text.InsertSpace($input_array["liability_acct_number_four"], 30, 1);
        $text = $text.InsertSpace($input_array["monthly_pymt_four"], 15, 0);
        $text = $text.InsertSpace($input_array["months_left_to_pay_four"], 3, 1);
        $text = $text.InsertSpace($input_array["unpaid_balance_four"], 15, 0);
        if ($input_array["pay_off_four"] == "chb_yes") {
		$text = $text."Y";
        } elseif ($input_array["pay_off_four"] == "chb_no") {
		$text = $text."N";
        } else {
		$text = $text." ";
        }
        $text = $text."    ";
        if ($input_array["liab4_subj_prop"] == "chb_yes") {
		$text = $text."Y";
        } elseif ($input_array["liab4_subj_prop"] == "chb_no") {
		$text = $text."N";
        } else {
		$text = $text." ";
        }
        if ($input_array["liab4_rental_prop"] == "chb_yes") {
		$text = $text."Y";
        } elseif ($input_array["liab4_rental_prop"] == "chb_no") { 
		$text = $text."N";
        } else {
		$text = $text." ";
        }
        $text = $text."\n";
        // liab5
        $text = $text."06L".InsertSpace(preg_replace("/[^0-9]/", "", $input_array[b_soc_sec]), 9, 0);
        if ($input_array["liab5_type"] != "Please Select") {
	        $text = $text.InsertSpace($input_array["liab5_type"], 2, 1);
	} else {
	        $text = $text.InsertSpace("", 2, 1);
        }
        $text = $text.InsertSpace($input_array["liab5_name"], 35, 1);
        $text = $text.InsertSpace($input_array["liab5_street"], 35, 1);
        $text = $text.InsertSpace($input_array["liab5_city"], 35, 1);
        $text = $text.InsertSpace($input_array["liab5_state"], 2, 1);
        $text = $text.InsertSpace($input_array["liab5_zip"], 9, 1);
        $text = $text.InsertSpace($input_array["liability_acct_number_five"], 30, 1);
        $text = $text.InsertSpace($input_array["monthly_pymt_five"], 15, 0);
        $text = $text.InsertSpace($input_array["months_left_to_pay_five"], 3, 1);
        $text = $text.InsertSpace($input_array["unpaid_balance_five"], 15, 0);
        if ($input_array["pay_off_five"] == "chb_yes") {
		$text = $text."Y";
        } elseif ($input_array["pay_off_five"] == "chb_no") {
		$text = $text."N";
        } else {
		$text = $text." ";
        }
        $text = $text."    ";
        if ($input_array["liab5_subj_prop"] == "chb_yes") {
		$text = $text."Y";
        } elseif ($input_array["liab5_subj_prop"] == "chb_no") {
		$text = $text."N";
        } else {
		$text = $text." ";
        }
        if ($input_array["liab5_rental_prop"] == "chb_yes") {
		$text = $text."Y";
        } elseif ($input_array["liab5_rental_prop"] == "chb_no") { 
		$text = $text."N";
        } else {
		$text = $text." ";
        }
        $text = $text."\n";
        // liab6
        $text = $text."06L".InsertSpace(preg_replace("/[^0-9]/", "", $input_array[b_soc_sec]), 9, 0);
        if ($input_array["liab6_type"] != "Please Select") {
	        $text = $text.InsertSpace($input_array["liab6_type"], 2, 1);
	} else {
	        $text = $text.InsertSpace("", 2, 1);
        }
        $text = $text.InsertSpace($input_array["liab6_name"], 35, 1);
        $text = $text.InsertSpace($input_array["liab6_street"], 35, 1);
        $text = $text.InsertSpace($input_array["liab6_city"], 35, 1);
        $text = $text.InsertSpace($input_array["liab6_state"], 2, 1);
        $text = $text.InsertSpace($input_array["liab6_zip"], 9, 1);
        $text = $text.InsertSpace($input_array["liability_acct_number_six"], 30, 1);
        $text = $text.InsertSpace($input_array["monthly_pymt_six"], 15, 0);
        $text = $text.InsertSpace($input_array["months_left_to_pay_six"], 3, 1);
        $text = $text.InsertSpace($input_array["unpaid_balance_six"], 15, 0);
        if ($input_array["pay_off_six"] == "chb_yes") {
		$text = $text."Y";
        } elseif ($input_array["pay_off_six"] == "chb_no") {
		$text = $text."N";
        } else {
		$text = $text." ";
        }
        $text = $text."    ";
        if ($input_array["liab6_subj_prop"] == "chb_yes") {
		$text = $text."Y";
        } elseif ($input_array["liab6_subj_prop"] == "chb_no") {
		$text = $text."N";
        } else {
		$text = $text." ";
        }
        if ($input_array["liab6_rental_prop"] == "chb_yes") {
		$text = $text."Y";
        } elseif ($input_array["liab6_rental_prop"] == "chb_no") { 
		$text = $text."N";
        } else {
		$text = $text." ";
        }
        $text = $text."\n";
        // liab7
        $text = $text."06L".InsertSpace(preg_replace("/[^0-9]/", "", $input_array[b_soc_sec]), 9, 0);
        if ($input_array["liab7_type"] != "Please Select") {
	        $text = $text.InsertSpace($input_array["liab7_type"], 2, 1);
	} else {
	        $text = $text.InsertSpace("", 2, 1);
        }
        $text = $text.InsertSpace($input_array["liab7_name"], 35, 1);
        $text = $text.InsertSpace($input_array["liab7_street"], 35, 1);
        $text = $text.InsertSpace($input_array["liab7_city"], 35, 1);
        $text = $text.InsertSpace($input_array["liab7_state"], 2, 1);
        $text = $text.InsertSpace($input_array["liab7_zip"], 9, 1);
        $text = $text.InsertSpace($input_array["liability_acct_number_seven"], 30, 1);
        $text = $text.InsertSpace($input_array["monthly_pymt_seven"], 15, 0);
        $text = $text.InsertSpace($input_array["months_left_to_pay_seven"], 3, 1);
        $text = $text.InsertSpace($input_array["unpaid_balance_seven"], 15, 0);
        if ($input_array["pay_off_seven"] == "chb_yes") {
		$text = $text."Y";
        } elseif ($input_array["pay_off_seven"] == "chb_no") {
		$text = $text."N";
        } else {
		$text = $text." ";
        }
        $text = $text."    ";
        if ($input_array["liab7_subj_prop"] == "chb_yes") {
		$text = $text."Y";
        } elseif ($input_array["liab7_subj_prop"] == "chb_no") {
		$text = $text."N";
        } else {
		$text = $text." ";
        }
        if ($input_array["liab7_rental_prop"] == "chb_yes") {
		$text = $text."Y";
        } elseif ($input_array["liab7_rental_prop"] == "chb_no") { 
		$text = $text."N";
        } else {
		$text = $text." ";
        }
        $text = $text."\n";

        // Details of Transaction
        $text = $text."07A";
        $text = $text.InsertSpace($input_array["details_purchase_price"], 15, 0);
        $text = $text.InsertSpace($input_array["details_improvements_value"], 15, 0);
        $text = $text.InsertSpace($input_array["details_land_only_value"], 15, 0);
        $text = $text.InsertSpace($input_array["details_refinance_amount"], 15, 0);
        $text = $text.InsertSpace($input_array["details_estimated_prepaids"], 15, 0);
        $text = $text.InsertSpace($input_array["details_estimated_closing_costs"], 15, 0);
        $text = $text.InsertSpace($input_array["details_pmi_mip_funding_fee"], 15, 0);
        $text = $text.InsertSpace($input_array["details_discount_price"], 15, 0);
        $text = $text.InsertSpace($input_array["details_subordinate_financing_amount"], 15, 0);
        $text = $text.InsertSpace($input_array["details_seller_paid_closing_cost"], 15, 0);
        $text = $text.InsertSpace($input_array["details_pmi_mip_funding_fee_financed"], 15, 0);
        $text = $text."\n";

        // Declarations
        $text = $text."08A".InsertSpace(preg_replace("/[^0-9]/", "", $input_array[b_soc_sec]), 9, 0);
        if ($input_array["ba_yes"] == "chb_yes") {
		$text = $text."Y";
        } elseif ($input_array["ba_no"] == "chb_yes") { 
		$text = $text."N";
	} else {
		$text = $text." ";
        }
        if ($input_array["bb_yes"] == "chb_yes") {
		$text = $text."Y";
        } elseif ($input_array["bb_no"] == "chb_yes") { 
		$text = $text."N";
	} else {
		$text = $text." ";
        }
        if ($input_array["bc_yes"] == "chb_yes") {
		$text = $text."Y";
        } elseif ($input_array["bc_no"] == "chb_yes") { 
		$text = $text."N";
	} else {
		$text = $text." ";
        }
        if ($input_array["bd_yes"] == "chb_yes") {
		$text = $text."Y";
        } elseif ($input_array["bd_no"] == "chb_yes") { 
		$text = $text."N";
	} else {
		$text = $text." ";
        }
        if ($input_array["be_yes"] == "chb_yes") {
		$text = $text."Y";
        } elseif ($input_array["be_no"] == "chb_yes") { 
		$text = $text."N";
	} else {
		$text = $text." ";
        }
        if ($input_array["bf_yes"] == "chb_yes") {
		$text = $text."Y";
        } elseif ($input_array["bf_no"] == "chb_yes") { 
		$text = $text."N";
	} else {
		$text = $text." ";
        }
        if ($input_array["bg_yes"] == "chb_yes") {
		$text = $text."Y";
        } elseif ($input_array["bg_no"] == "chb_yes") { 
		$text = $text."N";
	} else {
		$text = $text." ";
        }
        if ($input_array["bh_yes"] == "chb_yes") {
		$text = $text."Y";
        } elseif ($input_array["bh_no"] == "chb_yes") { 
		$text = $text."N";
	} else {
		$text = $text." ";
        }
        if ($input_array["bi_yes"] == "chb_yes") {
		$text = $text."Y";
        } elseif ($input_array["bi_no"] == "chb_yes") { 
		$text = $text."N";
	} else {
		$text = $text." ";
        }
        if ($input_array["bj_yes"] == "chb_yes") {
		$text = $text."01";
        } elseif ($input_array["bk_yes"] == "chb_yes") { 
		$text = $text."03";
	} else {
		$text = $text."05";
	}
        if ($input_array["bl_yes"] == "chb_yes") {
		$text = $text."Y";
        } elseif ($input_array["bl_no"] == "chb_yes") { 
		$text = $text."N";
	} else {
		$text = $text."U";
	}
        if ($input_array["bm_yes"] == "chb_yes") {
		$text = $text."Y";
	        if ($input_array["b_ownership_property_type"] == "PR") {
			$text = $text."1";
	        } elseif ($input_array["b_ownership_property_type"] == "SH") { 
			$text = $text."2";
		} elseif ($input_array["b_ownership_property_type"] == "IP") { 
			$text = $text."D";
		}
	        if ($input_array["b_ownership_title_held"] == "S") {
			$text = $text."01";
	        } elseif ($input_array["b_ownership_title_held"] == "SP") { 
			$text = $text."25";
		} elseif ($input_array["b_ownership_title_held"] == "O") { 
			$text = $text."26";
		}
        } elseif ($input_array["bm_no"] == "chb_yes") { 
		$text = $text."N  ";
	} else {
		$text = $text."U  ";
	}
        $text = $text."\n";

        $text = $text."08A".InsertSpace(preg_replace("/[^0-9]/", "", $input_array[cb_soc_sec]), 9, 0);
        if ($input_array["cba_yes"] == "chb_yes") {
		$text = $text."Y";
        } elseif ($input_array["cba_no"] == "chb_yes") { 
		$text = $text."N";
	}
        if ($input_array["cbb_yes"] == "chb_yes") {
		$text = $text."Y";
        } elseif ($input_array["cbb_no"] == "chb_yes") { 
		$text = $text."N";
	} else {
		$text = $text." ";
        }
        if ($input_array["cbc_yes"] == "chb_yes") {
		$text = $text."Y";
        } elseif ($input_array["cbc_no"] == "chb_yes") { 
		$text = $text."N";
	} else {
		$text = $text." ";
        }
        if ($input_array["cbd_yes"] == "chb_yes") {
		$text = $text."Y";
        } elseif ($input_array["cbd_no"] == "chb_yes") { 
		$text = $text."N";
	} else {
		$text = $text." ";
        }
        if ($input_array["cbe_yes"] == "chb_yes") {
		$text = $text."Y";
        } elseif ($input_array["cbe_no"] == "chb_yes") { 
		$text = $text."N";
	} else {
		$text = $text." ";
        }
        if ($input_array["cbf_yes"] == "chb_yes") {
		$text = $text."Y";
        } elseif ($input_array["cbf_no"] == "chb_yes") { 
		$text = $text."N";
	} else {
		$text = $text." ";
        }
        if ($input_array["cbg_yes"] == "chb_yes") {
		$text = $text."Y";
        } elseif ($input_array["cbg_no"] == "chb_yes") { 
		$text = $text."N";
	} else {
		$text = $text." ";
        }
        if ($input_array["cbh_yes"] == "chb_yes") {
		$text = $text."Y";
        } elseif ($input_array["cbh_no"] == "chb_yes") { 
		$text = $text."N";
	} else {
		$text = $text." ";
        }
        if ($input_array["cbi_yes"] == "chb_yes") {
		$text = $text."Y";
        } elseif ($input_array["cbi_no"] == "chb_yes") { 
		$text = $text."N";
	} else {
		$text = $text." ";
        }
        if ($input_array["bj_yes"] == "chb_yes") {
		$text = $text."01";
        } elseif ($input_array["bk_yes"] == "chb_yes") { 
		$text = $text."03";
	} else {
		$text = $text."05";
	}
        if ($input_array["bl_yes"] == "chb_yes") {
		$text = $text."Y";
        } elseif ($input_array["bl_no"] == "chb_yes") { 
		$text = $text."N";
	} else {
		$text = $text."U";
	}
        if ($input_array["cbm_yes"] == "chb_yes") {
		$text = $text."Y";
	        if ($input_array["cb_ownership_property_type"] == "PR") {
			$text = $text."1";
	        } elseif ($input_array["cb_ownership_property_type"] == "SH") { 
			$text = $text."2";
		} elseif ($input_array["cb_ownership_property_type"] == "IP") { 
			$text = $text."D";
		}
	        if ($input_array["cb_ownership_title_held"] == "S") {
			$text = $text."01";
	        } elseif ($input_array["cb_ownership_title_held"] == "SP") { 
			$text = $text."25";
		} elseif ($input_array["cb_ownership_title_held"] == "O") { 
			$text = $text."26";
		}
        } elseif ($input_array["cbm_no"] == "chb_yes") { 
		$text = $text."N  ";
	} else {
		$text = $text."U  ";
	}
        $text = $text."\n";

	// Acknowledgment and Agreement
        $text = $text."09A".InsertSpace(preg_replace("/[^0-9]/", "", $input_array[b_soc_sec]), 9, 0);
        $text = $text."\n";
        $text = $text."09A".InsertSpace(preg_replace("/[^0-9]/", "", $input_array[cb_soc_sec]), 9, 0);
        $text = $text."\n";

        // information for goverment monitoring perposes
        $text = $text."10A".InsertSpace(preg_replace("/[^0-9]/", "", $input_array[b_soc_sec]), 9, 0);
        if ($input_array["b_private"] == "chb_yes") {
		$text = $text."Y";
        } else {
		$text = $text."N";
	}
        if ($input_array["b_hisp"] == "chb_yes") {
		$text = $text."1";
        } elseif ($input_array["b_not_hisp"] == "chb_yes") { 
		$text = $text."2";
        } else {
		$text = $text."4";
	}
        $text = $text.InsertSpace("", 30, 1);
        if ($input_array["b_male"] == "chb_yes") {
		$text = $text."M";
        } elseif ($input_array["b_female"] == "chb_yes") {
		$text = $text."F";
	}
        $text = $text."\n";
        $text = $text."10A".InsertSpace(preg_replace("/[^0-9]/", "", $input_array[cb_soc_sec]), 9, 0);
        if ($input_array["cb_private"] == "chb_yes") {
		$text = $text."Y";
        } else {
		$text = $text."N";
	}
        if ($input_array["cb_hisp"] == "chb_yes") {
		$text = $text."1";
        } elseif ($input_array["cb_not_hisp"] == "chb_yes") { 
		$text = $text."2";
        } else {
		$text = $text."4";
	}
        $text = $text.InsertSpace("", 30, 1);
        if ($input_array["cb_male"] == "chb_yes") {
		$text = $text."M";
        } elseif ($input_array["cb_female"] == "chb_yes") {
		$text = $text."F";
	}
        $text = $text."\n";

        $text = $text."10B"; 
        if ($input_array["ff_interview"] == "chb_yes") {
		$text = $text."F";
        } elseif ($input_array["mail_interview"] == "chb_yes") { 
		$text = $text."M";
        } elseif ($input_array["phone_interview"] == "chb_yes") { 
		$text = $text."T";
        } elseif ($input_array["internet_interview"] == "chb_yes") { 
		$text = $text."I";
        } 
        $text = $text.InsertSpace($input_array["agent_name"], 60, 1);
        $text = $text."\n";

        $text = $text."10R".InsertSpace(preg_replace("/[^0-9]/", "", $input_array[b_soc_sec]), 9, 0); 
        if ($input_array["b_amer_indian"] == "chb_yes") {
		$text = $text."1";
        } elseif ($input_array["b_api"] == "chb_yes") { 
		$text = $text."2";
        } elseif ($input_array["b_aa"] == "chb_yes") { 
		$text = $text."3";
        } elseif ($input_array["b_hawaiian"] == "chb_yes") { 
		$text = $text."4";
        } elseif ($input_array["b_white"] == "chb_yes") { 
		$text = $text."5";
        } else { 
		$text = $text."7";
        }
        $text = $text." \n";

        $text = $text."10R".InsertSpace(preg_replace("/[^0-9]/", "", $input_array[cb_soc_sec]), 9, 0); 
        if ($input_array["cb_amer_indian"] == "chb_yes") {
		$text = $text."1";
        } elseif ($input_array["cb_api"] == "chb_yes") { 
		$text = $text."2";
        } elseif ($input_array["cb_aa"] == "chb_yes") { 
		$text = $text."3";
        } elseif ($input_array["cb_hawaiian"] == "chb_yes") { 
		$text = $text."4";
        } elseif ($input_array["cb_white"] == "chb_yes") { 
		$text = $text."5";
        } else { 
		$text = $text."7";
        }
        $text = $text." \n";

        // version
        $text = $text."00070 3.20 \n";

		// Fannie Mae Transmittal Data
		$text = $text."99B F1";
        $text = $text.InsertSpace($input_array["prop_one_market_value"], 15, 0);
        $text = $text.InsertSpace("", 124, 0);
        $text = $text." \n";

		// footer
		$text = $text."00011 3.20 \nLNC1F01                 N                                N                               NN\n";
        $text = $text."PID\nPCH180       \nTT 1        \nET 0        ";
	return $text;  
}

function ConvertToPoint ($input_array,$output_filename,$date = "") {

       $fields = array(
                        "agent_name"=>"1508",
                        "cb_income_used"=>"1180",
                        "cb_income_not_used"=>"1181",
                        "laf_va"=>"27",
                        "laf_conv"=>"26",
                        "laf_other"=>"1196",
                        "laf_fha"=>"28",
                        "laf_fmha"=>"29",
                        "laf_other_explain"=>"1197",
                        "loan_amount"=>"819",
                        "interest_rate"=>"12",
                        "number_of_months"=>"3190",
                        "fixed"=>"550",
                        "amort_other"=>"562",
                        "amort_explain"=>"563",
                        "amort_gpm"=>"552",
                        "amort_arm"=>"560",
                        "arm_type"=>"561",
                        "subj_prop_street"=>"31",
                        "subj_prop_city"=>"32",
                        "subj_prop_state"=>"33",
                        "subj_prop_zip"=>"34",
                        "subj_prop_apn"=>"1206",
                        "num_units"=>"36",
                        "year_built"=>"37",
                        "purch"=>"1190",
                        "constr"=>"1192",
                        "purp_other"=>"1194",
                        "purp_refi"=>"1193",
                        "const_perm"=>"1191",
                        "purp_explain"=>"1195",
                        "prime_res"=>"921",
                        "second_res"=>"923",
                        "invest"=>"924",
                        "const_yr"=>"1208",
                        "const_cost"=>"1209",
                        "const_liens"=>"1220",
                        "const_value_lot"=>"1210",
                        "const_cost_improve"=>"1211",
                        "refi_yr"=>"1212",
                        "refi_cost"=>"1213",
                        "refi_exist_liens"=>"1214",
                        "purpose_of_refi"=>"1215",
                        "improve_made"=>"1217",
                        "improve_to_be_made"=>"1218",
                        "improve_cost"=>"1221",
                        "improvements_description"=>"1219",
                        "title_held_in"=>"1222",
                        "title_held_manner"=>"1224",
                        "source_down_pymt"=>"1225",
                        "fee_simple"=>"1227",
                        "leasehold"=>"1228",
                        "leasehold_date"=>"1229",
                        "b_first_name"=>"100",
                        "b_mi_name"=>"117",
                        "b_last_name"=>"101",
                        "b_soc_sec"=>"108",
                        "b_phone"=>"106",
                        "b_age"=>"118",
                        "b_school"=>"110",
                        "b_married"=>"144",
                        "b_separated"=>"145",
                        "b_unmarried"=>"146",
                        "b_depend"=>"129",
                        "b_dep_ages"=>"130",
                        "b_res_street"=>"102",
                        "b_own_home"=>"113",
                        "b_rent_home"=>"114",
                        "b_res_city"=>"103",
                        "b_res_state"=>"104",
                        "b_res_zip"=>"105",
                        "b_yrs_at_res"=>"111",
                        "add_res_record1"=>"204",
                        "b_former_street"=>"200",
                        "b_former_city"=>"201",
                        "b_former_state"=>"202",
                        "b_former_zip"=>"203",
                        "b_2former_street"=>"5506",
                        "b_2former_own"=>"5500",
                        "b_2former_rent"=>"5501",
                        "b_2former_city"=>"5507",
                        "b_2former_state"=>"5508",
                        "b_2former_zip"=>"5509",
                        "b_2former_yrs"=>"5502",
                        "cb_first_name"=>"150",
                        "cb_mi_name"=>"167",
                        "cb_last_name"=>"151",
                        "cb_soc_sec"=>"158",
                        "cb_phone"=>"156",
                        "cb_age"=>"168",
                        "cb_school"=>"160",
                        "cb_married"=>"194",
                        "cb_separated"=>"195",
                        "cb_unmarried"=>"196",
                        "cb_depend"=>"179",
                        "cb_dep_ages"=>"180",
                        "cb_res_street"=>"152",
                        "cb_own_home"=>"163",
                        "cb_rent_home"=>"164",
                        "cb_res_city"=>"153",
                        "cb_res_state"=>"154",
                        "cb_res_zip"=>"155",
                        "cb_yrs_at_res"=>"161",
                        "add_cbres_record1"=>"224",
                        "cb_former_street"=>"220",
                        "cb_former_city"=>"221",
                        "cb_former_state"=>"222",
                        "cb_former_zip"=>"223",
                        "cb_2former_street"=>"5526",
                        "cb_2former_own"=>"5520",
                        "cb_2former_rent"=>"5521",
                        "cb_2former_city"=>"5527",
                        "cb_2former_state"=>"5528",
                        "cb_2former_zip"=>"5529",
                        "cb_2former_yrs"=>"5522",
                        "b_employer_name"=>"148",
                        "cb_employer_name"=>"198",
                        "b_employer_street"=>"149",
                        "cb_employer_street"=>"199",
                        "b_employer_city"=>"140",
                        "b_employer_state"=>"142",
                        "b_employer_zip"=>"143",
                        "cb_employer_city"=>"190",
                        "cb_employer_state"=>"192",
                        "cb_employer_zip"=>"193",
                        "b_employer_phone"=>"136",
                        "cb_employer_phone"=>"186",
                        "b_employer_position"=>"135",
                        "cb_employer_position"=>"185",
                        "b_employer_bus_type"=>"136",
                        "cb_employer_bus_type"=>"186",
                        "b_self_employed"=>"141",
                        "cb_self_employed"=>"191",
                        "b_yrs_on_job"=>"205",// yrs 206 months",
                        "cb_yrs_on_job"=>"225",// yrs 226 mths",
                        "b_yrs_in_prof"=>"138",
                        "cb_yrs_in_prof"=>"188",
                        "b_employer2_name"=>"5220",
                        "cb_employer2_name"=>"5260",
                        "b_employer2_street"=>"5221",
                        "cb_employer2_street"=>"5261",
                        "b_employer2_city"=>"5222",
                        "b_employer2_state"=>"5223",
                        "b_employer2_zip"=>"5224",
                        "cb_employer2_city"=>"5262",
                        "cb_employer2_state"=>"5263",
                        "cb_employer2_zip"=>"5264",
                        "b_employer2_phone"=>"5545",
                        "cb_employer2_phone"=>"5565",
                        "b_employer2_position"=>"5544",
                        "cb_employer2_position"=>"5564",
                        "b_employer2_bus_type"=>"5549",
                        "cb_employer2_bus_type"=>"5569",
                        "b_self_employer2"=>"5540",
                        "cb_self_employer2"=>"5560",
                        "b_dates_from"=>"5546",
                        "b_dates_to"=>"5547",
                        "cb_dates_from"=>"5566",
                        "cb_dates_to"=>"5567",
                        "b_employer2_income"=>"5548",
                        "cb_employer2_income"=>"5568",
                        "b_employer3_name"=>"5225",
                        "cb_employer3_name"=>"5265",
                        "b_employer3_street"=>"5226",
                        "cb_employer3_street"=>"5266",
                        "b_employer3_city"=>"5227",
                        "b_employer3_state"=>"5228",
                        "b_employer3_zip"=>"5229",
                        "cb_employer3_city"=>"5267",
                        "cb_employer3_state"=>"5268",
                        "cb_employer3_zip"=>"5269",
                        "b_employer3_phone"=>"5555",
                        "cb_employer3_phone"=>"5575",
                        "b_employer3_position"=>"5554",
                        "cb_employer3_position"=>"5574",
                        "b_self_employer3"=>"5550",
                        "cb_self_employer3"=>"5570",
                        "b_dates3_from"=>"5556",
                        "b_dates3_to"=>"5557",
                        "cb_dates3_from"=>"5576",
                        "cb_dates3_to"=>"5577",
                        "b_employer3_income"=>"5558",
                        "cb_employer3_income"=>"5578",
                        "b_base_income"=>"600",
                        "cb_base_income"=>"650",
                        "b_overtime_income"=>"601",
                        "cb_overtime_income"=>"651",
                        "b_bonus_income"=>"602",
                        "cb_bonus_income"=>"652",
                        "b_commission_income"=>"603",
                        "cb_commission_income"=>"653",
                        "b_dividend_income"=>"604",
                        "cb_dividend_income"=>"654",
                        "b_rental_income"=>"605",
                        "cb_rental_income"=>"655",
                        "b_other_income"=>"606",//607",
                        "cb_other_income"=>"656",//657",
                        "b_total_income"=>"610",
                        "cb_total_income"=>"660",
                        "total_household_income"=>"630",
                        "total_base_income"=>"620",
                        "total_overtime_income"=>"621",
                        "total_bonus_income"=>"622",
                        "total_commission_income"=>"623",
                        "total_dividend_income"=>"624",
                        "total_rental_income"=>"625",
                        "total_other_income"=>"626/627",
                        "b_explain_one"=>"1230",
                        "cb_explain_one"=>"1230",
                        "explanation_one"=>"1231",
                        "explanation_one_income"=>"1232",
                        "b_explain_two"=>"1233",
                        "cb_explain_two"=>"1233",
                        "explanation_two"=>"1234",
                        "explanation_two_income"=>"1235",
                        "b_explain_three"=>"1236",
                        "cb_explain_three"=>"1236",
                        "explanation_three"=>"1237",
                        "explanation_three_income"=>"1238",
                        "housing_expense_rent"=>"700",
                        "current_pi"=>"701",
                        "proposed_pi2"=>"751",
                        "current_other_financing"=>"702",
                        "proposed_other_financing"=>"752",
                        "current_hazard_insurance"=>"703",
                        "proposed_hazard_insurance2"=>"753",
                        "current_re_taxes"=>"704",
                        "proposed_re_taxes2"=>"754",
                        "current_mi"=>"705",
                        "proposed_mi"=>"755",
                        "current_hoa_dues"=>"706",
                        "proposed_hoa_dues"=>"756",
                        "current_other_expenses"=>"707",
                        "proposed_other_expenses"=>"757",
                        "current_total_expenses"=>"710",
                        "proposed_total_expenses2"=>"760",
                        "reo1_street"=>"2900",
                        "reo1_city"=>"2901",
                        "reo1_status"=>"2902",
                        "reo1_type"=>"2903",
                        "prop_one_market_value"=>"2904",
                        "prop_one_mort_lien_value"=>"2905",
                        "prop_one_mort_pymt"=>"2907",
                        "prop_one_other_expense"=>"2908",
                        "prop_one_gross_rental_income"=>"2906",
                        "prop_one_net_rental_income"=>"2909",
                        "reo2_street"=>"2910",
                        "reo2_city"=>"2911",
                        "reo2_status"=>"2912",
                        "reo2_type"=>"2913",
                        "prop_two_market_value"=>"2914",
                        "prop_two_mort_lien_value"=>"2915",
                        "prop_two_mort_pymt"=>"2917",
                        "prop_two_other_expense"=>"2918",
                        "prop_two_gross_rental_income"=>"2916",
                        "prop_two_net_rental_income"=>"2919",
                        "reo3_street"=>"2920",
                        "reo3_city"=>"2921",
                        "reo3_status"=>"2922",
                        "reo3_type"=>"2923",
                        "prop_three_market_value"=>"2924",
                        "prop_three_mort_lien_value"=>"2925",
                        "prop_three_mort_pymt"=>"2927",
                        "prop_three_other_expense"=>"2928",
                        "prop_three_gross_rental_income"=>"2926",
                        "prop_three_net_rental_income"=>"2929",
                        "total_prop_market_value"=>"1510",
                        "total_prop_mort_lien_value"=>"1511",
                        "total_prop_gross_rental_income"=>"1512",
                        "total_prop_mort_pymts"=>"1513",
                        "total_prop_other_expense"=>"1514",
                        "total_prop_net_rental_income"=>"1515",
                        "statement_completed_jointly"=>"1183",
                        "statement_completed_not_jointly"=>"1184",
                        "deposit_held_by"=>"1290/1292",
                        "deposit_amount"=>"1291/1293",
                        "bank_account_number_one"=>"1298",
                        "bnk1_street"=>"1294",
                        "bank_amount_one"=>"1299",
                        "bnk1_city"=>"1295",
                        "bnk1_state"=>"1296",
                        "bnk1_zip"=>"1297",
                        "bank_account_number_two"=>"1304",
                        "bnk2_street"=>"1300",
                        "bank_amount_two"=>"1305",
                        "bnk2_city"=>"1301",
                        "bnk2_state"=>"1302",
                        "bnk2_zip"=>"1303",
                        "bank_account_number_three"=>"1310",
                        "bnk3_street"=>"1306",
                        "bank_amount_three"=>"1311",
                        "bnk3_city"=>"1307",
                        "bnk3_state"=>"1308",
                        "bnk3_zip"=>"1309",
                        "bank_account_number_four"=>"1316",
                        "bnk4_street"=>"1312",
                        "bank_amount_four"=>"1317",
                        "bnk4_city"=>"1313",
                        "bnk4_state"=>"1314",
                        "bnk4_zip"=>"1315",
                        "stk1_name"=>"1366",
                        "stk1_num"=>"1366",
                        "stock_value_one"=>"1367",
                        "stk2_name"=>"1368",
                        "stk2_num"=>"1368",
                        "stock_value_two"=>"1369",
                        "life_ins_face_amount_one"=>"1370",
                        "life_ins_value_one"=>"1371",
                        "subtotal_liquid_assets"=>"1372",
                        "real_estate_owned_value"=>"1510",
                        "retirement_fund_value"=>"1373",
                        "business_owned_value"=>"1374",
                        "auto_one_year"=>"1375",
                        "auto_one_make"=>"1375",
                        "auto_one_model"=>"1375",
                        "auto_one_value"=>"1376",
                        "auto_two_year"=>"1377",
                        "auto_two_make"=>"1377",
                        "auto_two_model"=>"1377",
                        "auto_two_value"=>"1378",
                        "auto_three_year"=>"1379",
                        "auto_three_make"=>"1379",
                        "auto_three_model"=>"1379",
                        "auto_three_value"=>"1380",
                        "other_assets_description_one"=>"1381",
                        "other_assets_value_one"=>"1382",
                        "other_assets_description_two"=>"1383",
                        "other_assets_value_two"=>"1384",
                        "other_assets_description_three"=>"1385",
                        "other_assets_value_three"=>"1386",
                        "total_all_assets"=>"1389",
                        "liab1_type"=>"8910",
                        "liab1_street"=>"4500",
                        "liab1_city"=>"4501",
                        "liab1_state"=>"4502",
                        "liab1_zip"=>"4503",
                        "monthly_pymt_one"=>"4508",
                        "unpaid_balance_one"=>"4507",
                        "liability_acct_number_one"=>"4504",
                        "months_left_to_pay_one"=>"4509",
                        "liab2_street"=>"4510",
                        "liab2_city"=>"4511",
                        "liab2_state"=>"4512",
                        "liab2_zip"=>"4513",
                        "monthly_pymt_two"=>"4518",
                        "unpaid_balance_two"=>"4517",
                        "liability_acct_number_two"=>"4514",
                        "months_left_to_pay_two"=>"4519",
                        "liab3_street"=>"4520",
                        "liab3_city"=>"4521",
                        "liab3_state"=>"4522",
                        "liab3_zip"=>"4523",
                        "monthly_pymt_three"=>"4528",
                        "unpaid_balance_three"=>"4527",
                        "liability_acct_number_three"=>"4524",
                        "months_left_to_pay_three"=>"4529",
                        "liab4_street"=>"4530",
                        "liab4_city"=>"4531",
                        "liab4_state"=>"4532",
                        "liab4_zip"=>"4533",
                        "monthly_pymt_four"=>"4538",
                        "unpaid_balance_four"=>"4537",
                        "liability_acct_number_four"=>"4534",
                        "months_left_to_pay_four"=>"4539",
                        "liab5_street"=>"4540",
                        "liab5_city"=>"4541",
                        "liab5_state"=>"4542",
                        "liab5_zip"=>"4543",
                        "monthly_pymt_five"=>"4548",
                        "unpaid_balance_five"=>"4547",
                        "liability_acct_number_five"=>"4544",
                        "months_left_to_pay_five"=>"4549",
                        "liab6_street"=>"4550",
                        "liab6_city"=>"4551",
                        "liab6_state"=>"4552",
                        "liab6_zip"=>"4553",
                        "monthly_pymt_six"=>"4558",
                        "unpaid_balance_six"=>"4557",
                        "liability_acct_number_six"=>"4554",
                        "months_left_to_pay_six"=>"4559",
                        "liab7_street"=>"4560",
                        "liab7_city"=>"4561",
                        "liab7_state"=>"4562",
                        "liab7_zip"=>"4563",
                        "monthly_pymt_seven"=>"4568",
                        "unpaid_balance_seven"=>"4567",
                        "liability_acct_number_seven"=>"4564",
                        "months_left_to_pay_seven"=>"4569",
                        "other_pymts_owed_to"=>"1390",
                        "other_monthly_pymt"=>"1391",
                        "job_related_expense"=>"1392",
                        "job_related_monthly_pymt"=>"1393",
                        "liabilities_total_monthly_pymts"=>"1397",
                        "total_liabilities"=>"1396",
                        "alt_personal_name_one"=>"1360",
                        "alt_creditor_name_one"=>"1361",
                        "alt_acct_number_one"=>"1362",
                        "alt_personal_name_two"=>"1363",
                        "alt_creditor_name_two"=>"1364",
                        "alt_acct_number_two"=>"1365",
                        "details_purchase_price"=>"800",
                        "details_improvements_value"=>"802",
                        "details_land_only_value"=>"803",
                        "details_refinance_amount"=>"804",
                        "details_estimated_prepaids"=>"805",
                        "details_estimated_closing_costs"=>"806",
                        "details_pmi_mip_funding_fee"=>"807",
                        "details_discount_price"=>"808",
                        "details_total_costs"=>"821",
                        "details_subordinate_financing_amount"=>"809",
                        "details_seller_paid_closing_costs"=>"810",
                        "details_explain_other_costs"=>"811",
                        "details_other_costs"=>"812",
                        "details_loan_amount_no_mi"=>"11",
                        "details_pmi_mip_funding_fee_financed"=>"818",
                        "details_loan_amount_m_plus_n"=>"819",
                        "details_cash_from_to_borrower"=>"820",
                        "ba_yes"=>"1465",
                        "cba_yes"=>"1477",
                        "bb_yes"=>"1466",
                        "cbb_yes"=>"1478",
                        "bc_yes"=>"1467",
                        "cbc_yes"=>"1479",
                        "bd_yes"=>"1468",
                        "cbd_yes"=>"1480",
                        "be_yes"=>"1469",
                        "cbe_yes"=>"1481",
                        "bf_yes"=>"1470",
                        "cbf_yes"=>"1482",
                        "bg_yes"=>"1471",
                        "cbg_yes"=>"1483",
                        "bh_yes"=>"1472",
                        "cbh_yes"=>"1484",
                        "bi_yes"=>"1473",
                        "cbi_yes"=>"1485",
                        "bj_yes"=>"1474",
                        "cbj_yes"=>"1486",
                        "bk_yes"=>"1475",
                        "cbk_yes"=>"1487",
                        "bl_yes"=>"1476",
                        "cbl_yes"=>"1488",
                        "bm_yes"=>"1620",
                        "cbm_yes"=>"1623",
                        "b_ownership_property_type"=>"1621",
                        "cb_ownership_property_type"=>"1624",
                        "b_ownership_title_held"=>"1622",
                        "cb_ownership_title_held"=>"1625",
                        "declarations_explanation"=>"4900",
                        "b_private"=>"1489",
                        "cb_private"=>"1497",
                        "b_hisp"=>"2821",
                        "b_not_hisp"=>"2822",
                        "cb_hisp"=>"2829",
                        "cb_not_hisp"=>"2830",
                        "b_amer_indian"=>"2823",
                        "cb_amer_indian"=>"2831",
                        "b_api"=>"2825",
                        "cb_api"=>"2833",
                        "b_aa"=>"2827",
                        "cb_aa"=>"2835",
                        "b_hawaiian"=>"2824",
                        "cb_hawaiian"=>"2832",
                        "b_white"=>"2826",
                        "cb_white"=>"2834",
                        "b_male"=>"1496",
                        "b_female"=>"1495",
                        "cb_male"=>"1504",
                        "cb_female"=>"1503",
                        "ff_interview"=>"1505",
                        "mail_interview"=>"1506",
                        "phone_interview"=>"1507",
                        "internet_interview"=>"1518");
        
        $output_array = array();
        foreach ($input_array as $key=>$value) {
        	if (($key=='cb_explain_one')||($key=='cb_explain_two')||($key=='cb_explain_three')) continue;
        	
        	if (($key=='cba_yes')||($key=='cbb_yes')||($key=='cbc_yes')||($key=='cbd_yes')||
				($key=='cbe_yes')||($key=='cbf_yes')||($key=='cbg_yes')||($key=='cbh_yes')||
				($key=='cbi_yes')||($key=='cbj_yes')||($key=='cbk_yes')||($key=='cbl_yes')||($key=='cbm_yes')||

      		    ($key=='ba_yes')||($key=='bb_yes')||($key=='bc_yes')||($key=='bd_yes')||
				($key=='be_yes')||($key=='bf_yes')||($key=='bg_yes')||($key=='bh_yes')||
				($key=='bi_yes')||($key=='bj_yes')||($key=='bk_yes')||($key=='bl_yes')||($key=='bm_yes')) {
				if ($input_array[$key]=='chb_yes')
			 		$output_array[$fields[strtolower($key)]] = "Y";
				continue;
			}

			if (($key=='b_explain_one')||($key=='b_explain_two')||($key=='b_explain_three')) {
			    if ($input_array[$key]=='chb_yes')
			 		$output_array[$fields[strtolower($key)]] = "B";
			 	else if ($input_array["c".$key]=='chb_yes') $output_array[$fields[strtolower($key)]] = "C";
			} else
                if (ReplaceLetters($value) != "" && isset($fields[strtolower($key)]) && !empty($fields[strtolower($key)]) ) {
                        $output_array[$fields[strtolower($key)]] = ReplaceLetters($value);
                }
        }

        $output_array["1"] = $output_filename.".a";
        
        if (isset($date) && !empty($date)) {
                $output_array["5"] = date("m/d/Y",$date);
        } else {
                $output_array["5"] = date("m/d/Y");
        }

        ksort($output_array);

        reset($output_array);

        $text_string = "";
        
        foreach ($output_array as $key=>$value) {
                $text_string .= $key."|".$value."\n";
        }
        
        return $text_string;
}

function ReplaceLetters($text) {
        $output_text = "";
        $output_text = str_replace("chb_yes","X",$text);
        $output_text = str_replace("chb_no","",$output_text);
        return trim($output_text);
}

function db2csv($form, $separator,$id_form){
	global $dbconn;

	$data = array();
	switch ($form) {
		case "refinance":
			$table = REFINANCE_TABLE;
			$sql = "select * from ".$table." where id={$id_form}";
			$rs = $dbconn->Execute($sql);

			$i = 0;
			while(!$rs->EOF){
				$row = $rs->GetRowAssoc(false);
				if($i==0){
					$res = implode($separator, array_keys($row))  . "\n";
				}
				foreach($row as $k=>$v){
					if(strpos($v, $separator)){
						$row[$k] = "\"".$row[$k]."\"";
					}
				}
				$res .= implode($separator, $row) . "\n";
				$rs->MoveNext(); $i++;
			}
			break;
		case "prequalify":
			$table = PREQUALIFY_TABLE;
			$sql = "select * from ".$table." where id={$id_form}";
			$rs = $dbconn->Execute($sql);

			$i = 0;
			while(!$rs->EOF){
				$row = $rs->GetRowAssoc(false);
				if($i==0){
					$res = implode($separator, array_keys($row))  . "\n";
				}
				foreach($row as $k=>$v){
					if(strpos($v, $separator)){
						$row[$k] = "\"".$row[$k]."\"";
					}
				}
				$res .= implode($separator, $row) . "\n";
				$rs->MoveNext(); $i++;
			}

			break;
		case "full":
			$rs1 = $dbconn->Execute	("select id from ".APP_FORM_1_TABLE." where id={$id_form}");

			$i = 0;
			while (!$rs1->EOF) {
				$row = array();				
			        for ($j=1; $j<15; $j++){
			             $rs = $dbconn->Execute("select * from ".constant("APP_FORM_".$j."_TABLE")." where id='".$rs1->fields[0]."'");
			             $row = array_merge($row,$rs->GetRowAssoc(false));
			        }

				if($i==0){
					$res = implode($separator, array_keys($row))  . "\n";
				}
				foreach($row as $k=>$v){
					if(strpos($v, $separator)){
						$row[$k] = "\"".$row[$k]."\"";
					}
				}
				$res .= implode($separator, $row) . "\n";

				$rs1->MoveNext(); $i++;
			}
			break;
	}

	return $res;               
}

function InsertSpace($str, $str_len, $pos_ins) {
	  $len = strlen($str);
          $inss = "";
	  if ($len < $str_len) {
            for ($i=0;$i<($str_len-$len);$i++)
              $inss = $inss." ";   
            if ($pos_ins == 0){
              return $inss.$str; 
            } else {
              return $str.$inss; 
            }
          } else {
            return $str;
          }         
        }
?>