<?php
function GetLinkStrUser($num_records,$page,$param, $max_record, $dop_param=""){
    /// settings
  $dop_param["page_var_name"] = (!strlen($dop_param["page_var_name"]))?"page":$dop_param["page_var_name"];
  $dop_param["left_arrow_name"] = (!strlen($dop_param["left_arrow_name"]))?"&lt;&lt;":$dop_param["left_arrow_name"];
  $dop_param["right_arrow_name"] = (!strlen($dop_param["right_arrow_name"]))?"&gt;&gt;":$dop_param["right_arrow_name"];
  
  $num_page = ceil($num_records/$max_record); 
  if($num_page<2){
    return "";
  }

  $p_page_count = 10; 
  $p_page = floor(($page-1)/10);   
  $link_str = "";

  if($p_page>0){
    $name = $dop_param["left_arrow_name"];
    $link = $param."".$dop_param["page_var_name"]."=".(($p_page+1)*$p_page_count+1);
    $link_str .= "<a class=\"mainlink\" href=\"".$link."\">".$name."</a>&nbsp;";
  }
  $top_limit = ((($p_page+1)*$p_page_count+1)<=$num_page)?(($p_page+1)*$p_page_count+1):$num_page+1;
  for($i=($p_page*$p_page_count+1);$i<$top_limit;$i++){
    $selected = ($i == $page)?1:0;
    $name = $i;
    $link = $param."".$dop_param["page_var_name"]."=".$i;
    $link_str .= ($selected)?("<b><font color=red>".$name."</font></b>&nbsp;"):("<a class=\"mainlink\" href=\"".$link."\">".$name."</a>&nbsp;");
  }
  if( (($p_page+1)*$p_page_count) < $num_page){
    $name = $dop_param["right_arrow_name"];
    $link = $param."".$dop_param["page_var_name"]."=".(($p_page+1)*$p_page_count+1);
    $link_str .= "<a class=\"mainlink\" href=\"".$link."\">".$name."</a>&nbsp;";
  }

  return $link_str;
}

function GetSiteSettings($set_arr=""){
	global $dbconn, $smarty;
	// array
	if($set_arr != ""  &&  is_array($set_arr) && count($set_arr)>0 ){
		foreach($set_arr as $key => $set_name){
			$set_arr[$key] = "'".$set_name."'";
		}
		$sett_string = implode(", ", $set_arr);
		$str_sql = "Select value, name from ".SETTINGS_TABLE." where name in (".$sett_string.")";
		$rs = $dbconn->Execute($str_sql);
		while(!$rs->EOF){
			$row = $rs->GetRowAssoc(false);
			$settings[$row["name"]] = $row["value"];
			$rs->MoveNext();
		}
	}elseif(strlen($set_arr)>0){
		$str_sql = "Select value, name from ".SETTINGS_TABLE." where name = '".strval($set_arr)."'";
		$rs = $dbconn->Execute($str_sql);
		$row = $rs->GetRowAssoc(false);
		$settings = $row["value"];
	}elseif(strval($set_arr)==""){
		$str_sql = "Select value, name from ".SETTINGS_TABLE." order by id";
		$rs = $dbconn->Execute($str_sql);
		while(!$rs->EOF){
			$row = $rs->GetRowAssoc(false);
			$settings[$row["name"]] = $row["value"];
			$rs->MoveNext();
		}
	}
	if(isset($settings)) return $settings;
}

function UseSign($id){
	global $dbconn, $smarty;
	
	$str_sql = "Select sign from ".PAGES_TABLE." where id = ".intval($id);
	$rs = $dbconn->Execute($str_sql);
	if($rs->fields[0]){
		$settings = GetSiteSettings(array("signature"));
		$smarty->assign("signature",$settings["signature"]);
		return $settings["signature"];
	}else{
		return "";
	}
	
}

function VisiblePage($id){
	global $dbconn, $config;
	
	$str_sql = "Select visible from ".PAGES_TABLE." where id = ".$id;
	$rs = $dbconn->Execute($str_sql);
	if (!$rs->fields[0]){
		header("Location: ".$config["server"]."/alert.php");
		exit;
	}
	return 1;
}

function CheckDisclosure(){
	global $dbconn, $config;
	
	$str_sql = "Select visible from ".PAGES_TABLE." where id=63";
	$rs = $dbconn->Execute($str_sql);
	if (!$rs->fields[0]){
		return 0;
	}
	return 1;
}

///// Get content of page
function GetPageContent($id){
	global $dbconn, $config; //$smarty, 
	
	$str_sql = "Select content from ".PAGE_CONTENT_TABLE." where id_page  = ".intval($id)." and id_lang = ".$config["default_lang"];
	$rs = $dbconn->Execute($str_sql);
	if(isset($rs->fields[0]) && !empty($rs->fields[0])){
		UseSign($id);
		return stripslashes($rs->fields[0]);
	}else{ 	
		return "error";	
	}
}

///// Slash function
function AfterLastSlash($str){
	$arr = explode("/", $str);
	return $arr[count($arr)-1];
}
function DelFirstSlash($str){
	$str = strval($str);
	if($str[0]=="/")
		return substr($str,1);
	else
		return $str;
}
function DelLastSlash($str){
	$str = strval($str);
	if($str[strlen($str)-1]=="/")
		return substr($str,0,-1);
	else
		return $str;
}
function TrimSlash($str){
	return DelLastSlash(strval($str));
}

///// Get path to page
function GenerateStrPath($page_id, $id_section){
	global $dbconn, $smarty;  //, $config, $_SESSION
	
	$strSQL = "select id_section,id from ".PAGES_TABLE." where id=".$page_id;
	$rs = $dbconn->Execute($strSQL);

	if($rs->fields[0]!=7 && $rs->fields[0]!=9){
		$strSQL = "select a.name, b.link 
				from ".PAGE_SECTION." a 
				left join ".PAGE_LINK_TABLE." b on b.page_id=a.page_id
				where a.id=".$rs->fields[0];
		$res = $dbconn->Execute($strSQL);
		$strpath["parent"]["name"] = $res->fields[0];
		$strpath["parent"]["link"] = $res->fields[1];
	}
	$strSQL = "select page_name from ".PAGES_TABLE." where id=".$page_id;
	$res = $dbconn->Execute($strSQL);
	$name = GetPageName($page_id,$id_section);
	$strpath["page"]["name"] = $name!=""?$name:$res->fields[0];
	$smarty->assign("strpath",$strpath);
}

///// Generate all menu
function GenerateMenu($page_id,$id_section=PRODUCTS){
	global $dbconn, $smarty, $config, $_SESSION;
	
	$menu = parse("{$config["site_path"]}{$_SESSION["path_lang"]}/menu.xml");
	$lang=new MultiLang($config, $dbconn);
	
	if($config["use_rate_information"] == '0'){
		$sql = "and a.page_id !=42"; 
	}else{
		$sql = "";
	}
	
	$strSQL = "select a.page_id as page_id, c.link as link
			from ".LEFTMENU_TABLE." a  
			left join ".PAGES_TABLE." b on a.page_id=b.id and b.visible='1'
			left join ".PAGE_LINK_TABLE." c on a.page_id=c.page_id
			where a.menu=1 $sql order by a.order";
	$rs = $dbconn->Execute($strSQL);
	$i=0;
	while(!$rs->EOF){
		$row = $rs->GetRowAssoc(false);
		$top_menu[$i]["name"] = stripslashes($menu["top_".$row["page_id"]]["name"]);
		$top_menu[$i]["link"] = stripslashes($row["link"]);
		if($page_id == $row["page_id"]){
			$top_menu[$i]["this"] = 1;
		}else{
			$top_menu[$i]["this"] = 0;
		}
		$rs->MoveNext();
		$i++;
	}
	$smarty->assign("top_menu", $top_menu);
	
	$strSQL = "select a.page_id as page_id, c.link as link
			from ".LEFTMENU_TABLE." a  
			left join ".PAGES_TABLE." b on a.page_id=b.id and b.visible='1'
			left join ".PAGE_LINK_TABLE." c on a.page_id=c.page_id
			where a.menu=2 $sql order by a.order";
	$rs = $dbconn->Execute($strSQL);
	$i=0;
	while(!$rs->EOF){
		$row = $rs->GetRowAssoc(false);
		$left_menu[$i]["name"] = stripslashes($menu["left_".$row["page_id"]]["name"]);
		$left_menu[$i]["link"] = $config["server"]."/".stripslashes($row["link"]);
		if($page_id == $row["page_id"]){
			$left_menu[$i]["this"] = 1;
		}else{
			$left_menu[$i]["this"] = 0;
		}
				
		$strSQL = "select id_section from ".PAGES_TABLE." where id=".$page_id;
		$rs1 = $dbconn->Execute($strSQL);
		$strSQL = "select id from ".PAGE_SECTION." where page_id=".$row["page_id"];
		$rs2 = $dbconn->Execute($strSQL);
		if($rs1->fields[0]==$rs2->fields[0]){
			$left_menu[$i]["this"] = 1;
		}
		
		$rs->MoveNext();
		$i++;
	}
	$smarty->assign("left_menu", $left_menu);
	
	$strSQL = "select a.page_id as page_id, c.link as link
			from ".LEFTMENU_TABLE." a  
			left join ".PAGES_TABLE." b on a.page_id=b.id and b.visible='1'
			left join ".PAGE_LINK_TABLE." c on a.page_id=c.page_id
			where a.menu=3 $sql order by a.order";
	$rs = $dbconn->Execute($strSQL);
	$i=0;
	while(!$rs->EOF){
		$row = $rs->GetRowAssoc(false);
		$bottom_menu[$i]["name"] = stripslashes($menu["bottom_".$row["page_id"]]["name"]);
		$bottom_menu[$i]["link"] = stripslashes($row["link"]);
		if($page_id == $row["page_id"]){
			$bottom_menu[$i]["this"] = 1;
		}else{
			$bottom_menu[$i]["this"] = 0;
		}
		$rs->MoveNext();
		$i++;
	}
	$smarty->assign("bottom_menu", $bottom_menu);
	
	GenerateStrPath($page_id,$id_section);
	
/// Additional menu	
	$strSQL = "select a.id as page_id, c.link, b.".$lang->DefaultFieldName()." as name from ".PAGES_TABLE." a
				left join ".REFERENCE_TABLE." b on a.id = b.id_references and b.id_section = ".$lang->TableKey($id_section)."
				left join ".PAGE_LINK_TABLE." c on a.id=c.page_id
				where a.visible='1' and a.id_section=".$lang->TableKey($id_section)." order by a.order_followin";
	$rs = $dbconn->Execute($strSQL);
	$i=0;
	while(!$rs->EOF){
		$row = $rs->GetRowAssoc(false);
		$add_menu[$i]["name"] = stripslashes($row["name"]);
		$add_menu[$i]["link"] = $config["server"]."/".stripslashes($row["link"]);
		if($page_id == $row["page_id"]){
			$add_menu[$i]["this"] = 1;
		}else{
			$add_menu[$i]["this"] = 0;
		}
		$rs->MoveNext();
		$i++;
	}
	$smarty->assign("add_menu", $add_menu);
	$smarty->assign("height_content", count($add_menu)*20+200);
//////////////////////
}

///// Get Page name
function GetPageName($id,$id_section=PRODUCTS){
	global $dbconn, $smarty, $config;
	$lang=new MultiLang($config, $dbconn);
	$strSQL = "select ".$lang->DefaultFieldName()." as page_name from ".REFERENCE_TABLE."
				where id_references = ".$id." and id_section = ".$lang->TableKey($id_section);
	
	$rs = $dbconn->Execute($strSQL);
	$row = $rs->GetRowAssoc(false);
	$smarty->assign("header_image", $row["page_name"]);
	return $row["page_name"];
}

///// Get Site configuration(description, keywords,title,date format)
function GetSiteConf(){
	global $dbconn, $smarty, $config;
	
	$strSQL = "select name,value from ".SEO_CONF_TABLE."";
	$rs = $dbconn->Execute($strSQL);
	$i=0;
	while(!$rs->EOF){
		$row = $rs->GetRowAssoc(false);
		$site_conf[$i]["name"] = stripslashes($row["name"]);
		$site_conf[$i]["value"] = stripslashes($row["value"]);
		$rs->MoveNext();
		$i++;
	}

	$smarty->assign("keywords",$site_conf[0]["value"]);
	$smarty->assign("site_title",$site_conf[1]["value"]);
	$smarty->assign("description",$site_conf[2]["value"]);
	// date format
	$rs_smarty=$dbconn->Execute("select value from  ".SETTINGS_TABLE." where name='date_format'"); 
	$config["date_format"] = trim($rs_smarty->fields[0]);
	return;
}

///// Display banners on page
function Banners($file){
  global $config, $config_index, $smarty, $dbconn; 
  // Seaching for area id
  	$file = "/".basename($file);
  	$settings = GetSiteSettings(array("use_pilot_module_banners"));
	if ($settings["use_pilot_module_banners"] == "1"){
  		$strSQL = "select id from ".BANNERS_AREA_TABLE." where file_path='".$file."'";
  		$rs = $dbconn->Execute($strSQL);
		if (($rs===false)||($rs->EOF)) return;
 		$row = $rs->GetRowAssoc(false);
  		$current_area_id = $row["id"];
  		if ($current_area_id<=0) return ;
  
  // Get able banners
  		$strSQL = "select banner_id from ".BANNERS_BELONGS_AREA_TABLE." where area_id='".$current_area_id."'";
  		$rs = $dbconn->Execute($strSQL);
  		if (($rs===false)||($rs->EOF)) return;
  		$banners_id_list = "";
  		while (!$rs->EOF){
        	$row = $rs->GetRowAssoc(false);
          	$banners_id_list.= $row["banner_id"];
          	$banners_id_list.= ", ";
          	$rs->MoveNext();
        }
  		$banners_id_list=substr($banners_id_list, 0, strlen($banners_id_list)-2);      
        
  // Get banners
  		$banners_html= array();
  		$strSQL = "select a.*, c.size_x, c.size_y, c.able_place from ".BANNERS_TABLE." a, ".BANNERS_SIZES_TABLE." c where a.size_id=c.id and a.id in ($banners_id_list)";
  		$rs = $dbconn->Execute($strSQL);
  		while (!$rs->EOF){
          	$row = $rs->GetRowAssoc(false);
          	$banner["id"]                 = $row["id"];
          	$banner["html_code"]          = stripslashes($row["html_code"]);
          	$banner["place"]              = $row["able_place"];
          	$banner["status"]             = $row["status"];
          	$banner["stop_after_views"]   = $row["stop_after_views"];
          	$banner["stop_after_hits"]    = $row["stop_after_hits"];
          	if ($banner["status"]==1){
            	$not_stoped=1;
               	if ($banner["stop_after_views"]!=-1){
                    if ($banner["stop_after_views"]<=0){
                    	$not_stoped=0;
                    }else{ // decrement stop after views
                        $banner["stop_after_views"]--;
                        $strSQL =  "update ".BANNERS_TABLE." set stop_after_views='".$banner["stop_after_views"]."' where id='".$banner["id"]."'";
                        $rs_decrement = $dbconn->Execute($strSQL);
                    }
                }
               	if (($not_stoped)&&($banner["stop_after_hits"]!=-1)){
                    if ($banner["stop_after_hits"]<=0){
                    	$not_stoped=0;
                    }
                }
               	if ($not_stoped==1){  // Show banner
                	if ($banner["place"]==1) $banners_html["bottom"].=$banner["html_code"]."<br>";
                	if ($banner["place"]==2) $banners_html["right"].=$banner["html_code"]."<br>";
                }
            }
          	$rs->MoveNext();
        }
  		$smarty->assign("banner", $banners_html);
  		return;
	}
}

///// Send Alert message
function SendAlert($id_alert, $message, $subject){
	global $dbconn; //$config, 
	$strSQL = "select status from ".ALERTS_TABLE." where id='".$id_alert."'";
  	$rs = $dbconn->Execute($strSQL);
  	if ($rs->fields[0] == '1'){
		$settings = GetSiteSettings(array("admin_email","signature"));
	
		$headers = "From: <".$settings["admin_email"].">\r\n";
  		$headers .= "X-Mailer: PHP/".phpversion()."\r\n";
  		$headers .= "X-Priority: 0\r\n";
  		$headers .= "MIME-Version: 1.0\r\n";
  		$headers .= "Content-type: text/html; charset=utf-8\r\n";

		$strSQL = "select email from ".ALERTS_USER_TABLE." where id_subscribe='".$id_alert."'";
  		$rs = $dbconn->Execute($strSQL);
  		while (!$rs->EOF){
    		mail ($rs->fields[0],$subject,$message, $headers);
    		$rs->MoveNext();
  		}
  	}
}

function SendMail($to, $from, $message, $subject){
	//global $config, $dbconn;

	$settings = GetSiteSettings(array("admin_email","signature"));
	
	$headers = "From: <".$from.">\r\n";
  	$headers .= "X-Mailer: PHP/".phpversion()."\r\n";
  	$headers .= "X-Priority: 0\r\n";
  	$headers .= "MIME-Version: 1.0\r\n";
  	$headers .= "Content-type: text/html; charset=utf-8\r\n";

	@mail($to,$subject,$message, $headers);

}

///// Check rename folder 'install'
function CheckInstallFolder($smarty){
	global $config;

	$dh = opendir($config["site_path"]);
	while (($entry = readdir($dh)) !== false) {
		if (is_dir($config["site_path"]."/".$entry) && (strstr($entry,"install") || strstr($entry,"instal") || strstr($entry,"inst") || strstr($entry,"distrib"))) {
			$smarty->assign("folder", "install, instal, inst, distrib");
			$smarty->display(TrimSlash($config["index_theme_path"])."/install_folder_error.tpl");
			exit;
		}
	}
	closedir($dh);
	return;
}

///// Save Registration form
function SaveRegistrationForm($data){
	global $smarty, $dbconn, $config, $user, $lang;
	
	$title = $data["title"];
	$fname = FormFilter($data["fname"]);
	$sname = FormFilter($data["sname"]);
	$login = FormFilter($data["login"]);
	$email = FormFilter($data["email"]);
	$pass = strval($data["passw"]);
	$repass = strval($data["conf_passw"]);
	$hphone = FormFilter($data["hphone"]);
	$dphone = FormFilter($data["dphone"]);
	$mphone = FormFilter($data["mphone"]);
	$country = intval($data["id_country"]);
	$region = intval($data["id_region"]);
	$city = intval($data["id_city"]);
	$addr = FormFilter($data["addr"]);
	$post = FormFilter($data["post"]);
	$best_cont = FormFilter($data["best_cont"]);
	$iam = FormFilter($data["iam"]);
	$notice = FormFilter($data["notice"]);
	$chek = intval($data["chek"]);
	$keystring = $data["keystring"];

	//// check empty values
	if(!strlen($login) || !strlen($fname) || !strlen($sname) || !strlen($email) || !strlen($mphone)){
		$err = $lang["err"]["invalid_feilds"];
		return $err;
	}
	//// check not valid nick
	if($err = LoginFilter($login)) return $err;

	//// check not valid email
	if($err = EmailFilter($email)) return $err;

	//// check not valid phone
	if($err = PhoneFilter($mphone)) return $err;
	
	//// check not valid pass
	if($repass != $pass) return $lang["err"]["invalid_passw"];

	//// check not valid pass
	if($login == $pass) return $lang["err"]["pass_eq_log"];

	//// check not valid pass
	if($err = PasswFilter($pass)) return $err;
	
	//// check existing such login
	$strSQL = "select count(*) from ".USERS_TABLE." where login='".$login."'";
	$rs=$dbconn->Execute($strSQL);
	if($rs->fields[0]>0) return $lang["err"]["exists_login"];
	
	//// email already exists
	$strSQL = "Select count(*) from ".USERS_TABLE." where email = '".$email."' ";
	$rs = $dbconn->Execute($strSQL);
	if($rs->fields[0]>0) return $lang["err"]["exists_email"];
	
	//// check agrement
	if(!isset($chek) || $chek != 1){return $lang["err"]["term_agreed_err"];}
	
	if(!(isset($_SESSION['captcha_keystring']) && $_SESSION['captcha_keystring'] == $keystring))
		return $lang["err"]["invalid_security_code"];
	unset($_SESSION['captcha_keystring']);
	
	$strSQL=  "insert into ".USERS_TABLE." 
					(name, login, passw, email, hphone, dphone, mphone, country, region, city, addr, post, best_cont, iam, notice, photo) 
					values ('".$title." ".$fname." ".$sname."','{$login}','".md5($pass)."','{$email}','{$hphone}', '{$dphone}', '{$mphone}', {$country}, {$region}, {$city}, '{$addr}', '{$post}', '{$best_cont}', '{$iam}', '{$notice}','')";
	$rs = $dbconn->Execute($strSQL);
	$last_id = $dbconn->Insert_ID();
	
	$settings = GetSiteSettings(array("use_pilot_module_newsletter"));
	if($settings["use_pilot_module_newsletter"] == 1){
		$str_sub = "INSERT INTO ".$config["table_prefix"]."nl_snd_users (id, date, name, secondname, company, email1, comment, status, mortgage_id) VALUES (NULL, now(), '".$fname."', '".$sname."', 'mortgage pro user', '".$email."', '', '1', '".$last_id."')";
		$rs = $dbconn->Execute($str_sub);
	}
	
	//// update session with new id 
	$auth_class=new Auth($dbconn, $config);
	$auth_class->sess_write(session_id(), $last_id);
	$user=$auth_class->auth_user();
	SumClick("reg");
}

function Rep_Slashes($str){
	$str = stripslashes($str);
	$str = str_replace("\"", "&quot;", $str);
	$str = str_replace("'", "&#039;", $str);
	return  $str;
}

function FormFilter($str){
	return Rep_Slashes(strip_tags(trim(strval($str))));
}

function LoginFilter($str){
	global $lang;
	$err = "";
	if(strlen($str)<4){
		$err = $lang["err"]["login_length"];
	}
	if(!eregi("^[0-9a-z_\sA-Z]*$", $str)){
		$err = $lang["err"]["login_cont"];
	}
	return $err;
}

function EmailFilter($str){
	global $lang;
	$err = "";
	if(strlen($str)>0)
		if(!eregi("^.+@.+\\..+$", $str)){
			$err = $lang["err"]["email_bad"];
		}
	return $err;
}

function PhoneFilter($str){
	global $lang;
	$err = "";
	if(strlen($str)>0)
		if(!preg_match('/^\s*\d{3}\-\d{3}\-\d{4}\s*$/',$str)){
			$err = $lang["err"]["phone_bad"];
		}
	return $err;
}

function PasswFilter($str){
	global $lang;
	$err = "";
	if(strlen($str)<6){
		$err = $lang["err"]["pass_length"];
	}
	if(!eregi("^[0-9a-z_]*$", $str)){
		$err = $lang["err"]["pass_cont"];
	}
	return $err;
}

function IndexHomePage(){
	global $lang, $smarty, $user;

	$smarty->assign("lang", $lang);

	if (isset($user["id"]) && $user["guest"] != '1'){
		$smarty->assign("registered",1);
	}elseif(!isset($user["id"]) || $user["id"] == 1 || $user["guest"] == '1'){
		$smarty->assign("registered",0);
	}
	return;
}

function GetCurrentLocation(){
	global $dbconn; //$config, $smarty, 
	
	$strSQL = "select id from ".LOCATION_TABLE." where visible='1'";
	$rs = $dbconn->Execute($strSQL);
	$id = $rs->fields[0];
	return $id;
}

function FormDelete($form_id,$alias){
	global $config, $dbconn, $user;
	
	if (isset($form_id) && $form_id>0) {
		switch ($config["default_location"]){
			case 1:
				switch ($alias) {
					case "full":
						$dbconn->Execute("delete from ".APPLICATION_FORM_TABLE." where id_form={$form_id} and country_type='usa' and form_type='{$alias}'");
						for ($i=1; $i<15; $i++)
							$dbconn->Execute("delete from ".constant("APP_FORM_".$i."_TABLE")." where id={$form_id}");
						break;
					case "refinance":
						$dbconn->Execute("delete from ".APPLICATION_FORM_TABLE." where id_form={$form_id} and country_type='usa' and form_type='{$alias}'");
						$dbconn->Execute("delete from ".REFINANCE_TABLE." where id_user={$user["id"]}");
						break;
					case "prequalify":
						$dbconn->Execute("delete from ".APPLICATION_FORM_TABLE." where id_form={$form_id} and country_type='usa' and form_type='{$alias}'");
						$dbconn->Execute("delete from ".PREQUALIFY_TABLE." where id_user={$user["id"]}");
						break;		
					case "":
						//// PDF form
						$settings = GetSiteSettings(array("aplication_form"));
						$rs = $dbconn->Execute("select form_name from ".APPLICATION_FORM_TABLE." where id={$form_id}");
						$rs = $dbconn->Execute("delete from ".APPLICATION_FORM_TABLE." where id={$form_id}");
						unlink("{$config["site_path"]}{$settings["aplication_form"]}/{$rs->fields[0]}");
						break;	
				}
				break;
			case 2:
				switch ($alias) {
					case "FIRST": case "MHOME": case "REMORTGAGE":
						$dbconn->Execute("delete from ".APPLICATION_FORM_TABLE." where id_form={$form_id} and country_type='uk' and form_type='{$alias}'");
						for ($i=1; $i<4; $i++)
							$dbconn->Execute("delete from ".constant("FORM_UK_{$alias}_{$i}_TABLE")." where id=".$form_id);
						break;
					case "BUY_TO_LET":
						$dbconn->Execute("delete from ".APPLICATION_FORM_TABLE." where id_form={$form_id} and country_type='uk' and form_type='{$alias}'");
						for ($i=1; $i<5; $i++)
							$dbconn->Execute("delete from ".constant("FORM_UK_{$alias}_{$i}_TABLE")." where id=".$form_id);
						break;
					case "":
						//// PDF form
						$settings = GetSiteSettings(array("aplication_form"));
						$rs = $dbconn->Execute("select form_name from ".APPLICATION_FORM_TABLE." where id={$form_id}");
						$rs = $dbconn->Execute("delete from ".APPLICATION_FORM_TABLE." where id={$form_id}");
						unlink("{$config["site_path"]}{$settings["aplication_form"]}/{$rs->fields[0]}");
						break;
				}
				break;
		}
	}
}
	
function GetSiteCurrency(){
	global $config, $smarty, $dbconn;
	
	$settings = GetSiteSettings(array("payment_type", "site_unit_costunit","site_unit_cost","site_unit_name"));

	if($settings["payment_type"] == "1"){
		$currency = $settings["site_unit_costunit"];
		$strSQL = "select symbol from ".BILLING_UNIT_TABLE." where abbr='{$currency}'";
		$rs = $dbconn->Execute($strSQL);
		$config["currency_symbol"] = $rs->fields[0];
	}else{
		$currency = $settings["site_unit_name"];
		$config["currency_symbol"] = $currency;
	}
	$smarty->assign("site_currency",$currency);
	$smarty->assign("currency_symbol",$config["currency_symbol"]);
	$config["site_currency"] = $currency;
	return $currency;
}

function CheckReferer($value){
	global $config, $smarty, $dbconn;
	
	$flag=0;
	$strSQL = "select path from ".FORMS_TABLE." where id_location={$config["default_location"]}";
	$rs = $dbconn->Execute($strSQL);

	while (!$rs->EOF){
		if(strstr($rs->fields[0],$value)){
			$config["server"]."/".$rs->fields[0];
			$smarty->assign("url",$config["server"]."/".$rs->fields[0]);
			return;
		}
		$rs->MoveNext();
	}
	return;
}

function GetFormName($id,$alias){
	global $dbconn;
	
	if($id){
		$strSQL = "select name from ".FORMS_TABLE." where id=".intval($id);
	}elseif($alias){
		$strSQL = "select name from ".FORMS_TABLE." where alias='{$alias}'";
	}
	$rs = $dbconn->Execute($strSQL);
	return $rs->fields[0];
}

function GetListForm(){
	global $dbconn, $config;
	
	$strSQL = "select * from ".FORMS_TABLE." where id_location=".$config["default_location"];
	$rs = $dbconn->Execute($strSQL);
	$i=0;
	while(!$rs->EOF){
		$row = $rs->GetRowAssoc(false);
		$forms[$i]["id"]=$row["id"];
		$forms[$i]["name"]=$row["name"];
		$forms[$i]["alias"]=$row["alias"];
		$forms[$i]["path"]=$config["server"]."/".$row["path"];
		$i++;
		$rs->MoveNext();
	}
	return $forms;
}

function GetUserData($id=0){
	global $dbconn, $config, $user, $smarty;

	if($id == 0){
		$config["use_registration"] = GetSiteSettings('use_registration');
		$smarty->assign("use_registration",$config["use_registration"]);

		if($config["use_registration"] && $user["id"] && $user["guest"]!='1'){
			$strSQL = "select name,email,hphone,dphone,mphone,country,region,city,addr,post from ".USERS_TABLE." where id={$user["id"]}";
			$rs = $dbconn->Execute($strSQL);
			$row = $rs->GetRowAssoc(false);
			$userdata["name"] = $row["name"];
			$userdata["email"] = $row["email"];
			$userdata["hphone"] = $row["hphone"];
			$userdata["dphone"] = $row["dphone"];
			$userdata["mphone"] = $row["mphone"];
			$userdata["country"] = $row["country"];
			$userdata["region"] = $row["region"];
			$userdata["city"] = $row["city"];
			$userdata["addr"] = $row["addr"];
			$userdata["post"] = $row["post"];
			return $userdata;
		}else{
			return array();
		}
	}else{
		$strSQL = "select name,email,hphone,dphone,mphone,country,region,city,addr,post from ".USERS_TABLE." where id={$id}";
			$rs = $dbconn->Execute($strSQL);
			$row = $rs->GetRowAssoc(false);
			$userdata["name"] = $row["name"];
			$userdata["email"] = $row["email"];
			$userdata["hphone"] = $row["hphone"];
			$userdata["dphone"] = $row["dphone"];
			$userdata["mphone"] = $row["mphone"];
			$userdata["country"] = $row["country"];
			$userdata["region"] = $row["region"];
			$userdata["city"] = $row["city"];
			$userdata["addr"] = $row["addr"];
			$userdata["post"] = $row["post"];
			return $userdata;
	}
}
?>