<?php
//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
//	functions_admin.php	--  include file
//	functions for admin section
//
//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

function LoanoffMainMenu($header="", $light=0){
	global $config, $config_admin, $smarty, $dbconn;

	$logoff["link"] = $config["site_root"]."/loan_officers/index.php?sel=logoff";
	$smarty->assign("logoff", $logoff);

	$button = parse("{$config["site_path"]}{$_SESSION["path_lang"]}/buttons.xml");
	$smarty->assign("button", $button);

	$loanoff_menu = parse("{$config["site_path"]}{$_SESSION["path_lang"]}/loanoff_menu.xml");
	$smarty->assign("loanoff_menu", $loanoff_menu);	
	
	$smarty->assign("header", $header);
	$smarty->assign("light", $light);
	$smarty->assign("site_root", $config["site_root"]);
	$smarty->assign("server", $config["server"]);
	return;
}

/////////////////////////////////////////////////////////////////////////////////////
function GetLinkStr($num_records,$page,$param, $max_record){
	global $lang;
	$num_page = ceil($num_records/$max_record);  //////////   ( $max_record   )
	$p_page = floor(($page-1)/10);    //////  
	$link_str = "&nbsp;&nbsp;&nbsp;";
	if($p_page>0){
		$link_str .= "<a href=\"".$param."page=".($p_page*10)."\"><<</a>&nbsp;";
	}
	if( (($p_page+1)*10) >= $num_page){
		for($i=($p_page*10+1);$i<=$num_page;$i++){
			if($i == $page){
				$link_str .= "<b><font color=#CC0033>".$i."</font></b>&nbsp;";
			}else{
				$link_str .= "<a href=\"".$param."page=".$i."\">".$i."</a>&nbsp;";
			}
		}
	}else{
		for($i=($p_page*10+1);$i<=($p_page+1)*10;$i++){
			if($i == $page){
				$link_str .= "<b><font color=#CC0033>".$i."</font></b>&nbsp;";
			}else{
				$link_str .= "<a href=\"".$param."page=".$i."\">".$i."</a>&nbsp;";
			}
		}
		$link_str .= "<a href=\"".$param."page=".(($p_page+1)*10+1)."\">>></a>&nbsp;";
	}
	return $link_str;
}

function AgeFromBDate($date){
	$year = intval(substr($date,0,4));
	$month = intval(substr($date,5,2));

	$n_year = date("Y");
	$n_month = date("m");
	
	if($year)
		return floor(($n_year - $year) + ($n_month - $month)/12);
	else
		return;
}

function FormatDate($date, $format){
	$year = intval(substr($date,0,4));
	$month = intval(substr($date,5,2));
	$day = intval(substr($date,8,2));
	$hour = intval(substr($date,11,2));
	$minute = intval(substr($date,14,2));
	$sec = intval(substr($date,17,2));
	$mtime = mktime($hour,$minute,$sec,$month,$day,$year);
	if($year)
		return date ($format, $mtime); 
	else
		return date ($format); 
}

function UpdateFeeds($id=0){
	NewsUpdater($id);
	HomePage();
	return;
}

function QuickStatus(){
	global $dbconn; 
	
	$stat = array();
	$rs = $dbconn->Execute("select id from ".APPLICATION_FORM_TABLE." where type ='online' and status in ('curr','start') and DATE_FORMAT(date_send,'%d-%m-%Y') = DATE_FORMAT(NOW(),'%d-%m-%Y')");
	$stat["submit"]["today"] = $rs->RowCount($rs->fields[0]);
	$rs = $dbconn->Execute("select id from ".APPLICATION_FORM_TABLE." where type ='online' and status in ('curr','start') and DATE_FORMAT(date_send,'%d-%m-%Y') < DATE_FORMAT(NOW(),'%d-%m-%Y')");
	$stat["submit"]["all"] = $rs->RowCount($rs->fields[0]);
	$rs = $dbconn->Execute("select id from ".APPLICATION_FORM_TABLE." where type ='online' and status in ('curr','start') and DATE_FORMAT(date_send,'%d-%m-%Y') > DATE_FORMAT((NOW() - INTERVAL 30 DAY),'%d-%m-%Y') and DATE_FORMAT(date_send,'%d-%m-%Y') < DATE_FORMAT(NOW(),'%d-%m-%Y')");
	$stat["submit"]["45"] = $rs->RowCount($rs->fields[0]);

	$rs = $dbconn->Execute("select id from ".SITE_STATISTIC_TABLE."  where id_page ='25' and DATE_FORMAT(data,'%d-%m-%Y') = DATE_FORMAT(NOW(),'%d-%m-%Y')");
	$stat["reg"]["today"] = $rs->RowCount($rs->fields[0]);
	$rs = $dbconn->Execute("select id from ".SITE_STATISTIC_TABLE."  where id_page ='25' and DATE_FORMAT(data,'%d-%m-%Y') < DATE_FORMAT(NOW(),'%d-%m-%Y')");
	$stat["reg"]["all"] = $rs->RowCount($rs->fields[0]);
	$rs = $dbconn->Execute("select id from ".SITE_STATISTIC_TABLE."  where id_page ='25' and DATE_FORMAT(data,'%d-%m-%Y') > DATE_FORMAT((NOW() - INTERVAL 30 DAY),'%d-%m-%Y') and DATE_FORMAT(data,'%d-%m-%Y') < DATE_FORMAT(NOW(),'%d-%m-%Y')");
	$stat["reg"]["45"] = $rs->RowCount($rs->fields[0]);

	$rs = $dbconn->Execute("select id from ".APPLICATION_FORM_TABLE." where type ='pdf' and status in ('curr','start') and DATE_FORMAT(date_send,'%d-%m-%Y') = DATE_FORMAT(NOW(),'%d-%m-%Y')");
	$stat["credit"]["today"] = $rs->RowCount($rs->fields[0]);
	$rs = $dbconn->Execute("select id from ".APPLICATION_FORM_TABLE." where type ='pdf' and status in ('curr','start') and DATE_FORMAT(date_send,'%d-%m-%Y') < DATE_FORMAT(NOW(),'%d-%m-%Y')");
	$stat["credit"]["all"] = $rs->RowCount($rs->fields[0]);
	$rs = $dbconn->Execute("select id from ".APPLICATION_FORM_TABLE." where type ='pdf' and status in ('curr','start') and DATE_FORMAT(date_send,'%d-%m-%Y') > DATE_FORMAT((NOW() - INTERVAL 30 DAY),'%d-%m-%Y') and DATE_FORMAT(date_send,'%d-%m-%Y') < DATE_FORMAT(NOW(),'%d-%m-%Y')");
	$stat["credit"]["45"] = $rs->RowCount($rs->fields[0]);

	$rs = $dbconn->Execute("select id from ".APPLICATION_FORM_TABLE." where type in ('pdf','online') and status = 'closed' and DATE_FORMAT(date_closed,'%d-%m-%Y') = DATE_FORMAT(NOW(),'%d-%m-%Y')");
	$stat["closed"]["today"] = $rs->RowCount($rs->fields[0]);
	$rs = $dbconn->Execute("select id from ".APPLICATION_FORM_TABLE." where type in ('pdf','online') and status = 'closed' and DATE_FORMAT(date_closed,'%d-%m-%Y') < DATE_FORMAT(NOW(),'%d-%m-%Y')");
	$stat["closed"]["all"] = $rs->RowCount($rs->fields[0]);
	$rs = $dbconn->Execute("select id from ".APPLICATION_FORM_TABLE." where type in ('pdf','online') and status = 'closed' and DATE_FORMAT(date_closed,'%d-%m-%Y') > DATE_FORMAT((NOW() - INTERVAL 30 DAY),'%d-%m-%Y') and DATE_FORMAT(date_closed,'%d-%m-%Y') < DATE_FORMAT(NOW(),'%d-%m-%Y')");
	$stat["closed"]["45"] = $rs->RowCount($rs->fields[0]);

	$rs = $dbconn->Execute("select id from ".SITE_STATISTIC_TABLE."  where id_page ='1' and DATE_FORMAT(data,'%d-%m-%Y') = DATE_FORMAT(NOW(),'%d-%m-%Y')");
	$stat["contactus"]["today"] = $rs->RowCount($rs->fields[0]);
	$rs = $dbconn->Execute("select id from ".SITE_STATISTIC_TABLE."  where id_page ='1' and DATE_FORMAT(data,'%d-%m-%Y') < DATE_FORMAT(NOW(),'%d-%m-%Y')");
	$stat["contactus"]["all"] = $rs->RowCount($rs->fields[0]);
	$rs = $dbconn->Execute("select id from ".SITE_STATISTIC_TABLE."  where id_page ='1' and DATE_FORMAT(data,'%d-%m-%Y') > DATE_FORMAT((NOW() - INTERVAL 30 DAY),'%d-%m-%Y') and DATE_FORMAT(data,'%d-%m-%Y') < DATE_FORMAT(NOW(),'%d-%m-%Y')");
	$stat["contactus"]["45"] = $rs->RowCount($rs->fields[0]);

	$rs = $dbconn->Execute("select id from ".SITE_STATISTIC_TABLE."  where id_page ='2' and DATE_FORMAT(data,'%d-%m-%Y') = DATE_FORMAT(NOW(),'%d-%m-%Y')");
	$stat["callback"]["today"] = $rs->RowCount($rs->fields[0]);
	$rs = $dbconn->Execute("select id from ".SITE_STATISTIC_TABLE."  where id_page ='2' and DATE_FORMAT(data,'%d-%m-%Y') < DATE_FORMAT(NOW(),'%d-%m-%Y')");
	$stat["callback"]["all"] = $rs->RowCount($rs->fields[0]);
	$rs = $dbconn->Execute("select id from ".SITE_STATISTIC_TABLE."  where id_page ='2' and DATE_FORMAT(data,'%d-%m-%Y') > DATE_FORMAT((NOW() - INTERVAL 30 DAY),'%d-%m-%Y') and DATE_FORMAT(data,'%d-%m-%Y') < DATE_FORMAT(NOW(),'%d-%m-%Y')");
	$stat["callback"]["45"] = $rs->RowCount($rs->fields[0]);

	$rs = $dbconn->Execute("select count(*) from ".USERS_TABLE."  where root_user !='1' and guest_user !='1'");
	$stat["stat_all"] = $rs->fields[0];
	$rs = $dbconn->Execute("select count(distinct a.id) from ".USERS_TABLE." a, ".ACTIVE_SESSIONS_TABLE." ea where a.id=ea.id_user and root_user !='1' and guest_user !='1' ");
	$stat["stat_active"] = $rs->fields[0];
	
	$rs = $dbconn->Execute("select count(*) from ".USERS_TABLE."  where (date_registration + INTERVAL 1 DAY)>NOW()");
	$stat["stat_reg_today"] = $rs->fields[0];
	$rs = $dbconn->Execute("select count(*) from ".USERS_TABLE."  where (date_registration + INTERVAL 7 DAY)>NOW()");
	$stat["stat_last_week"] = $rs->fields[0];
	$rs = $dbconn->Execute("select count(*) from ".USERS_TABLE."  where (date_registration + INTERVAL 30 DAY)>NOW()");
	$stat["stat_last_month"] = $rs->fields[0];
	
	return $stat;
}

function PermissionError($err = ""){
	global $smarty, $config; //, $dbconn, $lang, $auth
	$file_name = "index.php";
	LoanoffMainMenu("",1);
	if($err){
		$form["err"] = $err;
		$data["login"] = $_POST["login"];
	}

	$form["action"] = $file_name."?sel=login";
	if(isset($data)){
		$smarty->assign("data", $data);
	}
	$smarty->assign("form", $form);
	$smarty->assign("page_type", "login");
	$smarty->assign("header1", "Welcome");
	$smarty->assign("header2", "Please login");
	$smarty->assign("hint","");

	$smarty->display(TrimSlash($config["loanoff_theme_path"])."/loanoff_login_page.tpl");
	exit;
}
?>