<?php
include_once "common.php";

@$sel =$_POST["sel"]?$_POST["sel"]:$_GET["sel"];

/////// registered user (not guest)
if(intval($user["id"]) && $user["guest"] != '1' && $sel == ""){
	$_SESSION["language_cd"] = $config['default_lang'];
	echo "<script>location.href='".$config["site_root"]."/homepage.php'</script>";
}

if($user == "err"){
	$sel = "login";
	$err = $mes["login_bad"]["name"];
}

switch($sel){
	case "logoff": LogoutUser(); break;
	case "loginform": LoginForm($err); break;
	case "loginuser": LoginUser(); break;
	default: 	IndexPage();
}

function LogoutUser(){
	global $smarty, $config, $dbconn, $user, $auth_class;

	$auth_class->sess_delete(session_id());

	echo "<script>location.href='".$config["site_root"]."/index.php'</script>";
	return;
}

function LoginForm($err=""){
	global $smarty, $config, $dbconn, $user;
	$file_name = (isset($_SERVER["PHP_SELF"]))?AfterLastSlash($_SERVER["PHP_SELF"]):"index.php";

	if($err)
		$form["err"] = $err;

	$mes = parse("{$config["site_path"]}{$_SESSION["path_lang"]}/home.xml");
	$smarty->assign("mes",$mes);
	$content = GetPageContent(26);
	$smarty->assign("content",$content);
	
	$form['action']=$filename."?sel=loginuser";
	$form['url']=addslashes($_GET["url"]);
	$form["lost_passw_link"] = "./pwd_remind.php";
	$form["register_link"] = "./registration.php";
	if($user == "err") $form["login_err"] = "1";

	$smarty->assign("form", $form);
	$smarty->display(TrimSlash($config["index_theme_path"])."/login_table.tpl");
	exit;
}

function LoginUser(){
	global $auth_class, $lang;

	$user=$auth_class->auth_user($_REQUEST['login'], $_REQUEST['password']);

	if ($user['guest']!=0) LoginForm($lang["err"]["not_perm"]);
	else {
		$auth_class->SetLoginStatistic($user['id']);
		if(strlen($_POST["redurl"])>0){
			echo "<script> parent.location.href='".$_POST["redurl"]."';</script>";
			exit;
		}
		echo "<script> parent.location.href='./homepage.php';</script>";
		exit;
	}
}

function IndexPage(){
	global $config, $smarty, $dbconn, $user;
	$file_name = (isset($_SERVER["PHP_SELF"]))?AfterLastSlash($_SERVER["PHP_SELF"]):"index.php";

	CheckInstallFolder($smarty);
	Banners(__FILE__);
	IndexHomePage();

	CheckReferer(addslashes($_GET["value"]));
	GenerateMenu(27);

	$mes = parse("{$config["site_path"]}{$_SESSION["path_lang"]}/home.xml");
	$smarty->assign("mes",$mes);
	$calc = parse("{$config["site_path"]}{$_SESSION["path_lang"]}/calc_97.xml");
	$smarty->assign("calc",$calc);

	/////////////////////////////// Languages
	/*$sr=$dbconn->Execute("select id, code from ".LANGUAGE_TABLE." where visible='1'");
	$i=0;
	while ( !$sr->EOF ) {
		$row = $sr->GetRowAssoc(false);
		$lang1[$i]["id"] = $row["id"];
		$lang1[$i]["code"] = $row["code"];
		$i++;
		$sr->MoveNext();
	}
	$count=count($lang1);
	$smarty->assign("count",$count);
	$smarty->assign("lang1",$lang1);*/
	///////////////////////////////// Rate Section
	$rs = $dbconn->Execute("select r.name, sr.rate, sr.points, sr.apr from ".RATES_TABLE." r left join ".SUBRATES_TABLE." sr on sr.rid=r.id order by priority");
	$j=0;
	while(!$rs->EOF) {
		$rate_table[$j]["name"] = stripslashes($rs->fields[0]);
		$rate_table[$j]["rate"] = $rs->fields[1];
		$rate_table[$j]["point"] = $rs->fields[2];
		$rate_table[$j]["apr"] = $rs->fields[3];
		$rs->MoveNext();
		$j++;
	}
	$smarty->assign("rate_table",$rate_table);
	///////////////////////////////// \Rate Section
		
	if(isset($_GET["err"])) {$smarty->assign("err",$_GET["err"]);}

	$strSQL = "select value from ".SETTINGS_TABLE." where name='signature'";
	$rs = $dbconn->Execute($strSQL);
	$smarty->assign("sign",$rs->fields[0]);

	$smarty->assign("rate_table",$rate_table);
	$smarty->display(TrimSlash($config["index_theme_path"])."/index.tpl");
}

?>