<?php
$license = "All and any of Pilot Group software packages are called 'Software Product' here. The 'Software Product' is protected by copyright laws of Russia and International copyright treaties, trademark laws, and other intellectual property laws and treaties. Pilot Group retains copyright to the 'Software Product'. The 'Software Product' is licensed, not sold.
This License Agreement is a legal agreement between you (an individual or a legal entity) and Pilot Group Ltd. ('Pilot Group'). Pilot Group software packages include set of scripts, and may include associated media, printed materials, and 'online' or electronic documentation, such as administration and installation manual. By purchasing, installing, copying, downloading, accessing or otherwise using ANY of the Pilot Group software packages, you agree to be bound by the terms of this License Agreement.

1. THIS LICENSE AGREEMENT GRANTS YOU THE FOLLOWING RIGHTS
(a) Software Installation and Use. Pilot Group hereby grants you a single, non-exclusive, non-transferable license to use one copy of the 'Software Product' in accordance with the terms and conditions of the License Agreement. Any rights not expressly granted are reserved. This license authorizes you to install and use a single copy of the 'Software Product' on a single domain name or IP address. If you install additional copies, even if such additional copies are located on the same domain and/or the same IP, such usage is prohibited unless additional licenses are purchased.

(b) Source Code Usage This license prohibits selling, licensing, giving away, or otherwise distributing the source code for any of the scripts contained in 'Software Product', either in full or any subpart thereof or any how modified. Nor may you use this source code, in full or any subpart thereof, as part of another program that you either sell, license, give away, or otherwise distribute via any method. You may modify the source code to customize the 'look and feel' and functionality of the 'Software Product' for your personal usage on the licensed installation only.

(c) Possibility to transfer your license ownership for a ready made site based on Pilot Group Software Product to another person as a business item in case of signed Agreement with Pilot Group on license ownership transfer.

2. DESCRIPTION OF OTHER RIGHTS AND LIMITATIONS
(a) Termination. This License Agreement shall continue in full force and effect in perpetuity unless terminated earlier in accordance with this or another section of this License Agreement. This License Agreement will terminate automatically if you breach any provision of it. In such event, you must destroy all copies of the 'Software Product', and all of its component parts and cease all further use of it. You agree that Pilot Group has the right to use any and all means necessary to enforce its rights if you are in material breach of this agreement, including but not limited to the right to repossess the software electronically by disabling it remotely over the Internet, and that termination will not entitle you to a refund of the purchase price or any other amounts paid under any circumstances whatsoever. Termination will have no effect on your obligation to safeguard and protect proprietary rights of Pilot Group, disclaimers and warranties, the Copyright Infringement section, or the Refund Policy.

(b) Copyright Notice. Under all circumstances, you are prohibited from removing any of the copyright notices from the software, whether contained in the program code or within the HTML pages that the program generates. Removal or alteration of said copyright notices by User shall constitute a material breach of this LA. You agree that if you remove copyright notice in violation of this section, Pilot Group shall have the option of assessing a monetary penalty against you for such violation in lieu of terminating your license to use the 'Software Product'. Exercise of this option by 'Software Product' shall in no way authorize you to continue such violation or limit the right of 'Software Product' to terminate your license for subsequent violations. However, you are allowed to remove visible copyright references such as links to Pilot Group from open source package.

(c) Nondisclosure Agreement. As additional consideration for the license granted to you under this LA you specifically agree not to disclose or divulge any information whatsoever about the 'Software Product' or the related business practices of Pilot Group, which constitute proprietary and confidential nature of the 'Software Product' and the valuable trade secrets of 'Software Product' contained therein by any means such as posting or printing any reviews, ratings, comments, articles on or within any web sites, newsgroups, chat rooms, e-mail messages, newsletters, newspapers, magazines, or any other media of any kind, whether printed, electronic, or other formats either now known or hereafter developed, or to cause or direct any other individual, company, organization, or other entity to undertake the activities outlined above, without the prior express written consent of Pilot Group, if such reviews or comments are intended to slander Pilot Group or to harm its reputation for failure to accede to demands or requests by you that are outside the scope of the legal rights and obligations of the parties under this license agreement. You further stipulate that in the event that you (or any other individual, company, organization, or other entity that you cause or direct to engage in the activities outlined above) post any such reviews, ratings, comments, articles, or other information about the 'Software Product' or the related business practices of Pilot Group constitute proprietary and confidential nature of the 'Software Product' and the valuable trade secrets of 'Software Product' contained therein with intend to slander Pilot Group or to harm its reputation for failure to accede to demands or requests by you that are outside the scope of the legal rights and obligations of the parties under this license agreement, you shall be finically liable to Pilot Group in case your participation is proven by court of competent jurisdiction. The parties understand financial liability is intended to compensate Pilot Group for its damages and thus constitute a remedy and not a penalty. In the event that you violate this section, you hereby agree to waive all rights to any judicial appeal of this section and this determination, and you hereby stipulate that a court of competent jurisdiction shall enter judgment against you in the relevant amounts. You further acknowledge and agree that this section shall in no way infringe upon the rights of Pilot Group to pursue other legal remedies against you or to collect other damages for additional causes of action, including but not limited to libel, defamation, tortuous interference with business, fraud, theft, copyright infringement, trademark infringement, or other legal causes of action, and that this section shall be applicable and enforceable regardless of whether Pilot Group pursues any other such legal remedies, and regardless of the outcome of any such actions.

(d) Enforcement Costs. In the event that your breach of any provision of this License Agreement is proved by a court of competent jurisdiction, you agree that you shall reimburse Pilot Group for all expenses related to the enforcement by Pilot Group of its legal rights under this agreement, including but not limited to its attorneys' fees, court costs, administrative fees, and all other relevant costs, fees, and expenses incurred by Pilot Group that are associated with enforcing its legal rights under this Agreement.

(e) Third Parties. Any third party or subsequent entity that purchases, installs, copies, downloads, accesses or otherwise uses the 'Software Product', as well as any third party or subsequent entity that views, copies, creates derivative works from, appropriates, or otherwise alters all or any part of the source code, whether on not such actions were performed legally and in accordance with the terms of this License Agreement, shall be bound by the terms of this License Agreement, as amended from time to time by Pilot Group and posted online by Pilot Group at its web sites. Performing any of the actions enumerated above shall constitute constructive agreement to be bound by the terms of this License Agreement.

(f) Copyright Infringement. For the purposes of this License Agreement, copyright infringement includes the acts of selling, licensing, giving away, or otherwise distributing all or any part of the source code contained in this 'Software Product', or using all or any part of the source code to create derivative works. Copyright infringement for purposes of this License Agreement shall also include using all or any part of the source code of the 'Software Product' as part of another program that you or any subsequent party either sells, licenses, gives away, or otherwise distributes via any method. Copyright infringement under this License Agreement shall also include the act of appropriating any of the concepts, techniques, programming methods, or algorithms contained in the source code for the 'Software Product' if the infringing party viewed or otherwise had access to the source code in any way, even if the source code of the infringing product has been modified or obfuscated so as to appear different from the source code of the 'Software Product'. Access to the source code of the 'Software Product' by the infringing party shall constitute proof of copyright infringement under this License Agreement if any of the other conditions above have been satisfied.

(g) Amendments. You agree that, in order to maintain your ongoing license to use the 'Software Product', Pilot Group shall have the right to post reasonable amendments to this License Agreement online from time to time at its web sites, and that you shall be bound by such amendments. Such amendments must be designed to protect the intellectual property rights of Pilot Group in the 'Software Product' and may not impose additional or ongoing fees for using the 'Software Product' other than those that you agreed to or that were in effect at the time that you licensed the 'Software Product'. You agree that it shall be your responsibility to monitor the license agreement posted online and ensure ongoing compliance with its terms. If you disagree with any amendments posted under this section, your sole recourse shall be to terminate this license and your usage of the 'Software Product'.

(h) Indemnity. You agree to indemnify Pilot Group and to hold it harmless against all losses sustained by any third parties as a result of the terms of this License Agreement, including but not limited to the right of Pilot Group to terminate this license under the provisions of section 2(d) above. You agree that You, and not Pilot Group, shall be responsible for reimbursing all third parties against any such losses. Such third parties may include your web hosting company, your ISP, your customers, your business partners, or any other party that is harmed in any way during the course of Pilot Group's enforcement of its rights under this License Agreement.

(i) Marketing. Unless you submit to Pilot Group a signed and written request that your company and/or your web site not be used for marketing purposes, you hereby grant to Pilot Group the right to mention your company and/or your web site as a customer site in its marketing materials, such as on Pilot Group web sites, in product brochures, or in other media. Such usage may include listing your web site, linking to your web site, and/or displaying your company's logo as part of such listings or links

3. UPGRADES
If the 'Software Product' is an upgrade of a component for a product that you were granted a license for as a single product, the 'Software Product' may be used and transferred only as part of that single product package and may not be separated for use on more than one computer, web server, or web site. You may use a single copy of the complete, upgraded 'Software Product' on a single domain name or IP. You may not continue to use the original 'Software Product' if you accept and use the upgraded 'Software Product'.

Pilot Group provides upgrades for the 'Software Product'. Pilot Group determines time frame of 'Software Product' upgrades provision and in accordance with delivery terms. You may choose to upgrade 'Software Product' or not to. Pilot Group provides upgrades to licensed 'Software Product' copy only and technically compatible with default 'Software Product' copy. Upgrades may not be technically compatible with modified copy of 'Software Product'. New version of 'Software Product' is provided for licensed 'Software Product' copy only and may be technically incompatible with older version. Pilot Group provides upgrades both within version or next version for the 'Software Product' for free within 12 months after the initial purchase, and for extra charge when 12 months are over. However upgrade installation if requested may apply services fees.

Note: The Software upgrade will require an extra fee if you request an upgrade in 12 months after the purchase. Besides, in addition to that upgrade installation and data saving, if requested may apply services fees.

4. COPYRIGHT
(a) Ownership. Except as noted below, all title and intellectual property rights in and to the 'Software Product' (including but not limited to any source code, images, photographs, animations, and text incorporated into the 'Software Product'), the accompanying printed materials, and any copies of the 'Software Product', are owned by Pilot Group. You may not copy the printed materials accompanying the 'Software Product'. Any customization, translation, modification, or revision of the source code of the 'Software Product' does not contain right to selling, licensing, giving away, or otherwise distributing such source code either in full or any subpart thereof. The creation of derivative works based on or through the use of the source code of the 'Software Product' is prohibited. All title and intellectual property rights in and to the content which may be accessed through use of the 'Software Product' is the property of the respective content owner. This License Agreement grants you no rights to use such content. All rights not expressly granted under this License Agreement are reserved by Pilot Group.

(b) Your Responsibilities. You agree to use due diligence to safeguard and protect the 'Software Product' and all source code as the valuable trade secret and exclusive property of Pilot Group. You will at all times use due diligence to safeguard and protect all such confidential and proprietary information pertaining to the 'Software Product'. You will ensure that all marks, notices or legends pertaining to the origin, identity or ownership of the 'Software Product' remain intact and clearly legible. You specifically agree to indemnify Pilot Group for all losses that it may incur due to the theft of all or any part of the source code of the 'Software Product' while in your possession.

(c) You are not allowed to remove PilotGroup.NET Copyright if you have bought a product with discount.

5. PRODUCT SUPPORT
Pilot Group provides support and technical assistance for all licensed copies of the 'Software Product'. Pilot Group reserves the right to determine time frame and amount of assistance provided. Abnormal support issues may incur additional service fees.

6. PRICE & PAYMENT
(a) Price. You agree to pay Pilot Group the applicable license fee determined by reference to Pilot Group' published prices at the time the 'Software Product' was ordered. Payment of the license fee entitles you to use the licensed program in accordance with this License Agreement during the stated term. If the license fee is based on usage, then you will maintain any necessary usage records for calculating fees according to the documentation.

(b) Payment. Unless otherwise stated on Pilot Group' invoice, the applicable fees are payable by you at full amount upfront. 'Software Product' will be delivered to you as download link, e-mail attachments or via other Internet means after your payment is approved by payment processing company.

7. HOSTING
Pilot Group can provide hosting services to its clients for extra charge according to a chosen Hosting Plan to host its Software Products.

(a) Personal information. You, as our client, agree to maintain accurate information by providing updates to Pilot Group, upon request, while You are using Pilot Group's Services.

You agree You are entirely responsible for maintaining the confidentiality of Your customer login, password (collectively, the 'Account Access Information'). You agree You are entirely responsible for any and all activities that occur under Your account. You agree to notify Pilot Group immediately of any unauthorized use of Your account or any other breach of security

(b) Security. You agree that You will be responsible for notifying Pilot Group should You desire to terminate Your use of Pilot Group 's Services. Notification of Your intent to terminate must be provided to Pilot Group no earlier than 10 days prior to Your billing date but no later than three days prior to Your billing date.

If You have purchased Services, Pilot Group has no obligation to monitor Your use of the Services. Pilot Group reserves the right to review Your use of the Services and to cancel the Services in its sole discretion. Pilot Group reserves the right to terminate Your access to the Services at any time, without notice, for any reason whatsoever. Pilot Group reserves the right to change Account access information in security reasons. The new info shouild be provided to you.

The back up of the files will be stored on Pilot Group server within 1 month after your hosting account expiration. After this period all the files will be deleted from Pilot Group server without any recover capability.

(c) Warranties. As a condition of Your use of Pilot Group's Software and Services, You agree not to use them for any purpose that is unlawful or prohibited by these terms and conditions, and You agree to comply with any applicable local, state, federal and international laws, government rules or requirements. You agree You will not be entitled to a refund of any fees paid to Pilot Group if, for any reason, Pilot Group takes corrective action with respect to Your improper or illegal use of its Hosting Services.

(d) Illegal Usage Warranties. As a condition of Your use of Pilot Group's Hosting Services for Pilot Group Software, You agree not to use hosting account for any unlicensed software originating from Pilot Group or whatsoever, and You agree to comply with any applicable local, state, federal and international laws, government rules or requirements. You agree You will not be entitled to a refund of any fees paid to Pilot Group if, for any reason, Pilot Group takes corrective action with respect to Your improper or illegal use of its Hosting Services.

8. CONFLICT OF LAW PROVISIONS
This License Agreement is governed by the laws of Russia. As additional consideration for the license granted to you in this License Agreement, you agree that all disputes regarding this contract shall be governed solely and exclusively by the laws of Russia, and that the agreement shall be deemed to have been made in Russia. You further agree that any action relating to the terms and provisions of this LA shall be commenced in Russia in any court of competent jurisdiction. In addition, by licensing the 'Software Product' under this License Agreement, you represent and warrant that you are legally authorized to and hereby do waive all claims to legal rights or protections under the laws of your state or country of domicile, or the laws of any other state or country other than Russia, including but not limited to any applicable 'consumer protection' laws, and to subject yourself under this LA to the laws of Russia. Since this representation on your part is an essential element of the consideration necessary for Pilot Group to license the 'Software Product' to you, should this representation prove to be incorrect, you hereby agree to reimburse Pilot Group for all losses incurred by Pilot Group as a result of this misrepresentation and for all expenses related to the enforcement by Pilot Group of its legal rights under this agreement, including but not limited to its attorneys' fees, court costs, administrative fees, and all other costs, fees, and expenses incurred by Pilot Group that are associated with enforcing its legal rights under this Agreement.

This representation on your part, and the contractual provisions governing your breach of this representation, are basic contract provisions that are valid and enforceable under international treaties governing the law of contracts, as well as other laws and treaties.

9. DISCLAIMER OF WARRANTY
THIS SOFTWARE AND THE ACCOMPANYING FILES ARE LICENSED TO YOU 'AS IS' AND WITHOUT WARRANTY OF ANY KIND EITHER EXPRESS, IMPLIED OR STATUTORY, INCLUDING BUT NOT LIMITED TO THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. Pilot Group does not warrant that the functions of the 'Software Product' will meet your requirements or that operation of the 'Software Product' will be uninterrupted or error free. You assume all responsibility for selecting the 'Software Product' to achieve your intended results, and for the use and results obtained from the 'Software Product'. Pilot Group is not responsible if the 'Software Product' does not operate on your server or computer. Should the Program prove defective, you and not Pilot Group assume the entire risk of using the program and the entire cost of any service and repair. Failure to install the program is not a valid reason for requesting a refund of the purchase price. This disclaimer of warranty constitutes an essential part of this agreement.

NO LIABILITY FOR CONSEQUENTIAL DAMAGES. To the maximum extent permitted by applicable law, in no event shall Pilot Group be liable for any damages whatsoever (including without limitation, special, incidental, consequential, or indirect damages for personal injury, loss of business profits, business interruption, loss of business information, or any other pecuniary loss) arising out of the use of or inability to use this product, even if Pilot Group has been advised of the possibility of such damages. In any case, Pilot Group' entire liability under any provision of this agreement shall be limited to the amount actually paid by you for the 'Software Product'

10. REFUND POLICY
THE 'Software Product' AND THE ACCOMPANYING FILES ARE LICENSED TO YOU 'AS IS' AND WITHOUT WARRANTY OF ANY KIND EITHER EXPRESS, IMPLIED OR STATUTORY, INCLUDING BUT NOT LIMITED TO THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. BY PURCHASING OR USING THE SOFTWARE PRODUCT, HOSTING OR OTHER SERVICES, YOU ACKNOWLEDGE AND AGREE THAT THERE SHALL BE ABSOLUTELY NO REFUNDS FOR ANY REASON WHATSOEVER, INCLUDING FAILURE TO INSTALL THE PROGRAM, A CHANGE IN MARKET CONDITIONS, A CHANGE IN BUSINESS OR WEB SITE STRATEGY, A CLAIM THAT THE PRODUCT DOES NOT SUIT YOUR NEEDS OR IS NOT WHAT YOU EXPECTED, MODIFICATIONS OF THE SOURCE CODE IMPLEMENTED BY THE USER THAT ALTER THE FUNCTIONALITY OF THE 'Software Product' OR THAT ARE NOT IN ACCORDANCE WITH THE DOCUMENTATION ACCOMPANYING THE SOFTWARE PRODUCT, THE UNAVAILABILITY OF Pilot Group FOR CUSTOMIZATIONS TO THE SOFTWARE PRODUCT, OR FOR ANY OTHER REASON.

BY PURCHASING OR USING THE SOFTWARE PRODUCT, YOU ACKNOWLEDGE THAT YOU HAVE EXERCISED DUE DILIGENCE IN ASCERTAINING THAT THE 'Software Product' WILL RUN ON YOUR WEB SERVER AND THAT IT WILL MEET YOUR NEEDS. 'Software Product' IS CONSIDERED AS 'delivered' ONLY AFTER YOUR PAYMENT IS APPROVED BY PAYMENT PROCESSING COMPANY AND 'Software Product' IS DELIVERED TO YOU AS DOWNLOAD LINK, EMAIL ATTACHMENT OR OTHER INTERNET MEANS. ONCE PRODUCT IS 'delivered' YOU MAY NOT CLAIM ANY REFUND. IN CASE YOU CANCEL YOUR ORDER PRIOR TO DELIVERY YOU MAY CLAIM REFUND, HOWEVER PROCESSING FEES MAY APPLY.

THE REFUND DATE IS THE DATE WHEN THE REFUND WAS PROCESSED FROM THE SIDE OF PILOT GROUP COMPANY AND IS NOT THE DATE WHEN THE FUNDS COME TO CLIENT'S ACCOUNT. THE COMPANY IS NOT RESPONCIBLE FOR THE TIME PERIOD THAT HAS PASSED BEFORE THE MONEY CAME TO A CLIENT'S ACCOUNT IN A CASE OF A REFUND. THIS TIMELINE DEPENDS ON A PAYMENT SYSTEM, THIRD-PARTY SYSTEMS, THEIR TERMS OF WORK WITH REFUNDS AND CHARGEBACKS, AND ALSO ON THE DATE THE INITIAL ORDER WAS MADE.

REFUND POLICY IS AVAILABLE: http://www.pilotgroup.net/about/refund_policy.php

This document constitutes the entire and exclusive agreement between the parties with respect to the subject matter hereof and supersedes all other communications, whether written or oral. Any provision found by a tribunal of competent jurisdiction to be illegal or unenforceable shall be automatically conformed to the minimum requirements of law and all other provisions shall remain in full force and effect. Waiver of any provision hereof in one instance shall not preclude enforcement of it on future occasions. Headings are for reference purposes only and have no substantive effect.";
?>
