<?php
include "../common.php";
include "../include/config_admin.php";
include "../include/functions_admin.php";

if ($user['root']==0 || $user['id'] == 0 || !isset($user['id'])){
	PermissionError($lang['err']['not_perm']);
	exit;
}

$sel = $_POST["sel"]?addslashes($_POST["sel"]):addslashes($_GET["sel"]);
$id = $_POST["id"]?intval($_POST["id"]):intval($_GET["id"]);
$sort = $_POST["sort"]?$_POST["sort"]:$_GET["sort"];
if (!in_array($sort, array("date","name","status")))
	$sort = "date";

switch ($sel){
	case "view_form"	:	ViewForm($id);
	case "delete"		:	Delete($id);
	case "reply"        :	Reply($id);
	default				: 	View_callback($sort);
}

function View_callback($sort){	
	global $dbconn, $smarty, $config, $admin_lang; 
	
	AdminMainMenu();
	
	if(isset($_SERVER["PHP_SELF"]))
		$file_name = AfterLastSlash($_SERVER["PHP_SELF"]); 
	else
		$file_name = "admin_contact_info.php";
		
	$strSQL = "select * from ".CONTACTUS_TABLE." order by ".$sort;
	$rs = $dbconn->Execute($strSQL);
	$i=0;
	while(!$rs->EOF){
		$row = $rs->GetRowAssoc(false);
		$form[$i]["id"] = $row["id"];
		$form[$i]["date"] = $row["date"];
		$form[$i]["name"] = stripslashes($row["name"]);
		$form[$i]["email"] = stripslashes($row["email"]);
		$form[$i]["message"] = substr(stripslashes($row["message"]),0,70);
		$form[$i]["view_form"] = $file_name."?sel=view_form&id=".$form[$i]["id"];
		$form[$i]["reply"] = $file_name."?sel=reply&id=".$form[$i]["id"];;
		$form[$i]["delete"] = $file_name."?sel=delete&id=".$form[$i]["id"];
		$form[$i]["status"] = $row["status"];
		$rs->MoveNext();
		$i++;
	}	
	$smarty->assign("file_name",$file_name);
	$smarty->assign("form",$form);
	$smarty->assign("mode","view");
	$smarty->assign("header1", $admin_lang["header"]["contacts"]["header1"]);
	$smarty->assign("header2", $admin_lang["header"]["contact_information"]["header2"]);
	$smarty->assign("hint", $admin_lang["admin_help"]["contact_information"]);
	$smarty->display(TrimSlash($config["admin_theme_path"])."/admin_contact_info.tpl");
}

function ViewForm($id){
	global $dbconn, $smarty, $config, $lang_file, $admin_lang;
	AdminMainMenu();
	$admin_menu = parse("{$config["site_path"]}{$_SESSION["path_lang"]}/admin_menu.xml");
	$smarty->assign("admin_menu", $admin_menu);
	
	if(empty($id)){header("Location: admin_contact_info.php");}
	
	if(isset($_SERVER["PHP_SELF"]))
		$file_name = AfterLastSlash($_SERVER["PHP_SELF"]); 
	else
		$file_name = "admin_contact_info.php";
	
	$strSQL = "select * from ".CONTACTUS_TABLE." where id='".$id."'";
	$rs = $dbconn->Execute($strSQL);
	$row = $rs->GetRowAssoc(false);
	$data["name"] = stripslashes($row["name"]);
	$data["hphone"] = stripslashes($row["hphone"]);
	$data["dphone"] = stripslashes($row["dphone"]);
	$data["mphone"] = stripslashes($row["mphone"]);
	$data["email"] = stripslashes($row["email"]);
	$data["address"] = stripslashes($row["address"]);
	$data["message"] = stripslashes($row["message"]);
	$data["back"] = $file_name;
	$data["status"] = $row["status"];
	if($data["status"] != "answered")
		$dbconn->Execute("update ".CONTACTUS_TABLE." set status='seen' where id='".$id."'");
	$smarty->assign("data",$data);
	$smarty->assign("mode","view_form");
	$smarty->assign("header1", $admin_lang["header"]["contacts"]["header1"]);
	$smarty->assign("header2", $admin_lang["header"]["contact_information_edit"]["header2"]);
	$smarty->assign("hint", $admin_lang["admin_help"]["contact_information_edit"]);
	$smarty->display(TrimSlash($config["admin_theme_path"])."/admin_contact_info.tpl");
	exit;
	
}	

function Delete($id){
	global $dbconn, $smarty, $config;
	
	if(empty($id)){
		header("Location: admin_contact_info.php");
	}
	$dbconn->Execute("delete from ".CONTACTUS_TABLE." where id='".$id."'");
	View_callback("date");
	exit;
	
}

function Reply($id){
	global $dbconn, $smarty, $config;
	
	if(empty($id)){
		header("Location: admin_call_back.php");
	}
	$dbconn->Execute("update ".CONTACTUS_TABLE." set status='answered' where id='".$id."'");
	$rs = $dbconn->Execute("select email from ".CONTACTUS_TABLE." where id='".$id."'");
	View_callback("date");
	exit;
	
}
?>