<?php
include "../common.php";
include "../include/config_admin.php";
include "../include/functions_admin.php";

if ($user['root']==0 || $user['id'] == 0 || !isset($user['id'])){
	PermissionError($lang['err']['not_perm']);
	exit;
}

	$sel = $_POST["sel"]?addslashes($_POST["sel"]):addslashes($_GET["sel"]);
	$id = $_POST["id"]?intval($_POST["id"]):intval($_GET["id"]);

	switch ($sel){
		case "view_form"	:	ViewForm($id);
		case "delete"		:	Delete($id);
		default				: 	View_cust();
	}
	
function View_cust(){	
	global $dbconn, $smarty, $config, $admin_lang; 
	
	AdminMainMenu();
	
	if(isset($_SERVER["PHP_SELF"]))
		$file_name = AfterLastSlash($_SERVER["PHP_SELF"]); 
	else
		$file_name = "admin_cust_info.php";
		
	$strSQL = "select id, name, login, email, hphone, dphone, mphone, addr, post, best_cont, iam, notice from ".USERS_TABLE." where id not in (1,2) order by name";
	$rs = $dbconn->Execute($strSQL);
	$i=0;
	while(!$rs->EOF){
		$row = $rs->GetRowAssoc(false);
		$form[$i]["id"] = $row["id"];
		$form[$i]["num"] = $i+1;
		$form[$i]["name"] = stripslashes($row["name"]);
		$form[$i]["login"] = stripslashes($row["login"]);
		$form[$i]["email"] = stripslashes($row["email"]);
		$form[$i]["hphone"] = stripslashes($row["hphone"]);
		$form[$i]["view_form"] = $file_name."?sel=view_form&id=".$form[$i]["id"];
		$form[$i]["delete"] = $file_name."?sel=delete&id=".$form[$i]["id"];
		$rs->MoveNext();
		$i++;
	}	
	$smarty->assign("file_name",$file_name);
	$smarty->assign("form",$form);
	$smarty->assign("mode","view");
	$smarty->assign("header1", $admin_lang["header"]["customers_management"]["header1"]);
	$smarty->assign("header2", $admin_lang["header"]["customer_info"]["header2"]);
	$smarty->assign("hint", $admin_lang["admin_help"]["customer_info"]);
	$smarty->display(TrimSlash($config["admin_theme_path"])."/admin_cust_info.tpl");
}

function ViewForm($id){
	global $dbconn, $smarty, $config, $lang_file,$admin_lang;
	AdminMainMenu();
	
	if(empty($id)){header("Location: admin_cust_info.php");}
	
	if(isset($_SERVER["PHP_SELF"]))
		$file_name = AfterLastSlash($_SERVER["PHP_SELF"]); 
	else
		$file_name = "admin_cust_info.php";
	
	$strSQL = "select name, login, email, hphone, dphone, mphone, addr, post, best_cont, iam, notice from ".USERS_TABLE." where id=".$id;
	$rs = $dbconn->Execute($strSQL);

	$row = $rs->GetRowAssoc(false);
	$data["name"] = stripslashes($row["name"]);
	$data["login"] = stripslashes($row["login"]);
	$data["email"] = stripslashes($row["email"]);
	$data["hphone"] = stripslashes($row["hphone"]);
	$data["dphone"] = stripslashes($row["dphone"]);
	$data["mphone"] = stripslashes($row["mphone"]);
	$data["addr"] = stripslashes($row["addr"]);
	$data["post"] = stripslashes($row["post"]);
	$data["best_cont"] = stripslashes($row["best_cont"]);
	$data["iam"] = stripslashes($row["iam"]);
	$data["notice"] = stripslashes($row["notice"]);
	$data["back"] = $file_name;
		
	$smarty->assign("data",$data);
	$smarty->assign("mode","view_form");
	$smarty->assign("header1", $admin_lang["header"]["customers_management"]["header1"]);
	$smarty->assign("header2", $admin_lang["header"]["customer_info_form"]["header2"]);
	$smarty->assign("hint", $admin_lang["admin_help"]["customer_info_form"]);
	$smarty->display(TrimSlash($config["admin_theme_path"])."/admin_cust_info.tpl");
	exit;
	
}	

function Delete($id){
	global $dbconn, $smarty, $config;
	
	if(empty($id)){
		header("Location: admin_cust_info.php");
	}
	$rs = $dbconn->Execute("select fapp_id from ".APPLICATION_FORM_TABLE." where id='".$id."'");
	$fapp_id = $rs->fields[0];
	
	for ($i=1; $i<15; $i++){
    	$SQL = "DELETE FROM ".constant("APP_FORM_".$j."_TABLE")." WHERE id_user = '".$fapp_id."'";
        $res = $dbconn->Execute($SQL);
	}
	$res = $dbconn->Execute("DELETE FROM ".APPLICATION_FORM_TABLE." WHERE id = '".$id."'");
	$res = $dbconn->Execute("DELETE FROM ".USERS_TABLE." where id='".$id."'");
	View_cust();
	exit;
	
}
?>