<?php
include "../common.php";
include "../include/config_admin.php";
include "../include/functions_admin.php";

if ($user['root']==0 || $user['id'] == 0 || !isset($user['id'])){
	PermissionError($lang['err']['not_perm']);
	exit;
}

$sel = $_POST["sel"]?addslashes($_POST["sel"]):addslashes($_GET["sel"]);
$id = $_POST["id"]?intval($_POST["id"]):intval($_GET["id"]);
switch ($sel){
	case "edit"			:	Edit($id);
	case "delete"		:	Delete($id);
	case "apruve"		:	Apruve($id);
	case "save"			: 	Save($id);
	default				: 	View_customer();
}
	
function View_customer(){	
	global $dbconn, $smarty, $config, $admin_lang; 
	
	AdminMainMenu();
	
	if(isset($_SERVER["PHP_SELF"]))
		$file_name = AfterLastSlash($_SERVER["PHP_SELF"]); 
	else
		$file_name = "admin_custom_coment.php";
		
	$strSQL = "select * from ".CUST_COMMENTS_TABLE." order by date";
	$rs = $dbconn->Execute($strSQL);
	while(!$rs->EOF){
		$row = $rs->GetRowAssoc(false);
		$form[$i]["id"] = $row["id"];
		$form[$i]["date"] = $row["date"];
		$form[$i]["name"] = stripslashes($row["name"]);
		$form[$i]["text"] = stripslashes($row["text"]);
		$form[$i]["activ"] = $row["activ"];
		$form[$i]["edit"] = $file_name."?sel=edit&id=".$form[$i]["id"];
		$form[$i]["delete"] = $file_name."?sel=delete&id=".$form[$i]["id"];
		$form[$i]["apruve"] = $file_name."?sel=apruve&id=".$form[$i]["id"];
		$rs->MoveNext();
		$i++;
	}	

	$smarty->assign("form",$form);
	$smarty->assign("mode","view");
	$smarty->assign("header1", $admin_lang["header"]["contacts"]["header1"]);
	$smarty->assign("header2", $admin_lang["header"]["success_stories"]["header2"]);
	$smarty->assign("hint", $admin_lang["admin_help"]["contacts"]);
	
	$smarty->display(TrimSlash($config["admin_theme_path"])."/admin_custom_coment.tpl");
}

function Edit($id){
	global $dbconn, $smarty, $config, $lang_file, $admin_lang;
	
	AdminMainMenu();

	if(empty($id)){header("Location: admin_custom_coment.php");}
	
	if(isset($_SERVER["PHP_SELF"]))
		$file_name = AfterLastSlash($_SERVER["PHP_SELF"]); 
	else
		$file_name = "admin_custom_coment.php";
	
	$rs = $dbconn->Execute("select * FROM ".CUST_COMMENTS_TABLE." where id = '".$id."'");
	$row = $rs->GetRowAssoc(false);
	$data["id"] = $row["id"];
	$data["name"] = stripslashes($row["name"]);
	$data["text"] = stripslashes($row["text"]);
	$data["activ"] = $row["activ"];
	$smarty->assign("data",$data);	
	
	$smarty->assign("mode","edit");
	$smarty->assign("id_page",$id);
	$smarty->assign("header1", $admin_lang["header"]["contacts"]["header1"]);
	$smarty->assign("header2", $admin_lang["header"]["success_stories_edit"]["header2"]);
	$smarty->assign("hint", $admin_lang["admin_help"]["success_stories_edit"]);
	
	$smarty->display(TrimSlash($config["admin_theme_path"])."/admin_custom_coment.tpl");
	exit;
	
}	

function Delete($id){
	global $dbconn, $smarty, $config;
	
	if(empty($id)){
		header("Location: admin_custom_coment.php");
	}
	$dbconn->Execute("delete from ".CUST_COMMENTS_TABLE." where id='".$id."'");
	View_customer();
	exit;
	
}

function Apruve($id){
	global $dbconn, $smarty, $config;
	
	if(empty($id)){
		header("Location: admin_custom_coment.php");
	}
	$rs = $dbconn->Execute("select activ from ".CUST_COMMENTS_TABLE." where id='".$id."'");
	if($rs->fields[0] == "0")
		$dbconn->Execute("update ".CUST_COMMENTS_TABLE." set activ='1' where id='".$id."'");
	elseif($rs->fields[0] == "1") 
		$dbconn->Execute("update ".CUST_COMMENTS_TABLE." set activ='0' where id='".$id."'");	
	View_customer();
	exit;
}

function Save($id){
	global $smarty, $dbconn, $config;
	if(empty($id)){
		header("Location: admin_custom_coment.php");exit;
	}
	$dbconn->Execute("update ".CUST_COMMENTS_TABLE." set name='".addslashes($_POST["name"])."', text='".addslashes($_POST["text"])."' where id='".$id."'");
	View_customer();
	exit;

}


?>		