<?php
include_once "../common.php";
include "../include/config_admin.php";
include "../include/class.object2xml.php";
include "../include/functions_admin.php";


if ($user['root']==0 || $user['id'] == 0 || !isset($user['id'])){
	PermissionError($lang['err']['not_perm']);
	exit;
}else{
	$sel = $_GET["sel"]?$_GET["sel"]:$_POST["sel"];
	switch($sel){
		case "save"	: SaveFile(); break;
		default		: ViewFile();
	}
}

function ViewFile(){
	global $smarty, $dbconn, $config, $config_admin, $lang, $user;
	AdminMainMenu("",1);
	
	$file_name = isset($_SERVER["PHP_SELF"])? AfterLastSlash($_SERVER["PHP_SELF"]): "admin_edit_langfile.php"; 
	$form["action"] = $file_name;
	$smarty->assign("form", $form);
	
	$id_loc = $_GET["id_loc"]?intval($_GET["id_loc"]):intval($_POST["id_loc"]);
	$smarty->assign("id_loc", $id_loc);
	
	$strSQL = "select id, name from ".LANGUAGE_TABLE." where id_location=".$id_loc." order by id";
	$rs = $dbconn->Execute($strSQL);
	$i = 0;
	while(!$rs->EOF){
		$languages[$i]["id"] = $rs->fields[0];
		$languages[$i]["name"] = $rs->fields[1];
		if($rs->fields[0] == $config["default_lang"]){
			$languages[$i]["this"] = 1;
			$current_lang["id"] = $languages[$i]["id"];
			$current_lang["name"] = $languages[$i]["name"];
		}else{
			$languages[$i]["this"] = 0;
		}
		$rs->MoveNext(); $i++;
	}
	$smarty->assign("languages", $languages);
	$smarty->assign("current_lang", $current_lang);
	
	$dir=$config["site_path"].$config["path_lang"]."/{$current_lang["name"]}";
	$mes = scan_dir_file($dir);

	$s = $_GET["file"]?$_GET["file"]:$_POST["file"];
	if(!$s) $s = 0;
	
	/////// select of sections
	for($i=0;$i<count($mes)-1;$i++){
		$file[$i]["name"] = $mes[$i];
		$file[$i]["value"] = $i;
		if($file[$i]["value"] == $s ){
			$file[$i]["this"] = 1;
			$current = $file[$i]["name"];
		}
		else 
			$file[$i]["this"] = 0;
	}
	$smarty->assign("file", $file);

	$xml_parser = new SimpleXmlParser("{$config["site_path"]}{$config["path_lang"]}/{$current_lang["name"]}/{$current}");
	$xml_root = $xml_parser->getRoot();
	$count = $xml_root->childrenCount;
	$i=0;
	foreach ( $xml_root->children as $node){
		switch($node->tag){
			case "lines":
				$data[$i]["descr"] = $node->attrs["descr"];
				$data[$i]["name"] = $node->attrs["name"];
				$data[$i]["value"] = htmlspecialchars(stripslashes($node->value));
				$i++;
			break;
		}
	}
	$smarty->assign("data", $data);
	
	$smarty->assign("header1", "Settings");
	$smarty->assign("header2", "Language Editor");
	$smarty->assign("hint", "");
	$smarty->display(TrimSlash($config["admin_theme_path"])."/admin_edit_langfile.tpl");
}

function SaveFile(){
	global $smarty, $dbconn, $config, $config_admin, $lang, $user;
	
	$strSQL = "select name from ".LANGUAGE_TABLE." where id=".intval($_POST["id_lang"]);
	$rs = $dbconn->Execute($strSQL);
	$current_lang = $rs->fields[0];
	
	$dir=$config["site_path"].$config["path_lang"]."/{$current_lang}";
	$mes = scan_dir_file($dir);
	
	$file = $mes[intval($_POST["file"])];
	
	$path = "{$config["site_path"]}/languages/{$current_lang}/{$file}";

	$new_xml_strings = array();
	foreach ($_POST["descr"] as $key=>$item){
		$new_xml_strings[] = new XmlNode( "lines", array("name" => $key, "descr" =>$item), null, str_replace(array("'","\"","\'"),"&#145;",addslashes($_POST["name"][$key])) );
	}
	$xml_strings = new XmlNode( "data", array(), $new_xml_strings );
	$obj_saver = new Object2Xml(true);
	$obj_saver->Save( $xml_strings, $path);
	unset( $xml_strings, $new_xml_strings, $obj_saver);
	ViewFile();
	exit;
}

?>