<?php
include "../common.php";
include "../include/config_admin.php";
include "../include/functions_admin.php";
include "../include/function_uk_convert.php";

if ($user['root']==0 || $user['id'] == 0 || !isset($user['id'])){
	PermissionError($lang['err']['not_perm']);
	exit;
}else{
	$sel = $_GET["sel"]?$_GET["sel"]:$_POST["sel"];
	$convertto = $_GET["convertto"]?$_GET["convertto"]:$_POST["convertto"];
	$mode_form = $_GET["mode_form"]?strtoupper($_GET["mode_form"]):strtoupper($_POST["mode_form"]);
	
	switch($sel){
		case "view"		:	ViewForm($mode_form);break;
		case "convert"	:	ConvertTo($convertto,$mode_form);break;
		case "delete"	:	DeleteForm($mode_form);break;
		case "print"	:	PrintForm($mode_form);break;
		default			: 	ListForm($mode_form);
	}
}

function ConvertTo($convertto,$mode_form){
	global $config; //$smarty, $dbconn, $config_admin, $lang, $user, $admin_lang
	AdminMainMenu();
	
	$id_form = intval($_REQUEST['id']);
	$date = date("Y_m_d");
    switch($convertto){
		case "csv"		: 
				$data = db2csv($id_form,$mode_form, ",");
				$filename = "temp_csv_".$date.".csv";
				$header = "Content-Description: PHP Generated CSV Data";
				$header1= "Content-type: text/cvs";
				break;
	}
    
	if (!is_dir($config["site_path"]."/export/")) {
		mkdir($config["site_path"]."/export/",0777);
	}
	$fd = fopen ($config["site_path"]."/export/".$filename, "w");
	fputs ($fd, $data);
	fclose ($fd);
	
	header ( "Cache-Control: public" );
	header ( $header );
	header ( "Content-Disposition: attachment; filename=$filename" );
	header ( $header1 );
	echo $data;
	exit;
	
}

function DeleteForm($mode_form){
	$id = intval($_GET["id"]);
	FormDelete($id,$mode_form);
	ViewForm($mode_form);
	exit;
}

function PrintForm($mode_form){
	global $smarty, $dbconn, $config, $config_admin, $lang,$user,$admin_lang;
	AdminMainMenu();
	if (isset($_GET["id"]) && !empty($_GET["id"])) {
		$id = intval($_GET["id"]);
		$smarty->assign("light",1);
		$data = array();
		$strSQL = "select id_user from ".APPLICATION_FORM_TABLE." where id_form={$id} and form_type='{$mode_form}'";
		$rs = $dbconn->Execute($strSQL);
		$id_user = $rs->fields[0];
		switch ($mode_form){
			case "FIRST":
				for($i=1; $i<4; $i++){
					$strSQL = "select * from ".constant("FORM_UK_FIRST_{$i}_TABLE")." where id={$id}";
					$rs = $dbconn->Execute($strSQL);
					$result = $rs->GetRowAssoc(false);
					$data = array_merge($data,$result);
				}
				$userdata = GetUserData($id_user);
				$data = array_merge($data,$userdata);
				$smarty->assign("data",$data);
				$smarty->assign("first",parse("{$config["site_path"]}{$_SESSION["path_lang"]}/firsttimebuyer_fapp_uk1.xml"));
				$smarty->assign("second",parse("{$config["site_path"]}{$_SESSION["path_lang"]}/firsttimebuyer_fapp_uk2.xml"));
				$smarty->assign("three",parse("{$config["site_path"]}{$_SESSION["path_lang"]}/firsttimebuyer_fapp_uk3.xml"));
				
				$table = $smarty->fetch(TrimSlash($config["admin_theme_path"])."/admin_forms_uk_first.tpl");
				break;
			case "MHOME":
				for($i=1; $i<4; $i++){
					$strSQL = "select * from ".constant("FORM_UK_MHOME_{$i}_TABLE")." where id={$id}";
					$rs = $dbconn->Execute($strSQL);
					$result = $rs->GetRowAssoc(false);
					$data = array_merge($data,$result);
				}
				$userdata = GetUserData($id_user);
				$data = array_merge($data,$userdata);

				$smarty->assign("data",$data);
				$smarty->assign("first",parse("{$config["site_path"]}{$_SESSION["path_lang"]}/moving_home_fapp_uk1.xml"));
				$smarty->assign("second",parse("{$config["site_path"]}{$_SESSION["path_lang"]}/moving_home_fapp_uk2.xml"));
				$smarty->assign("three",parse("{$config["site_path"]}{$_SESSION["path_lang"]}/moving_home_fapp_uk3.xml"));
				
				$table = $smarty->fetch(TrimSlash($config["admin_theme_path"])."/admin_forms_uk_mhome.tpl");
				break;
			case "REMORTGAGE":
				for($i=1; $i<4; $i++){
					$strSQL = "select * from ".constant("FORM_UK_REMORTGAGE_{$i}_TABLE")." where id={$id}";
					$rs = $dbconn->Execute($strSQL);
					$result = $rs->GetRowAssoc(false);
					$data = array_merge($data,$result);
				}
				$userdata = GetUserData($id_user);
				$data = array_merge($data,$userdata);

				$smarty->assign("data",$data);
				$smarty->assign("first",parse("{$config["site_path"]}{$_SESSION["path_lang"]}/remortgage_fapp_uk1.xml"));
				$smarty->assign("second",parse("{$config["site_path"]}{$_SESSION["path_lang"]}/remortgage_fapp_uk2.xml"));
				$smarty->assign("three",parse("{$config["site_path"]}{$_SESSION["path_lang"]}/remortgage_fapp_uk3.xml"));
			
				$table = $smarty->fetch(TrimSlash($config["admin_theme_path"])."/admin_forms_uk_remortgage.tpl");
				break;
			case "BUY_TO_LET":
				for($i=1; $i<5; $i++){
					$strSQL = "select * from ".constant("FORM_UK_BUY_TO_LET_{$i}_TABLE")." where id={$id}";
					$rs = $dbconn->Execute($strSQL);
					$result = $rs->GetRowAssoc(false);
					$data = array_merge($data,$result);
				}
				$userdata = GetUserData($id_user);
				$data = array_merge($data,$userdata);

				$smarty->assign("data",$data);
				$smarty->assign("first",parse("{$config["site_path"]}{$_SESSION["path_lang"]}/buy_to_let_fapp_uk1.xml"));
				$smarty->assign("second",parse("{$config["site_path"]}{$_SESSION["path_lang"]}/buy_to_let_fapp_uk2.xml"));
				$smarty->assign("three",parse("{$config["site_path"]}{$_SESSION["path_lang"]}/buy_to_let_fapp_uk3.xml"));
				$smarty->assign("fourth",parse("{$config["site_path"]}{$_SESSION["path_lang"]}/buy_to_let_fapp_uk4.xml"));
			
				$table = $smarty->fetch(TrimSlash($config["admin_theme_path"])."/admin_forms_uk_buytolet.tpl");
				break;
		}
		
		print $table;
		print "<script language='Javascript'>window.print();window.close()</script>";
		exit;
	}else{
		print "<script language='Javascript'>window.close()</script>";
		exit;
	}
}

function ViewForm($mode_form){
	global $smarty, $dbconn, $config, $config_admin, $lang,$user,$admin_lang;
	AdminMainMenu();
	
	$form["action"] = isset($_SERVER["PHP_SELF"]) ? AfterLastSlash($_SERVER["PHP_SELF"]) : "admin_forms_uk.php";
	
	$smarty->assign("header1", $admin_lang["header"]["customers_management"]["header1"]);
	$smarty->assign("hint","");
	$smarty->assign("light", 1);
	
	$id = intval($_GET["id"]);
	$data = array();
	$strSQL = "select id_user from ".APPLICATION_FORM_TABLE." where id_form={$id} and form_type='{$mode_form}'";
	$rs = $dbconn->Execute($strSQL);
	$id_user = $rs->fields[0];
	
	switch ($mode_form){
		case "FIRST":
			for($i=1; $i<4; $i++){
				$strSQL = "select * from ".constant("FORM_UK_FIRST_{$i}_TABLE")." where id={$id}";
				$rs = $dbconn->Execute($strSQL);
				$result = $rs->GetRowAssoc(false);
				$data = array_merge($data,$result);
			}
			$userdata = GetUserData($id_user);
			$data = array_merge($data,$userdata);

			$smarty->assign("data",$data);
			$smarty->assign("first",parse("{$config["site_path"]}{$_SESSION["path_lang"]}/firsttimebuyer_fapp_uk1.xml"));
			$smarty->assign("second",parse("{$config["site_path"]}{$_SESSION["path_lang"]}/firsttimebuyer_fapp_uk2.xml"));
			$smarty->assign("three",parse("{$config["site_path"]}{$_SESSION["path_lang"]}/firsttimebuyer_fapp_uk3.xml"));
			$smarty->assign("header2", $admin_lang["header"]["forms_uk_first"]["header2"]);
			
			$smarty->display(TrimSlash($config["admin_theme_path"])."/admin_forms_uk_first.tpl");
			break;
		case "MHOME":
			for($i=1; $i<4; $i++){
				$strSQL = "select * from ".constant("FORM_UK_MHOME_{$i}_TABLE")." where id={$id}";
				$rs = $dbconn->Execute($strSQL);
				$result = $rs->GetRowAssoc(false);
				$data = array_merge($data,$result);
			}
			$userdata = GetUserData($id_user);
			$data = array_merge($data,$userdata);

			$smarty->assign("data",$data);
			$smarty->assign("first",parse("{$config["site_path"]}{$_SESSION["path_lang"]}/moving_home_fapp_uk1.xml"));
			$smarty->assign("second",parse("{$config["site_path"]}{$_SESSION["path_lang"]}/moving_home_fapp_uk2.xml"));
			$smarty->assign("three",parse("{$config["site_path"]}{$_SESSION["path_lang"]}/moving_home_fapp_uk3.xml"));
			$smarty->assign("header2", $admin_lang["header"]["forms_uk_mhome"]["header2"]);
			
			$smarty->display(TrimSlash($config["admin_theme_path"])."/admin_forms_uk_mhome.tpl");
		case "REMORTGAGE":
			for($i=1; $i<4; $i++){
				$strSQL = "select * from ".constant("FORM_UK_REMORTGAGE_{$i}_TABLE")." where id={$id}";
				$rs = $dbconn->Execute($strSQL);
				$result = $rs->GetRowAssoc(false);
				$data = array_merge($data,$result);
			}
			$userdata = GetUserData($id_user);
			$data = array_merge($data,$userdata);

			$smarty->assign("data",$data);
			$smarty->assign("first",parse("{$config["site_path"]}{$_SESSION["path_lang"]}/remortgage_fapp_uk1.xml"));
			$smarty->assign("second",parse("{$config["site_path"]}{$_SESSION["path_lang"]}/remortgage_fapp_uk2.xml"));
			$smarty->assign("three",parse("{$config["site_path"]}{$_SESSION["path_lang"]}/remortgage_fapp_uk3.xml"));
			$smarty->assign("header2", $admin_lang["header"]["forms_uk_remortgage"]["header2"]);
			
			$smarty->display(TrimSlash($config["admin_theme_path"])."/admin_forms_uk_remortgage.tpl");
			break;
		case "BUY_TO_LET":
			for($i=1; $i<5; $i++){
				$strSQL = "select * from ".constant("FORM_UK_BUY_TO_LET_{$i}_TABLE")." where id={$id}";
				$rs = $dbconn->Execute($strSQL);
				$result = $rs->GetRowAssoc(false);
				$data = array_merge($data,$result);
			}
			$userdata = GetUserData($id_user);
			$data = array_merge($data,$userdata);

			$smarty->assign("data",$data);
			$smarty->assign("first",parse("{$config["site_path"]}{$_SESSION["path_lang"]}/buy_to_let_fapp_uk1.xml"));
			$smarty->assign("second",parse("{$config["site_path"]}{$_SESSION["path_lang"]}/buy_to_let_fapp_uk2.xml"));
			$smarty->assign("three",parse("{$config["site_path"]}{$_SESSION["path_lang"]}/buy_to_let_fapp_uk3.xml"));
			$smarty->assign("fourth",parse("{$config["site_path"]}{$_SESSION["path_lang"]}/buy_to_let_fapp_uk4.xml"));
			$smarty->assign("header2", $admin_lang["header"]["forms_uk_buy_to_let"]["header2"]);
			
			$smarty->display(TrimSlash($config["admin_theme_path"])."/admin_forms_uk_buytolet.tpl");
			break;	
	}
}

function ListForm($mode_form){
	global $smarty, $dbconn, $config, $config_admin, $lang, $user, $admin_lang;
	AdminMainMenu();
	
	$form["action"] = isset($_SERVER["PHP_SELF"]) ? AfterLastSlash($_SERVER["PHP_SELF"]) : "admin_forms_uk.php";
	$mode_form = strtoupper($mode_form);
	
	$strSQL = "SELECT app.*, loan.name as name_loanofficer FROM ".APPLICATION_FORM_TABLE." app LEFT JOIN ".LOAN_OFFICER_TABLE." loan on app.id_loanofficer = loan.id WHERE app.country_type = 'uk' AND app.form_type='{$mode_form}'";
	$rs = $dbconn->Execute($strSQL);
	$i=0;
	while (!$rs->EOF){
		$row = $rs->GetRowAssoc(false);
		$forms[$i]["id"] = $row["id"];
		$forms[$i]["username"] = $row["user_name"];
		$forms[$i]["type"] = $row["type"];
		$forms[$i]["loan_amount"] = $row["loan_amount"];
		$forms[$i]["date_send"] = $row["date_send"];
		$forms[$i]["form_name"] = $row["form_name"];
		$forms[$i]["id_form"] = $row["id_form"];
		$forms[$i]["id_loanofficer"] = $row["id_loanofficer"];
		$forms[$i]["form_type"] = $row["form_type"];
		$forms[$i]["name_loanofficer"] = $row["name_loanofficer"];
		
		$forms[$i]["view_link"] = "{$config["server"]}/admin/{$form["action"]}?sel=view&id={$forms[$i]["id_form"]}&mode_form={$forms[$i]["form_type"]}";
		$forms[$i]["print_link"] = "{$config["server"]}/admin/{$form["action"]}?sel=print&id={$forms[$i]["id_form"]}&mode_form={$forms[$i]["form_type"]}";
		$forms[$i]["delete_link"] = "{$config["server"]}/admin/{$form["action"]}?sel=delete&id={$forms[$i]["id_form"]}&mode_form={$forms[$i]["form_type"]}";
		$forms[$i]["convert_link"] = "{$config["server"]}/admin/{$form["action"]}?sel=convert&id={$forms[$i]["id_form"]}&mode_form={$forms[$i]["form_type"]}&convertto=csv";
		
		$rs->MoveNext();
		$i++;
	}
	$smarty->assign("forms", $forms);
	$smarty->assign("header1", $admin_lang["header"]["customers_management"]["header1"]);
	$smarty->assign("hint","");
	$mode_form = strtoupper($mode_form);
	switch ($mode_form){
		case "FIRST":
			$smarty->assign("header2", $admin_lang["header"]["forms_uk_first"]["header2"]);
			break;
		case "MHOME":
			$smarty->assign("header2", $admin_lang["header"]["forms_uk_mhome"]["header2"]);
			break;	
		case "REMORTGAGE":
			$smarty->assign("header2", $admin_lang["header"]["forms_uk_remortgage"]["header2"]);
			break;
		case "BUY_TO_LET":
			$smarty->assign("header2", $admin_lang["header"]["forms_uk_buy_to_let"]["header2"]);
			break;	
	}
	$smarty->display(TrimSlash($config["admin_theme_path"])."/admin_forms_uk.tpl");
}	
?>