<?php

include "../include/config.php";
include_once "../common.php";
include_once "../include/config_admin.php";
include "../include/functions_admin.php";

	AdminMainMenu();
	$admin_menu = parse("{$config["site_path"]}{$_SESSION["path_lang"]}/admin_menu.xml");
	$smarty->assign("admin_menu", $admin_menu);

function AdminXMLMenu( $root ) {
	global $config, $lang, $item_uid, $admin_menu;

	
	$menu = array();
	foreach ( $root->children as $cnt => $node ) {
		$item_uid ++;
		switch($node->tag){
			case "section":
				$menu[$cnt] = array();
				$menu[$cnt][0] = $admin_menu[$node->attrs["name"]]["name"];
				$menu[$cnt][1] = '';
				$menu[$cnt][2] = array();
				if ($node->childrenCount > 0) {
					$menu[$cnt][2] = AdminXMLMenu( $node );
				}
				break;
			case "item":
				$menu[$cnt] = array();
				$menu[$cnt][0] = array();
				$menu[$cnt][0][0] = $admin_menu[$node->attrs["name"]]["name"];
				$menu[$cnt][0][1] = $config["site_root"].$config["admin_theme"].$node->attrs["img"];
				$menu[$cnt][0][2] = $config["site_root"].$node->attrs["href"];
				$menu[$cnt][0][3] = "item".$item_uid;
				$menu[$cnt][1] = array();
				if ($node->childrenCount > 0) {
					$menu[$cnt][1] = AdminXMLMenu( $node );
				}
				break;
			case "subitem":
				$menu[$cnt] = array();
				$menu[$cnt][0] = $admin_menu[$node->attrs["name"]]["name"];
				$menu[$cnt][1] = $config["site_root"].$config["admin_theme"].$node->attrs["img"];
				$menu[$cnt][2] = $config["site_root"].$node->attrs["href"];
				if ($node->attrs["onclick"] != "")
					$node->attrs["onclick"] = str_replace("[href]",$menu[$cnt][2],$node->attrs["onclick"]);
				$menu[$cnt][3] = $node->attrs["onclick"];
				break;
		}
	}
	return $menu;
}

function AdminJSMenu( $menu_arr, $keys = "" ) {
	$menu_str = "";
	foreach ( $menu_arr as $key => $value ) {
		if (is_array($menu_arr[$key])) {
			$menu_str .= "menuElements".$keys."[".$key."] = new Array();\n";
			$menu_str .= AdminJSMenu( $menu_arr[$key], $keys."[".$key."]" );
		} else {
			$menu_str .= "menuElements".$keys."[".$key."] = \"".$value."\";\n";
		}
	}
	return $menu_str;
}

if (isset($_GET["js"])) {

	$xml_parser = new SimpleXmlParser( $config["site_path"].$config_admin["admin_menu"] );
	$xml_root = $xml_parser->getRoot();
	$menu_arr = array();
	$menu_arr = AdminXMLMenu( $xml_root );
	$menu_str = AdminJSMenu( $menu_arr );
	unset( $xml_parser, $xml_root );
    
	$smarty->assign("menuElements", $menu_str);
	$smarty->display(TrimSlash($config["admin_theme_path"])."/js/menu.js");
}

if (isset($_GET["css"])) {
	$smarty->display(TrimSlash($config["admin_theme_path"])."/css/menu.css");
}

?>
