<?php
include "../common.php";
include "../include/config_admin.php";
include "../include/functions_admin.php";
  
if ($user['root']==0 || $user['id'] == 0 || !isset($user['id'])){
	PermissionError($lang['err']['not_perm']);
	exit;
}
  
$sel = $_GET["sel"]?$_GET["sel"]:$_POST["sel"];

switch($sel){
	case "add"	: EditEvent($par="add"); break;
	case "save"	: EditEvent(); break;
	case "del"	: DeleteEvent(); break;
	case "edit"	: EditEvent(); break;
	default		: ListEvents();
}

	function ListEvents($err=""){
		global $smarty, $dbconn, $config, $config_admin, $page, $admin_lang;
		
		if(isset($_SERVER["PHP_SELF"]))
			$file_name = AfterLastSlash($_SERVER["PHP_SELF"]); 
		else
			$file_name = "admin_notific.php";

		AdminMainMenu();
	
		$strSQL = "SELECT id, DATE_FORMAT(date,'%Y-%m-%d') as date, DATE_FORMAT(time,'%H:%i') as time, descr 
				FROM ".REMINDERS_TABLE." WHERE user_id=0 
				order by date,time";
		
		$rs = $dbconn->Execute($strSQL);
		$i = 0;
		if($rs->RowCount()>0){
			while(!$rs->EOF){
				$row = $rs->GetRowAssoc(false);
				$event[$i]["number"] = $i+1;
				$event[$i]["id"] = $row["id"];
				
				$event[$i]["date"] = $row["date"];
				$event[$i]["time"] = $row["time"];
				if (strlen($row["descr"])<150) {
					$event[$i]["descr"] = stripslashes(strip_tags($row["descr"]));	
				} else {
					$event[$i]["descr"] = stripslashes(substr(strip_tags($row["descr"]),0,150)."...");
				}
				
				$event[$i]["edit_link"] = $file_name."?sel=edit&id=".$row["id"];
				$event[$i]["delete_link"] = $file_name."?sel=del&id=".$row["id"];
				$rs->MoveNext();
				$i++;
			}
		}
		
		$smarty->assign("event", $event);

		$smarty->assign("add_link", $file_name."?sel=add");
		$form["err"] = $err;
		$smarty->assign("form", $form);
		$smarty->assign("mode", "view");
		$smarty->assign("header1", $admin_lang["header"]["system_settings"]["header1"]);
		$smarty->assign("header2", $admin_lang["header"]["notification"]["header2"]);
		$smarty->assign("hint", $admin_lang["admin_help"]["notification"]);
		$smarty->display(TrimSlash($config["admin_theme_path"])."/admin_notific.tpl");
		exit;
	}
	
	function EditEvent($par="add") {
		global $smarty, $dbconn, $config, $config_admin, $page, $admin_lang;
		if(isset($_SERVER["PHP_SELF"]))
			$file_name = AfterLastSlash($_SERVER["PHP_SELF"]); 
		else
			$file_name = "admin_notific.php";

		if ($_REQUEST["user"]) {
			$rs=$dbconn->Execute("SELECT name, login from ".USERS_TABLE." WHERE id=".intval($_REQUEST["user"]));
			$smarty->assign("user",$rs->fields[0]."(".$rs->fields[1].")");	
		}
		AdminMainMenu();
	
		$lang["month"] = array($admin_lang["month"]["1"],$admin_lang["month"]["2"],$admin_lang["month"]["3"],$admin_lang["month"]["4"],$admin_lang["month"]["5"],$admin_lang["month"]["6"],$admin_lang["month"]["7"],$admin_lang["month"]["8"],$admin_lang["month"]["9"],$admin_lang["month"]["10"],$admin_lang["month"]["11"],$admin_lang["month"]["12"]);
		for($i=0;$i<12;$i++)
			$lang["month1"][$i+1] = $lang["month"][$i];
		$lang["month"] = $lang["month1"];	
		$par = $par ? $par : "edit";
		
		if ($_GET["id"]) $form["par"] = "edit";
		else $form["par"] = $par;
		$form["action"] = $file_name;
		$form["back"] = $file_name;
		$form["hiddens"] = "<input type=hidden name=sel value=save>";
		$form["hiddens"] .= "<input type=hidden name=id value='".$_GET["id"]."'>";
		$smarty->assign("form", $form);

		if ($_POST["sel"]=='add') {
			AddEvent($par='add');
		} elseif ($_POST["sel"]=='save') {
			AddEvent($par='save');
			
		} else {
			if ($_GET["id"]) {
				$strSQL = "SELECT id, DATE_FORMAT(date,'%Y')  as s_year, DATE_FORMAT(date,'%m')  as s_month, DATE_FORMAT(date,'%d')  as s_day, DATE_FORMAT(time,'%H')  as s_hour, DATE_FORMAT(time,'%i')  as s_min, descr
							FROM ".REMINDERS_TABLE." 
							WHERE id = '".intval($_GET["id"])."'";
				$rs = $dbconn->Execute($strSQL);
				$row = $rs->GetRowAssoc(false);
				$data["id"] = $row["id"];
				$data["s_year"] = $row["s_year"];
				$data["s_month"] = $row["s_month"];
				$data["s_day"] = $row["s_day"];
				$data["s_hour"] = $row["s_hour"];
				$data["s_min"] = $row["s_min"];

				$data["descr"] = stripslashes($row["descr"]);
			}
		//finish
		//// day select
		if(intval($data["s_day"])==0) $data["s_day"] = date("d");
		for($i=0;$i<31;$i++){
			$s_day[$i]["value"] = sprintf("%02d",$i+1);
			if(intval($data["s_day"]) == $i+1)
				$s_day[$i]["sel"] = 1;
			else
				$s_day[$i]["sel"] = 0;
		}
		$smarty->assign("s_day", $s_day);
	
		////  month select
		if(intval($data["s_month"])==0) $data["s_month"] = date("m");
		for($i=0;$i<12;$i++){
			$s_month[$i]["value"] = $i+1;
			$s_month[$i]["name"] = $lang["month"][$i+1];
			if(intval($data["s_month"]) == $i+1)
				$s_month[$i]["sel"] = 1;
			else
				$s_month[$i]["sel"] = 0;
		}
		$smarty->assign("s_month", $s_month);
		////year select
		if(intval($data["s_year"])==0) $data["s_year"] = date("Y");
		for($i=0;$i<3;$i++){
			$y = intval(date("Y"))+1-$i;
			$s_year[$i]["value"] = $y;
			if(intval($data["s_year"]) == $y)
				$s_year[$i]["sel"] = 1;
			else
				$s_year[$i]["sel"] = 0;
		}
		$smarty->assign("s_year", $s_year);
		//hour
		
		for($i=0;$i<24;$i++){
			$s_hour[$i]["value"] = sprintf("%02d",$i);
			if($data["s_hour"] == $i)
				$s_hour[$i]["sel"] = 1;
			else
				$s_hour[$i]["sel"] = 0;
		}
		$smarty->assign("s_hour", $s_hour);
		//minute
		
		for($i=0;$i<60;$i++){
			$s_min[$i]["value"] = sprintf("%02d",$i);
			if($data["s_min"] == $i)
				$s_min[$i]["sel"] = 1;
			else
				$s_min[$i]["sel"] = 0;
		}
		$smarty->assign("s_min", $s_min);
		
		$smarty->assign("data", $data);
		$smarty->assign("mode", "edit");
		$smarty->assign("header1", $admin_lang["header"]["system_settings"]["header1"]);
		$smarty->assign("header2", $admin_lang["header"]["notification_add"]["header2"]);
		$smarty->assign("hint", $admin_lang["admin_help"]["notification_add"]);
		$smarty->display(TrimSlash($config["admin_theme_path"])."/admin_notific.tpl");
		exit;
		}
	}

	function AddEvent($par) {
		global $smarty, $dbconn, $config, $page, $admin_lang, $lang;
		
		$lang["month"] = array($admin_lang["month"]["1"],$admin_lang["month"]["2"],$admin_lang["month"]["3"],$admin_lang["month"]["4"],$admin_lang["month"]["5"],$admin_lang["month"]["6"],$admin_lang["month"]["7"],$admin_lang["month"]["8"],$admin_lang["month"]["9"],$admin_lang["month"]["10"],$admin_lang["month"]["11"],$admin_lang["month"]["12"]);
		for($i=0;$i<12;$i++)
			$lang["month1"][$i+1] = $lang["month"][$i];
		$lang["month"] = $lang["month1"];
		
		$year = intval($_POST["s_year"]);
		$month = intval($_POST["s_month"]);
		$day = intval($_POST["s_day"]);
		$hour = $_POST["s_hour"];
		$min = $_POST["s_min"];

		$descr = $_POST["contain"];
		/// check start and finish date
		if (checkdate($month, $day, $year)){
			$start_date = $year."-".$month."-".$day." ".$hour.":".$min;
		} else {
			$err = $lang["err"]["invalid_date"];
		}
		/// check empty values
		if(!strlen($descr)){
			$err = $lang["err"]["empty_fields"];
		}
		$data["descr"] = $descr;
		$data["s_year"] = $year;
		$data["s_month"] = $month;
		$data["s_day"] = $day;
		$data["s_hour"] = $hour;
		$data["s_min"] = $min;
				
		$data["date"] = $start_date;
		$data["time"] = $data["s_hour"].":".$data["s_min"];
		//start
		/// day select
		if(intval($data["s_day"])==0) $data["s_day"] = date("d");
		for($i=0;$i<31;$i++){
			$s_day[$i]["value"] = sprintf("%02d",$i+1);
			if(intval($data["s_day"]) == $i+1)
				$s_day[$i]["sel"] = 1;
			else
				$s_day[$i]["sel"] = 0;
		}
		$smarty->assign("s_day", $s_day);
		////  month select
		if(intval($data["s_month"])==0) $data["s_month"] = date("m");
		for($i=0;$i<12;$i++){
			$s_month[$i]["value"] = $i+1;
			$s_month[$i]["name"] = $lang["month"][$i+1];
			if(intval($data["s_month"]) == $i+1)
				$s_month[$i]["sel"] = 1;
			else
				$s_month[$i]["sel"] = 0;
		}
		$smarty->assign("s_month", $s_month);
		////year select
		if(intval($data["s_year"])==0) $data["s_year"] = date("Y");
		for($i=0;$i<3;$i++){
			$y = intval(date("Y"))+1-$i;
			$s_year[$i]["value"] = $y;
			if(intval($data["s_year"]) == $y)
				$s_year[$i]["sel"] = 1;
			else
				$s_year[$i]["sel"] = 0;
		}
		$smarty->assign("s_year", $s_year);	
				//hour
		
		for($i=0;$i<24;$i++){
			$s_hour[$i]["value"] = sprintf("%02d",$i);
			if($data["s_hour"] == $i)
				$s_hour[$i]["sel"] = 1;
			else
				$s_hour[$i]["sel"] = 0;
		}
		$smarty->assign("s_hour", $s_hour);
		//minute
		
		for($i=0;$i<60;$i++){
			$s_min[$i]["value"] = sprintf("%02d",$i);
			if($data["s_min"] == $i)
				$s_min[$i]["sel"] = 1;
			else
				$s_min[$i]["sel"] = 0;
		}
		$smarty->assign("s_min", $s_min);
		
		if ($err) {
			$smarty->assign("err",$err);
			$smarty->assign("mode", "edit");
			$smarty->assign("data", $data);
			$smarty->display(TrimSlash($config["admin_theme_path"])."/admin_notific.tpl");
		} else {
			if ($par=='add'){
				$strSQL = "INSERT INTO ".REMINDERS_TABLE." (date, time, descr,user_id)
						VALUES ('".$data["date"]."', '".$data["time"]."', '".addslashes($data["descr"])."',0)";
				$dbconn->Execute($strSQL);
			} elseif ($par=='save'){
				
				$strSQL = "UPDATE ".REMINDERS_TABLE." 
						SET date='".$data["date"]."', time='".$data["time"]."', descr='".addslashes($data["descr"])."'
						WHERE id='".intval($_POST["id"])."' ";
				$dbconn->Execute($strSQL);
			}
			ListEvents();
		}
	}
	
	function DeleteEvent($err="") {
		global $dbconn;
		$id = $_GET["id"]?intval($_GET["id"]):intval($_POST["id"]);
		$dbconn->Execute("DELETE FROM ".REMINDERS_TABLE." WHERE id='".$id."'");
		ListEvents();
		exit;
	}

?>