<?php
include "../common.php";
include "../include/config_admin.php";
include "../include/functions_admin.php";

if ($user['root']==0 || $user['id'] == 0 || !isset($user['id'])){
	PermissionError($lang['err']['not_perm']);
	exit;
}

@$sel = $_POST["sel"]?addslashes($_POST["sel"]):addslashes($_GET["sel"]);
@$id = $_POST["id"]?intval($_POST["id"]):intval($_GET["id"]);

switch ($sel){
	case "view	"	:	ViewForm();break;
	case "delete"	:	Delete($id);break;
	case "view_form":	OpenForm($id);break;
	case "close"	:	CloseForm($id);break;
	case "admstatus":	AdmStatus($id);break;
	default			: 	ViewForm();
}
	
function AdmStatus($id){
	global $dbconn, $admin_lang; //, $config, $smarty

	$value = $_POST["value"]?addslashes($_POST["value"]):addslashes($_GET["value"]);
	$strSQL = "select fapp.admstatus,fapp.id_user, u.email as email, fapp.status
					from ".APPLICATION_FORM_TABLE." fapp 
					inner join ".USERS_TABLE." u ON fapp.id_user=u.id where fapp.id={$id}";
	$rs=$dbconn->Execute($strSQL);
	$row = $rs->GetRowAssoc(false);

	$dbconn->Execute("update ".APPLICATION_FORM_TABLE." set admstatus='".$value."' where id={$id}");


	if ($value=='closed') {
		CloseForm($id);
		exit();
	}

	$settings = GetSiteSettings(array("admin_email"));
	$headers = "From: <".$settings["admin_email"].">\r\n";
	$headers .= "X-Mailer: PHP/".phpversion()."\r\n";
	$headers .= "X-Priority: 0\r\n";
	$headers .= "MIME-Version: 1.0\r\n";
	$headers .= "Content-type: text/html; charset=utf-8\r\n";
	$message = $admin_lang["app_status"].": <b>".$value."</b>";
	@mail ($row['email'],$admin_lang["app_status"],$message, $headers);

	ViewForm();
	exit;
}
	
function ViewForm(){
	global $dbconn, $smarty, $config, $admin_lang;

	AdminMainMenu();

	$file_name = (isset($_SERVER["PHP_SELF"])) ? AfterLastSlash($_SERVER["PHP_SELF"]) : "admin_pipeline.php";

	//search
	@$name = $_POST["name"]?addslashes($_POST["name"]):addslashes($_GET["name"]);
	@$type = $_POST["type"]?addslashes($_POST["type"]):addslashes($_GET["type"]);
	@$status = $_POST["status"]?addslashes($_POST["status"]):addslashes($_GET["status"]);
	@$date = $_POST["date"]?intval($_POST["date"]):intval($_GET["date"]);
	@$head = $_POST["head"]?addslashes($_POST["head"]):addslashes($_GET["head"]);
	@$astatus = $_POST["astatus"]?addslashes($_POST["astatus"]):addslashes($_GET["astatus"]);

	$rs = $dbconn->Execute("select user_name from ".APPLICATION_FORM_TABLE." order by user_name");
	$i=0;
	if($rs->RowCount()>0){
		while(!$rs->EOF){
			$row = $rs->GetRowAssoc(false);
			$user_name[$i]["name"] = $row["user_name"];
			$rs->MoveNext();
			$i++;
		}
		$smarty->assign("user_name",$user_name);
	}else{
		$smarty->assign("user_name_count",0);
	}


	$name = empty($name)?'':$name;
	$type = empty($type)?'':$type;
	$status = empty($status)?'':$status;
	$date = empty($date)?0:$date;
	$head = empty($head)?'':$head;
	$astatus = empty($astatus)?'':$astatus;

	if(empty($name) && empty($type) && empty($status) && empty($head) && empty($date) && empty($astatus)){
		$name = '';
		$type = '';
		$status = 'all';
		$date = 0;
		$head = '';
		$astatus='new';
	}
	$filter["head"] = $head;
	$filter["name"] = $name;
	$filter["type"] = $type;
	$filter["status"] = $status;
	$filter["date"] = $date;
	$filter["astatus"] = $astatus;
	
	$smarty->assign("filter",$filter);

	$expr = "";
	$sort = "";
	if($name != ""){
		$expr = "where user_name ='".$name."' ";
		$sort = "user_name";
	}
	if($type != ""){
		if ($expr == ""){
			$expr .= "where type = '".$type."' ";
		}else{
			$expr .= "and type = '".$type."' ";
		}
		if ($sort == ""){
			$sort .= " type";
		}else{
			$sort .= ", type";
		}
	}
	if($status != ""){
		if ($expr == ""){
			$expr .= "where status = '".$status."' ";
		}else{
			$expr .= "and status = '".$status."' ";
		}
		if ($sort == ""){
			$sort .= " status";
		}else{
			$sort .= ", status";
		}
	}
	if($astatus){
		if ($expr == ""){
			$expr .= "where admstatus = '".$astatus."' ";
		}else{
			$expr .= "and admstatus = '".$astatus."' ";
		}
		if ($sort == ""){
			$sort .= " admstatus";
		}else{
			$sort .= ", admstatus";
		}
	}
	if($date != 0){
		if ($expr == ""){
			$expr .= "where date_send > DATE_SUB(NOW(),INTERVAL ".$date." MONTH) and date_send < NOW()";
		}else{
			$expr .= "and date_send > DATE_SUB(NOW(),INTERVAL ".$date." MONTH) and date_send < NOW()";
		}
		if ($sort == ""){
			$sort .= " date_send";
		}else{
			$sort .= ", date_send";
		}
	}
	if($status == "all") {
		$expr = "";
		$sort = " date_send";
	}
	switch ($config["default_location"]) {
		case "1": $country_type = "usa"; break;
		case "2": $country_type = "uk"; break;
	}
	if ($expr == ""){
		$expr = "where country_type='{$country_type}'";
	}else{
		$expr .= "and country_type='{$country_type}'";
	}
	// \search
	$strSQL = "select * from ".APPLICATION_FORM_TABLE." ".$expr." order by ".$sort;
	$rs = $dbconn->Execute($strSQL);
	$i=0;
	unset($form);
	if(isset($rs->fields[0])){
		while(!$rs->EOF){
			$row = $rs->GetRowAssoc(false);
			$form[$i]["number"] = $i+1;
			$form[$i]["id"] = $row["id"];
			$form[$i]["user_id"] = $row["id_user"];
			$form[$i]["fapp_id"] = $row["id_form"];
			$form[$i]["user_name"] = stripslashes($row["user_name"]);
			$form[$i]["type"] = $row["type"];
			switch ($row["status"]){
				case "start":
					$form[$i]["status"] = $admin_lang["form_status"][0];
					break;
				case "curr":
					$form[$i]["status"] = $admin_lang["form_status"][1];
					break;
				case "closed":
					$form[$i]["status"] = $admin_lang["form_status"][2];
					break;
			}
			$form[$i]["admstatus"] = $row["admstatus"];
			$form[$i]["loan_amount"] = $row["loan_amount"];
			$form[$i]["date_send"] = $row["date_send"];
			$form[$i]["form_type"] = $row["form_type"];
			$form[$i]["delete_link"] = $file_name."?sel=delete&id={$form[$i]["id"]}&type={$form[$i]["type"]}&alias={$form[$i]["form_type"]}";
			$form[$i]["view_link"] = $file_name."?sel=view_form&id=".$form[$i]["id"]."&type=".$form[$i]["type"];
			$form[$i]["closed_link"] = $file_name."?sel=close&id=".$form[$i]["id"];
			$rs->MoveNext();
			$i++;
		}
		$smarty->assign("form",$form);
	}else{
		$smarty->assign("err",$admin_lang["list_empty"]);
	}
	$smarty->assign("templates_root",$config["server"].$config["admin_theme_path"]."/images");
	$smarty->assign("file_name",$file_name);

	$smarty->assign("header1", $admin_lang["header"]["customers_management"]["header1"]);
	$smarty->assign("header2", $admin_lang["header"]["pipeline"]["header2"]);
	$smarty->assign("hint", $admin_lang["admin_help"]["pipeline"]);
	$smarty->display(TrimSlash($config["admin_theme_path"])."/admin_pipeline.tpl");
	exit;
}

function Delete($id){
	//global $dbconn, $smarty, $config;
	$alias = $_GET["alias"];
	FormDelete($id,$alias);
	$_GET = array_splice($_GET,count($_GET),0);
	$_POST = array_splice($_POST,count($_POST),0);
	ViewForm();
	exit;
}

function OpenForm($id){
	global $dbconn, $config; //$smarty, 
	$type = $_POST["type"]?addslashes($_POST["type"]):addslashes($_GET["type"]);
	switch ($type){
		case "pdf":
			$rs = $dbconn->Execute("select form_name from ".APPLICATION_FORM_TABLE." where id={$id}");
			$settings = GetSiteSettings(array("aplication_form"));
			header("Location: {$config["server"]}{$settings["aplication_form"]}/{$rs->fields[0]}");
			exit;
		case "online":
			$rs = $dbconn->Execute("select id_form,form_type from ".APPLICATION_FORM_TABLE." where id={$id}");
			$row = $rs->GetRowAssoc(false);
			if($config["default_location"]=="1"){
				$path = "admin_forms_usa.php";
				header("Location: {$config["server"]}/admin/{$path}?mode_form={$row["form_type"]}&id={$row["id_form"]}");
				exit;
			}elseif($config["default_location"]=="2"){
				$path = "admin_forms_uk.php";
				header("Location: {$config["server"]}/admin/{$path}?sel=view&mode_form={$row["form_type"]}&id={$row["id_form"]}");
				exit;
			}
			
		default:
			unset($_GET["type"]);
			ViewForm();
			exit;	
				
	}
}

function CloseForm($id){
	global $dbconn, $config; //$smarty, 
	
	$dbconn->Execute("Update ".APPLICATION_FORM_TABLE." SET status='closed',admstatus='closed',date_closed=NOW() where id={$id}");
	$res = $dbconn->Execute("select id_user from ".APPLICATION_FORM_TABLE." where id={$id}");
	
	$path = $config["server"]."/admin/admin_notific.php?sel=add&user=".$res->fields[0];

	header("Location: $path");
	exit;
}
?>