<?php

include_once "../common.php";
include "../include/config_admin.php";
include "../include/functions_admin.php";
include "../include/templates.php";

if ($user['root']==0 || $user['id'] == 0 || !isset($user['id'])){
	PermissionError($lang['err']['not_perm']);
	exit;
}

$sel = $_GET["sel"]?$_GET["sel"]:$_POST["sel"];
$par=$_POST["par"];
$admin_menu = parse("{$config["site_path"]}{$_SESSION["path_lang"]}/admin_menu.xml");
$smarty->assign("admin_menu", $admin_menu);
switch($sel){
	case "change": SaveSettings($par); break;
	case "add_template": TemplateSave(); break;
	case "add_theme": ThemeSave(); break;
	default: ListSettings();
}
	
function ListSettings($err=""){
	global $smarty, $dbconn, $config, $config_admin, $lang,$user, $admin_lang;
	AdminMainMenu();
	
	$lang=new MultiLang($config, $dbconn);
	
	$s = $_POST["section"]?$_POST["section"]:$_GET["section"];
	if(!$s) $s = 1;

	$admin_menu = parse("{$config["site_path"]}{$_SESSION["path_lang"]}/admin_menu.xml");
	$smarty->assign("admin_menu", $admin_menu);

	if(isset($_SERVER["PHP_SELF"]))
		$file_name = AfterLastSlash($_SERVER["PHP_SELF"]);
	else
		$file_name = "admin_settings.php";
	$form["action"] = $file_name;
	$smarty->assign("sections", $_POST["section"]);
	$smarty->assign("section_active", $s);
	$smarty->assign("site_root", $config["site_root"]);
	if($err){
		$form["err"] = $err;
	}
	switch($s){
		case "1":
			//// login
			$strSQL = "select id, name, login, email from ".USERS_TABLE." where id=".$user["id"];
			$rs = $dbconn->Execute($strSQL);
			$data["id"] = $rs->fields[0];
			$data["name"] = $rs->fields[1];
			$data["login"] = $rs->fields[2];
			$data["email"] = $rs->fields[3];
			$settings = GetSiteSettings(array('rate_email','site_email'));
			$data["rate_email"] = $settings["rate_email"];
			$data["site_email"] = $settings["site_email"];
			
			$smarty->assign("header1", $admin_lang["header"]["settings"]["header1"]);
			$smarty->assign("header2", $admin_lang["header"]["settings_admin"]["header2"]);
			$smarty->assign("hint", $admin_lang["admin_help"]["settings_1"]);
			break;
		case "2":
			//// Payment
			$data = GetSiteSettings(array('site_unit_name', 'site_unit_cost','site_unit_costunit', 'payment_type'));
			$rs = $dbconn->Execute("Select abbr from ".UNITS_TABLE." ");
			$i = 0;
			while(!$rs->EOF){
				$currency[$i]["value"] = $rs->fields[0];
				$rs->MoveNext(); $i++;
			}
			$smarty->assign("currency", $currency);
			$smarty->assign("data", $data);
			$smarty->assign("header1", $admin_lang["header"]["settings"]["header1"]);
			$smarty->assign("header2", $admin_lang["header"]["settings_payment"]["header2"]);
			$smarty->assign("hint", $admin_lang["admin_help"]["settings_2"]);
			break;	
		case "3":
			$data = GetSiteSettings(array('date_format','use_registration','use_rate_information'));
			$strSQL = "select DATE_FORMAT(now(),'".$data["date_format"]."');";
			$rs = $dbconn->Execute($strSQL);
			$data["date_format_example"] = $rs->fields[0];
			$data["date_format"] = str_replace("%", "", $data["date_format"]);
			$smarty->assign("header1", $admin_lang["header"]["settings"]["header1"]);
			$smarty->assign("header2", $admin_lang["header"]["settings_misk"]["header2"]);
			$smarty->assign("hint", $admin_lang["admin_help"]["settings_3"]);
			break;
		case "4":
			//// Site Statistic
			$lang=new MultiLang($config, $dbconn);
			$arr_id_section = array(1,2,3,4,6,7,9);
			$i=0;
			foreach ($arr_id_section as $value){
				$strSQL = "select id, order_followin from ".PAGES_TABLE." where id_section={$value} and visible='1'";
				$res = $dbconn->Execute($strSQL);
				$stat[$i]["title_section"] = $admin_lang["settings"]["stat_{$value}"];
				$stat[$i]["today"] = 0;
				$stat[$i]["month"] = 0;
				$stat[$i]["all"] = 0;
				$j=0;
				while (!$res->EOF){
					$name = GetPageName($res->fields[0],$lang->TableName($value));
					if (strlen($name)!=0) {
						$stat[$i]["pages"][$j]["id"] = $res->fields[0];
						$stat[$i]["pages"][$j]["name"] = $name;
						$rs = $dbconn->Execute("select id from ".SITE_STATISTIC_TABLE."  where id_page ='{$res->fields[0]}' and DATE_FORMAT(data,'%d-%m-%Y') = DATE_FORMAT(NOW(),'%d-%m-%Y')");
						$stat[$i]["pages"][$j]["today"] = $rs->RowCount($rs->fields[0]);
						$stat[$i]["today"] += $stat[$i]["pages"][$j]["today"];
						$rs = $dbconn->Execute("select id from ".SITE_STATISTIC_TABLE."  where id_page ='{$res->fields[0]}' and DATE_FORMAT(data,'%d-%m-%Y') > DATE_FORMAT((NOW() - INTERVAL 30 DAY),'%d-%m-%Y') and DATE_FORMAT(data,'%d-%m-%Y') < DATE_FORMAT(NOW(),'%d-%m-%Y')");
						$stat[$i]["pages"][$j]["month"] = $rs->RowCount($rs->fields[0]);
						$stat[$i]["month"] +=$stat[$i]["pages"][$j]["month"];
						$rs = $dbconn->Execute("select id from ".SITE_STATISTIC_TABLE."  where id_page ='{$res->fields[0]}' and DATE_FORMAT(data,'%d-%m-%Y') < DATE_FORMAT(NOW(),'%d-%m-%Y')");
						$stat[$i]["pages"][$j]["all"] = $rs->RowCount($rs->fields[0]);
						$stat[$i]["all"] += $stat[$i]["pages"][$j]["all"];
						$j++;
					}
					$res->MoveNext();
				}
				$i++;
			}
			$smarty->assign("stat",$stat);
			$smarty->assign("header1", $admin_lang["header"]["settings"]["header1"]);
			$smarty->assign("header2", $admin_lang["header"]["settings_statistic"]["header2"]);
			$smarty->assign("hint", $admin_lang["admin_help"]["settings_4"]);
			break;
		case "5":
			//// templates
			$strSQL = "select id, name from ".TEMPLATE_TABLE."  order by id";
			$strSQL = "select t.id, t.name, IF(t.path = s.value, 1, 0) as sel  from ".TEMPLATE_TABLE." as t left join ".SETTINGS_TABLE." as s on s.name='index_theme_path'  order by id";
			$rs = $dbconn->Execute($strSQL);
			$i = 0;
			while(!$rs->EOF){
				$templates[$i]["value"] = $rs->fields[0];
				$templates[$i]["name"] = $rs->fields[1];
				$templates[$i]["sel"] = $rs->fields[2];
				if ($templates[$i]["sel"] == 1) $data["theme_tpl"] = $rs->fields[0];
					$rs->MoveNext(); $i++;
			}
			$smarty->assign("templates", $templates);

			$strSQL = "select id, name from ".COLOR_THEME_TABLE." where id_tpl=".$data["theme_tpl"]." order by id";
			$strSQL = "select t.id, t.name, IF(t.path_css = s.value, 1, 0) as sel  from ".COLOR_THEME_TABLE." as t left join ".SETTINGS_TABLE." as s on s.name='default_css'  where t.id_tpl=".$data["theme_tpl"]." order by id";
			$rs = $dbconn->Execute($strSQL);
			$i = 0;
			while(!$rs->EOF){
				$themes[$i]["value"] = $rs->fields[0];
				$themes[$i]["name"] = $rs->fields[1];
				$themes[$i]["sel"] = $rs->fields[2];
				$rs->MoveNext(); $i++;
			}
			$smarty->assign("themes", $themes);

			if($err){
				if (isset($_POST["templ_name"]))	$data["templ_name"] = $_POST["templ_name"];
				if (isset($_POST["templ_path"]))	$data["templ_path"] = $_POST["templ_path"];
				if (isset($_POST["theme_tpl"]))		$data["theme_tpl"] = $_POST["theme_tpl"];
				if (isset($_POST["theme_name"]))	$data["theme_name"] = $_POST["theme_name"];
				if (isset($_POST["theme_css_path"]))	$data["theme_css_path"] = $_POST["theme_css_path"];
				if (isset($_POST["theme_images_path"]))	$data["theme_images_path"] = $_POST["theme_images_path"];
			}
			$smarty->assign("header1", $admin_lang["header"]["settings"]["header1"]);
			$smarty->assign("header2", $admin_lang["header"]["settings_template"]["header2"]);
			$smarty->assign("hint", $admin_lang["admin_help"]["settings_5"]);
			break;
		case "6":
			$data = array();
			//// Manage form
			$strSQL = "select a.id, a.visible, b.".$lang->DefaultFieldName()." as name from ".LOCATION_TABLE." a
				left join ".REFERENCE_TABLE." b on a.id = b.id_references and b.id_section = ".$lang->TableKey(LOCATION);
			$rs = $dbconn->Execute($strSQL);
			$i = 0;
			while(!$rs->EOF){
				$row = $rs->GetRowAssoc(false);
				$location[$i]["id"] = $row["id"];
				$location[$i]["name"] = $row["name"];
				if($row["visible"]=='1'){
					$location[$i]["this"] = 1;
					$smarty->assign("this", $location[$i]["id"]);
				}else{
					$location[$i]["this"] = 0;
				}
				$rs->MoveNext(); $i++;
			}
			$smarty->assign("count", $i);
			$smarty->assign("location", $location);

			$smarty->assign("header1", $admin_lang["header"]["settings"]["header1"]);
			$smarty->assign("header2", $admin_lang["header"]["settings_location"]["header2"]);
			$smarty->assign("hint", $admin_lang["admin_help"]["settings_6"]);
			break;	
	}
	$form["action"] = $file_name;

	$smarty->assign("data", $data);
	$smarty->assign("form", $form);
	$smarty->assign("header", $admin_lang["settings"]);
	$smarty->display(TrimSlash($config["admin_theme_path"])."/admin_settings_form.tpl");
	exit;

}

function SaveSettings($par){
	global $smarty, $dbconn, $config, $config_admin, $IMG_TYPE_ARRAY, $HTTP_POST_FILES, $user, $lang, $admin_lang;
	
	if(isset($_SERVER["PHP_SELF"]))
	$file_name = "admin_settings.php";

	if($par == "aname"){
		$login = $_POST["login"];
		$name =  $_POST["name"];
		$adminmail = $_POST["adminmail"];
		$ratemail = $_POST["ratemail"];
		$sitemail = $_POST["sitemail"];

		//// check not valid login
		if($err = LoginFilter($login)){
			ListSettings($err); return;
		}
		//// check not valid admin e-mail
		if($err = EmailFilter($adminmail)){
			ListSettings($err); return;
		}
		//// check not valid rate e-mail
		if($err = EmailFilter($ratemail)){
			ListSettings($err); return;
		}
		//// check not valid site e-mail
		if($err = EmailFilter($sitemail)){
			ListSettings($err); return;
		}
		$rs = $dbconn->Execute("update ".SETTINGS_TABLE." set value='".$ratemail."' where name = 'rate_email'");
		$rs = $dbconn->Execute("update ".SETTINGS_TABLE." set value='".$sitemail."' where name = 'site_email'");
		$rs = $dbconn->Execute("update ".USERS_TABLE." set name='".$name."', login='".$login."', email='".$adminmail."' where id =".$user["id"]);

		header("location: ".$config["site_root"]."/admin/".$file_name."?section=".$_POST["section"]);
		exit;
	}elseif($par == "payment"){
		//$site_unit_name = strval($_POST["site_unit_name"]);
		$site_unit_costunit = strval($_POST["currency"]);
		//$site_unit_cost = strval($_POST["site_unit_cost"]);
		//$payment_type = intval($_POST["payment_type"]);

		if(/*!strlen($site_unit_name) || */!strlen($site_unit_costunit)/* || !$site_unit_cost || !$payment_type*/){
			$err = $lang["err"]["invalid_feilds"];
			/*if(!strlen($site_unit_name)){
				$err .= "<br>".$admin_lang["settings"]["points"];
			}*/
			if(!strlen($site_unit_costunit)){
				$err .= "<br>".$admin_lang["settings"]["currency"];
			}
			/*if(!$site_unit_cost){
				$err .= "<br>".$admin_lang["settings"]["site_unit_cost"];
			}
			if(!$payment_type){
				$err .= "<br>".$admin_lang["settings"]["payment_type"];
			}*/
			ListSettings($err); return;exit;
		}
		/*$strSQL = "Update ".SETTINGS_TABLE." set value='".$site_unit_name."' where name='site_unit_name'";
		$dbconn->Execute($strSQL);*/
		$strSQL = "Update ".SETTINGS_TABLE." set value='".$site_unit_costunit."' where name='site_unit_costunit'";
		$dbconn->Execute($strSQL);
		/*$strSQL = "Update ".SETTINGS_TABLE." set value='".$site_unit_cost."' where name='site_unit_cost'";
		$dbconn->Execute($strSQL);
		$strSQL = "Update ".SETTINGS_TABLE." set value='".$payment_type."' where name='payment_type'";
		$dbconn->Execute($strSQL);*/
	}elseif($par == "pass"){
		$repass = $_POST["repass"];
		$pass = $_POST["pass"];
		$oldpass = $_POST["oldpass"];

		$rs = $dbconn->Execute("Select value from ".SETTINGS_TABLE." where name='admin_login'");
		$login = $rs->fields[0];
		//// check not valid pass
		if($repass != $pass){
			ListSettings($lang["err"]["invalid_passw"]); return;
		}
		//// check not valid pass
		if($login == $pass){
			ListSettings($lang["err"]["pass_eq_repass"]); return;
		}
		//// check not valid pass
		if($err = PasswFilter($pass)){
			ListSettings($err); return;
		}
		//// check not valid oldpass
		$rs = $dbconn->Execute("Select count(*) from ".USERS_TABLE." where passw='".md5($oldpass)."' and id=".$user["id"]);
		if($rs->fields[0]!=1){
			ListSettings($lang["err"]["invalid_passw"]); return;
		}
		$rs = $dbconn->Execute("Update ".USERS_TABLE." set  passw='".md5($pass)."' where id=".$user["id"]);
		header("location: ".$config["site_root"]."/admin/".$file_name."?section=".$_POST["section"]);
		exit;
	}elseif($par == "template"){
		$template = intval($_POST["template"]);
		$strSQL = "Select path from ".TEMPLATE_TABLE." where id='".$template."' ";
		$rs = $dbconn->Execute($strSQL);
		$template_path = $rs->fields[0];
		if(!$template || !$template_path){
			ListSettings(); return;
		}
		$dbconn->Execute("Update ".SETTINGS_TABLE." set value='".$template_path."' where name='index_theme_path'");
	}elseif($par == "theme"){
		$theme = intval($_POST["theme"]);
		$theme_tpl = intval($_POST["theme_tpl"]);
		$strSQL = "Select path_css, path_images from ".COLOR_THEME_TABLE." where id='".$theme."' ";
		$rs = $dbconn->Execute($strSQL);
		$theme_css_path = $rs->fields[0];
		$theme_images_path = $rs->fields[1];
		if(!$theme || !$theme_css_path || !$theme_images_path){
			ListSettings(); return;
		}
		$dbconn->Execute("Update ".SETTINGS_TABLE." set value='".$theme_css_path."' where name='default_css'");
		$dbconn->Execute("Update ".SETTINGS_TABLE." set value='".$theme_images_path."' where name='default_image'");
	}elseif($par == "other"){
		$expr = array('%', 'Y', 'y', 'd', 'e', 'm', 'c');
		foreach($expr as $key=>$exp){
			$_POST["date_format"] = str_replace($exp, "%".$exp, $_POST["date_format"]);
		}
		$dbconn->Execute("Update ".SETTINGS_TABLE." set value='".$_POST["date_format"]."' where name='date_format'");
		if (isset($_POST["use_registration"]) && $_POST["use_registration"] == '1'){
			$dbconn->Execute("Update ".SETTINGS_TABLE." set value='".intval($_POST["use_registration"])."' where name='use_registration'");
		}else{
			$dbconn->Execute("Update ".SETTINGS_TABLE." set value='0' where name='use_registration'");
		}
		if (isset($_POST["use_rate_information"]) && $_POST["use_rate_information"] == '1'){
			$dbconn->Execute("Update ".SETTINGS_TABLE." set value='".intval($_POST["use_rate_information"])."' where name='use_rate_information'");
			On_off(42);
		}else{
			$dbconn->Execute("Update ".SETTINGS_TABLE." set value='0' where name='use_rate_information'");
			On_off(42);
		}
		header("location: ".$config["site_root"]."/admin/".$file_name."?section=".$_POST["section"]);
		exit;
	}elseif($par == "region"){
		$region_this = intval($_POST["this_region"]);
		$region = intval($_POST["region"]);
		$strSQL = "Select alias From ".LOCATION_TABLE." where id = ".$region;
		$rs = $dbconn->Execute($strSQL);
		update_files($rs->fields[0]);
		$strSQL = "Select id From ".LOCATION_TABLE." where id = ".$region_this." And visible='1'";
		$rs = $dbconn->Execute($strSQL);
		if(isset($rs->fields[0]) && $rs->fields[0]>0){
			$strSQL = "Update ".LOCATION_TABLE." set visible='0' where id = ".$region_this;
			$rs = $dbconn->Execute($strSQL);
			$strSQL = "Update ".LOCATION_TABLE." set visible='1' where id = ".$region;
			$rs = $dbconn->Execute($strSQL);
			
			$strSQL = "select id from ".LANGUAGE_TABLE." where id_location=".$region;
			$res = $dbconn->Execute($strSQL);
			$dbconn->Execute("Update ".SETTINGS_TABLE." set value='".$res->fields[0]."' where name='default_lang'");
		}
	}
	ListSettings();
}

function TemplateSave(){
	global $smarty, $dbconn, $config, $config_admin, $templates, $user, $lang;

	if(isset($_SERVER["PHP_SELF"]))
	$file_name = AfterLastSlash($_SERVER["PHP_SELF"]);
	else
	$file_name = "admin_settings.php";

	$template_name = $_POST["templ_name"];
	$template_path = $_POST["templ_path"];

	if(!$template_name){
		ListSettings($lang["err"]["invalid_template_name"]); return;
	}
	if(!$template_path){
		ListSettings($lang["err"]["invalid_template_path_empty"]); return;
	}
	$full_path = $config["site_path"].$template_path;
	$err = "";
	foreach($templates as $k=>$v){
		if(!file_exists($full_path.DIRECTORY_SEPARATOR.$v)){
			$err = $err.$v."; ";
		}
	}
	if($err != ""){
		ListSettings($lang["err"]["invalid_template_path"]."<br>".$err); return;
	}
	$strSQL = "select count(*) from ".TEMPLATE_TABLE."  where name='".$template_name."' or path='".$template_path."' ";
	$rs = $dbconn->Execute($strSQL);
	if($rs->fields[0]>0){
		ListSettings($lang["err"]["invalid_template_exists"]); return;
	}
	$strSQL = "insert into ".TEMPLATE_TABLE."  (name, path) values ('".$template_name."', '".$template_path."') ";
	$rs = $dbconn->Execute($strSQL);
	ListSettings(); return;
}

function ThemeSave(){
	global $smarty, $dbconn, $config, $config_admin, $themes, $user, $lang;

	if(isset($_SERVER["PHP_SELF"]))
	$file_name = AfterLastSlash($_SERVER["PHP_SELF"]);
	else
	$file_name = "admin_settings.php";

	$theme_tpl = $_POST["theme_tpl"];
	$theme_name = $_POST["theme_name"];
	$theme_css_path = $_POST["theme_css_path"];
	$theme_images_path = $_POST["theme_images_path"];

	if(!$theme_name){
		ListSettings($lang["err"]["invalid_theme_name"]); return;
	}
	if(!$theme_css_path || !$theme_images_path){
		ListSettings($lang["err"]["invalid_theme_path_empty"]); return;
	}

	$strSQL = "select path from ".TEMPLATE_TABLE."  where id='".$theme_tpl."'";
	$rs = $dbconn->Execute($strSQL);

	$full_css_path = $config["site_path"].$rs->fields[0].$theme_css_path;
	$err = "";

	if(!file_exists($full_css_path)){
		$err = $err.$theme_css_path."; ";
	}
	$full_images_path = $config["site_path"].$rs->fields[0].$theme_images_path;
	if(!file_exists($full_images_path)){
		$err = $err.$theme_images_path."; ";
	}
	if($err != ""){
		ListSettings($lang["err"]["invalid_theme_path"]."<br>".$err); return;
	}
	$strSQL = "select count(*) from ".COLOR_THEME_TABLE."  where name='".$theme_name."' and id_tpl='".$theme_tpl."'";
	$rs = $dbconn->Execute($strSQL);
	if($rs->fields[0]>0){
		ListSettings($lang["err"]["invalid_theme_exists"]); return;
	}
	$strSQL = "insert into ".COLOR_THEME_TABLE."  (id_tpl, name, path_css, path_images) values ('".$theme_tpl."', '".$theme_name."', '".$theme_css_path."', '".$theme_images_path."') ";
	$rs = $dbconn->Execute($strSQL);
	ListSettings(); return;
}

function On_off($id){
	global $dbconn, $smarty, $config, $user;

	$rs = $dbconn->Execute("select visible from ".PAGES_TABLE." where id='".$id."'");
	if($rs->RowCount()>0){
		if($rs->fields[0] == "0") $dbconn->Execute("update ".PAGES_TABLE." set visible='1' where id='".$id."'");
		else $dbconn->Execute("update ".PAGES_TABLE." set visible='0' where id='".$id."'");
	}
}

function update_files($alias){
	global $smarty, $dbconn, $config, $config_admin, $lang, $user;
	include "../include/class.object2xml.php";
	
	$file_path_to = $config["site_path"]."/include/admin_menu.xml";
	$file_path_from = $config["site_path"]."/include/admin_menu_{$alias}.xml";
	$file_path_to_loanoff = $config["site_path"]."/include/loanoff_menu.xml";
	$file_path_from_loanoff = $config["site_path"]."/include/loanoff_menu_{$alias}.xml";

	$dist_xml_parser = new SimpleXmlParser( $file_path_from );
	$dist_xml_node = $dist_xml_parser->getRoot();

	$xml_parser = new SimpleXmlParser( $file_path_to );
	$xml_root = $xml_parser->getRoot();
	for ( $i = 0; $i < $xml_root->childrenCount; $i++ ) {
		if ( $xml_root->children[$i]->attrs["name"] == "user_management" ) {
			$replace = false;
			for ( $j = 0; $j < $xml_root->children[$i]->childrenCount; $j++ ) {
				if ( $xml_root->children[$i]->children[$j]->attrs["name"] == "customers" ) {
					$xml_root->children[$i]->children[$j] = $dist_xml_node;
				}
			}
		}
	}

	$obj_saver = new Object2Xml();
	$obj_saver->Save( $xml_root, $file_path_to );
	unset( $dist_xml_parser, $xml_parser, $dist_xml_node, $xml_root );
	
	/// use_pilot_module_loan_officer
	$config["use_pilot_module_loan_officer"] = GetSiteSettings('use_pilot_module_loan_officer');
	if($config["use_pilot_module_loan_officer"]=="1"){
		$dist_xml_parser = new SimpleXmlParser( $file_path_from_loanoff );
		$dist_xml_node = $dist_xml_parser->getRoot();

		$xml_parser = new SimpleXmlParser( $file_path_to_loanoff );
		$xml_root = $xml_parser->getRoot();
		for ( $i = 0; $i < $xml_root->childrenCount; $i++ ) {
			if ( $xml_root->children[$i]->attrs["name"] == "user_management" ) {
				$replace = false;
				for ( $j = 0; $j < $xml_root->children[$i]->childrenCount; $j++ ) {
					if ( $xml_root->children[$i]->children[$j]->attrs["name"] == "customers" ) {
						$xml_root->children[$i]->children[$j] = $dist_xml_node;
					}
				}
			}
		}

		$obj_saver = new Object2Xml();
		$obj_saver->Save( $xml_root, $file_path_to_loanoff );
		unset( $dist_xml_parser, $xml_parser, $dist_xml_node, $xml_root );
	}
}
?>