<?php
/* ********************************************************************
 * CRM
 * Copyright (c) 2001-2004 Hidde Fennema (hidde@it-combine.com)
 * Licensed under the GNU GPL. For full terms see the file COPYING.
 *
 * This file does several things :)
 *
 * Check http://crm.it-combine.com/ for more information
 **********************************************************************
 */
require("config.inc.php");

print "\nCRM-CTT PDF Summary (batch)\n";

if ($argv[1]=="-help" || $argv[1]=="--help" || $argv[1]=="help" || $argv[1]=="-h") {
	print "\nUsage:\n";
	print "\t[no arguments]\t:Interactive\n";
	print "or:\n";
	print "\t[reposnr] [user] [pass] [images - Y or N] [path (default current dir)\n";
	print "\nExample: php -q generate_total_pdf_summary.php 0 admin admin_pwd Y ./\n\n";
	exit;
}

if ($argv[1]) {
	$repository = $argv[1];
}

if ($argv[2]) {
	$username = $argv[2];
}
if ($argv[3]) {
	$password = $argv[3];
}
if ($argv[4]) {
	$images = $argv[4];
}
if ($argv[5]) {
	$path = $argv[5];
}


	$repos = array();
	$count = 0;

	if (sizeof($pass)>1) {
					for ($r=0;$r<sizeof($pass);$r++) {

							if ($db = @mysql_connect($host[$r], $user[$r], $pass[$r])) {
								if (@mysql_select_db($database[$r],$db)) {
									$PRFX = $table_prefix[$r];
									// If no TBL_PREFIX is found, it ought to be "CRM"

									if ($PRFX=="") $PRFX="CRM";

									$sql = "SELECT value FROM " . $PRFX . "settings WHERE setting='title'";
									$result = @mysql_query($sql);
									$maxU1 = @mysql_fetch_array($result);
									$title = $maxU1[0];
									if (!$title=="") {
										if (!$repository) {
											print " $r - $title \n";
										}
										$repos[$r] = $title;
										$count++;
									}
								} else {

								}

							} else {

							}
						}
	}
if (!$repository) {
	print "\nPlease select your repository to work with (0-" . (sizeof($pass)-1) . ")\n\n";
	print "CRM > ";
	$repository = readln();
}

$repository = $repository * 1; // make it an integer
$reposnr = $repository;

$GLOBALS[TBL_PREFIX] = $PRFX;

require("getset.php");

if (!$username) {
	print "Please log in to $repos[$repository]:\n\n";
	print("Username: ");
	$username = readln();
}
if (!$password) {
	print("Password (will be displayed in plain text): ");
	$password = readln();
}
$GLOBALS[TBL_PREFIX] = $table_prefix[$repository];
if (AuthenticateUser2($username,$password,"n") == true) {
	print "\nYou are connected to repository \"$title\"\n\n";
} else {
	print "Authentication failed (user, password or not being admin error)\nBye!\n";
	exit;
}

$include="1";
//require("functions.php");
include("sumpdf.php");
include("language.php");

if (!$path) {
	print "Where do you want the report to be placed? [./]: ";
	$path = readln();
}
if ($path=="") $path = "./";

if (!$argv[1]) {
	$filename = $path . "generated-report-" . date('U') . ".pdf";
} else {
	$filename = $path . "generated-report-batch.pdf";
}

$pdfa = array();

$sql = "select eid from $GLOBALS[TBL_PREFIX]entity";
$result = mcq($sql,$db);
while ($row = mysql_fetch_array($result)) {
	array_push($pdfa,$row['eid']);
}

if (!$images) {
	print "Do you want activity graphs in your report? [Y|n]: ";
	$images = readln();
}

if (strtoupper($images)=="N") {
	$NoImageInclude=1;
	print "Excluding images\n";
} else {
	print "Including images\n";
}

if (!$argv[1]) {
	print "Ready to create a report of " . sizeof($pdfa) . " entities and save it as $filename.\n\n";
	print "Press enter to continue or CTRL-C to abort: ";
	$dummy = readln();
}
print "\n\n";
$date = date("F j, Y, H:i") . "h";

$st = date('U');

StartPDF();
$shell_status="1";
toc($pdfa);
$filename_to_disk = "CRMTMPIMGFILE";
//$NoImageInclude=1;
$in_line="1";


CreatePDF($pdfa,$filename);

$et = date('U');

print "\n Report created in " . ($et - $st) . " seconds. Saved in $filename. Quitting.\n\n";


function readln() {
	$ret = "";
	$fp = fopen("php://stdin", "r") or die("Fatal Error: could not read from.stdin");
	while($char != "\n")
	{
		$char = fread($fp, 1);
		$ret .= $char;
	}
	return(trim($ret));
}

function AuthenticateUser2 ($name, $password, $silent) {
	$arg = "SELECT password, 1 AS auth, active, id, active FROM ".CRM_LOGIN_USERS_TABLE." WHERE name='$name' AND password=PASSWORD('$password') AND administrator='yes'";
	$result = mcq($arg,$db);
	$row = mysql_fetch_array($result);

	if ($row[auth]){
		if ($row[active]=="no") {
			return false;
		} else {
			$GLOBALS[USERID] = $row[id];
			return true;
		}
	}else {

		if ($silent<>yes){
			return false;
		}
		else{
			$thiswasalogin=0;
			$logon=yes;
			$GLOBALS[USERID] = $row[id];
			return true;
		}
	}
}

?>