<?php
/* ********************************************************************
 * CRM
 * Copyright (c) 2001-2004 Hidde Fennema (hidde@it-combine.com)
 * Licensed under the GNU GPL. For full terms see the file COPYING.
 *
 * This file does several things :)
 *
 * Check http://crm.it-combine.com/ for more information
 **********************************************************************
 */
require("functions.php");
require("class.phpmailer.php");
// we will do our own error handling
//error_reporting(0);
//set_error_handler("userErrorHandler");


// This file is called from header.inc.php just after config.inc.php and before language.php

// It is not recommended nor needed to edit values in this file unless you're debugging or developing

// Enable debug mode:
// Some qeuries become visible. Some functions will not work (mostly file pushes and cookies)
// when you enable debug. More information regarding variable values in the source of the
// result pages - ALSO PASSWORD VALUES- BE CAREFUL!

// When not using debug, leave this line with = 0; to avoid hacking using REGISTER_GLOBALS

    $debug = 0;

// Logqueries : Wether or not to log *all* MySQL queries and log entries in qlist.txt
//
// 1. This generates LOTS of data
// 2. You need to have a file called "qlist.txt" in your CRM installation
//    directory which is owned by the user under which your webserver runs
// 3. Since this file meight be webserver-readable plain text, all your data could
//    be exposed
//
// Logtext: wether or not to log remarks made by me (high-traffic)
//
// 1. This generates LOTS of data
// 2. You need to have a file called "qlist.txt" in your CRM installation
//    directory which is owned by the user under which your webserver runs
// 3. Since this file meight be webserver-readable plain text, all your data could
//    be exposed
//
// Generally NOT recommended for security reasons!

// When _not_ using logqueries and logtext, leave these lines with = 0; to
// avoid hacking using REGISTER_GLOBALS

	$logqueries = 0;
	$logtext = 0;



// Version information

	$GLOBALS['VERSION'] = "2.4.6"; // The main version

    $CRM_SHORTVERSION = "CRM-CTT " . $GLOBALS['VERSION'];
    $CRM_VERSION = $CRM_SHORTVERSION . " (c) 2001-2004";
	if (strstr($CRM_SHORTVERSION, "pre")) {
		$CRM_SHORTVERSION .= " BETA RELEASE ";
		$CRM_VERSION .= " BETA RELEASE ";
	}

	if (strstr($CRM_SHORTVERSION, "rc1")) {
		$CRM_SHORTVERSION .= " RELEASE CANDIDATE 1 ";
		$CRM_VERSION .= " RELEASE CANDIDATE 1";
	}
	if (strstr($CRM_SHORTVERSION, "rc2")) {
		$CRM_SHORTVERSION .= " RELEASE CANDIDATE 2 ";
		$CRM_VERSION .= " RELEASE CANDIDATE 2";
	}
	if (strstr($CRM_SHORTVERSION, "rc3")) {
		$CRM_SHORTVERSION .= " RELEASE CANDIDATE 3 ";
		$CRM_VERSION .= " RELEASE CANDIDATE 3";
	}

// Add a warning when query logging is enabled

    if ($logqueries) { $CRM_VERSION .= " - <img src='error.gif' style='border:0'> QLOG ENABLED"; }
    if ($debug) { $CRM_VERSION .= " - <img src='error.gif' style='border:0'> DEBUG ENABLED"; }
	if ($logtext) { $CRM_VERSION .= " - <img src='error.gif' style='border:0'> LOGTEXT ENABLED"; }

// Extract last repository number and language setting from cookie

    $repository_nr = $_COOKIE[repository];

    $language_display = $_COOKIE[language_display];

// Catch reposnr var (given when the cron job comes along)

if ($reposnr) {
			$repository_nr = $reposnr;
}

if ($repository_nr=="" || $repository_nr==0) {
	$repository_nr=0;
}

if ($repository_nr==sizeof($pass) || $repository_nr>sizeof($pass)) {
    $repository_nr=0;
}

if (stristr($_SERVER['SCRIPT_NAME'],"webdav_file.php")) {


	// URL could be ...../webdav_file.php/[repnr]/[id]
	// URL could be ...../webdav_file.php/[repnr]/
	// URL could be ...../webdav_file.php/[repnr]
	// URL could be ...../webdav_file.php/[repnr]/[id]/file.doc
	// URL could be ...../webdav_file.php/ (which is wrong)

	$tmp = $_SERVER['REQUEST_URI'];

	$tmp2 = split("webdav_file.php",$tmp);

	$tmp2 = split("/",$tmp2[1]);


	$repository_nr = $tmp2[1];
	$repos_nr = $tmp2[1];

	if ($repository_nr == "") {
		exit;
	}

}
// Now determine the table prefix (quite important)

$GLOBALS[TBL_PREFIX] = $table_prefix[$repository_nr];

// If no TBL_PREFIX is found, it ought to be "CRM"

if ($GLOBALS[TBL_PREFIX]=="") {
	$GLOBALS[TBL_PREFIX]="CRM";
	$GLOBALS[FORCED_TBL]="1";
}

// Try to delete temporary files older than 2 minutes


if ($logqueries || $logtext) {
		$mysql_query_counter = 0;
		$fp = @fopen("qlist.txt","a");
		@fputs($fp,"=============================================================================\n");
		@fputs($fp,$_SERVER[PHP_SELF] . "\n");
		@fclose($fp);
}


	$db = @mysql_connect($host[$repository_nr], $user[$repository_nr], $pass[$repository_nr]);

	if (@mysql_select_db($database[$repository_nr],$db))
	{
		// all ok
		$GLOBALS['REPOSNR'] = $repository_nr;
	}
	else {
		if ($_SERVER['PHP_SELF']=="/sub_ocf.php") {
			print "Couldn't connect to the database.\n";
			print "$host[$repository_nr], $user[$repository_nr], $pass[$repository_nr]";
			exit;
		}

		?>

		<SCRIPT LANGUAGE="javascript" SRC="cookies.js"></SCRIPT>
		<SCRIPT LANGUAGE="JavaScript">
		<!--
			document.write('<link href="crm.css" rel="stylesheet" type="text/css">');
			setCookie('repository','0')
		//-->
		</SCRIPT>


		<table width='50%'>
			<tr>
				<td>
					<fieldset>
						<legend>
							<img src='error.gif'>
						</legend>
						An error occured. CRM-CTT was unable to connect to the database as stored in your configuration or cookie.<br><br>
						This error could have been caused by:
							<ul>
								<li> You, or an admin, deleted the repository in which you are working </li>
								<li> The database-server (<?php echo $host[$repository_nr];?>) was not responding  </li>
								<li> The username or password configured in CRM-CTT for contacting the database is incorrect </li>
								<li> The configuration file has been altered </li>
								<li> Your browser might not support cookies </li>
							</ul>
						Please contact your system administrator for more information. The database error message is:<br><br>
						<pre><?php print mysql_error(); ?></pre>
					</fieldset>
				</td>
			</tr>
		</table>



		</BODY></HTML>
		<?php
		exit;
	}


$servername = getenv("SERVER_NAME");

// Collect settings

$sql= "SELECT * FROM ".CRM_SETTINGS_TABLE;
$result= mcq($sql,$db);
while ($resarr=mysql_fetch_array($result)){
		$$resarr['setting'] = $resarr['value'];
		$GLOBALS[$resarr['setting']] = $resarr['value'];
		if ($debug && !stristr("select * from ".CRM_SETTINGS_TABLE,$sql)) {
			print "<!-- $$resarr[setting] -- $resarr[value] -->\n";
		}
}

$MainListColumnsToShow = unserialize($MainListColumnsToShow);
$CustomerListColumnsToShow = unserialize($CustomerListColumnsToShow);
$MainListColumnsToShowGlobal = $MainListColumnsToShow;

if (strtoupper($LetUserSelectOwnListLayout)=="YES") {
	$MainListColumnsToShowCookie = unserialize(base64_decode($_COOKIE['colums_display' . $repository_nr]));
	if ($MainListColumnsToShowCookie<>"") {
			$MainListColumnsToShow = $MainListColumnsToShowCookie;
	}
}

?>