<?php
ini_set("display_errors", "0");
error_reporting(E_ALL); 

include "include/config.php";

/////// link for install
if(!$config["server"] && !$config["dbname"] && !$config["dbhost"] && !$config["dbuname"]){
	$path = substr(__FILE__,0, -10);
	echo "<script>location.href='./install/index.php'</script>";
	exit;
}

/// system settings
if (substr(php_uname(), 0, 7) == "Windows"){
	$config["system"] = "win";
}else{
	$config["system"] = "unix";
}

$dir = $config["site_path"];
if (strlen($dir)==0) {
	$dir = ".";
	$dir = dirname(__FILE__);
}
switch ($config["system"]) {
    case "unix":
        ini_set("include_path", ".:".$dir.":".$dir."/include:".$dir."/adodb:".$dir."/smarty");
    	break;
    case "win":
        ini_set("include_path", ".;".$dir.";".$dir."/include;".$dir."/adodb;".$dir."/smarty");
    	break;
}
///////////////////////////////////////////////////////////////////////
 
session_start();
//session_register("admin");

define("CONTACT_US","CONTACT_US");
define("FAQ","FAQ");
define("PRODUCTS","PRODUCTS");
define("HOMEPAGE","HOMEPAGE");
define("MORTGAGE_RESOURSE","MORTGAGE_RESOURSE");
define("PDF_FORMS","PDF_FORMS");
define("CALCULATORS","CALCULATORS");
define("OTHER","OTHER");
define("LOCATION","LOCATION");
define("FORM_SECTIONS_TABLE","FORM_SECTIONS_TABLE");
define("FORM_VALUES_TABLE","FORM_VALUES_TABLE");
define("DS_TABLE","DS_TABLE");    

///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
//    DB connection
//      Error message due a ADODB SQL error and die
//
include_once "adodb/tohtml.inc.php";
include_once "adodb/adodb.inc.php";

function PN_DBMsgError($db='',$prg='',$line=0,$message='Error accesing to the database') {
	$lcmessage = $message . "<br>" .
	"Program: " . $prg . " - " . "Line N.: " . $line . "<br>" .
	"Database: " . $db->database . "<br> ";

	if ($db->ErrorNo()<>0) {
		$lcmessage .= "Error (" . $db->ErrorNo() . ") : " . $db->ErrorMsg() . "<br>";
	}
	die($lcmessage);
}

$dbconn = &ADONewConnection($config["dbtype"]);
GLOBAL $ADODB_FETCH_MODE;

if ($config['dbtype'] == "ado_mssql"){
    if($config['useoledb'] == 1){
        $connectString = "SERVER=".$config['dbhost'].";DATABASE=".$config['dbname'].";";
        $dbh = $dbconn->Connect($connectString, $config["dbuname"], $config["dbpass"], "SQLOLEDB");
    }else{
        $connectString="PROVIDER=MSDASQL;DRIVER={SQL Server};"."SERVER=".$config['dbhost'].";DATABASE=".$config['dbname'].";id_user=".$config['dbuname'].";PWD=".$config['dbpass'].";";
        $dbh = $dbconn->Connect($connectString, "", "", "");
    }
}else{
    $connectString = $config['dbtype'].":".$config['dbuname'].":".$config['dbpass']."@".$config['dbhost']."/".$config['dbname'];
    $dbh = $dbconn->Connect($config['dbhost'],($config['dbuname']),($config['dbpass']),$config['dbname']);
}
$ADODB_FETCH_MODE = ADODB_FETCH_NUM;

if ($dbh === false) {
    error_log ("connect string: $connectString");
    error_log ("error: " . $dbconn->ErrorMsg());
    PN_DBMsgError($dbconn, __FILE__ , __LINE__, "Error connecting to db".$config['dbname']);
}
///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
//    Smarty
include_once "smarty/Smarty.class.php";
if (!defined('SMARTY_DIR')) {
	define("SMARTY_DIR", $dir."/smarty/");
}
if ((isset($smarty) && !is_object($smarty)) || !isset($smarty)) {
   $smarty = new Smarty;
}
$smarty->force_compile = true;
$smarty->cache_lifetime = 60;
$smarty->template_dir = $dir."/templates";
$smarty->compile_dir = $dir."/templates_c";
$smarty->plugins_dir = $dir."/smarty/plugins";
if(!$smarty) die("Smarty error");
///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

include "include/class.xmlparser.php";
include "include/function.php";
include "include/functions_xml.php";
include "include/functions_index.php";
include "include/constants.php";

///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
///////////// Site Configuration
GetSiteConf();
GetSiteCurrency();

$settings = GetSiteSettings(array("index_theme_path","admin_theme_path","default_image","default_css","default_lang","path_lang"));
$config["index_theme_path"] = $settings["index_theme_path"]?$settings["index_theme_path"]:"/templates/pilot_3_theme";
$config["admin_theme_path"] = $settings["admin_theme_path"]?$settings["admin_theme_path"]:"/templates/admin";
$config["default_image"] = $settings["default_image"]?$settings["default_image"]:"/images";
$config["index_default_css"] = $settings["default_css"]?$settings["default_css"]:"/css";
$config["default_lang"] = $settings["default_lang"]?$settings["default_lang"]:"1";
$config["path_lang"] = $settings["path_lang"]?$settings["path_lang"]:"/languages";

$smarty->assign("index_theme_path",$config["index_theme_path"]); 
$smarty->assign("admin_theme_path",$config["admin_theme_path"]);
$smarty->assign("index_default_image",$config["default_image"]); 
$smarty->assign("admin_default_image","/images");
$smarty->assign("index_default_css",$config["index_default_css"]); 

if ($config["system"] == "win"){
    $smarty->assign("gentemplates", "file:".$dir.$config["index_theme_path"]);
    $smarty->assign("admingentemplates", "file:".$dir.$config["admin_theme_path"]);
}else{
    $smarty->assign("gentemplates", "file:".$config["site_path"].$config["index_theme_path"]);
    $smarty->assign("admingentemplates", "file:".$config["site_path"].$config["admin_theme_path"]);
}

$config["index_theme"] = $config["index_theme_path"]; 
$config["admin_theme"] = $config["admin_theme_path"];
$config["index_theme_path"] = $config["site_path"].$config["index_theme_path"]; 
$config["admin_theme_path"] = $config["site_path"].$config["admin_theme_path"];

$config["img_type_array"] = array("image/jpeg", "image/pjpeg", "image/gif", "image/bmp", "image/tiff", "image/png", "image/x-png" );
$config["img_ext_array"] = array("jpeg", "jpg", "gif", "bmp", "wbmp", "tiff", "png" );

$smarty->assign("server", $config["server"]);
$smarty->assign("site_root", $config["site_root"]);
$smarty->assign("site_path", $config["site_path"]);

///////////////////////////////////// DEFAULT LOCATION & LANGUAGES
$config["default_location"] = GetCurrentLocation();

if(isset($_GET["language_code"]) && strlen($_GET["language_code"])>0){
	$_SESSION["language"] = $_GET["language_code"];
}

if(isset($_SESSION["language"]) && strval($_SESSION["language"])!=""){
	$lang_code = $_SESSION["language"];
	$config["default_lang"] = $_SESSION["language"];
}else{
	$lang_code = $config["default_lang"];
}
$smarty->assign("default_lang", $lang_code);

include_once "include/class.lang.php";

////load language interface
$strSQL = "select name, code from ".LANGUAGE_TABLE." where id='".$lang_code."' and visible='1'";
$rs = $dbconn->Execute($strSQL);
$lang_code = $rs->fields[1];
$_SESSION["path_lang"]=$config["path_lang"]."/".$rs->fields[0];
$smarty->assign("path_lang", $config["path_lang"]."/".$rs->fields[0]);

///// Load Errors
include_once DelFirstSlash("{$_SESSION["path_lang"]}/errors.lang");
$smarty->assign("lang", $lang);


$siteh = parse("{$config["site_path"]}{$_SESSION["path_lang"]}/site_header.xml");
$sitef = parse("{$config["site_path"]}{$_SESSION["path_lang"]}/site_footer.xml");
$menu = parse("{$config["site_path"]}{$_SESSION["path_lang"]}/menu.xml");

$smarty->assign("menu",$menu);
$smarty->assign("siteh",$siteh);
$smarty->assign("sitef",$sitef);


if(isset($_SESSION["new_version"]))
	$smarty->assign("new_version", $_SESSION["new_version"]);


///////// Use Mortgage Rates Section
$config["use_rate_information"] = GetSiteSettings('use_rate_information');
$smarty->assign("use_rate_information",$config["use_rate_information"]);

//User authenfication
include_once $config['site_path']."/include/class.Auth.php";

$auth_class=new Auth($dbconn, $config);
$user=$auth_class->auth_user();

?>