<?php
function scan_dir_file($dirname){
	$mass = array();
	$dir = opendir($dirname);
	while (($file = readdir($dir)) !== false){
		if($file != "." && $file != ".."){
			if(is_file($dirname."/".$file)){
				if(strstr($file, ".xml") && !strstr($file, "admin_menu")){
					$mass[] = $file;
				}
			}
		}
	}
	closedir($dir);
	return $mass;
}

function scan_dir($dirname,$dirname1){
	$dir = opendir($dirname);
	while (($file = readdir($dir)) !== false){
		if($file != "." && $file != ".."){
			if(is_file($dirname."/".$file)){
				copy($dirname."/".$file,$dirname1."/".$file);
			}
		}
	}
	closedir($dir);
}

function send_form_notify ($form,$id) {
    global $smarty, $dbconn, $config;
    
    $template = "";
    switch ($form) {
        case "REFI":
            $form_name = "Refinance";
            $template = TrimSlash($config["index_theme_path"])."/admin_refinance_table.tpl";
            $id_alert = 5;
            break;
        case "PREQ":
            $form_name = "Prequalify";
            $template = TrimSlash($config["index_theme_path"])."/admin_prequalify_table.tpl";
            $id_alert = 4;
            break;
        case "FAPP":
            $form_name = "Full Application";
            $template = TrimSlash($config["index_theme_path"])."/tab_res.tpl";
            $id_alert = 6;
            break;
    }
    if (empty($template)) {
        return false;
    }
    $strSQL = "select status from ".ALERTS_TABLE." where id='".$id_alert."'";
    $rs = $dbconn->Execute($strSQL);
    if ($rs->fields[0] == '1'){
    	if ($id>0) {
    		switch ($form) {
    			case "REFI":
    				$rs = $dbconn->Execute("select * from ".REFINANCE_TABLE." where id='".$id."'");
    				break;
    			case "PREQ":
    				$rs = $dbconn->Execute("select * from ".PREQUALIFY_TABLE." where id='".$id."'");
    				break;
    			case "FAPP":
    			//select data to the resulting form "Uniform Residential Loan Application"
    			for ($j=1; $j<15; $j++){
    				$SQL = "SELECT * FROM	".constant("APP_FORM_".$j."_TABLE")."	WHERE	id_user = '".$id."'";
    				$res = $dbconn->Execute($SQL);
    				if (!$res){
    					echo $dbconn->ErrorMsg();
    				} else {
    					$result = $res->GetRowAssoc(false);

    					$num = $res->FieldCount();
    					for ($i=1;$i<$num;$i++){
    						$fld = $res->FetchField($i);
    						$FieldName[$i] = $fld->name;

    						$FieldType[$i] = $res->MetaType($fld->type);
    						if ($FieldType[$i] != 'I' && $FieldType[$i] != 'N' && $FieldType[$i] != 'D'  && $FieldType[$i] != 'T'){
    							if ($j != 7 && $j !=11){

    								if ($result[$FieldName[$i]] == "chb_yes")
    								$result[$FieldName[$i]] = "X";
    								if ($result[$FieldName[$i]] == "chb_no")
    								$result[$FieldName[$i]] = "";

    							}
    							if ($j == 7) {    //values from tab7
    								if ($result[$FieldName[$i]] == "chb_yes") {
    									$chr = substr($FieldName[$i],0,1);
    									if ($chr == "b")
    									$result[$FieldName[$i]] = "B";
    									if ($chr == "c")
    									$result[$FieldName[$i]] = "C";
    								}
    								if ($result[$FieldName[$i]] == "chb_no")
    								$result[$FieldName[$i]] ="";
    							}
    							if ($j == 11) {    //values from tab11
    								$chr = substr($FieldName[$i],0,7);
    								if ($chr == "pay_off"){
    									if ($result[$FieldName[$i]] == "chb_yes")
    									$result[$FieldName[$i]] = "*";
    									else $result[$FieldName[$i]] = "";
    								} else {
    									if ($result[$FieldName[$i]] == "chb_yes")
    									$result[$FieldName[$i]] = "X";
    									if ($result[$FieldName[$i]] == "chb_no")
    									$result[$FieldName[$i]] = "";
    								}
    							}
    						}
    					}
    					$name_res = "res".$j;
    					$smarty->assign($name_res,$result);
    				}
    			}
    			break;
    		}

    		if ($form!= "FAPP" && $rs->RowCount()) {
    			switch ($form) {

    				case "REFI":
    				$row = $rs->GetRowAssoc();
    				foreach ($row as $key=>$value) {
    					switch ($key) {
    						case "PROPERTY_WILL_BE":
    						$value = GetProperty($value);
    						break;
    						case "PROP_TYPE":
    						$value = GetPropertyType ($value);
    						break;
    						case "LOAN_TYPE":
    						$value = GetLoanType ($value);
    						break;
    						case "REFI_REASON":
    						$value = GetRefReason ($value);
    						break;
    						case "SELF_GRADE_CREDIT_SCORE":
    						$value = GetScore ($value);
    						break;
    						case "APPLICATION_TYPE":
    						$value = GetApplicationType ($value);
    						break;
    						case "SECURITY_QUESTION":
    						$value = GetSecurityQuestion($value);
    						break;
    					}
    					$data[$key] = $value;
    				}
    				$smarty->assign("data",$data);
    				break;
    				case "PREQ":
    				$row = $rs->GetRowAssoc();
    				foreach ($row as $key=>$value) {
    					switch ($key) {
    						case "PROPTYPE":
    						$value = GetPropType ($value);
    						break;
    						case "CREDITRATING":
    						$value = GetCreditRating($value);
    						break;
    						case "EMPSTATUS":
    						$value = GetEmpStatus($value);
    						break;
    						case "KEEPCONSOLIDATE":
    						$value = GetKeepConsolidate($value);
    						break;
    						case "MORTGAGEINSURANCE":
    						$value = GetYesNo($value);
    						break;
    						case "LINEOFCREDIT":
    						$value = GetYesNo($value);
    						break;
    						case "LINEOFCREDITWITHDRAWN":
    						$value = GetYesNo($value);
    						break;
    						case "SECONDMORTGAGE":
    						$value = GetYesNo($value);
    						break;
    					}
    					$data[$key] = $value;
    				}
    				$smarty->assign("data",$data);
    				break;
    			}
    		} else {
    			$smarty->assign("data",array());
    		}
    	} else {
    		$smarty->assign("data",array());
    	}
    	$settings = GetSiteSettings(array("admin_mail"));
    	$headers = "From: ".$settings["admin_mail"]."\r\n";
    	$headers .= "X-Mailer: PHP/".phpversion()."\r\n";
    	$headers .= "X-Priority: 0\r\n";
    	$headers .= "MIME-Version: 1.0\r\n";
    	$headers .= "Content-type: text/html; charset=win-1251\r\n\r\n";

    	$content = "<html><body><font face=\"Verdana\" size=\"2\">The visitor has filled in the ".$form_name." form:<br><br>";

    	$smarty->assign("id",$id);

    	if ($form == "FAPP") {
    		$content .= $smarty->fetch("tab_res.tpl");
    		$content = preg_replace("/images\/fapp/i",$config["server"]."/images/fapp",$content);
    	}else{
    		$content .= $smarty->fetch($template);
    	}
    	$strSQL = "select distinct agent_name from ".APP_FORM_1_TABLE." where id_user = '".$_SESSION["id_user"]."'";
    	$rs = $dbconn->Execute($strSQL);
    	$agent_name = $rs->fields[0];
    	if($agent_name == ""){
    		SendAlert($id_alert, $content, "The visitor has filled in the ".$form_name." form");
    	}else{
    		$strSQL = "select id, email from ".ALERTS_USER_TABLE." where name='".$agent_name."'";
    		$rs1 = $dbconn->Execute($strSQL);
    		if($rs1->fields[0]>0){
    			mail($rs1->fields[1],"The visitor has filled in the ".$form_name." form",$content,$headers);
    			mail($settings["admin_mail"],"The visitor has filled in the ".$form_name." form",$content,$headers);
    		}else{
    			mail($settings["admin_mail"],"The visitor has filled in the ".$form_name." form",$content,$headers);
    		}
    	}
    	return true;
    }
}


function GetProperty($value) {
    switch ($value) {
        case "pri_res":
            return "Primary Home";
            break;
        case "sec_res":
            return "Second Home";
            break;
        case "invest":
            return "Investment Property";
            break;
        default:
            return "Unknown";
            break;
    }
}

function GetPropertyType ($value) {
    switch ($value) {
        case "1":
            return "Single Family Home";
            break;
        case "2":
            return "Condominium";
            break;
        case "3":
            return "Townhouse";
            break;
        case "4":
            return "2-4 Plex";
            break;
        case "5":
            return "Other";
            break;
        default:
            return "Unknown";
            break;
    }
}

function GetLoanType ($value) {
    switch ($value) {
        case "30fix":
            return "30 yr fixed";
            break;
        case "15fix":
            return "15 yr fixed";
            break;
        case "10fix":
            return "10 yr fixed";
            break;
        case "20fix":
            return "20 yr fixed";
            break;
        case "25fix":
            return "25 yr fixed";
            break;
        case "40fix":
            return "40 yr fixed";
            break;
        case "10arm":
            return "10/1 yr ARM";
            break;
        case "7arm":
            return "7/1 yr ARM";
            break;
        case "5arm":
            return "5/1 yr ARM";
            break;
        case "3arm":
            return "3/1 yr ARM";
            break;
        case "1arm":
            return "1/1 yr ARM";
            break;
        case "other":
            return "Other";
            break;
        default:
            return "Unknown";
            break;
    }
}

function GetRefReason ($value) {
    switch ($value) {
        case "reduce_rate":
            return "Reduce Rate";
            break;
         case "cash":
            return "Cash Out";
            break;
         case "debt_cons":
            return "Debt Consolidation";
            break;
         case "change_rate":
            return "Change Term";
            break;
         case "home_imp":
            return "Home Improvement";
            break;
         case "change_type":
            return "Change Loan Program";
            break;
         case "payoff23":
            return "Pay Off 2nd/3rd Mortgage";
            break;
         case "payoff_he":
            return "Pay Off Home Equity Line";
            break;
         default:
            return "Unknown";
            break;
    }
}

function GetScore ($value) {
    switch ($value) {
        case "1":
            return "Excellent";
            break;
        case "2":
            return "Good";
            break;
        case "3":
            return "Fair";
            break;
        case "4":
            return "Poor";
            break;
        default:
            return "Unknown";
            break;
    }
}

function GetSecurityQuestion($value) {
    switch ($value) {
        case "mother_maiden_name":
            return "What is your Mother's Maiden Name?";
            break;
        case "fav_color":
            return "What is your favorite color?";
            break;
        case "pet_name":
            return "What is your pet's name?";
            break;
        case "fav_sport_team":
            return "What is your favorite sports team?";
            break;
        case "birth_city":
            return "In what city were you born?";
            break;
        case "first_school":
            return "What was the name of your first school?";
            break;
        case "first_meet_spouse":
            return "Where did you first meet your spouse?";
            break;
        default:
            return "Unknown";
            break;
    }
}

function GetApplicationType ($value) {
    switch ($value) {
        case "ind":
            return "Individually";
            break;
        case "joint":
            return "Jointly";
            break;
        default:
            return "Unknown";
            break;
    }
}

function GetPropType ($value) {
    switch ($value) {
        case "single family1":
            return "Single Family";
            break;
        case "Townhouse1":
            return "Townhouse";
            break;
        case "Multiple family (2-4 units)1":
            return "Multiple Family (2-4 units)";
            break;
        default:
            return "Unknown";
            break;
    }
}

function GetCreditRating($value) {
    switch ($value) {
        case "excellent":
            return "Excellent";
            break;
        case "good":
            return "Good";
            break;
        case "average":
            return "Average";
            break;
        case "fair":
            return "Fair";
            break;
        case "poor":
            return "Poor";
            break;
        default:
            return "Unknown";
            break;
    }
}

function GetEmpStatus($value) {
    switch ($value) {
        case "salaried":
            return "Salaried";
            break;
        case "self employed":
            return "Self Employed";
            break;
        default:
            return "Unknown";
            break;
    }
}

function GetKeepConsolidate($value) {
    switch ($value) {
        case "Keep 2nd Mortgage1":
            return "Keep this loan";
            break;
        case "Consolidate 2nd Mortgage1":
            return "Consolidate this loan with the first mortgage";
            break;
        default:
            return "Unknown";
            break;
    }
}

function GetYesNo ($value) {
    switch ($value) {
        case "yes":
            return "Yes";
            break;
        case "no1":
            return "No";
            break;
        default:
            return $value;
            break;
    }
}
/////////////////////////////////
/// XML parsing

function parse($file){
	$lang[] = array();
	$xml_parser = new SimpleXmlParser($file);
	$xml_root = $xml_parser->getRoot();
	foreach ( $xml_root->children as $node ) {
		switch($node->tag){
			case "lines":
				$lang[$node->attrs["name"]]["name"] = $node->value;
				$lang[$node->attrs["name"]]["descr"] = $node->attrs["descr"];
				break;
		}
	}
	return $lang; 
}
////////////////////////////////////
//ReSize Images
////////////////////////////////////
function ReSizeImage($path, $width_to, $height_to){
	$gd_used = extension_loaded('gd')?1:0;
	if(file_exists($path) && $gd_used){	//// if such image exists and gd lib is loaded
		$path_full = $path;
		$image_info = GetImageSize($path);
		$image_width = $image_info[0];
		$image_height = $image_info[1];
		$image_type = $image_info[2];
		if($image_width > $width_to || $image_height > $height_to){
			$st = ReSizeAction($path, $image_type, $image_width, $image_height, $width_to, $height_to);
			if($st){
				return true;
			}else{
				return false;
			}
		}else{
			return true;
		}
	}else{
		return true;
	}
}

function ReSizeAction($path, $type, $image_width, $image_height, $width_to, $height_to){
	switch($type){
		case "1" :
			$srcImage = @ImageCreateFromGif($path);
			break;	/// GIF
		case "2" :
			$srcImage = @imagecreatefromjpeg($path);
			break;	/// JPG
	}
	if($srcImage){
		$srcWidth  = ImageSX( $srcImage );
		$srcHeight = ImageSY( $srcImage );
		$k_1 = $srcWidth/$width_to;
		$k_2 = $srcHeight/$height_to;
		if($k_1<$k_2){	/// $k_1->1
			$resized_image_width = $width_to;
			$resized_image_height = round($srcHeight/$k_1);
			$src_x = 0;
			$src_y = round($k_1*abs($resized_image_height - $height_to)/2);
			$sample_image_width = round($k_1*$width_to);
			$sample_image_height = round($k_1*$height_to);
		}elseif($k_1>=$k_2){	/// $k_2->1
			$resized_image_height = $height_to;
			$resized_image_width = round($srcWidth/$k_2);
			$src_x = round($k_2*abs($resized_image_width - $width_to)/2);
			$src_y = 0;
			$sample_image_width = round($k_2*$width_to);
			$sample_image_height = round($k_2*$height_to);

		}
		$destImage = @imagecreatetruecolor($width_to, $height_to);
		$bg_color = imagecolorallocate($destImage, 255, 255, 255);
		imagefilledrectangle($destImage, 0, 0, $width_to, $height_to, $bg_color);
		imagecopyresampled( $destImage, $srcImage, 0, 0, $src_x, $src_y, $width_to, $height_to, $sample_image_width, $sample_image_height );

		switch($type){
			case "1" :
				if (function_exists("imagegif")) ImageGif( $destImage, $path );
				else return false;
				break;	/// GIF
			case "2" :
				if (function_exists("imagejpeg")) ImageJpeg( $destImage, $path );
				else return false;
				break;	/// JPG
		}

		ImageDestroy( $srcImage  );
		ImageDestroy( $destImage );
		return true;
	}else{
		return false;
	}
}

//// 	
function SumClick($id_page){
	global $dbconn;
	
	$strSQL = "Insert into ".SITE_STATISTIC_TABLE." (data,id_page) values(NOW(),'{$id_page}')";
	$dbconn->Execute($strSQL);
}
?>