<?php
//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
//	functions_admin.php	--  include file
//	functions for admin section
//
//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

function AdminMainMenu($header="", $light=0){
	global $config, $config_admin, $smarty, $dbconn;
	//// logoff
	$logoff["link"] = $config["site_root"].$config_admin["logoff_path"];
	//$logoff["touser"] = $config["site_root"].$config_admin["touser_path"];
	$smarty->assign("logoff", $logoff);

	$button = parse("{$config["site_path"]}{$_SESSION["path_lang"]}/buttons.xml");
	$smarty->assign("button", $button);

	$admin_menu = parse("{$config["site_path"]}{$_SESSION["path_lang"]}/admin_menu.xml");
	$smarty->assign("admin_menu", $admin_menu);	

	$rs=$dbconn->Execute("select value from ".SETTINGS_TABLE." where name='site_email' ");
	$mail = $rs->fields[0];
	$smarty->assign("mail", $mail);
	$smarty->assign("header", $header);
	$smarty->assign("light", $light);
	$smarty->assign("site_root", $config["site_root"]);
	$smarty->assign("server", $config["server"]);
	return;
}

/////////////////////////////////////////////////////////////////////////////////////
function GetLinkStr($num_records,$page,$param, $max_record){
	global $lang;
	$num_page = ceil($num_records/$max_record);  //////////   ( $max_record   )
	$p_page = floor(($page-1)/10);    //////  
	$link_str = "&nbsp;&nbsp;&nbsp;";
	if($p_page>0){
		$link_str .= "<a href=\"".$param."page=".($p_page*10)."\"><<</a>&nbsp;";
	}
	if( (($p_page+1)*10) >= $num_page){
		for($i=($p_page*10+1);$i<=$num_page;$i++){
			if($i == $page){
				$link_str .= "<b><font color=#CC0033>".$i."</font></b>&nbsp;";
			}else{
				$link_str .= "<a href=\"".$param."page=".$i."\">".$i."</a>&nbsp;";
			}
		}
	}else{
		for($i=($p_page*10+1);$i<=($p_page+1)*10;$i++){
			if($i == $page){
				$link_str .= "<b><font color=#CC0033>".$i."</font></b>&nbsp;";
			}else{
				$link_str .= "<a href=\"".$param."page=".$i."\">".$i."</a>&nbsp;";
			}
		}
		$link_str .= "<a href=\"".$param."page=".(($p_page+1)*10+1)."\">>></a>&nbsp;";
	}
	return $link_str;
}
///////////////////////////////////////////////////////////////////////////////////////
/*function Rep_Slashes($str){
	$str = stripslashes($str);
	$str = str_replace("\"", "&quot;", $str);
	$str = str_replace("'", "&#039;", $str); 
	return  $str;
}*/
///////////////////////////////////////////////////////////////////////////////////////////
/*function FormFilter($str){
	return Rep_Slashes(trim(strval($str)));
}*/
///////////////////////////////////////////////////////////////////////////////////////////
/*function LoginFilter($str){
	global $lang;
	$err = "";
	if(strlen($str)<5 || strlen($str)>20){
		$err = $lang["err"]["login_length"];
	}
	if(!eregi("^[0-9a-z_\sA-Z]*$", $str)){
		$err = $lang["err"]["login_cont"];
	}
	return $err;
}*/
///////////////////////////////////////////////////////////////////////////////////////////
/*function EmailFilter($str){
	global $lang;
	$err = "";
	if(strlen($str)>0)
		if(!eregi("^.+@.+\\..+$", $str)){
			$err = $lang["err"]["email_bad"];
		}
	return $err;
}*/
///////////////////////////////////////////////////////////////////////////////////////////
/*function PasswFilter($str){
	global $lang;
	$err = "";
	if(strlen($str)<6 || strlen($str)>20){
		$err = $lang["err"]["pass_length"];
	}
	if(!eregi("^[0-9a-z_]*$", $str)){
		$err = $lang["err"]["pass_cont"];
	}
	return $err;
}*/
///////////////////////////////////////////////////////////////////////////////////////////

function AgeFromBDate($date){
	///// date in Y-m-d h:i:s format
	$year = intval(substr($date,0,4));
	$month = intval(substr($date,5,2));

	$n_year = date("Y");
	$n_month = date("m");
	
	if($year)
		return floor(($n_year - $year) + ($n_month - $month)/12);
	else
		return;
}

function FormatDate($date, $format){
	$year = intval(substr($date,0,4));
	$month = intval(substr($date,5,2));
	$day = intval(substr($date,8,2));
	$hour = intval(substr($date,11,2));
	$minute = intval(substr($date,14,2));
	$sec = intval(substr($date,17,2));
	$mtime = mktime($hour,$minute,$sec,$month,$day,$year);
	if($year)
		return date ($format, $mtime); 
	else
		return date ($format); 
}

function UpdateFeeds($id=0){
	//global $smarty, $dbconn, $page, $e;
	NewsUpdater($id);
	HomePage();
	return;
}

function QuickStatus(){
	global $dbconn;  //, $smarty, $config
	
	$stat = array();
	$rs = $dbconn->Execute("select id from ".APPLICATION_FORM_TABLE." where type ='online' and status in ('curr','start') and DATE_FORMAT(date_send,'%Y-%m-%d') = DATE_FORMAT(NOW(),'%Y-%m-%d')");
	$stat["submit"]["today"] = $rs->RowCount($rs->fields[0]);
	$rs = $dbconn->Execute("select id from ".APPLICATION_FORM_TABLE." where type ='online' and status in ('curr','start') and DATE_FORMAT(date_send,'%Y-%m-%d') < DATE_FORMAT(NOW(),'%Y-%m-%d')");
	$stat["submit"]["all"] = $rs->RowCount($rs->fields[0]);
	$rs = $dbconn->Execute("select id from ".APPLICATION_FORM_TABLE." where type ='online' and status in ('curr','start') and DATE_FORMAT(date_send,'%Y-%m-%d') > DATE_FORMAT((NOW() - INTERVAL 30 DAY),'%Y-%m-%d') and DATE_FORMAT(date_send,'%Y-%m-%d') < DATE_FORMAT(NOW(),'%Y-%m-%d')");
	$stat["submit"]["45"] = $rs->RowCount($rs->fields[0]);

	$rs = $dbconn->Execute("select id from ".SITE_STATISTIC_TABLE."  where id_page ='25' and DATE_FORMAT(data,'%Y-%m-%d') = DATE_FORMAT(NOW(),'%Y-%m-%d')");
	$stat["reg"]["today"] = $rs->RowCount($rs->fields[0]);
	$rs = $dbconn->Execute("select id from ".SITE_STATISTIC_TABLE."  where id_page ='25' and DATE_FORMAT(data,'%Y-%m-%d') < DATE_FORMAT(NOW(),'%Y-%m-%d')");
	$stat["reg"]["all"] = $rs->RowCount($rs->fields[0]);
	$rs = $dbconn->Execute("select id from ".SITE_STATISTIC_TABLE."  where id_page ='25' and DATE_FORMAT(data,'%Y-%m-%d') > DATE_FORMAT((NOW() - INTERVAL 30 DAY),'%Y-%m-%d') and DATE_FORMAT(data,'%Y-%m-%d') < DATE_FORMAT(NOW(),'%Y-%m-%d')");
	$stat["reg"]["45"] = $rs->RowCount($rs->fields[0]);

	$rs = $dbconn->Execute("select id from ".APPLICATION_FORM_TABLE." where type ='pdf' and status in ('curr','start') and DATE_FORMAT(date_send,'%Y-%m-%d') = DATE_FORMAT(NOW(),'%Y-%m-%d')");
	$stat["credit"]["today"] = $rs->RowCount($rs->fields[0]);
	$rs = $dbconn->Execute("select id from ".APPLICATION_FORM_TABLE." where type ='pdf' and status in ('curr','start') and DATE_FORMAT(date_send,'%Y-%m-%d') < DATE_FORMAT(NOW(),'%Y-%m-%d')");
	$stat["credit"]["all"] = $rs->RowCount($rs->fields[0]);
	$rs = $dbconn->Execute("select id from ".APPLICATION_FORM_TABLE." where type ='pdf' and status in ('curr','start') and DATE_FORMAT(date_send,'%Y-%m-%d') > DATE_FORMAT((NOW() - INTERVAL 30 DAY),'%Y-%m-%d') and DATE_FORMAT(date_send,'%Y-%m-%d') < DATE_FORMAT(NOW(),'%Y-%m-%d')");
	$stat["credit"]["45"] = $rs->RowCount($rs->fields[0]);

	$rs = $dbconn->Execute("select id from ".APPLICATION_FORM_TABLE." where type in ('pdf','online') and status = 'closed' and DATE_FORMAT(date_closed,'%Y-%m-%d') = DATE_FORMAT(NOW(),'%Y-%m-%d')");
	$stat["closed"]["today"] = $rs->RowCount($rs->fields[0]);
	$rs = $dbconn->Execute("select id from ".APPLICATION_FORM_TABLE." where type in ('pdf','online') and status = 'closed' and DATE_FORMAT(date_closed,'%Y-%m-%d') < DATE_FORMAT(NOW(),'%Y-%m-%d')");
	$stat["closed"]["all"] = $rs->RowCount($rs->fields[0]);
	$rs = $dbconn->Execute("select id from ".APPLICATION_FORM_TABLE." where type in ('pdf','online') and status = 'closed' and DATE_FORMAT(date_closed,'%Y-%m-%d') > DATE_FORMAT((NOW() - INTERVAL 30 DAY),'%Y-%m-%d') and DATE_FORMAT(date_closed,'%Y-%m-%d') < DATE_FORMAT(NOW(),'%Y-%m-%d')");
	$stat["closed"]["45"] = $rs->RowCount($rs->fields[0]);

	$rs = $dbconn->Execute("select id from ".SITE_STATISTIC_TABLE."  where id_page ='1' and DATE_FORMAT(data,'%Y-%m-%d') = DATE_FORMAT(NOW(),'%Y-%m-%d')");
	$stat["contactus"]["today"] = $rs->RowCount($rs->fields[0]);
	$rs = $dbconn->Execute("select id from ".SITE_STATISTIC_TABLE."  where id_page ='1' and DATE_FORMAT(data,'%Y-%m-%d') < DATE_FORMAT(NOW(),'%Y-%m-%d')");
	$stat["contactus"]["all"] = $rs->RowCount($rs->fields[0]);
	$rs = $dbconn->Execute("select id from ".SITE_STATISTIC_TABLE."  where id_page ='1' and DATE_FORMAT(data,'%Y-%m-%d') > DATE_FORMAT((NOW() - INTERVAL 30 DAY),'%Y-%m-%d') and DATE_FORMAT(data,'%Y-%m-%d') < DATE_FORMAT(NOW(),'%Y-%m-%d')");
	$stat["contactus"]["45"] = $rs->RowCount($rs->fields[0]);

	$rs = $dbconn->Execute("select id from ".SITE_STATISTIC_TABLE."  where id_page ='2' and DATE_FORMAT(data,'%Y-%m-%d') = DATE_FORMAT(NOW(),'%Y-%m-%d')");
	$stat["callback"]["today"] = $rs->RowCount($rs->fields[0]);
	$rs = $dbconn->Execute("select id from ".SITE_STATISTIC_TABLE."  where id_page ='2' and DATE_FORMAT(data,'%Y-%m-%d') < DATE_FORMAT(NOW(),'%Y-%m-%d')");
	$stat["callback"]["all"] = $rs->RowCount($rs->fields[0]);
	$rs = $dbconn->Execute("select id from ".SITE_STATISTIC_TABLE."  where id_page ='2' and DATE_FORMAT(data,'%Y-%m-%d') > DATE_FORMAT((NOW() - INTERVAL 30 DAY),'%Y-%m-%d') and DATE_FORMAT(data,'%Y-%m-%d') < DATE_FORMAT(NOW(),'%Y-%m-%d')");
	$stat["callback"]["45"] = $rs->RowCount($rs->fields[0]);

	$rs = $dbconn->Execute("select count(*) from ".USERS_TABLE."  where root_user !='1' and guest_user !='1'");
	$stat["stat_all"] = $rs->fields[0];
	$rs = $dbconn->Execute("select count(distinct a.id) from ".USERS_TABLE." a, ".ACTIVE_SESSIONS_TABLE." ea where a.id=ea.id_user and root_user !='1' and guest_user !='1' ");
	$stat["stat_active"] = $rs->fields[0];
	
	$rs = $dbconn->Execute("select count(*) from ".USERS_TABLE."  where (date_registration + INTERVAL 1 DAY)>NOW()");
	$stat["stat_reg_today"] = $rs->fields[0];
	$rs = $dbconn->Execute("select count(*) from ".USERS_TABLE."  where (date_registration + INTERVAL 7 DAY)>NOW()");
	$stat["stat_last_week"] = $rs->fields[0];
	$rs = $dbconn->Execute("select count(*) from ".USERS_TABLE."  where (date_registration + INTERVAL 30 DAY)>NOW()");
	$stat["stat_last_month"] = $rs->fields[0];
	
	return $stat;
}

function PermissionError($err = ""){
	global $smarty, $config; //, $dbconn, $lang, $auth
	$file_name = "index.php";
	AdminMainMenu("",1);
	if($err){
		$form["err"] = $err;
		$data["login"] = $_POST["login"];
	}

	$form["action"] = $file_name."?sel=login";
	if(isset($data)){
		$smarty->assign("data", $data);
	}
	$smarty->assign("form", $form);
	$smarty->assign("page_type", "login");
	$smarty->assign("header1", "Welcome");
	$smarty->assign("header2", "Please login");
	$smarty->assign("hint","");

	$smarty->display(TrimSlash($config["admin_theme_path"])."/admin_login_page.tpl");
	exit;
}
?>