<?php
ini_set("display_errors", '0');
error_reporting(E_ALL);
ini_set("max_execution_time",0);
ini_set("memory_limit","16M");

include "./config.php";
include "./initial.php";
include "./forms.php";
include "./errors.php";
include "./pclzip.lib.php";
include "../../include/config.php";
include "../../include/class.restore.php";
include "../../include/Snoopy.class.php";
	

$sel = $_GET["sel"]?$_GET["sel"]:$_POST["sel"];
switch($sel){
	case "1": Step_2(); break;
	case "2": database_server_Install(); break;
	case "3": Step_3(); break;
	case "4": Settings_Install(); break;
	case "5": template_last_page(); break;
	default:  Step_1(); break;
}

function Step_1($err=""){	/// check requirements and return result table
	global $install, $config;

	$ret_str = "";
	$next_step = true;
	$write_good = true;

	//check PHP version
	$good = phpversion() >= '4.1.2' ? 1 : 0;
	$ret_str .= permission_str("PHP version >= 4.1.2: ", $good);
	$next_step   = $next_step && $good;

	//check mySQL
	$good = function_exists( 'mysql_connect' ) ? 1 : 0;
	$ret_str .= permission_str("MySQL support exists: ", $good);
	$next_step   = $next_step && $good;

	//check Dating Installed
	$good = (isset($config["dbhost"]) && isset($config["dbname"]) && isset($config["dbuname"]) && isset($config["dbpass"]) && isset($config["table_prefix"])) ? 1 : 0;
	if($good){
		$link = mysql_connect($config["dbhost"], $config["dbuname"], $config["dbpass"]);
		$good = $link?1:0;
	}
	
	$ret_str .= permission_str("Dating Pro Installed: ", $good);
	$next_step   = $next_step && $good;

	foreach($install["permission_files"] as $num=>$file){
		$good = isWriteable($install["install_path"].$file, 0777);
		$sub_ret_str .= permission_str($file.' is writable: ', $good, 1);
		$write_good   = $write_good && $good;
	}
	$ret_str .= permission_str(' Check file permissions: ', $write_good).$sub_ret_str;
	$next_step   = $next_step && $write_good;

	template_first_page($ret_str, $next_step, $err);
	exit;
}

function Step_2(){
	global $config, $country;

	$col = 0;
	$ret_str = "<tr>";
	foreach ($country as $key=>$value){
		if ($col < 2){
			$ret_str .= "<td width='26%' class='main'>".$country[$key]['name']."</td>";
			$ret_str .= "<td width='12%' class='main'><input name='sel_country[".$key."]' id='sel_country[".$key."]' value='".$country[$key]['name']."' type='checkbox'></td>";
			$ret_str .= "<td width='12%' class='main'> &nbsp;  &nbsp;  &nbsp; </td>";
			$col++;
		}else{
			$ret_str .= "</tr>";
			$col = 0;
			$ret_str .= "<tr>";
		}
	}
	$ret_str .= "</tr>";

	$link = DB_Connect();
	$strSQL = "SELECT id FROM ".$config["table_prefix"]."country_spr";
	$result = mysql_query($strSQL);
	$countries = array();
	$i=0;
	while ($row = mysql_fetch_array($result)) {
		$countries[$i] = $row["id"];
		$i++;
	}

	template_indicate_countries_form($ret_str,$countries);
}

function database_server_Install(){
	global $errors, $config, $country;

	$link = DB_Connect();

	if (!isset($_POST["do_not_reinstall"])) {
		$strSQL = "DROP TABLE IF EXISTS ".$config["table_prefix"]."city_spr";
		@mysql_query($strSQL);
		$strSQL = "CREATE TABLE IF NOT EXISTS ".$config["table_prefix"]."city_spr (
			  id int(11) NOT NULL auto_increment,
			  id_country int(11) NOT NULL DEFAULT '0',
			  name varchar(255) DEFAULT '0' ,
			  zip_code text,
			  region_code int(11) NOT NULL DEFAULT '0',
			  id_region int(11) NOT NULL default '0',
			  lat decimal(11,7) NOT NULL default '0.0000000',
			  lon decimal(11,7) NOT NULL default '0.0000000',
			  PRIMARY KEY (id),
			  INDEX id_country (id_country),
			  INDEX id_region (id_region))";
		@mysql_query($strSQL);

		$strSQL = "DROP TABLE IF EXISTS ".$config["table_prefix"]."region_spr";
		@mysql_query($strSQL);
		$strSQL = "CREATE TABLE IF NOT EXISTS ".$config["table_prefix"]."region_spr (
			  id int(11) NOT NULL auto_increment,
			  id_country int(11) NOT NULL default '0',
			  name varchar(255) NOT NULL default '0',
			  PRIMARY KEY (id),
			  INDEX id_country (id_country))";
		@mysql_query($strSQL);

		$strSQL = "DROP TABLE IF EXISTS ".$config["table_prefix"]."country_spr";
		@mysql_query($strSQL);
		$strSQL = "CREATE TABLE IF NOT EXISTS ".$config["table_prefix"]."country_spr (
			  id int(11) NOT NULL auto_increment,
			  name varchar(255) NOT NULL DEFAULT '',
			  id_country int(11),
			  PRIMARY KEY (id))";
		@mysql_query($strSQL);
	}

	template_db_restore("Step 3: Updating Database", "./index.php?sel=3");

	$timer = array_sum(explode(' ', microtime()));
	ob_implicit_flush();

	$snoopy = new Snoopy;

	foreach ($_POST["sel_country"] as $id_country => $name_country){
		foreach ($country[$id_country]['part'] as $part_number => $part_country){
			$notice = "Download ".$name_country." from ".SOURCE_HOST.$part_country.".zip ...";
			print tpl_l($notice);
			insertLogData($notice);
			if ($snoopy->fetch(SOURCE_HOST.$part_country.".zip")){
				if ($f_local = fopen(dirname(__FILE__)."/bases/".$part_country.".zip","wb")){
					$f = $snoopy->results;
					fwrite($f_local,$f);
					fclose($f_local);

					$notice = "Extract ".$name_country." from ".dirname(__FILE__)."/bases/".$part_country.".zip ...";
					print tpl_l($notice);
					insertLogData($notice);
					if ($archive = new PclZip(dirname(__FILE__)."/bases/".$part_country.".zip")){
						$archive->extract("./bases/");

						if (file_exists(dirname(__FILE__)."/bases/".$part_country.".zip")) 
							unlink(dirname(__FILE__)."/bases/".$part_country.".zip");

						$db_file = dirname(__FILE__)."/bases/".$part_country.".sql";
						if(!file_exists($db_file)){
							print tpl_l($errors["not_valid_base_file"], C_ERROR);
							insertLogData($errors["not_valid_base_file"]);
							print "<SCRIPT>document.getElementById('back').disabled = 0;</SCRIPT>";
							return;
						}

						print tpl_l(str_repeat("-", 60));

						$q = $aff_rows = $c = 0;
						$f_sql = fopen($db_file,"r");
						while (!feof($f_sql)){
							$strSQL = fgets($f_sql);
							$strSQL = str_replace("[db_prefix]",$config["table_prefix"],$strSQL);
							if (@mysql_query($strSQL)){
								$q++;
								$aff_rows += mysql_affected_rows();
							}
							$c++;
							if ($c > 5000){
								print tpl_l("Lines it is added : {$aff_rows}");
								$c = 1;
							}
						}
						fclose($f_sql);

						print tpl_l(str_repeat("-", 60));
						
						print tpl_l("In total inquiries to a DB: {$q}", C_RESULT);
						insertLogData("In total inquiries to a DB: {$q}.");
						print tpl_l("Lines it is added : {$aff_rows}", C_RESULT);
						insertLogData("Lines it is added : {$aff_rows}.");
						print tpl_l("End time point: ".round(array_sum(explode(' ', microtime())) - $timer, 4)." sec.", C_RESULT);

						print tpl_l(str_repeat("-", 60));

						if (file_exists(dirname(__FILE__)."/bases/".$part_country.".sql")) 
							unlink(dirname(__FILE__)."/bases/".$part_country.".sql");
					}else{
						$err = "Can not unpuck ".$name_country." from ".dirname(__FILE__)."/bases/".$part_country.".zip";
						print tpl_l($err, C_ERROR);
						insertLogData($err);
						print "<SCRIPT>document.getElementById('back').disabled = 0;</SCRIPT>";
						return;
					}
				}else{
					$err = "Can not create ".dirname(__FILE__)."/bases/".$part_country.".zip";
					print tpl_l($err, C_ERROR);
					insertLogData($err);
					print "<SCRIPT>document.getElementById('back').disabled = 0;</SCRIPT>";
					return;
				}
			}else{
				$err = "Can not download ".SOURCE_HOST.$part_country.".zip";
				print tpl_l($err, C_ERROR);
				insertLogData($err);
				print "<SCRIPT>document.getElementById('back').disabled = 0;</SCRIPT>";
				return;
			}
		}
		print tpl_l("Country ".$name_country." is successfully installed.", C_RESULT);
		insertLogData("Country ".$name_country." is successfully installed.");
		print tpl_l("End time point: ".round(array_sum(explode(' ', microtime())) - $timer, 4)." sec.", C_RESULT);
		print tpl_l(str_repeat("-", 60));
	}

	print "<SCRIPT>document.getElementById('timer').innerHTML = '" . round(array_sum(explode(' ', microtime())) - $timer, 4) . " sec.'</SCRIPT>";
	print "<SCRIPT>document.getElementById('next').disabled = 0;</SCRIPT>";

	return;
}

function Step_3(){
	template_last_page();
}

function insertLogData($err=""){
	$file_path = "./install_log.txt";
	if(!$err){      /// simply create log file /install/install_log_file.txt
		$fp = fopen($file_path, "a+");
		if($fp) fclose($fp);    return;
	}
	$err = br2n($err);
	$err = explode("\n", $err);
	$string = "";
	for($i=0;$i<count($err);$i++){
		$string .= date("d-m-y H:i:s")." ".$err[$i]."\n";
	}

	$fp = fopen($file_path, "a+");
	if($fp){
		fputs($fp, $string);
		fclose($fp);
	}
	return;
}

function isWriteable($file, $mode){
	@chmod($file, $mode);
	$good = is_writable($file) ? 1 : 0;
	return $good;
}

function br2n($str){
	return eregi_replace("<br>", "\n", $str);
}

function DB_Connect(){
	global $errors, $config;

	$data["dbhost"] = $config["dbhost"];
	$data["dbname"] = $config["dbname"];
	$data["dbuser"] = $config["dbuname"];
	$data["dbpass"] = $config["dbpass"];
	$data["dbprefix"] = $config["table_prefix"];

	////// try to connect to db
	$link = mysql_connect($data["dbhost"], $data["dbuser"], $data["dbpass"]);
	if(!$link){
		insertLogData($errors["cant_connect_to_host"]."(".mysql_error().")");
		Step_1($errors["cant_connect_to_host"]."(".mysql_error().")");
		return;
	}
	////// try to connect write a base
	if(!mysql_select_db($data["dbname"])){
		insertLogData($errors["cant_select_db"]."(".mysql_error().")");
		Step_1($errors["cant_select_db"]."(".mysql_error().")");
		return;
	}
	return $link;
}
		
?>