<?php
/**
* Used in AJAX-requests
*
*
* @package PG Mortgage
* @subpackage User Mode
**/

include "./common.php";

header('Content-type: text/html; charset=utf-8');

if ( (!isset($_GET["sel"])) || (!isset($_GET["sec"])) ) exit;

$sec = $_GET["sec"];
$sel = $_GET["sel"];

switch($sec){
	case "shortform":
		$default_option = "Please select...";
		$select_country_name = "id_country";
		$select_region_name = "loan_state";
		$select_city_name = "prop_city";
		$select_style = "class=\"middle\" ";
		break;
	case "mp":
		$default_option = "Please select...";
		$select_country_name = "id_country";
		$select_region_name = "id_region";
		$select_city_name = "id_city";
		$select_style = "class=\"big\" ";
		break;
	case "fp":
		$default_option = "Please select...";
		$select_country_name = "id_country";
		$select_region_name = "b_res_state";
		$select_city_name = "b_res_city";
		$select_style = "class=\"middle\" ";
		break;	
	case "fp1":
		$default_option = "Please select...";
		$select_country_name = "id_country";
		$select_region_name = "b_former_state";
		$select_city_name = "b_former_city";
		$select_style = "class=\"middle\" ";
		break;	
	case "fp2":
		$default_option = "Please select...";
		$select_country_name = "id_country";
		$select_region_name = "b_2former_state";
		$select_city_name = "b_2former_city";
		$select_style = "class=\"middle\" ";
		break;	
	case "cb1":
		$default_option = "Please select...";
		$select_country_name = "id_country";
		$select_region_name = "cb_res_state";
		$select_city_name = "cb_res_city";
		$select_style = "class=\"middle\" ";
		break;
	case "cb2":
		$default_option = "Please select...";
		$select_country_name = "id_country";
		$select_region_name = "cb_former_state";
		$select_city_name = "cb_former_city";
		$select_style = "class=\"middle\" ";
		break;
	case "cb3":
		$default_option = "Please select...";
		$select_country_name = "id_country";
		$select_region_name = "cb_2former_state";
		$select_city_name = "cb_2former_city";
		$select_style = "class=\"middle\" ";
		break;	
	default: exit;
}

switch($sel){
	case "country":
		$rs = $dbconn->Execute("select * from ".COUNTRY_SPR_TABLE." ORDER BY name");

		echo "<select name=\"".$select_country_name."\" ".$select_style." onchange=\"javascript: SelectRegion('".$sec."', this.value, document.getElementById('region_div'), document.getElementById('city_div'));\">";
		echo "<option value=\"0\">".$default_option."</option>";
		while (!$rs->EOF) {
			$row = $rs->GetRowAssoc(false);
			echo "<option value=\"".$row["id"]."\">".stripslashes(htmlspecialchars($row["name"]))."</option>";
			$rs->MoveNext();
		}
		echo "</select>";

		break;
	case "region":
		$rs = $dbconn->Execute("select * from ".REGION_SPR_TABLE." where id_country='".intval($_GET["id_country"])."' ORDER BY id");

		echo "<select  name=\"".$select_region_name."\" ".$select_style." onchange=\"javascript: SelectCity('".$sec."', this.value, document.getElementById('city_div'));\">";
		echo "<option value=\"0\">".$default_option."</option>";
		while (!$rs->EOF) {
			$row = $rs->GetRowAssoc(false);
			echo "<option value=\"".$row["id"]."\">".stripslashes(htmlspecialchars($row["name"]))."</option>";
			$rs->MoveNext();
		}
		echo "</select>";

		break;
	case "city":
		$rs = $dbconn->Execute("select * from ".CITY_SPR_TABLE." where id_region='".intval($_GET["id_region"])."' ORDER BY id");

		echo "<select name=\"".$select_city_name."\" ".$select_style.">";
		echo "<option value=\"0\">".$default_option."</option>";
		while (!$rs->EOF) {
			$row = $rs->GetRowAssoc(false);
			echo "<option value=\"".$row["id"]."\">".stripslashes(htmlspecialchars($row["name"]))."</option>";
			$rs->MoveNext();
		}
		echo "</select>";

		break;
	default: exit;
}

?>